function [user,inform] = e05jb_monitor(n,ncall,xbest,icount,ninit,list,numpts,initpt,nbaskt,xbaskt,boxl,boxu,nstate,user)
inform = nag_int(0);

if (nstate == 0 || nstate == 1)
    disp(sprintf('\n'))
    disp('*** Begin monitoring information ***');
    disp(sprintf('\n'))
end

if (user.plot ~= 0)
    if (nstate == 1)
        line([boxl(1), boxl(1)], [boxl(2), boxu(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl(1), boxu(1)], [boxl(2), boxl(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl(1), boxu(1)], [boxu(2), boxu(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxu(1), boxu(1)], [boxl(2), boxu(2)], 'Linewidth', 2, 'Parent',user.axes);
    else
        boxl_old = user.boxl_old;
        boxu_old = user.boxu_old;

        line([boxl_old(1), boxl_old(1)], [boxl_old(2), boxu_old(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl_old(1), boxu_old(1)], [boxl_old(2), boxl_old(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl_old(1), boxu_old(1)], [boxu_old(2), boxu_old(2)], 'Linewidth', 2, 'Parent',user.axes);
        line([boxu_old(1), boxu_old(1)], [boxl_old(2), boxu_old(2)], 'Linewidth', 2, 'Parent',user.axes);

        line([boxl(1), boxl(1)], [boxl(2), boxu(2)], 'Color', [1 0 0], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl(1), boxu(1)], [boxl(2), boxl(2)], 'Color', [1 0 0], 'Linewidth', 2, 'Parent',user.axes);
        line([boxl(1), boxu(1)], [boxu(2), boxu(2)], 'Color', [1 0 0], 'Linewidth', 2, 'Parent',user.axes);
        line([boxu(1), boxu(1)], [boxl(2), boxu(2)], 'Color', [1 0 0], 'Linewidth', 2, 'Parent',user.axes);
    end

    user.boxl_old = boxl;
    user.boxu_old = boxu;

    % Set user.savemovie = 1 in the main program to create a bunch of PNG
    % files with a sequence of movie frames.
    if (user.savemovie == 1)
        FF = getframe(gcf);
        FX = frame2im(FF);
        filename = sprintf('frame%d.png', user.framenumber);
        user.framenumber = user.framenumber + 1;
        imwrite(FX,filename,'png');
    end

    drawnow;
    pause(user.mypause);
end

disp(['Total sub-boxes = ' num2str(icount(1))]);
disp(['Total function evaluations = ' num2str(ncall)]);
disp(['Total function evaluations used in local searches = ' num2str(icount(2))]);
disp(['Total points used in local search = ' num2str(icount(3))]);
disp(['Total sweeps through levels = ' num2str(icount(4))]);
disp(['Total splits by init. list = ' num2str(icount(5))]);
disp(['Lowest level with nonsplit boxes = ' num2str(icount(6))]);
disp(['Number of candidate minima in the ''shopping basket'' = ' num2str(nbaskt)]);
disp('Shopping basket:');
disp(xbaskt);
disp(sprintf('\n'))

if (nstate <= 0)
    disp('*** End monitoring information ***');
    disp(sprintf('\n'))
end
