function [iflag, fvecc, fjacc] = lsqfun(iflag, m, n, x, ljc)

  global user;
  fvecc = zeros(m, 1);
  fjacc = zeros(ljc, n);

  fvecc(1,1) = 10*(x(2)-x(1)*x(1));
  fvecc(2,1) = 1 - x(1);
  if (iflag ~= 0)
    fjacc(1,1) = -20*x(1);
    fjacc(1,2) = 10;
    fjacc(2,1) = -1;
    fjacc(2,2) = 0;
  end

  % Show progress on the graph plot, if required
  if (user{1}(1) == 1)
    axes = user{1}(2);
    oldx(1) = user{1}(3);
    oldx(2) = user{1}(4);

    % Draw a green line from previous to current point
    line([oldx(1),x(1)], [oldx(2),x(2)], 'Color', [0 1 0], 'Linewidth', 2);

    % Change the previous plotted point to blue
    plot(axes, oldx(1), oldx(2), 'b*', 'Linewidth', 2, 'MarkerSize', 8);

    % Plot the new point in red
    plot(axes, x(1), x(2), 'r*', 'Linewidth', 2, 'MarkerSize', 8);

    % Save the latest point in the user array for use next time around.
    user{1}(3) = x(1);
    user{1}(4) = x(2);

    % Display the current number of objective function evaluations
    frx = [-0.75 1.4 1.4 -0.75];
    fry = [2.85 2.85 1.5 1.5];
    fill(frx, fry, 'w');
    t = sprintf('Number of evaluations of objective function = %d', user{1}(6));
    text(-0.7, 2.6, t, 'FontSize', 12);
    t = sprintf('Current point is (%15.10g, %15.10g)', x(1), x(2));
    text(-0.7, 2.15, t, 'FontSize', 12);
    fsumsq = fvecc(1,1)*fvecc(1,1) + fvecc(2,1)*fvecc(2,1);
    t = sprintf('Objective function at this point = %15.10g', fsumsq);
    text(-0.7, 1.7, t, 'FontSize', 12);

    % Set savemovie = 1 to create a bunch of PNG files with a sequence
    % of movie frames.
    savemovie = 0;
    if savemovie == 1
      FF = getframe(gcf);
      [FX,Map] = frame2im(FF);
      filename = sprintf('frame%d.png', user{1}(6));
      imwrite(FX,filename,'png');
    end

    % Slow down the animation
    pause(user{1}(5));

    % One more function evaluation has been made
    user{1}(6) = user{1}(6) + 1;
  end
