function g02aa_demo
global stopit h mypause;
stopit = false;
%initialise to unrepeatable sequence
igen1=nag_int(1);
igen2=nag_int(2);
genid = nag_int(2);
[state1, ~] = g05kg(genid, igen1); 
[state2, ~] = g05kg(genid, igen2); 
g=zeros(4);
g(1,1) = 2.0;
g(2,2) = 2.0;
g(3,3) = 2.0;
g(4,4) = 2.0;
g(1,2) = -1.0;
g(2,1) = -1.0;
g(2,3) = -1.0;
g(3,2) = -1.0;
g(3,4) = -1.0;
g(4,3) = -1.0;
i=0;
mypause = 3.0;

while (~stopit)
  x=g02aa_demo_kernel(g);
  % Generate random index and random value
  %[ic, iseed1] = g05ma(nag_int(1), nag_int(4), nag_int(2), igen1, iseed1);
   [state1, ic, ~] = g05tl(nag_int(2), nag_int(1), nag_int(4), state1); 
  %[v, iseed2] = g05lg(-10.0, 10.0, nag_int(1), igen2, iseed2);
   [state2, v, ~] = g05sq(nag_int(1), -10.0, 10.0, state2); 
  % Alter g accordingly
  g(ic(1),ic(2)) = v;
  pause(mypause);
end
close(h);
clear globals;
end

function x = g02aa_demo_kernel(gg)
persistent bar1 bar2 txt1 txt2 axes1 axes2
global stopit mypause h;

if (nargin==0) 
  n=4;
  g=zeros(4);
  oldeig=zeros(4,2);
  neweig=zeros(4,2);
  g(1,1) = 2.0;
  g(2,2) = 2.0;
  g(3,3) = 2.0;
  g(4,4) = 2.0;
  g(1,2) = -1.0;
  g(2,1) = -1.0;
  g(2,3) = -1.0;
  g(3,2) = -1.0;
  g(3,4) = -1.0;
  g(4,3) = -1.0;
else
  [m,n]=size(gg);
  if m~=n 
      % User has not entered square array
      msgbox('Array submitted is not square','Input Error','error');
      return;
  end;
  g=gg;
  oldeig=zeros(n,2);
  neweig=zeros(n,2);
      
end;
if mypause<=0
    mypause = 3.0;
end;
% ggg=g does not copy by value - but only copies the address!
ggg=zeros(n);
for i=1:n
    for j=1:n
        ggg(j,i) = g(j,i);
    end
end
% Compute the eigenvalues of unsymmetric (in general) matrix g
[aOut, oldeig(:,1), oldeig(:,2)] = f08na('N', 'N', g);

[x] = Nearest_Correlation_Demo(ggg);

% Now compute the eigenvalues of the symmetric matrix x
[aOut, neweig(:,1)] = f08fa('N', 'U', x);

% Plot results
createfigure3(oldeig, neweig, g, x );

return;

function createfigure3(origeigs, neweigs, g, x )
% Create figure
iexist = findobj('Name','Nearest Correlation Matrix');
if isempty(iexist)
   h = figure( 'PaperSize',[20.98 29.68]);
   set(h,'Name','Nearest Correlation Matrix');
   set(h,'MenuBar','none');
   set(h,'NumberTitle', 'off');
   set(h,'KeyPressFcn',@halt);
   set(h,'ButtonDownFcn',@halt);
   
  % Create axes
  axes1 = axes('Parent',h,'XTick',[1 2 3 4],...
    'Position',[0.05188 0.1821 0.4197 0.3704]);
  set(axes1,'YLimMode','auto');
  box(axes1,'on');

  % Create multiple lines using matrix input to bar
  bar1 = bar(origeigs,'Parent',axes1);
  set(bar1(1),'DisplayName','origeigs(:,1)','FaceColor','blue');
  set(bar1(2),'DisplayName','origeigs(:,2)','FaceColor','red');
  xlabel(axes1,{'Eigenvalues';'Red and negative blue are BAD'});

  % Create axes
  axes2 = axes('Parent',h,'XTick',[1 2 3 4],...
    'Position',[0.5411 0.1821 0.4197 0.3704]);
  set(axes2,'YLimMode','auto');
  box('on');

  % Create multiple lines using matrix input to bar
  bar2 = bar(neweigs,'Parent',axes2);
  set(bar2(1),'DisplayName','neweigs(:,1)','FaceColor','blue');
  set(bar2(2),'DisplayName','neweigs(:,2)','FaceColor','red');
  xlabel(axes2,{'Eigenvalues';'No red or negative blue'});


  % Create textbox
  corig=cellstr(num2str(g,'%10.4f'));
  corig1={'Original Matrix' ;' '};
  corig1=cat(1,corig1,corig);
  txt1=annotation(h,'textbox','String',corig1,...
    'FitBoxToText','off',...
    'Position',[0.05384 0.6304 0.4197 0.3075]);

  % Create textbox
  cnew=cellstr(num2str(x,'%10.4f'));
  cnew1={'Nearest Correlation Matrix' ;' '};
  cnew1=cat(1,cnew1,cnew);

  txt2=annotation(h,'textbox','String',cnew1,...
    'FitBoxToText','off',...
    'Position',[0.5411 0.6304 0.4197 0.3075]);
else
  set(bar1(1),'Ydata',origeigs(:,1),'FaceColor','blue');
  set(bar1(2),'Ydata',origeigs(:,2),'FaceColor','red');
  set(bar2(1),'Ydata',neweigs(:,1),'FaceColor','blue');
  set(bar2(2),'Ydata',neweigs(:,2),'FaceColor','red');
  
  % Create textbox
  corig=cellstr(num2str(g,'%10.4f'));
  corig1={'Original Matrix' ;' '};
  corig1=cat(1,corig1,corig);
  set(txt1,'String',corig1);
  set(axes1,'YLimMode','auto');

  % Create textbox
  cnew=cellstr(num2str(x,'%10.4f'));
  cnew1={'Nearest Correlation Matrix' ;' '};
  cnew1=cat(1,cnew1,cnew);
  set(txt2,'String',cnew1);
  set(axes2,'YLimMode','auto');
  refresh(h);  
end
hold off;
return;

     function halt(src,evnt)
        
     S={'Decrease Wait Time';'Increase Wait Time';'Pause';'Resume';'Stop'};
        
     [Selection,ok] = listdlg('ListString',S,'SelectionMode','Single','InitialValue',5,'ListSize',[160 100],'Promptstring','User Intervention');
     if ~ok
        return;
     end;
        
     switch Selection
        case 1
          mypause = mypause*0.8;
          fprintf('\nPause time = %10.5e',mypause);
        case 2
          mypause = abs(mypause/0.8);
          fprintf('\nPause time = %10.5e',mypause);
        case 3
          fprintf('\nPausing');
          uiwait;
        case 4
          fprintf('\nResuming');
          uiresume;
        case 5
          stopit=true;
          msgbox('Stopping shortly','User Intervention','warn');
             
        otherwise
          stopit=true;
          msgbox('Stopping shortly','User Intervention','warn');
          
     end
     clear S
    end

end

function [x] = Nearest_Correlation_Demo(g)
errtol = -1.0;
maxits=nag_int(-1);
maxit=nag_int(-1);
[g,x]=g02aa(g,'errtol',errtol,'maxits',maxits,'maxit',maxit);
end

end
