function c05qc_example

% diary c05qc_example.r
fprintf('c05qc example results\n\n');

ml = nag_int(1);
mu = nag_int(1);
mode = nag_int(2);
diag = ones(9, 1);
nprint = nag_int(0);
% The following starting values provide a rough solution.
x = -ones(9, 1);
[xOut, fvec, diagOut, nfev, fjac, r, qtf, user, ifail] = ...
        c05qc(@fcn, x, ml, mu, mode, diag, nprint);
switch ifail
  case {0}
    fprintf('\nFinal 2-norm of the residuals  = %12.4e\n', norm(fvec));
    fprintf('\nNumber of function evaluations = %d\n', nfev);
    fprintf('\nFinal approximate solution\n');
    disp(xOut);
  case {2, 3, a, 54}
    fprintf('\nApproximate solution\n');
    disp(xOut);
end

% diary off

function [fvec, user, iflag] = fcn(n, x, fvec, user, iflag)
  if iflag ~= 0
    fvec = zeros(n, 1);
    fvec(1:n) = (3.0-2.0.*x).*x + 1.0;
    fvec(2:n) = fvec(2:n) - x(1:(n-1));
    fvec(1:(n-1)) = fvec(1:(n-1)) - 2.0.*x(2:n);
  end
