function c05qd_example

% diary c05qd_example.r
fprintf('c05qd example results\n\n');

% The following starting values provide a rough solution.
x = -ones(9, 1);
diagnl = ones(9,1);
ml = nag_int(1);
mu = nag_int(1);
mode = nag_int(2);
irevcm = nag_int(0);
fjac = zeros(9, 9);
fvec = zeros(9, 1);
qtf = zeros(9, 1);
r = zeros(45, 1);
rwsav = zeros(46, 1);
iwsav = zeros(17, 1, nag_int_name);

icount = nag_int(0);
first = true;
while (irevcm ~= 0 || first )
  first = false;
  [irevcm, x, fvec, diag, fjac, r, qtf, iwsav, rwsav, ifail] = ...
      c05qd(irevcm, x, fvec, ml, mu, mode, diagnl, fjac, r, qtf, iwsav, rwsav);

  switch irevcm
    case {1}
      icount = icount + 1;
    case {2}
      fvec(1:9) = (3.0-2.0.*x).*x + 1.0;
      fvec(2:9) = fvec(2:9) - x(1:8);
      fvec(1:8) = fvec(1:8) - 2.0.*x(2:9);
  end
end

switch ifail
  case {0}
    fprintf('\nFinal 2-norm of the residuals after %d iterations = %12.4e\n',...
      icount, norm(fvec));
    fprintf('\nFinal approximate solution\n');
    disp(x);
  case {2, 3, 4}
    fprintf('\nApproximate solution\n');
    disp(x);
end

% diary off
