function c06fu_example

% diary c06fu_example.r
fprintf('c06fu example results\n\n');

m = nag_int(3);
n = nag_int(5);
x = [ 1.000     0.999     0.987     0.936     0.802;
      0.994     0.989     0.963     0.891     0.731;
      0.903     0.885     0.823     0.694     0.467];
y = [ 0.000    -0.040    -0.159    -0.352    -0.597;
     -0.111    -0.151    -0.268    -0.454    -0.682
     -0.430    -0.466    -0.568    -0.720    -0.884];

% transform, then inverse transform to restore data
init = 'Initial';
trigm = zeros(6,1);
trign = zeros(10,1);
[xt, yt, trigm, trign, ifail] = c06fu(m, n, x, y, init, trigm, trign);
init = 'Subsequent';
[xr, yr, trigm, trign, ifail] = c06fu(m, n, xt, -yt, init, trigm, trign);

% Display as complex matrices
z = x + i*y;
nd = [m,n];
zt = reshape(xt+i*yt,nd);
zr = reshape(xr-i*yr,nd);

matrix = 'general';
diag = ' ';
usefrm = 'Above';
format = 'F9.3';
labrow = 'None';
labcol = 'None';
ncols  = nag_int(80);
indent = nag_int(0);

title  = 'Original data:';
[ifail] = x04db(...
    matrix, diag, z, usefrm, format, title, labrow, labcol, ncols, indent);
disp(' ');
title = 'Discrete Fourier transform:';
[ifail] = x04db(...
    matrix, diag, zt, usefrm, format, title, labrow, labcol, ncols, indent);
disp(' ');
title = 'Original sequence as restored by inverse transform:';
[ifail] = x04db(...
    matrix, diag, zr, usefrm, format, title, labrow, labcol, ncols, indent);

% diary off
