function c06hd_example

% diary c06hd_example.r
fprintf('c06hd example results\n\n');

m = nag_int(3);
n = nag_int(6);
x = [0.3854  0.6772  0.1138  0.6751  0.6362  0.1424;
     0.5417  0.2983  0.1181  0.7255  0.8638  0.8723;
     0.9172  0.0644  0.6037  0.6430  0.0428  0.4815];

direct = 'Forward';
init = 'Initial';
trig = zeros(2*n,1);
[xt, trig, ifail] = c06hd(direct, m, n, x, init, trig);

disp('Original data values:');
disp(x);

disp('Discrete quarter-wave Fourier cosine transforms:');
disp(xt);

% Restore data by inverse transform
direct = 'Backward';
init = 'Subsequent';
[xr, trig, ifail] = c06hd(direct, m, n, xt, init, trig);

disp('Original data as restored by inverse transform:');
disp(xr);

% diary off
