function c06lc_example

% diary c06lc_example.r
fprintf('c06lc example results\n\n');

sigma0 = 3;
sigma = 0;
b = 0;
epstol = 1e-05;
[sigmaOut, bOut, m, acoef, errvec, ifail] = ...
    c06lb(@f, sigma0, sigma, b, epstol, 'mmax', nag_int(512));

fprintf('\nNo. of coefficients returned by c06lb = %d\n\n', m);
fprintf('                   Computed           Exact       Pseudo\n');
fprintf('        t              f(t)            f(t)        error\n');
for j = 0:5
  [finv, ifail] = c06lc(j, sigmaOut, bOut, acoef, errvec);
  exact = sinh(3*j);
  pserr = abs(finv-exact)/exp(sigmaOut*j);
  fprintf(' %10.2f %15.4f %15.4f %12.1g\n',j, finv, exact, pserr);
end

% diary off

function [f] = f(s)
% Evaluate the Laplace transform function.
f=3.0/(s^2-9.0);
if isreal(f)
    f=complex(f);
end
