function c06pu_example

% diary c06pu_example.r
fprintf('c06pu example results\n\n');

m = nag_int(3);
n = nag_int(5);
x = [ 1.000     0.999     0.987     0.936     0.802;
      0.994     0.989     0.963     0.891     0.731;
      0.903     0.885     0.823     0.694     0.467];
y = [ 0.000    -0.040    -0.159    -0.352    -0.597;
     -0.111    -0.151    -0.268    -0.454    -0.682
     -0.430    -0.466    -0.568    -0.720    -0.884];
z = x + i*y;

% transform, then inverse transform to restore data
direct = 'F';
[zt, ifail] = c06pu(direct, m, n, z);
direct = 'B';
[zr, ifail] = c06pu(direct, m, n, zt);

title = 'Original data:';
[ifail] = x04da('General','Non-unit', z, title);
disp(' ');
title = 'Components of discrete Fourier transform:';
[ifail] = x04da('General','Non-unit', zt, title);
disp(' ');
title = 'Original data as restored by inverse transform';
[ifail] = x04da('General','Non-unit', zr, title);

% diary off
