function c09aa_example

% diary c09aa_example.r
fprintf('c09aa example results\n\n');

n = nag_int(8);
wavnam = 'Haar';
mode = 'zero';
wtrans = 'Multilevel';
x = [2; 5; 8; 9; 7; 4; -1; 1];

fprintf('\n Input Data:\n');
fprintf('%8.3f', x);
fprintf('\n\n');

% Query wavelet filter dimensions
[nwl, nf, nwc, icomm, ifail] = c09aa(wavnam, wtrans, mode, n);

if ifail == nag_int(0)
  % Perform Discrete Wavelet transform
  [c, dwtlev, icomm, ifail] = c09cc(x, nwc, nwl, icomm);

  if ifail == nag_int(0)
    fprintf(' Length of wavelet filter :             %10d\n', nf);
    fprintf(' Number of Levels :                     %10d\n\n', nwl);
    fprintf(' Number of coefficients in each level :\n              ');
    fprintf(' %8d', dwtlev);
    fprintf('\n');
    fprintf(' Total number of wavelet coefficients : %10d\n\n', nwc);
    fprintf(' Wavelet coefficients C : \n');
    fprintf(' %8.3f', c);
    fprintf('\n');

    % Reconstruct original data
    [y, ifail] = c09cd(nwl, c, n, icomm);

    if ifail == nag_int(0)
      fprintf('\n Reconstruction       Y : \n');
      fprintf(' %8.3f', y);
      fprintf('\n');
    end
  end
end

% diary off
