function c09cc_example

% diary c09cc_example.r
fprintf('c09cc example results\n\n');

n = nag_int(64);
wavnam = 'DB4';
mode = 'zero';
wtrans = 'Multilevel';
x = [ 6.5271; 6.512; 6.5016; 6.5237; 6.4625;
6.3496; 6.4025; 6.4035; 6.4407; 6.4746;
6.5095; 6.6551; 6.61; 6.5969; 6.6083;
6.652; 6.7113; 6.7227; 6.7196; 6.7649;
6.7794; 6.8037; 6.8308; 6.7712; 6.7067;
6.769; 6.7068; 6.7024; 6.6463; 6.6098;
6.59; 6.596; 6.5457; 6.547; 6.5797;
6.5895; 6.6275; 6.6795; 6.6598; 6.6925;
6.6873; 6.7223; 6.7205; 6.6843; 6.703;
6.647; 6.6008; 6.6061; 6.6097; 6.6485;
6.6394; 6.6571; 6.6357; 6.6224; 6.6073;
6.6075; 6.6379; 6.6294; 6.5906; 6.6258;
6.6369; 6.6515; 6.6826; 6.7042];
fprintf('\n Input Data:\n');
for i=1:8:double(n)
  fprintf('%8.4f ', x(i:i+8-1));
  fprintf('\n');
end
fprintf('\n');

% Query wavelet filter dimensions
[nwl, nf, nwc, icomm, ifail] = c09aa(wavnam, wtrans, mode, n);

if ifail == nag_int(0)
  % Perform Discrete Wavelet transform
  [c, dwtlev, icomm, ifail] = c09cc(x, nwc, nwl, icomm);

  if ifail == nag_int(0)
    fprintf(' Length of wavelet filter :             %10d\n', nf);
    fprintf(' Number of Levels :                     %10d\n\n', nwl);
    fprintf(' Number of coefficients in each level :\n     ');
    fprintf(' %8d', dwtlev);
    fprintf('\n');
    fprintf(' Total number of wavelet coefficients : %10d\n\n', nwc);
    fprintf(' Wavelet coefficients C : \n');
    for i=1:8:double(nwc)
      if i+8-1 <= numel(c)
        fprintf('%8.4f ', c(i:i+8-1));
      else
        fprintf('%8.4f ', c(i:numel(c)));
      end
      fprintf('\n');
    end
    fprintf('\n');

    % Reconstruct original data
    [y, ifail] = c09cd(nwl, c, n, icomm);

    if ifail == nag_int(0)
      fprintf('\n Reconstruction       Y : \n');
      for i=1:8:double(n)
        fprintf('%8.4f ', y(i:i+8-1));
        fprintf('\n');
      end
      fprintf('\n');
    end
  end
end

% diary off
