function c09dc_example

% diary c09dc_example.r
fprintf('c09dc example results\n\n');

% Decompose x using maximal overlap discrete wavelet over 2 levels 

n      = nag_int(64);
x      = [6.5271 6.5120 6.5016 6.5237 6.4625 6.3496 6.4025 6.4035 ...
          6.4407 6.4746 6.5095 6.6551 6.6100 6.5969 6.6083 6.6520 ...
          6.7113 6.7227 6.7196 6.7649 6.7794 6.8037 6.8308 6.7712 ...
          6.7067 6.7690 6.7068 6.7024 6.6463 6.6098 6.5900 6.5960 ...
          6.5457 6.5470 6.5797 6.5895 6.6275 6.6795 6.6598 6.6925 ...
          6.6873 6.7223 6.7205 6.6843 6.7030 6.6470 6.6008 6.6061 ...
          6.6097 6.6485 6.6394 6.6571 6.6357 6.6224 6.6073 6.6075 ...
          6.6379 6.6294 6.5906 6.6258 6.6369 6.6515 6.6826 6.7042];

wavnam = 'DB4';
mode   = 'Periodic';
wtrans = 'U';
keepa = 'All';
fprintf(' MLMODWT :: Wavelet : %10s, End mode : %10s, n = %10d\n',...
          wavnam, mode, n);
fprintf('         :: Keepa   : %10s\n\n',keepa);

% Setup for wavelet
[nwlmax, nf, nwc, icomm, ifail] = c09aa(wavnam, wtrans, mode, n);

% Compute decomposition over two levels
nwl = nag_int(2);
lenc = 2*n*nwl;
[c, na,  icomm, ifail] = c09dc(x, keepa, lenc, nwl, icomm);

fprintf(' Number of Levels                     : %10d\n',nwl);
fprintf(' Number of coefficients in each level : %10d\n\n',na);
fprintf(' Wavelet coefficients C : \n');
fprintf('%8.4f %8.4f %8.4f %8.4f %8.4f %8.4f %8.4f %8.4f\n',c)

% Reconstruct
[y, ifail] = c09dd(nwl, keepa, c, n, icomm);

fprintf('\n Reconstruction       Y : \n')
fprintf('%8.4f %8.4f %8.4f %8.4f %8.4f %8.4f %8.4f %8.4f\n',y)

% diary off
