function c09ec_example

% diary c09ec_example.r
fprintf('c09ec example results\n\n');

m = nag_int(7);
n = nag_int(8);
a = [3, 7, 9, 1, 9, 9, 1, 0;
     9, 9, 3, 3, 4, 1, 2, 4;
     7, 8, 1, 3, 8, 9, 3, 3;
     1, 1, 1, 1, 2, 8, 4, 0;
     1, 2, 4, 6, 5, 6, 5, 4;
     2, 2, 5, 7, 3, 6, 6, 8;
     7, 9, 3, 1, 3, 4, 7, 2];

fprintf('\nInput data a:\n');
disp(a);

wavnam = 'DB2';
mode = 'Half';
wtrans = 'Multilevel';
[nwl, nf, nwct, nwcn, icomm, ifail] = ...
  c09ab(...
        wavnam, wtrans, mode, m, n);

lenc = nwct;
% Perform Discrete Wavelet transform
[c, dwtlvm, dwtlvn, icomm, ifail] = c09ec(a, lenc, nwl, icomm);

fprintf('\nLength of wavelet filter : %d\n', nf);
fprintf('Number of Levels :         %d\n', nwl);
fprintf('Number of coefficients in first dimension for each level :\n');
disp(transpose(dwtlvm(1:nwl)));
fprintf('Number of coefficients in second dimension for each level :\n');
disp(transpose(dwtlvn(1:nwl)));

fprintf('\nTotal number of wavelet coefficients : %d\n', nwct);
fprintf('\nWavelet coefficients c :\n');

for ilevel = 1:nwl
  fprintf('-------------------------------------------------------\n');
  d1 = dwtlvm(ilevel);
  d2 = dwtlvn(ilevel);
  level = nwl-ilevel+1;
  fprintf('Level %d output is %d by %d\n', level, d1, d2);
  fprintf('-------------------------------------------------------\n');

  for itype_coeffs = nag_int(1:4)
    switch itype_coeffs
      case {1}
        if (ilevel == 1)
          fprintf('Approximation coefficients:\n');
        end
      case {2}
        fprintf('Vertical coefficients:\n');
      case {3}
        fprintf('Horizontal coefficients:\n');
      case {4}
        fprintf('Diagonal coefficients:\n');
    end
    if (itype_coeffs>1 || ilevel==1)
      % Use 2D extraction routine c09eyf
      [d, icomm, ifail] = c09ey(...
                                level, itype_coeffs-1, c, icomm);
      disp(d(1:d1,1:d2));
    end
  end
  fprintf('\n');
end

% Reconstruct original data
[b, ifail] = c09ed(nwl, c, m, n, icomm);
fprintf('Reconstruction       b:\n');
disp(b);

% diary off
