function d01ak_example

% diary d01ak_example.r
fprintf('d01ak example results\n\n');

a = 0;
b = 2*pi;
epsabs = 0;
epsrel = 0.001;
f = @(x) x*(sin(30.0*x))*cos(x);
[result, abserr, w, iw, ifail] = d01ak(f, a, b, epsabs, epsrel);
fprintf('The approximation to the integral  = %10.6f\n',result);
fprintf('and the estimated absolute error   = %13.5e\n\n',abserr);

n = iw(1);
fprintf('The number of subintervals used = %d;\n',n);
fprintf('the limits of subintervals and their contributions are:\n\n');
fprintf(' subint   a_i      b_i       r_i\n'); 
for i= 1:n;
fprintf('%5d %8.4f %8.4f  %10.6f\n',i,w(i),w(i+n),w(i+3*n));
end

% diary off
