function d01ar_example

% diary d01ar_example.r
fprintf('d01ar example results\n\n');

absacc = 1e-05;
relacc = 0;
maxrul = nag_int(0);
alpha  = zeros(390,1);

% Integral 1
iparm = nag_int(0);
a = 0;
b = 1;

[acc1, ans1, n1, alpha, ifail] = ...
    d01ar(...
           a, b, @f1, relacc, absacc, maxrul, iparm, alpha);

fprintf('Definite integral of 4/(1+x*x) over (0,1)\n');
fprintf('Estimated value of the integral = %9.5f\n', ans1);
fprintf('Estimated absolute error        = %10.1e\n', acc1);
fprintf('Number of points used           = %4d\n\n', n1);

% Integral 2
iparm = nag_int(1);
a = 1;
b = 2;

[acc2, ans2, n2, alpha, ifail] = ...
    d01ar(...
           a, b, @f2, relacc, absacc, maxrul, iparm, alpha);

fprintf('Definite integral of x^(1/8) over (1,2)\n');
fprintf('Estimated value of the integral = %9.5f\n', ans2);
fprintf('Estimated absolute error        = %10.1e\n', acc2);
fprintf('Number of points used           = %4d\n\n', n2);

% Integral 3
iparm = nag_int(2);
a = 1.2;
b = 1.8;

[acc3, ans3, n3, alpha, ifail] = ...
    d01ar(...
           a, b, @f2, relacc, absacc, maxrul, iparm, alpha);

fprintf('Indefinite integral of x^(1/8) over (1.2,1.8)\n');
fprintf('Estimated value of the integral = %9.5f\n', ans3);

% diary off

function f = f1(x)
  f = 4/(1+x^2);

function f = f2(x)
  f = x^(1/8);
