function d01as_example

% diary d01as_example.r
fprintf('d01as example results\n\n');

a = 0;
omega = pi/2;
key = nag_int(1);
epsabs = 0.001;
[result, abserr, lst, erlst, rslst, ierlst, iw, ifail] = ...
  d01as( ...
	 @g, a, omega, key, epsabs);

formr = '%-6s - %-30s = %8.5f\n';
forms = '%-6s - %-30s = %8s\n';
formd = '%-6s - %-30s = %8d\n';
fprintf(formr, 'a', 'lower limit of integration', a);
fprintf(forms, 'b', 'upper limit of integration', 'infinity');
fprintf(formr, 'epsabs', 'absolute accuracy requested', epsabs);
fprintf('\n');
fprintf(formr, 'result', 'approximation to the integral', result);
fprintf(formr, 'abserr', 'estimate of the absolute error', abserr);
fprintf(formd, 'lst', 'number of intervals used', lst);
fprintf(formd, 'iw(1)', 'maximum number of subintervals', iw(1));

% diary off

function [result] = g(x)
  if (x > 0)
    result = 1/sqrt(x);
  else
    result = 0;
  end
