function d01pa_example

% diary d01pa_example.r
fprintf('d01pa example results\n\n');

ndim = nag_int(3);
vertex = zeros(ndim+1,2*(ndim+1));
vertex(2:ndim+1,1:ndim) = eye(3);
minord = nag_int(0);
finvls = zeros(5,1);

fprintf('Maxord   Estimated      Estimated         Integrand\n');
fprintf('           value         accuracy        evaluations\n');
nevals = 1;
for maxord = nag_int(1:5)
  [vertex, minord, finvls, esterr, ifail] = ...
  d01pa(...
        ndim, vertex, @functn, minord, finvls,'maxord',maxord);

  fprintf('%5d%13.5f%16.3e%15d\n',maxord, finvls(maxord),esterr,nevals);
  nevals = (nevals*(maxord+ndim+1))/maxord;
end

% diary off

function result = functn(ndim, x)
  u = sum(x);
  result = exp(u)*cos(u);
