function d01rg_example

% diary d01rg_example.r
fprintf('d01rg example results\n\n');

a = -1;
b =  1;
epsabs = 0;
epsrel = 0.0001;

[dinest, errest, nevals, user, ifail] = ...
  d01rg( ...
	 a, b, @f, epsabs, epsrel);

formr = '%-6s - %-30s = %8.5f\n';
formd = '%-6s - %-30s = %8d\n';
fprintf(formr, 'a', 'lower limit of integration', a);
fprintf(formr, 'b', 'upper limit of integration', b);
fprintf(formr, 'epsabs', 'absolute accuracy requested', epsabs);
fprintf(formr, 'epsabs', 'relative accuracy requested', epsrel);
fprintf('\n');
fprintf(formr, 'result', 'approximation to the integral', dinest);
fprintf(formr, 'abserr', 'estimate of the absolute error', errest);
fprintf(formd, 'nevals', 'number of function eblauations', nevals);


% diary off

function [fv, iflag, user] = f(x, nx, iflag, user)
  fv = sin(x)./x.*log(10*(1-x));
