function d02ka_example

% diary d02ka_example.r
fprintf('d02ka example results\n\n');

xl = 0;
xr = pi;
bcond = [1, 1;
         0, 0;
         0, 0];
k = nag_int(4);
elam_in = 15;
delam_in = 4;

for tol_ind=-5:-1:-6
  tol = 10^tol_ind;

  [bcond, elam, delam, ifail] = ...
    d02ka(...
           xl, xr, @coeffn, bcond, k, tol, elam_in, delam_in, @monit);

  fprintf('\nCalculation with tol = %12.4e\n\n',tol);
  fprintf('Final results\n\n');
  fprintf('K = %3d  elam = %7.3f  delam = %8.2e\n', k, elam, delam);
  fprintf('Boundary sensitivities, left: %12.4e, right: %12.4e\n',...
          bcond(3,1:2))
end

% diary off

function [p, q, dqdl] = coeffn(x, elam, jint)
  p = 1;
  dqdl = 1;
  q = elam - 10*cos(2*x);

function monit(nit, iflag, elam, finfo)
  if (nit == 14)
    fprintf('\nOutput from Monit\n');
  end
  fprintf('%2d   %d   %6.3f %+6.3f %+6.3g %+6.3f %+6.3f\n', ...
          nit, iflag, elam, finfo(1:4));
