function d02lx_example

% diary d02lx_example.r
fprintf('d02lx example results\n\n');

neq     = 2;

% Parameters values for integrator setup
h       = 0;
reltol  = 1e-4;
thresh  = zeros(neq,1);
threshp = zeros(neq,1);
maxstp  = nag_int(0); 
start   = true;
onestp  = true;
high    = false;
rwork   = zeros(16+20*neq,1);

% Call setup
[start, rwork, ifail] = ...
    d02lx(h, reltol, thresh, threshp, maxstp, start, onestp, high, rwork);

% Initializations for integration
t     = 0;
tend  = 20;
y     = [0.5; 0];
yp    = [0; sqrt(3)];
ydp   = zeros(neq, 1);

% take one time-step towards tend
[t, y, yp, ydp, rwork, ifail] = d02la(@fcn, t, tend, y, yp, ydp, rwork);

fprintf('Solution at first time step, t = %6.3f:\n', t);
fprintf('    y   = %6.3f, %6.3f\n',y);
fprintf('    y''  = %6.3f, %6.3f\n',yp);
fprintf('    y'''' = %6.3f, %6.3f\n',ydp);

% diary off

function ydp = fcn(neq, t, y)
% Evaluate second derivatives.
r = sqrt(y(1)^2+y(2)^2)^3;
f = zeros(2,1);
ydp(1) = -y(1)/r;
ydp(2) = -y(2)/r;
