function d02uz_example

% diary d02uz_example.r
fprintf('d02uz example results\n\n');

n = nag_int(16);
m = 9;
a = -0.24*pi;
b =  pi/2;


% Set up Chebyshev grid
[x, ifail] = d02uc(n, a, b);

% Evaluate function on grid.and get interpolating Chebyshev coefficients
f = x + exp(-x);
[c, ifail] = d02ua(n, f);

% Evaluate Chebyshev series manually by evaluating each Chebyshev
% polynomial in turn at new equispaced (m+1) grid points.
% Chebyshev series on [-1,1] map of [a,b].
dmap  = 2/(m-1);
xmap  = [-1:dmap:1];
deven = (b-a)/(m-1);
xeven = [a:deven:b];

fprintf('    x_even     x_map      Sum(f)\n');
for i=1:m
  for k=nag_int(0:n)
    [t(k+1), ifail] = d02uz(k, xmap(i));
  end
  fseries(i) = dot(c,t);
end
fprintf('%10.4f %10.4f %10.4f\n', [xmap xeven fseries]');

% diary off
