function d04aa_example

% diary d04aa_example.r
fprintf('d04aa example results\n\n');

fprintf(['Four separate runs to calculate the first four odd order ',...
	 'derivatives of\n    fun(x) = exp(2*x-1)/2 at x = 0.5.\n']);
fprintf('The exact results are 1, 4, 16 and 64\n\n');

xval = 0.5;
nder = nag_int(-7);
hbase = 0.5;
fun = @(x) exp(2*x-1)/2;

for k = 1:4
  hbase = 5*10^(-k);
  [der, erest, ifail] = d04aa( ...
			       xval, nder, hbase, fun);

  fprintf('\nwith step length %9.4f the results are:\n',hbase);
  fprintf('Order        Derivative       Error estimate\n');

  for i = 1:2:abs(nder)
    fprintf('%d%21.3e%21.4e\n',i, der(i), erest(i));
  end
end

% diary off
