function d05ab_example

% diary d05ab_example.r
fprintf('d05ab example results\n\n');

k = @(x, s) 1/(1+(x-s)*(x-s));
g = @(x) 1;
lambda = -0.3183;
a = -1;
b = 1;
odorev = true;
ev     = true;
xval = [0:0.25:1];
ss = nag_int(2);

for n = 5:5:10;
  in = nag_int(n);
  [f, c, ifail] = d05ab(k, g, lambda, a, b, odorev, ev, in);
  fprintf('\nResults for N = %2d\n\n', n);
  fprintf('Solution and coefficients on first %2d Chebyshev points\n',n);
  fprintf('  i           x             f(i)         c(i)\n');
  cheb(1:n,1) = cos(pi*(1:n)/(2*n-1));
  fprintf('%3d%15.5f%15.5f%15.5e\n', [[1:n]' cheb f c]');

  [chebr, ifail] = c06dc(xval, a, b, c, ss);

  fprintf('\nSolution on evenly spaced grid\n');
  fprintf('     x           f(x)\n');
  fprintf('%8.4f%15.5f\n',[xval' chebr]')

end

% diary off
