function d05ba_example

% diary d05ba_example.r
fprintf('d05ba example results\n\n');

ck = @(t) exp(-t);
cg = @(s, y) y + exp(-y);
cf = @(t) exp(-t);
method = 'A';
iorder = nag_int(6);
alim = 0;
tlim = 20;
nmesh = nag_int(6);
tol = 0.001;
thresh = x02aj;
lwk = nag_int(1000);
[yn, errest, work, ifail] = ...
  d05ba( ...
	 ck, cg, cf, method, iorder, alim, tlim, nmesh, tol, thresh, lwk);

fprintf('Workspace requested = %4d\n', lwk);
fprintf('Tolerance           = %8.2e\n\n', tol);
fprintf('  t        approx. sol.  true sol.  est. error    actual error\n');
dt = (tlim-alim)/(double(nmesh));
t = [alim+dt:dt:tlim];
sol = log(t+exp(1))';
err = abs(yn-sol)./sol;
fprintf('%6.2f%14.5f%12.5f%15.5e%15.5e\n', [t' yn sol errest, err]');

% diary off
