function d06ba_example

% diary d06ba_example.r
fprintf('d06ba example results\n\n');

% Desciption of Nag Logo boundary in terms of arguments to d06ba
nlines = 45;
line = zeros(4,nlines,nag_int_name);
line(1:4,1:nlines) = [ 15  1  2  1;    15  2  3  1;    15  3  4  1;
		       15  4  1  1;     4  6  5 -1;    10 10  6  0; 
		       10 14 10  2;    10  7 14  0;     4  8  7  0;
		       10 13  8  0;    10 13  9  3;    10 12  9  0; 
		        4 11 12  0;    15  5 11  0;    15 26 15  4;
		       10 26 25  0;     4 25 24  0;     4 24 23  0; 
		        4 23 22  0;    10 21 22  6;    10 20 21  6;
		       10 19 20  6;     4 19 18  0;     5 18 17  0; 
		       15 17 16  5;     4 16 15  0;     4 27 28  0;
		        7 28 30  8;     7 30 32  8;     7 32 34  8;  
		        6 36 34 10;     6 38 36 12;    10 40 38 13;
		       10 42 40 13;     8 44 42 13;     4 44 45  0; 
		        4 45 43  0;     4 43 41  0;     6 39 41 13;
		       10 37 39 13;     6 37 35 11;     6 35 33  9; 
		       10 31 33  7;    10 29 31  7;    10 27 29  7]';
coorch = zeros(2,nlines);
coorch(1,:) = ...
   [ 9.5 33.0  9.5 -14.0                                                 ...
    -4.0 -2.0  2.0   4.0 -2.0    -2.0  -4.0 -2.0     4.0   2.0           ...
     5.0  6.0 11.0  11.0  8.5     5.0   8.5  11.5    13.0 14.0 13.0 13.0 ...
    14.0 15.5 17.5  17.5 21.0    19.5  17.5  17.5    16.0 14.5           ...
                    17.0 16.0    20.0  14.0  19.3142 17.0 20.5 18.7249 19.5];
coorch(2,:) = ...
   [-3.0  6.5 16.0   6.5                                                  ...
     3.0  3.0  3.0   3.0 11.0    10.0  11.5  12.0    11.0 10.5            ...
    11.0 10.0 10.0   8.5  8.5     5.75  3.0   4.3335  3.0  3.75 4.75 10.5 ...
     2.5  2.5  0.0   1.0  2.5     2.5   5.0   4.0     5.5  5.5            ...
                     6.5  6.6573  9.25  9.25 11.0    12.0 11.5  11.5 12.0];

crus = zeros(2, 2);
crus(1,1:2)=[-8,-10]/3;
crus(2,1:2) = [3,3];
rate = ones(nlines,1);
rate(1:4,1) = [0.95;1.05;0.95;1.05];
nlcomp = nag_int([4 10 12 19]);
lcomp = zeros(nlines,1,nag_int_name);
lcomp(1:nlines,1) = [  1  2  3  4                         ...
	            14 13 12 11 10  9  8  7  6  5       ...
                    18 19 20 21 22 23 24 25 26 15 16 17 ...
                    27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45];
nvmax = nag_int(5000);
nedmx = nag_int(1000);
itrace = nag_int(-1);
user = [23.5; 9.5; 9.5; 6.5];

% Generate boundary mesh
[nvb, coor, nedge, edge, user, ifail] = ...
d06ba( ...
       coorch, line, @fbnd, crus, rate, nlcomp, lcomp, nvmax, ...
       nedmx, itrace, 'user', user);

i = nag_int(0);
k = nag_int(0);
fig1 = figure;
hold on;
title('Boundary Mesh');

for seg = 1:4
  i0 = i;
  for j = k+1:k+nlcomp(seg)
    i = i + line(1,lcomp(j,1));
  end
  k = k + nlcomp(seg);
  i = i - nlcomp(seg);
  segl = i - i0;
  for j = 1:segl
    segx(j) = coor(1,i0+j);
    segy(j) = coor(2,i0+j);
  end
  segx(segl+1) = segx(1);
  segy(segl+1) = segy(1);
  plot(segx(1:segl+1),segy(1:segl+1));
end
axis equal tight;

% generate Delauney-Voronoi mesh using logo boundary
npropa = nag_int(1);
itrace = nag_int(0);
weight = [];
[nv, nelt, coor, conn, ifail] = ...
d06ab( ...
       nvb, edge, coor, weight, npropa, itrace,'nedge',nedge);

% Plot mesh
fig2 = figure;
triplot(transpose(double(conn(:,1:nelt))), coor(1,:), coor(2,:));
title('Delauney-Voronoi Mesh');
axis equal tight;

fprintf('\nComplete mesh characteristics for Delauney-Voronoi mesh:\n');
fprintf('Number of vertices    = %4d\n',nv);
fprintf('Number of elements    = %4d\n',nelt);

% generate 2D advancing front mesh on logo
[nv, nelt, coor, conn, ifail] = ...
d06ac( ...
       nvb, edge(:,1:nedge), coor, weight, itrace);

% Plot mesh
fig3 = figure;
triplot(transpose(double(conn(:,1:nelt))), coor(1,:), coor(2,:));
title('Advancing Front Mesh');
axis equal tight;

fprintf('\nComplete mesh characteristics for advancing front mesh:\n');
fprintf('Number of vertices    = %4d\n',nv);
fprintf('Number of elements    = %4d\n',nelt);

% print(fig1,'-dpng','-r75','d06ba_fig1.png');
% print(fig1,'-deps','-r75','d06ba_fig1.eps');
% print(fig2,'-dpng','-r75','d06ba_fig2.png');
% print(fig2,'-deps','-r75','d06ba_fig2.eps');
% print(fig3,'-dpng','-r75','d06ba_fig3.png');
% print(fig3,'-deps','-r75','d06ba_fig3.eps');

% diary off

function [result, user] = fbnd(i, x, y, user)
  xa = user(1);
  xb = user(2);
  x0 = user(3);
  y0 = user(4);

  result = 0;
  if (i == 1)
    % line 1,2,3, and 4: ellipse centred in (x0,y0) with
    % xa and xb as coefficients
    result = ((x-x0)/xa)^2 + ((y-y0)/xb)^2 - 1;
  elseif (i == 2)
    % line 24, 27, 33 and 38 are a circle centred in (x0,y0)
    % with radius sqrt(radius2)
    x0 = 0.5;
    y0 = 6.25;
    radius2 = 20.3125;
    result = (x-x0)^2 + (y-y0)^2 - radius2;
  elseif (i == 3)
    x0 = 1;
    y0 = 4;
    radius2 = 9 + (11-y0)^2;
    result = (x-x0)^2 + (y-y0)^2 - radius2;
  elseif (i == 4)
    x0 = 8.5;
    y0 = 2.75;
    radius2 = (x0-5)^2 + (11-y0)^2;
    result = (x-x0)^2 + (y-y0)^2 - radius2;
  elseif (i == 5)
    x0 = 8.5;
    y0 = 4;
    radius2 = 2.5^2 + (10-y0)^2;
    result = (x-x0)^2 + (y-y0)^2 - radius2;
  elseif (i == 6)
    x0 = 8.5;
    y0 = 5.75;
    result = ((x-x0)/3.5)^2 + ((y-y0)/2.75)^2 - 1;
  elseif (i == 7)
    x0 = 17.5;
    y0 = 2.5;
    result = ((x-x0)/3.5)^2 + ((y-y0)/2.5)^2 - 1;
  elseif (i == 8)
    x0 = 17.5;
    y0 = 2.5;
    result = ((x-x0)/2)^2 + ((y-y0)/1.5)^2 - 1;
  elseif (i == 9)
    x0 = 17.5;
    y0 = 5.5;
    result = ((x-x0)/1.5)^2 + ((y-y0)/0.5)^2 - 1;
  elseif (i == 10)
    x0 = 17.5;
    y0 = 5.5;
    result = ((x-x0)/3)^2 + ((y-y0)/1.5)^2 - 1;
  elseif (i == 11)
    x0 = 17.0;
    y0 = 5.5;
    result = ((x-x0))^2 + ((y-y0))^2 - 1;
  elseif (i == 12)
    x0 = 16;
    y0 = 5.5;
    result = ((x-x0)/1.5)^2 + ((y-y0)/1.1573)^2 - 1;
  elseif (i == 13)
    x0 = 17;
    y0 = 9.25;
    result = ((x-x0)/3)^2 + ((y-y0)/2.75)^2 - 1;
  end
