function d06da_example

% diary d06da_example.r
fprintf('d06da example results\n\n');

coor1 = zeros(2,400);
for j = 1:20
  for i = 1:20
    coor1(1,(j-1)*20+i) = (i-1)/19;
    coor1(2,(j-1)*20+i) = (j-1)/19;
  end
end
edge1 = ones(3, 76, nag_int_name);
edge1(1, 1:76) = nag_int([1:19,20*(1:19),401-(1:19),401-20*(1:19)]);
edge1(2, 1:76) = nag_int([2:19,20*(1:19),401-(1:19),401-20*(1:19),1]);
conn1 = zeros(3, 722, nag_int_name);
ind = -1;
for i=1:379
  if (rem(i, 20) ~= 0)
    ind = ind+2;
    conn1(1, ind)   = nag_int(i);
    conn1(1, ind+1) = nag_int(i);
    conn1(2, ind)   = nag_int(i+1);
    conn1(2, ind+1) = nag_int(i+21);
    conn1(3, ind)   = nag_int(i+21);
    conn1(3, ind+1) = nag_int(i+20);
  end
end
reft1 = ones(722, 1, nag_int_name);
reft2 = reft1;
reft2(:) = nag_int(2);
itype = [nag_int(1)];
itrace = nag_int(1);

% Transform the first domain to obtain an overlapping second domain
trans = [15/19; 17/19; 0; 0; 0; 0];
[coor1, edge1, conn1, coor2, edge2, conn2, ifail] = ...
d06da( ...
       itype, trans, coor1, edge1, conn1, itrace);

% Restitch the meshes
[nv3, nelt3, nedge3, coor3, edge3, conn3, reft3, ifail] = ...
d06db( ...
       coor1, edge1, conn1, reft1, coor2, edge2, conn2, reft2, itrace);

% Plot the result
fig1 = figure;
triplot(transpose(double(conn3(:,1:nelt3))), coor3(1,:), coor3(2,:));
title ('Interior mesh of the two overlapping squares geometry');

% Now consider a partitioned second domain
trans = [1; 0; 0; 0; 0; 0];
[coor1, edge1, conn1, coor2, edge2, conn2, ifail] = ...
d06da( ...
       itype, trans, coor1, edge1, conn1, itrace);

% Restitch the meshes
[nv3, nelt3, nedge3, coor3, edge3, conn3, reft3, ifail] = ...
d06db( ...
       coor1, edge1, conn1, reft1, coor2, edge2, conn2, reft2, itrace);


% Plot the result
fig2 = figure;
triplot(transpose(double(conn3(:,1:nelt3))), coor3(1,:), coor3(2,:));
title ('Interior mesh of the two partitioned squares geometry');

% print(fig1,'-dpng','-r75','d06da_fig1.png');
% print(fig1,'-deps','-r75','d06da_fig1.eps');
% print(fig2,'-dpng','-r75','d06da_fig2.png');
% print(fig2,'-deps','-r75','d06da_fig2.eps');

% diary off
