function e01da_example

% diary e01da_example.r
fprintf('e01da example results\n\n');

x = [1.0   1.10    1.30    1.50    1.60    1.80    2.0];
f = [1.0   1.21    1.69    2.25    2.56    3.24    4.0;   
     1.1   1.31    1.79    2.35    2.66    3.34    4.1; 
     1.4   1.61    2.09    2.65    2.96    3.64    4.4; 
     1.7   1.91    2.39    2.95    3.26    3.94    4.7; 
     1.9   2.11    2.59    3.15    3.46    4.14    4.9;
     2.0   2.21    2.69    3.25    3.56    4.24    5.0];
y = [0.0;
     0.1;
     0.4;
     0.7;
     0.9;
     1.0];

[px, py, lamda, mu, c, ifail] = e01da( ...
                                       x, y, f);

% Display the knot sets, LAMDA and MU.

 fprintf('\n               i   knot lamda(i)      j     knot mu(j)\n');
j = 4:min(px,py)-3;
fprintf('%16d%12.4f%11d%12.4f\n',[j' lamda(j) j' mu(j)]');
if (px>py);
  j = py-2:px-3;
  fprintf('%16d%12.4f\n',[j' lamda(j)]');
elseif (px<py);
  j = px-2:py-3;
  fprintf('%16d%12.4f\n',[j' mu(j)]')
end

% Display the spline coefficients.
c = reshape(c, size(f')); 
fprintf('\n');
disp('The B-Spline coefficients:');
disp(c');

% Evaluate spline on regular 6-by-6 mesh
dx = (x(end)-x(1))/5;
dy = (y(end)-y(1))/5;
tx = [x(1):dx:x(end)];
ty = [y(1):dy:y(end)]';

[ff, ifail] = e02df( ...
                     tx, ty, lamda, mu, c);

% Display evaluations as matrix
ff = reshape(ff,[6,6]);

matrix = 'General';
diag = 'Non-unit';
format = 'F8.3';
title  = 'Spline evaluated on a regular mesh (x across, y down):';
chlab  = 'Character';
rlabs  = cellstr(num2str(tx'));
clabs  = cellstr(num2str(ty));
ncols  = nag_int(80);
indent = nag_int(0);
[ifail] =  x04cb( ...
                  matrix, diag, ff, format, title, chlab, ...
                  rlabs, chlab, clabs, ncols, indent);

% diary off
