function e02ag_example

% diary e02ag_example.r
fprintf('e02ag example results\n\n');

% Data to be fitted
n = 5;
x = [0.5;   1;     2;  2.5; 3];
y = [0.03; -0.75; -1; -0.1; 1.75];
w = [1;     1;     1;  1;   1];

% constrained values at two points x=0, 4.
% y(0) = 1, dy/dx(0) = -2; y(4) = 9.
ip = nag_int([1;0]);
xf = [0;      4];
yf = [1; -2;  9];
% degree and range of polynomial.
k = nag_int(4);
xmin = 0;
xmax = 4;

% Compute least squares fit for poynomial of degree at most k
lwrk = nag_int(200);
[a, s, np1, wrk, ifail] = e02ag(...
                                k, xmin, xmax, x, y, w, xf, yf, ip, lwrk);

fprintf('Degree      residual\n');
lyf = 3;
for i=lyf:k
  fprintf('%5d%15.2e\n',i,s(i+1));
end
p = a(k+1,:);

fprintf('\n     i      x(i)       y(i)       Fit     Residual\n');
for i = 1:n
  [fiti, ifail] = e02ak(k, xmin, xmax, p, nag_int(1), x(i));
  fprintf('%6d%11.4f%11.4f%11.4f%11.2e\n',...
          i, x(i), y(i), fiti, fiti-y(i));
end

% diary off
