function e02ah_example

% diary e02ah_example.r
fprintf('e02ah example results\n\n');

xmin = -0.5; xmax = 2.5;
a = [2.53213  1.13032  0.2715  0.04434   0.00547   0.00054  4e-05];

n = nag_int(6);
ia1 = nag_int(1);
iadif1 = nag_int(1);

% Get first derivative
[patm1, adif, ifail] = e02ah( ...
                              n, xmin, xmax, a, ia1, iadif1);

% Get second derivative
[patm1, adif2, ifail] = e02ah( ...
                               n, xmin, xmax, adif, ia1, iadif1);

% Evaluate polynomial and derivatives from coefficients adif and adif2 at x
m = 21;
dx =  (xmax-xmin)/(m-1);
x = [xmin:dx:xmax];

for i = 1:m
  [fit0(i), ifail] = e02ak( ...
                             n, xmin, xmax, a, ia1, x(i));
  [fit1(i), ifail] = e02ak( ...
                             n-1, xmin, xmax, adif, iadif1, x(i));
  [fit2(i), ifail] = e02ak( ...
                             n-2, xmin, xmax, adif2, iadif1, x(i));
end

sol = [x; fit0; fit1; fit2];
fprintf('     x           p(x)         p''(x)        p''''(x)\n');
fprintf('%9.4f    %9.4f    %9.4f    %9.4f\n',sol(1:4,1:5:21));

fig1 = figure;
plot(x,fit0,x,fit1,x,fit2);
title('Evaluation of Chebyshev Polynomial and its Derivatives');
xlabel('x');
ylabel('p(x),p''(x),p''''(x)');
legend('p(x)', 'p''(x)', 'p''''(x)','Location','NorthWest');

% print(fig1,'-dpng','-r75','e02ah_fig1.png');
% print(fig1,'-deps','-r75','e02ah_fig1.eps');

% diary off
