function e02aj_example

% diary e02aj_example.r
fprintf('e02aj example results\n\n');

% Chebyshev coefficients for f(x) on [-0.5,2.5]
xmin = -0.5; xmax = 2.5;
a = [2.53213  1.13032  0.2715  0.04434   0.00547   0.00054  4e-05];

n = nag_int(6);
ia1 = nag_int(1);
qatm1 = 0;
iaint1 = nag_int(1);

% Get integral coefficients aint
[aint, ifail] = e02aj( ...
                       n, xmin, xmax, a, ia1, qatm1, iaint1);

% Evaluate integral from x=0 to x=2 by subtraction
xa = 0;
xb = 2;
[inta, ifail] = e02ak( ...
                       n+1, xmin, xmax, aint, ia1, xa);
[intb, ifail] = e02ak( ...
                       n+1, xmin, xmax, aint, ia1, xb);

res = intb - inta;

fprintf('Value of definite integral = %7.4f\n',res);

% diary off
