function e02al_example

% diary e02al_example.r
fprintf('e02al example results\n\n');

% Minimax polynomial of degree 5 that fits exp(x) on grid in [0,1].
x = [0:0.05:1];
y = exp(x);
m = nag_int(5);
[a, ref, ifail] = e02al(x, y, m);

fprintf('   Polynomial coefficients\n');
fprintf('        %7.4f\n',a(1:m+1));
fprintf('\n   Reference deviation = %8.2e\n\n', ref);
fprintf('   x     Fit      exp(x)   Residual\n');

xx = [0:0.1:1];
p  = a(m+1:-1:1);
s  = polyval(p,xx);
yy = exp(xx);

for i=1:11
  fprintf('%6.2f%9.4f%9.4f%11.2e\n',xx(i), s(i), yy(i), s(i) - yy(i));
end

% diary off
