function e02bf_example

% diary e02bf_example.r
fprintf('e02bf example results\n\n');

% Data to fit
npts = 15;
x(1:8)    = [ 0;    0.5;   1;     1.5;  2;    2.5;   3;    4];
y(1:8)    = [-1.1; -0.372; 0.431; 1.69; 2.11; 3.1;   4.23; 4.35];
x(9:npts) = [4.5;   5;     5.5;   6;    7;    7.5;   8];
y(9:npts) = [4.81;  4.61;  4.79;  5.23; 6.35; 7.19;  7.97];

% Input parameters for fit
w(1:npts) = 1;
w(3)      = 1.5;
cstart    = 'c';
sfac      = 0.001;
nest      = nag_int(npts + 4);
lamda     = zeros(nest, 1);
wrk       = zeros(4*npts + 16*nest + 41, 1);
iwrk1     = zeros(nest, 1, nag_int_name);

% Determine the spline approximation
[n, lamda, c, fp, wrk, iwrk1, ifail] = ...
    e02be(...
          cstart, x, y, w, sfac, nest, lamda, wrk, iwrk1);

% Interpolation points
nip   = 20;
xe    = [6.5178; 7.2463; 1.0159; 7.3070; 5.0589; 0.7803; 2.2280; 4.3751; ...
         7.6601; 7.7191; 1.2609; 7.7647; 7.6573; 3.8830; 6.4022; 1.1351; ...
         3.3741; 7.3259; 6.3377; 7.6759];
xe = sort(xe);
% Input parameters for interpolation
ixloc = zeros(nip, 1, nag_int_name);
iwrk2 = zeros(3+3*nip, 1, nag_int_name);
xord  = nag_int(0);
start = nag_int(0);
deriv = nag_int(3);

% Evaluate the spline and derivatives
[s, ixloc, iwrk2, ifail] = e02bf(...
        start, lamda, c, deriv, xord, xe, ixloc, iwrk2);

% Output the results
fprintf('%8s%7s%10s%10s%10s%10s\n',...
        'x','ixloc','s(x)','ds/dx','d2s/dx2','d3s/dx3');
sd2 = min(abs(deriv),3) + 1;
for r = 1:nip
  if ixloc(r) >= 4 && ixloc(r) <= n
    fprintf('%8.4f%7d%10.4f%10.4f%10.4f%10.4f\n', ...
            xe(r), ixloc(r), s(r, 1:sd2));
  else
    fprintf('%8.4f%7d\n', x(r), ixloc(r));
  end
end

% diary off
