function e04hc_example

% diary e04hc_example.r
fprintf('e04hc example results\n\n');

x  = [1.46; -0.82;  0.57;  1.21];
fprintf('The test point is: %8.2f%8.2f%8.2f%8.2f\n',x);

iw = [nag_int(0)];
w  = zeros(12,1);

wstat = warning;
warning('OFF');
[f, g, iw, w, ifail] = e04hc(@funct, x, iw, w);
if (ifail>=0)
  if (ifail==0)
    fprintf('\n1st derivatives are consistent with function values\n');
  else
    fprintf('\nProbable error in calculation of 1st derivatives\n');
  end
  fprintf('At test point, f = %7.3f\n',f)
  fprintf('               g = %7.3f %7.3f %7.3f %7.3f\n',g)
end

warning(wstat);

% diary off

function [iflag, fc, gc, iw, w] = funct(iflag, n, xc, iw, liw, w, lw)
  gc = zeros(n, 1);
  fc = 0;
  a = xc(1) + 10*xc(2);
  b = xc(3) -    xc(4);
  c = xc(2) -  2*xc(3);
  d = xc(1) -    xc(4);
  if (iflag ~= 1)
    fc = a^2 + 5*b^2 + c^4 + 10*d^4;
  end
  if (iflag ~= 0)
    gc(1) =   2*a + 40*d^3;
    gc(2) =  20*a +  4*c^3;
    gc(3) =  10*b -  8*c^3;
    gc(4) = -10*b - 40*d^3;
  end
