function e04hd_example

% diary e04hd_example.r
fprintf('e04hd example results\n\n');

x = [1.46  -0.82    0.57   1.21];
n = nag_int(4);
lh = nag_int(6);
iw = [nag_int(0)];
w =  zeros(20,1);
[g, hesl, hesd, iw, w, ifail] = ...
e04hd( ...
       @funct, @hess, x, lh, iw, w);

[iflag, f, gc] = funct(n, n, x);

fprintf('The test point is: %8.2f%8.2f%8.2f%8.2f\n',x);

fprintf('\n2nd derivatives are consistent with 1st derivatives\n');
fprintf('\nAt test point, f = %7.3f\n',f)
fprintf(' 1st derivatives = %7.3f %7.3f %7.3f %7.3f\n',g)

fprintf('\nH gives the lower triangle of the Hessian matrix\n');
fprintf('%12.3e\n', hesd(1));
k = 1;
for i = 2:n
  fprintf('%12.3e', hesl(k:(k+i-2)), hesd(i)); 
  fprintf('\n');
  k = k + i - 1;
end

% diary off

function [iflag, fc, gc] = funct(iflag, n, xc)
  gc = zeros(n, 1);
  fc = (xc(1)+10*xc(2))^2 +  5*(xc(3)-xc(4))^2 + ...
       (xc(2)- 2*xc(3))^4 + 10*(xc(1)-xc(4))^4;
  gc(1) =  2*(xc(1)+10*xc(2)) + 40*(xc(1)-xc(4))^3;
  gc(2) = 20*(xc(1)+10*xc(2)) +  4*(xc(2)-2*xc(3))^3;
  gc(3) = 10*(xc(3)-xc(4))    -  8*(xc(2)-2*xc(3))^3;
  gc(4) = 10*(xc(4)-xc(3))    - 40*(xc(1)-xc(4))^3;


function [iflag, fhesl, fhesd] = hess(iflag, n, xc, lh, fhesd)
  fhesl = zeros(lh, 1);
  fhesd = zeros(n, 1);

  fhesd(1) =   2 + 120*(xc(1)-  xc(4))^2;
  fhesd(2) = 200 +  12*(xc(2)-2*xc(3))^2;
  fhesd(3) =  10 +  48*(xc(2)-2*xc(3))^2;
  fhesd(4) =  10 + 120*(xc(1)-  xc(4))^2;

  fhesl(1) = 20;
  fhesl(2) =  0;
  fhesl(3) = -24*(xc(2)-2*xc(3))^2;
  fhesl(4) = -120*(xc(1)-xc(4))^2;
  fhesl(5) =  0;
  fhesl(6) = -10;
