function e04jc_example

% diary e04jc_example.r
fprintf('e04jc example results\n\n');

maxcal = nag_int(500);
rhobeg = 0.1;
rhoend = 1.0e-6;
n = 4;
npt = nag_int(2*n + 1);

% x(3) is unconstrained, so we're going to set bl(3) to a large
% negative number and bu(3) to a large positive number.
infbnd = x02al^0.25;
bl = [1, -2, -infbnd, 1];
bu = [3, 0, infbnd, 3];
x  = [3, -1, 0, 1];

[x, f, nf, user, ifail] = ...
  e04jc( ...
         @objfun, npt, x, bl, bu, rhobeg, rhoend, @monfun, maxcal);

fprintf('\nFunction value at lowest point found =  %12.5e\n',f);
fprintf(' The corresponding X is:\n');
fprintf('%14.5e',x);
fprintf('\n');

% diary off

function [f, user, inform] = objfun(n, x, user)
  inform = nag_int(0);

  f = (x(1)+10*x(2))^2 + 5*(x(3)-x(4))^2 + (x(2)-2*x(3))^4 + 10*(x(1)-x(4))^4;

function [user, inform] = monfun(n, nf, x, f, rho, user)
  inform = nag_int(0);

  fprintf('\nNew rho = %13.5e, number of function evaluations = %d\n', rho, nf);
  fprintf('Current function value = %13.5e\n', f);
  fprintf('The corresponding X is:');
  fprintf(' %13.5e', x);
  fprintf('\n');
