function e04nm_example

% diary e04nm_example.r
fprintf('e04nm example results\n\n');

n = nag_int(7);
m = nag_int(8);
iobj = nag_int(8);
ncolh = nag_int(7);

% A in coordinate storage form to see the problem better
a = [ 1    1    1    1    1    1    1    ...
      0.15 0.04 0.02 0.04 0.02 0.01 0.03 ...
      0.03 0.05 0.08 0.02 0.06 0.01      ...
      0.02 0.04 0.01 0.02 0.02           ...
      0.02 0.03           0.01           ...
      0.70 0.75 0.80 0.75 0.80 0.97      ...
      0.02 0.06 0.08 0.12 0.02 0.01 0.97 ...
     -200 -2000 -2000 -2000 -2000 400 400];
irow = nag_int([1  1  1  1  1  1  1 ...
                2  2  2  2  2  2  2 ...
                3  3  3  3  3  3    ...
                4  4  4  4  4       ...
                5  5        5       ...
                6  6  6  6  6  6    ...
                7  7  7  7  7  7  7 ...
                8  8  8  8  8  8  8]);
icol = nag_int([1  2  3  4  5  6  7 ...
                1  2  3  4  5  6  7 ...
                1  2  3  4  5  6    ...
                1  2  3  4  5       ...
                1  2        5       ...
                1  2  3  4  5  6    ...
                1  2  3  4  5  6  7 ...
                1  2  3  4  5  6  7]);

% Convert to compressed column storage format for e04nk
dup = 'F';
zero = 'R';
nz = nag_int(size(a,2));
[nz, a, irow, ha, ka, ifail] = ...
f11za( ...
       m, nz, a, icol, irow, dup, zero);

% constraint bounds
bn = -1e25; bp = 1e25;
bl = [  0    0 400 100    0  0  0 2000 bn  bn bn bn 1500 250 bn];
bu = [200 2500 800 700 1500 bp bp 2000 60 100 40 30   bp 300 bp];
start = 'C';
names = {'        '; '        '; '        '; '        '; '        '};
crname = {'...X1...'; '...X2...'; '...X3...'; '...X4...'; '...X5...'; ...
          '...X6...'; '...X7...'; '..ROW1..'; '..ROW2..'; '..ROW3..'; ...
          '..ROW4..'; '..ROW5..'; '..ROW6..'; '..ROW7..'; '..COST..'};


ns = nag_int(0);
xs = zeros(n+m,1);
istate = zeros(n+m, 1, nag_int_name);
leniz = nag_int(10000);
lenz  = nag_int(10000);

% Initialize
[cwsav,lwsav,iwsav,rwsav,ifail] = e04wb( ...
                                         'e04nk');
% Print solution option
[lwsav, iwsav, rwsav, inform] = e04nm( ...
                                       'Print Level = 1', lwsav, iwsav, rwsav);
% Optimize
[ns, xs, istate, miniz, minz, ninf, sinf, obj, clamda, ...
 user, lwsav, iwsav, rwsav, ifail] = ...
e04nk( ...
       n, m, iobj, ncolh, @qphx, a, ha, ka, bl, bu, start, names, crname, ...
       ns, xs, istate, leniz, lenz, lwsav, iwsav, rwsav);

% diary off

function [hx, user] = qphx(nstate, ncolh, x, user)
  hx = zeros(ncolh, 1);

  hx(1) = 2*x(1);
  hx(2) = 2*x(2);
  hx(3) = 2*(x(3)+x(4));
  hx(4) = hx(3);
  hx(5) = 2*x(5);
  hx(6) = 2*(x(6)+x(7));
  hx(7) = hx(6);
