function e04nq_example

% diary e04nq_example.r
fprintf('e04nq example results\n\n');

start = 'C';
m     = nag_int(8);
n     = nag_int(7);
lenc  = nag_int(0);
ncolh = nag_int(7);
iobj  = nag_int(8);
objadd = 0;
prob  = '        ';
% A in coordinate storage form to see the problem better
a = [ 1    1    1    1    1    1    1    ...
      0.15 0.04 0.02 0.04 0.02 0.01 0.03 ...
      0.03 0.05 0.08 0.02 0.06 0.01      ...
      0.02 0.04 0.01 0.02 0.02           ...
      0.02 0.03           0.01           ...
      0.70 0.75 0.80 0.75 0.80 0.97      ...
      0.02 0.06 0.08 0.12 0.02 0.01 0.97 ...
     -200 -2000 -2000 -2000 -2000 400 400];
irow = nag_int([1  1  1  1  1  1  1 ...
                2  2  2  2  2  2  2 ...
                3  3  3  3  3  3    ...
                4  4  4  4  4       ...
                5  5        5       ...
                6  6  6  6  6  6    ...
                7  7  7  7  7  7  7 ...
                8  8  8  8  8  8  8]);
icol = nag_int([1  2  3  4  5  6  7 ...
                1  2  3  4  5  6  7 ...
                1  2  3  4  5  6    ...
                1  2  3  4  5       ...
                1  2        5       ...
                1  2  3  4  5  6    ...
                1  2  3  4  5  6  7 ...
                1  2  3  4  5  6  7]);

% Convert to compressed column storage format for e04nk
dup = 'F';
zero = 'R';
nz = nag_int(size(a,2));
[nz, a, icol, irow, icolzp, ifail] = ...
f11za( ...
       m, nz, a, icol, irow, dup, zero);

% constraint bounds
bn = -1e25; bp = 1e25;
bl = [  0    0 400 100    0  0  0 2000 bn  bn bn bn 1500 250 bn];
bu = [200 2500 800 700 1500 bp bp 2000 60 100 40 30   bp 300 bp];
c = [0];
names = {' '};
helast = zeros(m+n,1,nag_int_name);
hs     = zeros(m+n,1,nag_int_name);
x      = zeros(m+n,1);
ns     = nag_int(0);
% Initialize and set options
[cw, iw, rw, ifail] = e04np;
[cw, iw, rw, ifail] = e04ns('NoList', cw, iw, rw);
[cw, iw, rw, ifail] = e04ns('Print Level = 0', cw, iw, rw);
[hs, x, pi, rc, ns, ninf, sinf, obj, cuser, cw, iw, rw, ifail] = ...
     e04nq(...
           start, @qphx, m, n, lenc, ncolh, iobj, objadd, prob, a, ...
           irow, icolzp, bl, bu, c, names, helast, hs, x, ns, cw, iw, rw);
fprintf('Minimum value     :  %10.1f\n\n',obj);
fprintf('Found at x:\n   ');
fprintf(' %8.1f',x(1:n));
fprintf('\nLinear contrained values Ax:\n   ');
fprintf(' %8.1f',x(n+1:n+m));
fprintf('\n');

% diary off

function [hx, user] = qphx(ncolh, x, nstate, user)
  hx = zeros(ncolh, 1);

  hx(1) = 2*x(1);
  hx(2) = 2*x(2);
  hx(3) = 2*(x(3)+x(4));
  hx(4) = hx(3);
  hx(5) = 2*x(5);
  hx(6) = 2*(x(6)+x(7));
  hx(7) = hx(6);
