function e04uf_example

% diary e04uf_example.r
fprintf('e04uf example results\n\n');

nclin = 1;
irevcm = nag_int(0);
n = 4;
a = [1, 1, 1, 1];
m = 7;
bl = [1   1   1   1 -1e25 -1e25   25];
bu = [5   5   5   5    20    40 1e25];
iter = nag_int(0);
istate = zeros(m, 1, nag_int_name);
nc     = 2;
c      = zeros(nc,1);
cjac   = zeros(nc,n);
clamda = zeros(m, 1);
objf   = 0;
objgrd = zeros(n, 1);
r      = zeros(n, n);

x = [1  5  5  1];
iwork = zeros(100, 1, nag_int_name);
work  = zeros(1000, 1);

% Initialize
[cwsav,lwsav,iwsav,rwsav,ifail] = e04wb(...
                                        'e04uf');

% Reverse communication loop
irevcm = nag_int(0);
solved = false; 

while (~solved)

  [irevcm, iter, istate, c, cjac, clamda, objf, objgrd, r, x, needc, ...
   iwork, work, cwsav, lwsav, iwsav, rwsav, ifail] = ...
  e04uf( ...
         irevcm, a, bl, bu, iter, istate, c, cjac, clamda, ...
         objf, objgrd, r, x, iwork, work, cwsav, lwsav, iwsav, rwsav);

  if irevcm == 0
     solved = true;
  end
  if (irevcm == 1 || irevcm == 3)
    % Evaluate the objective function.
    objf = x(1)*x(4)*(x(1)+x(2)+x(3)) + x(3);
  end
  if (irevcm == 2  ||  irevcm == 3)
    % Evaluate the objective gradient.
    objgrd(1) = x(4)*(2*x(1)+x(2)+x(3));
    objgrd(2) = x(1)*x(4);
    objgrd(3) = x(1)*x(4) + 1;
    objgrd(4) = x(1)*(x(1)+x(2)+x(3));
  end
  if (irevcm == 4  ||  irevcm == 6)
    % Evaluate the nonlinear constraint functions.
    if (needc(1) > 0)
      c(1) = dot(x,x);
    end
    if (needc(2) > 0)
      c(2) = x(1)*x(2)*x(3)*x(4);
    end
  end
  if (irevcm == 5  ||  irevcm == 6)
    % Evaluate the constraint Jacobian.
    if (needc(1) > 0)
      cjac(1,1:n) = 2*x;
    end
    if (needc(2) > 0)
      cjac(2,1) = x(2)*x(3)*x(4);
      cjac(2,2) = x(1)*x(3)*x(4);
      cjac(2,3) = x(1)*x(2)*x(4);
      cjac(2,4) = x(1)*x(2)*x(3);
    end
  end
end

fprintf('\n Varbl  Istate   Value         Lagr Mult\n');
for i=1:n
  fprintf(' V %3d %3d %14.4f %12.4f \n', i, istate(i), x(i), clamda(i));
end
ax = a*x';
fprintf('\n L Con  Istate   Value         Lagr Mult\n')
for i=n+1:n+nclin
  j=i-n;
  fprintf(' L %3d %3d  %14.4f%12.4f\n', j, istate(i), ax(j), clamda(i));
end
fprintf('\n L Con  Istate   Value         Lagr Mult\n')
for i=n+nclin+1:n+nclin+nc
  j=i-n-nclin;
  fprintf(' N %3d %3d  %14.4f%12.4f\n', j, istate(i), c(j), clamda(i));
end
fprintf('\n Final objective value = %15.7f\n', objf)

% diary off
