function e04ug_example

% diary e04ug_example.r
fprintf('e04ug example results\n\n');

n     = nag_int(4);
m     = nag_int(6);
ncnln = nag_int(3);
nonln = nag_int(4);
njnln = nag_int(2);
iobj  = nag_int(6);
a  = [1e25; 1e25; 1e25;   1;   -1;
      1e25; 1e25; 1e25;  -1;    1;
         3;   -1;
        -1;    2];
ha = nag_int([ 1; 2; 3; 5; 4; 1; 2; 3; 5; 4; 6; 1; 2; 6]);
ka = nag_int([ 1;             6;            11;   13;    15]);
bl = [-0.55; -0.55;    0;    0;
                                -894.8; -894.8; -1294.8; -0.55; -0.55; -1e25];
bu = [ 0.55;  0.55; 1200; 1200;
                                -894.8; -894.8; -1294.8;  1e25;  1e25;  1e25];
start = 'C';
names = {'Varble 1'; 'Varble 2'; 'Varble 3'; 'Varble 4'; 'NlnCon 1'; ...
         'NlnCon 2'; 'NlnCon 3'; 'LinCon 1'; 'LinCon 2'; 'Free Row'};
ns = nag_int(0);
xs     = [ 0; 0; 0; 0; 0; 0; 0; 0; 0; 0];
istate(1:10) = nag_int(0);
clamda = [ 0; 0; 0; 0; 0; 0; 0; 0; 0; 0];
leniz  = nag_int(1000);
lenz   = nag_int(1000);

% Catch warnings and assume ifail=3,5 gives a good estimate
wstat = warning();
warning('OFF');

[cwsav,lwsav,iwsav,rwsav,ifail] = e04wb('e04ug');
disp('First call to e04ug')
[a, ns, xs, istate, clamda, miniz, minz, ninf, sinf, obj, user, lwsav, ...
   iwsav, rwsav, ifail] = ...
     e04ug(...
           @confun, @objfun, n, m, ncnln, nonln, njnln, ...
            iobj, a, ha, ka, bl, bu, start, names, ns, ...
            xs, istate, clamda, lwsav, iwsav, rwsav);
if (ifail == 15 || ifail == 16)
  % Default amount of workspace is insufficient, use values bigger than those
  % returned in minz and miniz
  minz  = 10*minz;
  miniz = 10*miniz;
  fprintf('  returned with ifail = %d,\n',ifail);
  fprintf('  increasing minz to %d and miniz to %d and calling again\n', ...
          minz, miniz);
  fprintf('\nSecond call to e04ug\n')
  [a, ns, xs, istate, clamda, miniz, minz, ninf, sinf, obj, user, lwsav, ...
     iwsav, rwsav, ifail] = ...
      e04ug(...
            @confun, @objfun, n, m, ncnln, nonln, njnln, ...
            iobj, a, ha, ka, bl, bu, start, names, ns, ...
            xs, istate, clamda, lwsav, iwsav, rwsav, ...
            'lenz', minz, 'leniz', miniz);
end
if (ifail==0)
  fprintf('\nMinimum found at x: ');
  fprintf(' %9.4f',xs(1:n));
  fprintf('\nMinimum value     :  %9.4f\n\n',obj);
else   
  fprintf('\n Error: e04ug returns ifail = %d\n',ifail);
end

warning(wstat);

% diary off

function [mode, f, fjac, user] = ...
   confun(mode, ncnln, njnln, nnzjac, x, fjac, nstate, user)
  f = zeros(ncnln, 1);

  x1 = -x(1) - 0.25;
  x2 = -x(2) - 0.25;
  x3 =  x(1) - 0.25;
  x4 =  x(2) - 0.25;
  x5 =  x(1) - x(2) - 0.25;
  x6 =  x(2) - x(1) - 0.25;
  if (mode == 0 || mode == 2)
    f(1) = 1000*sin(x1) + 1000*sin(x2);
    f(2) = 1000*sin(x3) + 1000*sin(x5);
    f(3) = 1000*sin(x6) + 1000*sin(x4);
  end

  if (mode == 1 || mode == 2)
%   nonlinear jacobian elements for column 1.
    fjac(1) = -1000*cos(x1);
    fjac(2) =  1000*cos(x3) + 1000*cos(x5);
    fjac(3) = -1000*cos(x6);
%   nonlinear jacobian elements for column 2.
    fjac(4) = -1000*cos(x2);
    fjac(5) = -1000*cos(x5);
    fjac(6) =  1000*cos(x6) + 1000*cos(x4);
  end


function [mode, objf, objgrd, user] = ...
    objfun(mode, nonln, x, objgrd, nstate, user)

  if (mode == 0 || mode == 2)
    objf = 1.0e-6*(x(3)^3 + 2*x(4)^3/3);
  end

  if (mode == 1 || mode == 2)
    objgrd(1) = 0;
    objgrd(2) = 0;
    objgrd(3) = 3.0e-6*x(3)^2;
    objgrd(4) = 2.0e-6*x(4)^2;
  end
