function e04vh_example

% diary e04vh_example.r
fprintf('e04vh example results\n\n');


start  = nag_int(0);
objadd = 0;
objrow = nag_int(6);
prob  = '        ';
iarow = nag_int([1;2;4;4;5;5;6;6]);
iacol = nag_int([3;4;1;2;1;2;3;4]);
nea   = nag_int(8);
a     = [ -1; -1; -1;  1;  1; -1;  3;  2];
igrow = nag_int([1;1;2;2;3;3;6;6]);
igcol = nag_int([1;2;1;2;1;2;3;4]);
neg   = nag_int(8);

xlow  = [-0.55;  -0.55;    0;    0];
xupp  = [ 0.55;   0.55; 1200; 1200];
x     = [ 0;      0;       0;    0];
xnames = {' '};
xstate = zeros(4, 1, nag_int_name);

flow  = [-894.8; -894.8; -1294.8; -0.55; -0.55; -1e25];
fupp  = [-894.8; -894.8; -1294.8;  1e25;  1e25;  1e25];
f     = [   0;      0;       0;       0;     0;     0];
fnames = {' '};
fstate = zeros(6, 1, nag_int_name);
fmul   = zeros(6, 1);
ns     = nag_int(0);

[cw, iw, rw, ifail] = e04vg;

[x, xstate, xmul, f, fstate, fmul, ns, ninf, sinf, ...
                                   cw, iw, rw, cuser, ifail] = ...
     e04vh(...
           start, objadd, objrow, prob, @usrfun, iarow, iacol, ...
           nea, a, igrow, igcol, neg, xlow, xupp, xnames, flow, fupp, ...
           fnames, x, xstate, f, fstate, fmul, ns, cw, iw, rw);
% x, xstate, xmul, f, fstate, fmul, ns, ninf, sinf, ifail

fprintf('Final objective value  :   %8.1f\n',f(objrow));
fprintf('Optimal values for x   :  ');
fprintf(' %9.2f',x);
fprintf('\n');

% diary off

function [status, f, g, user] = ...
  usrfun(status, n, x, needf, nf, f, needg, leng, g, user)

  if (needf > 0)
%   The nonlinear components of f_i(x) need to be assigned,
%   for i = 1 to NF
    f(1) = 1000*sin(-x(1)-0.25)     + 1000*sin(-x(2) -0.25);
    f(2) = 1000*sin(x(1)-0.25)      + 1000*sin(x(1)-x(2) -0.25);
    f(3) = 1000*sin(x(2)-x(1)-0.25) + 1000*sin(x(2) -0.25);
%   n.b. in this example there is no need to assign for the wholly
%   linear components f_4(x) and f_5(x).
    f(6) = 1.0d-6*x(3)^3 + 2.0d-6*x(4)^3/3;
  end

  if (needg > 0)
%   The derivatives of the function f_i(x) need to be assigned.
%   G(k) should be set to partial derivative df_i(x)/dx_j where
%   i = IGFUN(k) and j = IGVAR(k), for k = 1 to LENG.
    g(1) = -1000*cos(-x(1)-0.25);
    g(2) = -1000*cos(-x(2)-0.25);
    g(3) =  1000*cos(x(1)-0.25)      + 1000*cos(x(1)-x(2) -0.25);
    g(4) = -1000*cos(x(1)-x(2)-0.25);
    g(5) = -1000*cos(x(2)-x(1)-0.25);
    g(6) =  1000*cos(x(2)-x(1)-0.25) + 1000*cos(x(2) -0.25);
    g(7) = 3.0d-6*x(3)^2;
    g(8) = 2.0d-6*x(4)^2;
  end
