function f01hb_example

% diary f01hb_example.r
fprintf('f01hb example results\n\n');

a = [0.7+0.8i, -0.2+0.0i, 1.0+0.0i, 0.6+0.5i;
     0.3+0.7i,  0.7+0.0i, 0.9+3.0i, 1.0+0.8i;
     0.3+3.0i, -7.0+0.0i, 0.2+0.6i, 0.7+0.5i;
     0.0+0.9i,  4.0+0.0i, 0.0+0.0i, 0.2+0.0i];
b = [0.1+0.0i,  1.2+0.1i;
     1.3+0.9i, -0.2+2.0i;
     4.0+0.6i, -1.0+0.8i;
     0.4+0.0i, -0.9+0.0i];
n = 4;
m = 2;

t = complex(1.1);
b2 = b; x = b; y = b;
p = complex(zeros(n, 1)); r = p; z = p;
comm =  zeros(3*n+14, 1);
icomm = zeros(2*n+40, 1, nag_int_name);
ccomm = complex(zeros(n*(m+2), 1));
tr = trace(a);

% Compute exp(ta)b by reverse communication
irevcm = nag_int(0);
done = false;

while ~done
  [irevcm, b, b2, x, y, p, r, z, ccomm, comm, icomm, ifail] = ...
  f01hb( ...
         irevcm, b, t, b2, x, y, p, r, z, ccomm, comm, icomm, 'tr', tr);
  switch irevcm
    case {0}
      done = true;
    case {1}
      % Compute ab and store in b2
      b2 = a*b;
    case {2}
      % Compute ax and store in y
      y = a*x;
    case {3}
      % Compute a^Hy and store in x
      x = a'*y;
    case {4}
      % compute az and store in p
      p = a*z;
    case {5}
      % compute a^Hz and store in r
      r = a'*z;
  end
end

fprintf('\n exp(tA)B\n');
disp(b);

% diary off
