function f01kc_example

% diary f01kc_example.r
fprintf('f01kc example results\n\n');

a = [1+1i, 0+1i, 1+0i, 2+0i;
     0+0i, 2+0i, 0+2i, 1+0i;
     0+1i, 0+1i, 0+0i, 2+0i;
     1+0i, 0+1i, 1+0i, 0+1i];

% Find absolute condition number estimate
[a, user, iflag, conda, norma, normfa, ifail] = ...
f01kc(a, @fexp3);

fprintf('\nf(A) = exp(3A)\n');
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = x02aj;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off

function [iflag, fz, user] = fexp3(m, iflag, nz, z, user)
  fz = 3^double(m)*exp(3*z);
