function f02jq_example

% diary f02jq_example.r
fprintf('f02jq example results\n\n');

% Solve quadratic eigenvalue problem defined by A, B and C:

a = [ 2 4 4;
      6 2 2;
      6 4 2]*i;

b = [ 3 2 1;
      2 1 3;
      1 3 2]*(1+i);

c = complex([ 1 1 2;
              2 3 1;
              3 1 2]);

% Use default scaling and compute eigenvalue condition numbers and
% backward errors for both left and right eigenpairs
scal  = nag_int(1);
sense = nag_int(7);
tol   = 0;
[a, b, c, alpha, beta, vl, vr, s, bevl, bevr, iwarn, ifail] = ...
  f02jq(...
        scal, 'V', 'V', sense, tol, a, b, c);

eigv = alpha./beta;
disp('Eigenvalues:');
disp(eigv);
[ifail] = x04da('General', ' ', vr, 'Right eigenvectors:');
disp(' ');
[ifail] = x04da('General', ' ', vl, 'Left eigenvectors:');
disp(' ');
disp('Eigenvalue condition numbers:');
disp(s);
fprintf('\nMaximum backward errors for eigenvalues and\n');
fprintf('%30s eigenvectors: %7.2e\n', 'right', max(bevr));
fprintf('%30s eigenvectors: %7.2e\n', 'left', max(bevl));

% diary off
