function f04ch_example

% diary f04ch_example.r
fprintf('f04ch example results\n\n');

% Solve complex Ax = b for Hermitian A with error bound and condition number
cz = complex(0);
uplo = 'Upper';
a = [-1.84,  0.11 - 0.11i, -1.78 - 1.18i,  3.91 - 1.50i;
        cz, -4.63 + 0i,    -1.84 + 0.03i,  2.21 + 0.21i;
        cz,         cz,    -8.87 + 0i,     1.58 - 0.90i;
        cz,         cz,            cz,    -1.36 + 0i];
b = [ 2.98 - 10.18i,  28.68 - 39.89i;
     -9.58 +  3.88i, -24.79 -  8.40i;
     -0.77 - 16.05i,   4.23 - 70.02i;
      7.79 +  5.48i, -35.39 + 18.01i];

[a, ipiv, x, rcond, errbnd, ifail] = ...
  f04ch(uplo, a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
