function f04yd_example

% diary f04yd_example.r
fprintf('f04yd example results\n\n');


% Example 1: Compute the condition number of a dense matrix
fprintf('\nExample 1\n');

a = [0.7,  -0.2,   1.0,   0.0,   2.0,   0.1;
     0.3,   0.7,   0.0,   1.0,   0.9,   0.2;
     0.0,   0.0,   0.2,   0.7,   0.0,  -1.1;
     0.0,   3.4,  -0.7,   0.2,   0.1,   0.1;
     0.0,  -4.0,   0.0,   1.0,   9.0,   0.0;
     0.4,   1.2,   4.3,   0.0,   6.2,   5.9];
t = nag_int(2);
m = 6;
n = 6;
x = zeros(n, t);
y = zeros(m, t);
estnrm = 0;
seed = nag_int(354);
irevcm = nag_int(0);
work = zeros(n*t, 1);
iwork = zeros(2*n+5*t+20, 1, nag_int_name);

nrma =  norm(a, 1);
fprintf('\nThe norm of a is %6.2f\n', nrma);

% Estimate the norm of a^(-1) without explicitly forming a^(-1)

% Perform an LU factorization so that A=LU where L and U are lower and upper
% triangular.
[a, ipiv, info] = f07ad(a);

first = true;

while first || (irevcm ~= 0)
  first = false;

  [irevcm, x, y, estnrm, work, iwork, ifail] = ...
      f04yd( ...
             irevcm, x, y, estnrm, seed, work, iwork);

  switch irevcm
    case 1
      % Compute y = inv(a)*x
      [y, info] = f07ae('n', a, ipiv, x);
    case 2
      % Compute x = transpose(inv(a))*y
      [x, info] = f07ae('t', a, ipiv, y);
    otherwise
  end
end

fprintf('The estimated norm of inverse(a) is: %6.2f\n', estnrm);
fprintf('\nEstimated condition number of a: %6.2f\n', estnrm*nrma);

% Example 2: Compute the condition number of a sparse matrix
% (stored in symmetric coordinate storage format)
fprintf('\nExample 2\n');

t = nag_int(2);
n = nag_int(5);
nz = nag_int(10);
a = zeros(4*nz, 1);
icn = zeros(4*nz, 1, nag_int_name);
irn = zeros(4*nz, 1, nag_int_name);
a(1:nz)   = [3; 2; 1; 2; 1; 4; 2; 1; 2; 5];
irn(1:nz) = [2; 4; 2; 3; 5; 4; 5; 1; 3; 4];
icn(1:nz) = [1; 1; 2; 2; 2; 3; 3; 4; 4; 5];

x = zeros(n, t);
y = zeros(n, t);
estnrm = 0;
seed = nag_int(412);
irevcm = nag_int(0);
work = zeros(n*t, 1);
iwork = zeros(2*n+5*t+20, 1, nag_int_name);

% Compute 1-norm of a
nrma =  0;
for i = 1:n
  asum = 0;
  for j = 1:nz
    if (icn(j)==i)
      asum = asum + abs(a(j));
    end
  end
  nrma = max(nrma,asum);
end

fprintf('\nThe norm of a is %6.2f\n', nrma);

% Perform an LU factorization so that A=LU where L and U are lower and upper
% triangular.
abort = [true; true; false; false];
[a, irn, icn, ikeep, w, idisp, ifail] = ...
  f01br(n, nz, a, irn, icn, abort);


% Compute an estimate of the 1-norm of inv(a)

first = true;

while first || (irevcm ~= 0)
  first = false;

  [irevcm, x, y, estnrm, work, iwork, ifail] = ...
    f04yd( ...
           irevcm, x, y, estnrm, seed, work, iwork);

  switch irevcm
    case 1
      % Compute y = inv(a)*x
      for i=1:2
        [y(:, i), resid] = f04ax( ...
                                  a, icn, ikeep, x(:, i), irevcm, idisp);
      end
    case 2
      % Compute x = transpose(inv(a))*y
      for i=1:2
        [x(:, i), resid] = f04ax( ...
                                  a, icn, ikeep, y(:, i), irevcm, idisp);
      end
    otherwise
  end
end

fprintf('The estimated norm of inverse(a) is: %6.2f\n', estnrm);
fprintf('\nEstimated condition number of a: %6.2f\n', estnrm*nrma);

% diary off
