function f07bh_example

% diary f07bh_example.r
fprintf('f07bh example results\n\n');

kl = nag_int(1);
ku = nag_int(2);
m  = nag_int(4);
ab = [ 0,    0,    -3.66, -2.13;
       0,    2.54, -2.73,  4.07;
      -0.23, 2.46,  2.46, -3.82;
      -6.98, 2.56, -4.78,  0];

% Factorize A
abf = [zeros(kl,m); ab];
[abf, ipiv, info] = f07bd( ...
                           m, kl, ku, abf);

b = [ 4.42, -36.01;
     27.13, -31.67;
     -6.14,  -1.16;
     10.5,  -25.82];

% Compute Solution
trans = 'N';
[x, info] = f07be( ...
                   trans, kl, ku, abf, ipiv, b);

% Improve solution
[x, ferr, berr, info] = f07bh( ...
                               trans, kl, ku, ab, abf, ipiv, b, x);

[ifail] = x04ca( ...
                 'General', ' ', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
