function f07bp_example

% diary f07bp_example.r
fprintf('f07bp example results\n\n');

% Banded matrix A and rhs B
m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0    + 0i,      0    +  0i,     0.97 - 2.84i,  0.59 - 0.48i;
       0    + 0i,     -2.05 -  0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 + 2.26i,  -1.48 -  1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    + 6.3i,   -0.77 +  2.83i,  4.48 - 1.09i,  0    + 0i];
b = [ -1.06 + 21.5i,  12.85 +  2.84i;
     -22.72 - 53.9i, -70.22 + 21.57i;
      28.24 - 38.6i, -20.73 -  1.23i;
     -34.56 + 16.73i  26.01 + 31.97i];

% Initialize input parameters
afb  = complex(zeros(2*kl+ku+1, m));
ipiv = zeros(m,1,nag_int_name);
r    = zeros(m,1);
c    = r;

% Solve AX = B after equilibrating
fact  = 'Equilibration';
trans = 'No transpose';
equed = ' ';
[ab, afb, ipiv, equed, r, c, b, x, rcond, ferr, berr, rwork, info] = ...
  f07bp( ...
         fact, trans, kl, ku, ab, afb, ipiv, equed, r, c, b);

fprintf('Solution(s):\n');
disp(x);
fprintf('\nApproximate condition number = %9.3f\n',1/rcond);
fprintf('Approximate forward  errors  :\n');
fprintf('                               %11.1e\n',ferr);
fprintf('Approximate backward errors  :\n')
fprintf('                               %11.1e\n',berr);

% diary off
