function f07bv_example

% diary f07bv_example.r
fprintf('f07bv example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0    + 0i,     0    + 0i,     0.97 - 2.84i,  0.59 - 0.48i;
       0    + 0i,    -2.05 - 0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 + 2.26i, -1.48 - 1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    + 6.3i,  -0.77 + 2.83i,  4.48 - 1.09i,  0    + 0i];

% Convert ab to full representation a
[a, ab, ifail] = f01zd( ...
                        'u', kl, ku, complex(zeros(m, m)), ab);

% Exact Solution
nrhs = 2;
y = [ -3 + 2i,   1 + 6i;
       1 - 7i,  -7 - 4i;
      -5 + 4i,   3 + 5i;
       6 - 8i,  -8 + 2i];

% Evaluate RHS
b = a*y;

% Factorize
afb = [complex(zeros(kl,m)); ab];
[afb, ipiv, info]     = f07br( ...
                               m, kl, ku, afb);
% Solve
trans = 'N';
[x, info]             = f07bs( ...
                               trans, kl, ku, afb, ipiv, b);

% Iterative refinement
[x, ferr, berr, info] = f07bv( ...
                               trans, kl, ku, ab, afb, ipiv, b, x);

fprintf('Refined solution:\n');
disp(x);

fprintf('Backward errors (machine dependent)\n');
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds\n');
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
