function f07cb_example

% diary f07cb_example.r
fprintf('f07cb example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];
n  = numel(d);

% RHS B
b = [ 2.7,   6.6;
     -0.5,  10.8;
      2.6,  -3.2;
      0.6, -11.2;
      2.7,  19.1];

% Initialize input parameters
fact  = 'No factors';
trans = 'No transpose';
dlf = dl;
df  = d;
duf = du;
du2 = zeros(n-2, 1);
ipiv = zeros(n,1,nag_int_name);

% Solve AX = B
[dlf, df, duf, du2, ipiv, x, rcond, ferr, berr, info] = ...
  f07cb( ...
         fact, trans, dl, d, du, dlf, df, duf, du2, ipiv, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n',rcond);

% diary off
