function f07fu_example

% diary f07fu_example.r
fprintf('f07fu example results\n\n');

% Hermitian matrix A
uplo = 'L';
a = [ 3.23,          1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.50i;
      1.51 + 1.92i,  3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
      1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0i,     2.33 - 0.14i;
      0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0i];
anorm = norm(a, 1);

% Factorize A
[L, info] = f07fr( ...
                   uplo, a);

% Condition number estimator
[rcond, info] = f07fu( ...
                       uplo, L, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
