function f07gp_example

% diary f07gp_example.r
fprintf('f07gp example results\n\n');

% Upper triangular part of Hermitian matrix A
uplo = 'Upper';
n = nag_int(4);
ap = [ 3.23 + 0i,  ...
       1.51 - 1.92i,  3.58 + 0i,    ...
       1.90 + 0.84i, -0.23 + 1.11i, 4.09 + 0i,     ...
       0.42 + 2.50i, -1.18 + 1.37i, 2.33 - 0.14i,  4.29 + 0i];

% RHS
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

% Input parameters
fact  = 'Equilibration';
afp   = complex(zeros(10,1));
equed = ' ';
s     = zeros(n,1);
[ap, afp, equed, s, b, x, rcond, ferr, berr, info] = ...
  f07gp( ...
         fact, uplo, ap, afp, equed, s, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);
if equed=='N'
  fprintf('A has not been equilibrated\n');
else
  fprintf('A has been equilibrated\n');
end

% diary off
