function f07hh_example

% diary f07hh_example.r
fprintf('f07hh example results\n\n');

% Symmetric banded matrix A in ab.
uplo = 'L';
kd = nag_int(1);
ab = [5.49,  5.63,  2.6,  5.17;
      2.68, -2.39, -2.22, 0   ];

% Factorize A
[abf, info] = f07hd( ...
                     uplo, kd, ab);

% RHS
b = [22.09,   5.10;
      9.31,  30.81;
     -5.24, -25.82;
     11.83,  22.90];
% Solve Ax = B
[x, info] = f07he( ...
                   uplo, kd, abf, b);

% Iterative refinement
[x, ferr, berr, info] = f07hh(...
                              uplo, kd, ab, abf, b, x);

disp('Solution');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
