function f07hp_example

% diary f07hp_example.r
fprintf('f07hp example results\n\n');

uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,          1.08 - 1.73i,  -0.04 + 0.29i,  -0.33 + 2.24i;
      9.39 + 0i,  1.69 + 0i,      2.65 + 0i,      2.17 + 0i];

% Input parameters
fact  = 'Equilibration';
afb   = complex(zeros(kd+1, n));
equed = ' ';
s     = zeros(n,1);

% RHS
b = [-12.42 + 68.42i,  54.30 - 56.56i;
      -9.93 +  0.88i,  18.32 +  4.76i;
     -27.30 -  0.01i,  -4.40 +  9.97i;
       5.31 + 23.63i,   9.43 +  1.41i];

% Solve
[ab, afb, equed, s, b, x, rcond, ferr, berr, info] = ...
  f07hp( ...
         fact, uplo, kd, ab, afb, equed, s, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);
if equed=='N'
  fprintf('A has not been equilibrated\n');
else
  fprintf('A has been equilibrated\n');
end

% diary off
