function f07jh_example

% diary f07jh_example.r
fprintf('f07jh example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

% RHS
b = [ 6, 10;
      9,  4;
      2,  9;
     14, 65;
      7, 23];

% Factorize
[df, ef, info] = f07jd( ...
                        d, e);

%Solve
[x, info] = f07je( ...
                   df, ef, b);

% Refine
ef = [ef 0];
[x, ferr, berr, info] = f07jh( ...
                               d, e, df, ef, b, x);

disp('Solution');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
