function f07jp_example

% diary f07jp_example.r
fprintf('f07jp example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

%RHS
b = [ 64 + 16i, -16 - 32i;
      93 + 62i,  61 - 66i;
      78 - 80i,  71 - 74i;
      14 - 27i,  35 + 15i];

% Input parameters
n    = numel(d);
fact = 'Not factored';
df   = zeros(n, 1);
ef   = complex(zeros(n-1, 1));

%Solve
[df, ef, x, rcond, ferr, berr, info] = ...
  f07jp( ...
         fact, d, e, df, ef, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

% diary off
