function f07kr_example

% diary f07kr_example.r
fprintf('f07kr example results\n\n');

% Semidefinite matrix A
a = [12.40,       2.39,       5.50+0.05i, 4.47,       11.89;
      2.39,       1.63,       1.04+0.10i, 1.14,        1.81;
      5.50+0.05i, 1.04+0.10i, 2.45,       1.98-0.03i,  5.28-0.02i;
      4.47,       1.14,       1.98-0.03i, 1.71,        4.14;
     11.89,       1.81,       5.28-0.02i, 4.14,       11.63];

% Catch warnings about rank defficient matrix ifail=1
wstat = warning();
warning('OFF');

% Factorize a
uplo = 'l';
[afac, piv, rank, info] = f07kr( ...
                                 uplo, a);

fprintf('\nComputed rank: %d\n\n', rank);
% Zero out columns rank+1 onwards and display
afac(:, rank+1:5) = 0;

ncol   = nag_int(80);
indent = nag_int(0);
[ifail] = x04db( ...
                 uplo, 'non-unit', afac, 'bracketed', 'f5.2', 'Factor', ...
                 'Integer', 'Integer', ncol, indent);

fprintf('\n piv:\n   ');
fprintf('%14d', piv);
fprintf('\n');

warning(wstat);

% diary off
