function f07mh_example

% diary f07mh_example.r
fprintf('f07mh example results\n\n');

% Indefinite matrix A (lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0; 
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% RHS
b = [-9.50, 27.85;
     -8.38,  9.90;
     -6.07, 19.25;
     -0.96,  3.93];

% Factorize
[af, ipiv, info] = f07md( ...
                          uplo, a);

% Solve
[x, info] = f07me( ...
                   uplo, af, ipiv, b);

% Refine
[x, ferr, berr, info] = f07mh( ...
                               uplo, a, af, ipiv, b, x);

[ifail] = x04ca( ...
                 'General', 'N', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
