function f07mp_example

% diary f07mp_example.r
fprintf('f07mp example results\n\n');

% Hermitian indefinite matrix A (Upper triangular part stored)
uplo = 'Upper';
a = [-1.84 + 0i,  0.11 - 0.11i, -1.78 - 1.18i,  3.91 - 1.5i;
      0    + 0i, -4.63 + 0i,    -1.84 + 0.03i,  2.21 + 0.21i;
      0    + 0i,  0    + 0i,    -8.87 + 0i,     1.58 - 0.9i;
      0    + 0i,  0    + 0i,     0    + 0i,    -1.36 + 0i];

% RHS
b = [ 2.98 - 10.18i,   28.68 - 39.89i;
     -9.58 +  3.88i,  -24.79 -  8.40i;
     -0.77 - 16.05i,    4.23 - 70.02i;
      7.79 +  5.48i,  -35.39 + 18.01i];

% Input parameters
fact = 'Not factored';
af = a;
ipiv = zeros(size(b,1), 1, nag_int_name);

% Solve
[af, ipiv, x, rcond, ferr, berr, info] = ...
  f07mp( ...
         fact, uplo, a, af, ipiv, b);

disp('Solution(s)');
disp(x);
disp('Backward errors (machine-dependent)');
fprintf('%10.1e',berr);
fprintf('\n');
disp('Estimated forward error bounds (machine-dependent)');
fprintf('%10.1e',ferr);
fprintf('\n\n');
disp('Estimate of reciprocal condition number');
fprintf('%10.1e\n\n',rcond);

% diary off
