function f07mv_example

% diary f07mv_example.r
fprintf('f07mv example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored)
uplo = 'L';
a = [-1.36 + 0i,     0    + 0i,     0    + 0i,      0    + 0i;
      1.58 - 0.90i, -8.87 + 0i,     0    + 0i,      0    + 0i;
      2.21 + 0.21i, -1.84 + 0.03i, -4.63 + 0i,      0    + 0i;
      3.91 - 1.50i, -1.78 - 1.18i,  0.11 - 0.11i,  -1.84 + 0i];

% Factorize
[af, ipiv, info] = f07mr( ...
                          uplo, a);

% RHS
b = [ 7.79 +  5.48i, -35.39 + 18.01i;
     -0.77 - 16.05i,   4.23 - 70.02i;
     -9.58 +  3.88i, -24.79 -  8.40i;
      2.98 - 10.18i,  28.68 - 39.89i];

% Solve
[x, info] = f07ms( ...
                   uplo, af, ipiv, b);

% improve solution, and compute backwards errors and estimated bounds
% on the forward errors
[x, ferr, berr, info] = f07mv( ...
                               uplo, a, af, ipiv, b, x);

disp('Solution(s)');
disp(x);
fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
