function f07nu_example

% diary f07nu_example.r
fprintf('f07nu example results\n\n');

% Complex symmetrix matrix A, lower triangle stored.
uplo = 'L';
a = [-0.39 - 0.71i,  0    + 0i,     0    + 0i,     0    + 0i;
      5.14 - 0.64i,  8.86 + 1.81i,  0    + 0i,     0    + 0i;
     -7.86 - 2.96i, -3.52 + 0.58i, -2.83 - 0.03i,  0    + 0i;
      3.80 + 0.92i,  5.32 - 1.59i, -1.54 - 2.86i, -0.56 + 0.12i];

%Factorize A
[af, ipiv, info] = f07nr( ...
                          uplo, a);

% Norm of A
an = a + a' - diag(diag(a));
anorm = norm(an,1);

% Condition number estimator
[rcond, info] = f07nu( ...
                       uplo, af, ipiv, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
