function f07pp_example

% diary f07pp_example.r
fprintf('f07pp example results\n\n');

% Hermitian matrix, upper triangle stored in packed format
uplo = 'U';
n  = nag_int(4);
ap = [-1.84 + 0i;
       0.11 - 0.11i; -4.63 + 0i;
      -1.78 - 1.18i; -1.84 + 0.03i; -8.87 + 0i;
       3.91 - 1.50i;  2.21 + 0.21i;  1.58 - 0.9i; -1.36 + 0i];
% RHS
b = [ 2.98 - 10.18i,  28.68 - 39.89i;
     -9.58 +  3.88i, -24.79 -  8.40i;
     -0.77 - 16.05i,   4.23 - 70.02i;
      7.79 +  5.48i, -35.39 + 18.01i];

% Factorize and solve
fact = 'Not factored';
apf  = ap;
ipiv = zeros(n,1,nag_int_name);

[apf, ipiv, x, rcond, ferr, berr, info] = ...
  f07pp(...
        fact, uplo, ap, apf, ipiv, b);

disp('Solution(s)');
disp(x);
fprintf('Condition number      = %9.2e\n',1/rcond);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
