function f07ps_example

% diary f07ps_example.r
fprintf('f07ps example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored in packed form)
uplo = 'L';
n = nag_int(4);
ap = [-1.36 + 0i;  1.58 - 0.9i;   2.21 + 0.21i;  3.91 - 1.5i;
                  -8.87 + 0i;    -1.84 + 0.03i; -1.78 - 1.18i;
                                 -4.63 + 0i;     0.11 - 0.11i;
                                                -1.84 + 0i];

% Factorize
[apf, ipiv, info] = f07pr( ...
                           uplo, n, ap);

% RHS
b = [ 7.79 +  5.48i, -35.39 + 18.01i;
     -0.77 - 16.05i,   4.23 - 70.02i;
     -9.58 +  3.88i, -24.79 -  8.40i;
      2.98 - 10.18i,  28.68 - 39.89i];

% Solve
[x, info] = f07ps( ...
                   uplo, apf, ipiv, b);

disp('Solution(s)');
disp(x);

% diary off
