function f07qv_example

% diary f07qv_example.r
fprintf('f07qv example results\n\n');

% Solve Ax = B, where A is complex symmetric matrix such that the
% lower triangular part is stored in packed format
uplo = 'L';
n = nag_int(4);
ap = [ -0.39 -  0.71i,   5.14 -  0.64i,  -7.86 - 2.96i,   3.80 + 0.92i, ...
        8.86 +  1.81i,  -3.52 +  0.58i,   5.32 - 1.59i,   ...
       -2.83 -  0.03i,  -1.54 -  2.86i,  ...
       -0.56 + 0.12i];
b  = [-55.64 + 41.22i, -19.09 - 35.97i;
      -48.18 + 66.00i, -12.08 - 27.02i;
       -0.49 -  1.47i,   6.95 + 20.49i;
       -6.43 + 19.24i,  -4.59 - 35.53i];

% Factorize
[apf, ipiv, info] = f07qr( ...
                           uplo, n, ap);
% Solve
[x, info] = f07qs(uplo, apf, ipiv, b);

% Refine
[x, ferr, berr, info] = f07qv( ...
                               uplo, ap, apf, ipiv, b, x);

disp('Solution(s)');
disp(x);

fprintf('Backward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
