function f07uh_example

% diary f07uh_example.r
fprintf('f07uh example results\n\n');

% Solve AX=B and estimate errors, where A is Lower triangular and packed
n = nag_int(4);
ap = [ 4.30; -3.96;  0.40; -0.27;
             -4.87;  0.31;  0.07;
                    -8.02; -5.95;
                            0.12];
b = [-12.90, -21.50;
      16.75,  14.93;
     -17.55,   6.33;
     -11.04,   8.09];

uplo = 'L';
trans = 'N';
diag = 'N';
% Solve
[x, info] = f07ue( ...
                   uplo, trans, diag, ap, b);

% Estimate error bounds
[ferr, berr, info] = f07uh( ...
                            uplo, trans, diag, ap, b, x);

% Display solution
disp('Solution(s)');
disp(x);

fprintf('Backward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
