function f08ae_example

% diary f08ae_example.r
fprintf('f08ae example results\n\n');

a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.30,  0.15, -2.13;
     -0.02,  1.03, -1.43,  0.50];
b = [-2.67,  0.41;
     -0.55, -3.10;
      3.34, -4.01;
     -0.77,  2.76;
      0.48, -6.17;
      4.10,  0.21];
% Compute the QR Factorisation of A
[a, tau, info] = f08ae(a);

% Compute C = (C1) = (Q^T)*B, storing the result in B (C2)
[b, info] = f08ag(...
                  'Left', 'Transpose', a, tau, b);

% Compute least-squares solutions by backsubstitution in R*X = C1
[b, info] = f07te(...
                  'Upper', 'No Transpose', 'Non-Unit', a, b, 'n', nag_int(4));
if (info >0)
  fprintf('The upper triangular factor, R, of A is singular,\n');
  fprintf('the least squares solution could not be computed.\n');
else
  % Print least-squares solutions
  [ifail] = x04ca('General', ' ', b(1:4,:), 'Least-squares solution(s)');
  % Compute and print estimates of the square roots of the residual
  % sums of squares
  rnorm = zeros(2,1);
  for j=1:2
    rnorm(j) = norm(b(5:6,j));
  end
  fprintf('\nSquare root(s) of the residual sum(s) of squares\n');
  fprintf('\t%11.2e    %11.2e\n', rnorm(1), rnorm(2));
end

% diary off
