function f08av_example

% diary f08av_example.r
fprintf('f08av example results\n\n');

a = [ 0.28 - 0.36i,  0.50 - 0.86i, -0.77 - 0.48i,  1.58 + 0.66i;
     -0.50 - 1.10i, -1.21 + 0.76i, -0.32 - 0.24i, -0.27 - 1.15i;
      0.36 - 0.51i, -0.07 + 1.33i, -0.75 + 0.47i, -0.08 + 1.01i];
b = [-1.35 + 0.19i,  4.83 - 2.67i;
      9.41 - 3.56i, -7.28 + 3.34i;
     -7.57 + 6.93i,  0.62 + 4.53i;
      0,             0];
[m,n] = size(a);

% Compute the LQ factorization of a
[lq, tau, info] = f08av(a);

% Solve l*y = b
l = tril(lq(:, 1:m));
y = [inv(l)*b(1:m,:); b(m+1:n,:)];

% Compute minimum-norm solution x = (q^h)*y
[x, info] = f08ax( ...
		   'Left', 'Conjugate Transpose', lq, tau, y);

disp('Minimum-norm solution(s)');
disp(x);

% diary off
