function f08be_example

% diary f08be_example.r
fprintf('f08be example results\n\n');

a = [-0.09,  0.14, -0.46,  0.68,  1.29;
     -1.56,  0.2,   0.29,  1.09,  0.51;
     -1.48, -0.43,  0.89, -0.71, -0.96;
     -1.09,  0.84,  0.77,  2.11, -1.27;
      0.08,  0.55, -1.13,  0.14,  1.74;
     -1.59, -0.72,  1.06,  1.24,  0.34];
b = [-0.01, -0.04;
      0.04, -0.03;
      0.05,  0.01;
     -0.03, -0.02;
      0.02,  0.05;
     -0.06,  0.07];
jpvt = [nag_int(0);0;0;0;0];

% Compute the QR factorization of a
[a, jpvt, tau, info] = f08be( ...
			      a, jpvt);

% Choose tol to reflect the relative accuracy of the input data
tol = 0.01;

% Determine which columns of R to use
k = find(abs(diag(a)) <= tol*abs(a(1,1)));
if numel(k) == 0
  k = numel(diag(a));
else
  k = k(1)-1;
end

% Compute c = (q^t)*b,
[c, info] = f08ag( ...
		   'Left', 'Transpose', a, tau, b);

% Compute least-squares solution by backsubstitution in r*b = c
c(1:k, :) = inv(triu(a(1:k,1:k)))*c(1:k,:);
c(k+1:5, :) = 0;

% Unscramble the least-squares solution stored in c
x = zeros(5, 2);
for i=1:5
  x(jpvt(i), :) = c(i, :);
end

fprintf('\nLeast-squares solution\n');
disp(x);

% diary off
