function f08cs_example

% diary f08cs_example.r
fprintf('f08cs example results\n\n');

% Find least squares solution of Ax=B (m>n) via QL factorization.
m = 6;
n = 4;
a = [ 0.96 - 0.81i, -0.03 + 0.96i, -0.91 + 2.06i, -0.05 + 0.41i;
     -0.98 + 1.98i, -1.20 + 0.19i, -0.66 + 0.42i, -0.81 + 0.56i;
      0.62 - 0.46i,  1.01 + 0.02i,  0.63 - 0.17i, -1.11 + 0.60i;
     -0.37 + 0.38i,  0.19 - 0.54i, -0.98 - 0.36i,  0.22 - 0.20i;
      0.83 + 0.51i,  0.20 + 0.01i, -0.17 - 0.46i,  1.47 + 1.59i;
      1.08 - 0.28i,  0.20 - 0.12i, -0.07 + 1.23i,  0.26 + 0.26i];
b = [-2.09 + 1.93i,  3.26 - 2.70i;
      3.34 - 3.53i, -6.22 + 1.16i;
     -4.94 - 2.04i,  7.94 - 3.13i;
      0.17 + 4.23i,  1.04 - 4.26i;
     -5.19 + 3.63i, -2.31 - 2.12i;
      0.98 + 2.53i, -1.39 - 4.05i];

% Compute the QL factorization of A
[ql, tau, info] = f08cs(a);

% LX = Q^H B = C; compute C = (Q^H)*B
[c, info] = f08cu( ...
		   'Left', 'ConjTrans', ql, tau, b);

% Least-squares solution X = L^-1 C (lower n part)
il = m-n+1;
[x, info] = f07ts( ...
		   'Lower', 'Notrans','Non-Unit', ql(il:m,:), c(il:m,:));

% Print least-squares solutions
ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = x04db( ...
		 'General', ' ', x, 'Bracketed', 'F7.4', ...
		 'Least-squares solution(s)', 'Integer', 'Integer', ...
		 ncols, indent);

% Compute estimates of the square roots of the residual sums of squares.
rnorm = zeros(2,1);
for j=1:2
  rnorm(j) = norm(c(1:m-n,j));
end
fprintf('\nSquare root(s) of the residual sum(s) of squares\n');
fprintf('\t%11.2e    %11.2e\n', rnorm(1), rnorm(2));

% diary off
