function f08fn_example

% diary f08fn_example.r
fprintf('f08fn example results\n\n');

% upper triangular part of Hernitian matrix A
n = nag_int(4);
uplo = 'Upper';
a = [ 1,       2 - 1i,  3 - 1i,  4 - 1i;
      0 + 0i,  2 + 0i,  3 - 2i,  4 - 2i;
      0 + 0i,  0 + 0i,  3 + 0i,  4 - 3i;
      0 + 0i,  0 + 0i,  0 + 0i,  4 + 0i];

jobz = 'Vectors';
[z, w, info] = f08fn( ...
		      jobz, uplo, a);

disp('Eigenvalues');
disp(w);

% Normalize
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(1:n,i) = z(1:n,i)*conj(z(k,i))/abs(z(k,i));
end
[ifail] = x04da( ...
                 'General', ' ', z, 'Eigenvectors');

% Eigenvalue error bound
errbnd = x02aj*max(abs(w(1)),abs(w(end)));
% Eigenvector condition numbers
[rcondz, info] = f08fl( ...
		        'Eigenvectors', n, n, w);

% Eigenvector error bounds
zerrbd = errbnd./rcondz;

fprintf('\n');
disp('Error estimate for the eigenvalues');
fprintf('%12.1e\n',errbnd);
disp('Error estimates for the eigenvectors');
fprintf('%12.1e',zerrbd);
fprintf('\n');

% diary off
