function f08gc_example

% diary f08gc_example.r
fprintf('f08gc example results\n\n');

% A is symmetric matrix stored in symmetric (Lower) packed format
uplo = 'L';
n = nag_int(4);
ap = [1;     2;     3;     4;
             2;     3;     4;
                    3;     4;
                           4];

% Eigenvalues and vectors of A 
job = 'Vectors';
[apf, w, z, info] = f08gc( ...
                           job, uplo, n, ap);

disp('Eigenvalues');
disp(w');

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvectors');
disp(z);

% diary off
