function f08gf_example

% diary f08gf_example.r
fprintf('f08gf example results\n\n');

% Symmetric matrix A stored in symmetric packed format (Lower)
uplo = 'L';
n = nag_int(4);
ap = [2.07;     3.87;     4.2;     -1.15;
               -0.21;     1.87;     0.63;
                          1.15;     2.06;
                                   -1.81];
% Reduce A to tridiagonal form
[apf, d, e, tau, info] = f08ge( ...
                                uplo, n, ap);

% Form Q
[q, info] = f08gf( ...
                   uplo, n, apf, tau);

% Calculate eigenvalues and eigenvectors
compz = 'Vectors';
[w, ~, z, info] = f08je( ...
                         compz, d, e, 'z', q);

disp('Eigenvalues');
disp(w');

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvectors');
disp(z);

% diary off
