function f08gs_example

% diary f08gs_example.r
fprintf('f08gs example results\n\n');

% Hermitian matrix A stored in symmetric packed format (Lower)
uplo = 'L';
n = nag_int(4);
ap = [-2.28 + 0i;   1.78 + 2.03i;   2.26 - 0.10i;  -0.12 - 2.53i;
                   -1.12 + 0i;      0.01 - 0.43i;  -1.07 - 0.86i;
                                   -0.37 + 0i;      2.31 + 0.92i;
                                   -0.73 + 0i];

% Reduce to tridiagonal form
[apf, d, e, tau, info] = f08gs( ...
                                uplo, n, ap);

% Note: absolute values for e are displayed because the signs may change
%       with changes in sign of columns of Q.
fprintf('Diagonal and off-diagonal elements of tridiagonal form\n\n');
fprintf('    i         d           e\n');

for j = 1:n-1
  fprintf('%5d%12.5f%12.5f\n', j, d(j), abs(e(j)));
end
fprintf('%5d%12.5f\n', n, d(n));

% diary off
