function f08gu_example

% diary f08gu_example.r
fprintf('f08gu example results\n\n');

% Hermitian matrix A stored in symmetric packed format (Lower)
uplo = 'L';
n = nag_int(4);
ap = [-2.28 + 0i;   1.78 + 2.03i;   2.26 - 0.10i;  -0.12 - 2.53i;
                   -1.12 + 0i;      0.01 - 0.43i;  -1.07 - 0.86i;
                                   -0.37 + 0i;      2.31 + 0.92i;
                                                   -0.73 + 0i];

% Reduce to tridiagonal form
[apf, d, e, tau, info] = f08gs( ...
                                uplo, n, ap);

% Calculate two smallest eigenvalues
range = 'Indices';
order = 'Block';
vl = 0;
vu = 0;
il = nag_int(1);
iu = nag_int(2);
abstol = 0;
[m, nsplit, w, iblock, isplit, info] = ...
  f08jj( ...
         range, order, vl, vu, il, iu, abstol, d, e);

% Corresponding eigenvectors of T
[tz, ifailv, info] = f08jx( ...
                            d, e, m, w, iblock, isplit);

% Transform to eigenvalues of A (by premultiplying by Q)
side = 'Left';
trans = 'No transpose';
[~, z, info] = f08gu( ...
                      side, uplo, trans, apf, tau, tz);

% Normalize vectors, largest element is real and positive.
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Selected eigenvalues of A:');
disp(w(1:m));
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
