function f08hs_example

% diary f08hs_example.r
fprintf('f08hs example results\n\n');

% Hermitian band matrix A, stored on symmetric banded format
uplo = 'L';
kd = nag_int(2);
n  = 4;
ab = [-3.13 + 0i,     -1.91 + 0i,    -2.87 + 0i,     0.5 + 0i;
       1.94 + 2.10i,  -0.82 + 0.89i, -2.10 + 0.16i,  0   + 0i;
      -3.40 - 0.25i,  -0.67 - 0.34i,  0    + 0i,     0   + 0i];


% Reduce A to tridiagonal form and compute Q
vect = 'V';
q = complex(zeros(n, n));
[abf, d, e, q, info] = f08hs( ...
                              vect, uplo, kd, ab, q);

% Calculate eigenvalues/vectors of A from Q, d and e.
compz = 'V';
[w, ~, z, info] = f08js( ...
                         compz, d, e, q);

% Normalize: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Eigenvalues');
disp(w');
[ifail] = x04da( ...
                 'General', ' ', z, 'Eigenvectors');

% diary off
