function f08jd_example

% diary f08jd_example.r
fprintf('f08jd example results\n\n');

% Symmetric tridiagonal A stored as diagonal and off-diagonal
d = [1;     4;     9;     16];
e = [1;     2;     3];

% Eigenvalues 2 and 3 and corresponding eigenvectors
jobz  = 'Vectors';
range = 'Indices';
vl = 0;
vu = 0;
il = nag_int(2);
iu = nag_int(3);
abstol = 0;
[~, ~, m, w, z, ~, info] = ...
f08jd(...
       jobz, range, d, e, vl, vu, il, iu, abstol);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end

disp(' Eigenvalues of A in range:');
disp(w(1:m)');
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
