function f08kn_example

% diary f08kn_example.r
fprintf('f08kn example results\n\n');

% Least Squares solution of Ax = b, where
a = [ 0.47 - 0.34i, -0.40 + 0.54i,  0.60 + 0.01i,  0.80 - 1.02i;
     -0.32 - 0.23i, -0.05 + 0.20i, -0.26 - 0.44i, -0.43 + 0.17i;
      0.35 - 0.60i, -0.52 - 0.34i,  0.87 - 0.11i, -0.34 - 0.09i;
      0.89 + 0.71i, -0.45 - 0.45i, -0.02 - 0.57i,  1.14 - 0.78i;
     -0.19 + 0.06i,  0.11 - 0.85i,  1.44 + 0.80i,  0.07 + 1.14i];
b = [-1.08 - 2.59i;
     -2.61 - 1.49i;
      3.13 - 3.61i;
      7.33 - 8.01i;
      9.12 + 7.63i];
[m,n] = size(a);

% treat singular values < 0.01 as zero
rcond = 0.01;
[~, x, s, rank, info] = f08kn( ...
                               a, b, rcond);

disp('Least squares solution');
disp(x(1:n));
disp('Tolerance used to estimate the rank of A');
fprintf('%12.2e\n',rcond);
disp('Estimated rank of A');
fprintf('%5d\n\n',rank);
disp('Singular values of A');
disp(s');

% diary off
