function f08pk_example

% diary f08pk_example.r
fprintf('f08pk example results\n\n');

% Matrix A
n   = nag_int(4);
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Reduce A to upper Hessenberg Form A = QHQ^T
ilo = nag_int(1);
ihi = n;
[H, tau, info] = f08ne(ilo, ihi, a);

% Form Q
[Q, info] = f08nf(ilo, ihi, H, tau);

% Schur factorize H = Y*T*Y^T
job   = 'Schur form';
compz = 'No Vectors';
[~, wr, wi, ~, info] = f08pe( ...
                              job, compz, ilo, ihi, H, Q);

w = wr + i*wi;
disp('Eigenvalues of A');
disp(w);

% Calculate eigenvetors of H corresponding to negative real part eigenvalues
select = (wr < 0);

job = 'Right';
eigsrc = 'QR';
initv = 'No initial vectors';
vl = [];
vr = zeros(n,n);
[~, ~, ~, VR, m, ifaill, ifailr, info] = ...
f08pk( ...
       job, eigsrc, initv, select, H, wr, wi, vl, vr, n);

% Eigenvectors of A = Q*VR
side = 'Left';
trans = 'No transpose';
[V, info] = f08ng( ...
                   side, trans, ilo, ihi, H, tau, VR);

% Combine columns of V into complex eigenvectors Z
j = 0;
for k = 1:n
  if select(k)
    j = j+1;
    if (wi(k)==0)
      % Normalize real eigenvector: largest element positive
      [~,l] = max(abs(V(:,j)));
      if V(l,j) < 0;
        V(:,j) = -V(:,j);
      end                      
      Z(:,j) = complex(V(:,j));
    else
      % Normalize complex eigenvectors: largest elements are real
      [~,l] = max(abs(V(:,j))+abs(V(:,j+1)));
      Z(:,j)   = V(:,j) + i*V(:,j+1);
      Z(:,j+1) = V(:,j) - i*V(:,j+1);
      Z(:,j)   = Z(:,j)  *conj(Z(l,j))  /abs(Z(l,j));
      Z(:,j+1) = Z(:,j+1)*conj(Z(l,j+1))/abs(Z(l,j+1));
      j = j+1;
      select(k+1) = false;
    end
  end
end
disp('Eigenvectors corresponding to eigenvalues with negative real part');
disp(Z);

% diary off
