function f08qh_example

% diary f08qh_example.r
fprintf('f08qh example results\n\n');

% Quasi-triangular (Schur form) matrices A and B, and general matrix C 
a = [ 0.10,  0.50,  0.68, -0.21;
     -0.50,  0.10, -0.24,  0.67;
      0,     0,     0.19, -0.35;
      0,     0,     0,    -0.72];
b = [-0.99, -0.17,  0.39,  0.58;
      0,     0.48, -0.84, -0.15;
      0,     0,     0.75,  0.25;
      0,     0,    -0.25,  0.75];
c = [ 0.63, -0.56,  0.08, -0.23;
     -0.45, -0.31,  0.27,  1.21;
      0.20, -0.35,  0.41,  0.84;
      0.49, -0.05, -0.52, -0.08];

% Solve Sylvester equation AX + XB = C for X
trana = 'No transpose';
tranb = 'No transpose';
isgn = nag_int(1);
[X, scale, info] = f08qh( ...
			  trana, tranb, isgn, a, b, c);

disp('Solution matrix');
disp(X);

% diary off
