function f08sb_example

% diary f08sb_example.r
fprintf('f08sb example results\n\n');

% Upper triangular parts of symmetric matrix A and symmetric definite matrix B
uplo = 'Upper';
n = 4;
a = [0.24,  0.39,  0.42, -0.16;
     0,    -0.11,  0.79,  0.63;
     0,     0,    -0.25,  0.48;
     0,     0,     0,    -0.03];
b = [4.16, -3.12,  0.56, -0.10;
     0,     5.03, -0.83,  1.09;
     0,     0,     0.76,  0.34;
     0,     0,     0,     1.18];

% Generalized eigenvalues and eigenvectors for problem Az = lambda Bz
% Selecting eigenvalues in the range [-1,1]
itype = nag_int(1);
jobz  = 'Vectors';
range = 'Values in range';
[vl,vu] = deal(-1, 1);
[il,iu] = deal(nag_int(0), nag_int(0));
abstol = 0;
[~, ~, m, w, z, jfail, info] = ...
  f08sb( ...
	 itype, jobz, range, uplo, a, b, vl, vu, il, iu, abstol);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Selected Eigenvalues');
disp(w(1:m)');
disp('Corresponding eigenvectors');
disp(z);

% diary off
