function f08sn_example

% diary f08sn_example.r
fprintf('f08sn example results\n\n');

% Upper triangular parts of Hermitian matrix A and positive definite matrix B
uplo = 'Upper';
n = 4;
a = [-7.36 + 0i,  0.77 - 0.43i, -0.64 - 0.92i,  3.01 - 6.97i;
      0    + 0i,  3.49 + 0i,     2.19 + 4.45i,  1.90 + 3.73i;
      0    + 0i,  0    + 0i,     0.12 + 0i,     2.88 - 3.17i;
      0    + 0i,  0    + 0i,     0    + 0i,    -2.54 + 0i];
b = [ 3.23 + 0i,  1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.5i;
      0    + 0i,  3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
      0    + 0i,  0    + 0i,     4.09 + 0i,     2.33 - 0.14i;
      0    + 0i,  0    + 0i,     0    + 0i,     4.29 + 0i];

% Generalized eigenvalues and eigenvectors for problem Az = lambda Bz
itype = nag_int(1);
jobz = 'Vectors';
[Z, U, w, info] = f08sn( ...
			 itype, jobz, uplo, a, b);

% Normalize: largest elements are real (preserving Z^HBZ = I)
for i = 1:n
  [~,k] = max(abs(real(Z(:,i)))+abs(imag(Z(:,i))));
  Z(:,i) = Z(:,i)*conj(Z(k,i))/abs(Z(k,i));
end

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(Z);

% diary off
