function f08ss_example

% diary f08ss_example.r
fprintf('f08ss example results\n\n');

% Sove Az = lambda Bz
% A and B are the Hermitian positive definite matrices:
a = [-7.36 + 0.00i,  0.77 - 0.43i, -0.64 - 0.92i,  3.01 - 6.97i;
      0.77 + 0.43i,  3.49 + 0.00i,  2.19 + 4.45i,  1.90 + 3.73i;
     -0.64 + 0.92i,  2.19 - 4.45i,  0.12 + 0.00i,  2.88 - 3.17i;
      3.01 + 6.97i,  1.90 - 3.73i,  2.88 + 3.17i, -2.54 + 0.00i];

b = [ 3.23 + 0.00i,  1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.50i;
      1.51 + 1.92i,  3.58 + 0.00i, -0.23 + 1.11i, -1.18 + 1.37i;
      1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0.00i,  2.33 - 0.14i;
      0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0.00i];

% Factorize B
uplo = 'L';
[bfac, info] = f07fr(uplo, b);

% Reduce problem to standard form Cy = lambda*y
itype = nag_int(1);
[c info] = f08ss(itype, uplo, a, bfac);

% Find eigenvalues lambda
jobz = 'No Vectors';
[~, w, info] = f08fn(jobz, uplo, c);

disp('Eigenvalues:');
disp(w');

% diary off
