function f08tb_example

% diary f08tb_example.r
fprintf('f08tb example results\n\n');

% Symmetric matrices A and B stored in packed (Upper) format
n = nag_int(4);
uplo = 'U';
ap = [0.24;
      0.39; -0.11;
      0.42;  0.79; -0.25;
     -0.16;  0.63;  0.48; -0.03];
bp = [4.16;
     -3.12;  5.03;
      0.56; -0.83;  0.76;
      -0.10;  1.09;  0.34;  1.18];

% Eigenvalues in the range [-1,1] and corresponding eigenvectors
itype = nag_int(1);
jobz  = 'Vectors';
range = 'Values in range';
vl = -1;         vu = 1;
il = nag_int(0); iu = nag_int(0);
abstol = 0;
[~, ~, m, w, z, jfail, info] = ...
f08tb( ...
       itype, jobz, range, uplo, n, ap, bp, vl, vu, il, iu, abstol);

disp('Selected Eigenvalues');
disp(w(1:m)');
% Normalize eigenvectors (wrt B): largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            
disp('Corresponding Eigenvectors');
disp(z);

% diary off
