function f08te_example

% diary f08te_example.r
fprintf('f08te example results\n\n');

% Symmetric matrices A and B stored in packed (Lower) format
n = nag_int(4);
uplo = 'L';
ap = [0.24;  0.39;  0.42; -0.16;
            -0.11;  0.79;  0.63;
                   -0.25;  0.48;
                          -0.03];
bp = [4.16; -3.12;  0.56; -0.10;
             5.03; -0.83;  1.09;
                    0.76;  0.34;
                           1.18];

% Cholesky factorize B = LL^T
[lp, info] = f07gd( ...
                   uplo, n, bp);

% Reduce Generalized eigenproblem Az = lambda Bz to Cy = lambda y
% where C = L^-1 A L^-T and y = L^T z
itype = nag_int(1);
[cp, info] = f08te( ...
                    itype, uplo, n, ap, lp);

% Reduce C to tridiagonal form T = Q'CQ
[cpf, d, e, tau, info] = f08ge( ...
                                uplo, n, cp);

% Calculate the eigenvalues of T (same as C)
[w, ~, info] = f08jf( ...
                      d, e);

disp('Eigenvalues');
disp(w');

% diary off
