function f08tp_example

% diary f08tp_example.r
fprintf('f08tp example results\n\n');

% Hermitian matrices A and B stored in packed (Upper) format
n = nag_int(4);
uplo = 'U';
ap = [-7.36;
       0.77 - 0.43i;  3.49 + 0i;
      -0.64 - 0.92i;  2.19 + 4.45i;  0.12 + 0i;
       3.01 - 6.97i;  1.90 + 3.73i;  2.88 - 3.17i; -2.54 + 0i];
bp = [ 3.23;
       1.51 - 1.92i;  3.58 + 0i;
       1.90 + 0.84i; -0.23 + 1.11i;  4.09 + 0i;
       0.42 + 2.50i; -1.18 + 1.37i;  2.33 - 0.14i;  4.29 + 0i];

% Eigenvalues in range [-3,3] and corresponding eigenvectors for Az=lambda Bz
itype = nag_int(1);
jobz  = 'Vectors';
range = 'Values in range';
vl = -3;         vu = 3;
il = nag_int(0); iu = il;
abstol = 0;
[~, ~, m, w, z, jfail, info] = ...
f08tp( ...
       itype, jobz, range, uplo, n, ap, bp, vl, vu, il, iu, abstol);

disp('Selected Eigenvalues');
disp(w(1:m)');

% Normalize eigenvectors: largest elements are real
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end
disp('Corresponding Eigenvectors');
disp(z);

% diary off
