function f08up_example

% diary f08up_example.r
fprintf('f08up example results\n\n');

% Hermitian banded matrices A and B stored in symmetric banded format
uplo = 'U';
ka = nag_int(2);
ab = [ 0,          0    + 0i,    -1.40 + 0.25i, -0.67 + 0.34i;
       0    + 0i,  1.94 - 2.10i, -0.82 - 0.89i, -1.10 - 0.16i;
      -1.13 + 0i, -1.91 + 0i,    -1.87 + 0i,     0.50 + 0i];
kb = nag_int(1);
bb = [ 0,          1.08 - 1.73i, -0.04 + 0.29i, -0.33 + 2.24i;
       9.89 + 0i,  1.69 + 0i,     2.65 + 0i,     2.17 + 0i];

% Eigenvalues in range [0,2] and corresponding eigenvectors of Ax = lambda Bx
jobz  = 'Vectors';
range = 'Values in range';
vl = 0;          vu = 2;
il = nag_int(0); iu = il;
abstol = 0;
[~, ~, ~, m, w, z, jfail, info] = ...
  f08up( ...
	 jobz, range, uplo, ka, kb, ab, bb, vl, vu, il, iu, abstol);

disp('Selected eigenvalues');
disp(w(1:m)');

% Normalize vectors, largest element is real and positive.
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Corresponding eigenvectors');
disp(z(:,1:m));

% diary off
