function f08wa_example

% diary f08wa_example.r
fprintf('f08wa example results\n\n');

% Generalized eigenvalues and right eigenvectors of (A, B):
n = 4;
a = [3.9, 12.5, -34.5, -0.5;
     4.3, 21.5, -47.5,  7.5;
     4.3, 21.5, -43.5,  3.5;
     4.4, 26,   -46,    6];
b = [1,    2,    -3,    1;
     1,    3,    -5,    4;
     1,    3,    -4,    3;
     1,    3,    -4,    4];

jobvl = 'No left vectors';
jobvr = 'Vectors (right)';
[~, ~, alphar, alphai, beta, ~, VR, info] = ...
  f08wa( ...
	 jobvl, jobvr, a, b);

small = x02am;

for j=1:n
  if (abs(alphar(j)) + abs(alphai(j)))*small >= abs(beta(j))
    fprintf('\n%4d: Eigenvalue is numerically infinite or undetermined\n',j);
    fprintf('%4d: alphar = %11.4e, alphai = %11.4e, beta = %11.4e\n', ...
        j, alphar(j), alphai(j), beta(j));
  else  
    fprintf('\n%4d: Eigenvalue =  ', j);
    if alphai(j)==0
      fprintf('%10.4e\n',alphar(j)/beta(j));
    elseif alphai(j)>=0
      fprintf('%10.4e + %10.4ei\n',alphar(j)/beta(j), alphai(j)/beta(j));
    else
      fprintf('%10.4e - %10.4ei\n',alphar(j)/beta(j), -alphai(j)/beta(j));
    end
  end

  fprintf('      Eigenvector:\n', j);
  if alphai(j) == 0
    fprintf('%30.4e\n',VR(:, j));
  else
    if alphai(j) > 0
      k = j;
    else   
      k = j-1;
    end
    for l = 1:n
      if VR(l,k+1)>=0
        fprintf('%30.4e + %10.4ei\n',VR(l, k), VR(l, k+1));
      else
        fprintf('%30.4e - %10.4ei\n',VR(l, k), -VR(l, k+1));
      end
    end
  end
end

% diary off
