function f08xa_example

% diary f08xa_example.r
fprintf('f08xa example results\n\n');

% Matrix pair (A,B)
A = [3.9, 12.5, -34.5, -0.5;
     4.3, 21.5, -47.5,  7.5;
     4.3, 21.5, -43.5,  3.5;
     4.4, 26.0, -46.0,  6.0];
B = [1,    2,    -3,    1;
     1,    3,    -5,    4;
     1,    3,    -4,    3;
     1,    3,    -4,    4];


% Generalized Schur form (S,T) of (A,B), generalized eigenvalues
% and Schur vectors Q and Z with sorting and selecting only
% real eigenvalues
jobvsl = 'Vectors (left)';
jobvsr = 'Vectors (right)';
sortp = 'Sort';
selctg = @(ar, ai, b) (ai == 0) ;

[S, T, sdim, alphar, alphai, beta, VSL, VSR, info] = ...
f08xa( ...
       jobvsl, jobvsr, sortp, selctg, A, B);

fprintf('Number of selected eigenvalues = %4d\n\n', sdim);
disp('Selected generalized eigenvalues')
eigs = alphar./beta + i*alphai./beta;
disp(eigs(1:sdim));

% diary off
