function f11dc_example

% diary f11dc_example.r
fprintf('f11dc example results\n\n');

% Sparse matrix A 
nz = nag_int(24);
a    = zeros(3*nz, 1);
irow = zeros(3*nz, 1, nag_int_name);
icol = irow;
a(1:nz)    = [ 2; -1;  1;  4; -3;  2; -7;  2;  3; -4;  5;  5;
              -1;  8; -3; -6;  5;  2; -5; -1;  6; -1;  2;  3];
irow(1:nz) = [ 1;  1;  1;  2;  2;  2;  3;  3;  4;  4;  4;  4;
               5;  5;  5;  6;  6;  6;  7;  7;  7;  8;  8;  8];
icol(1:nz) = [ 1;  4;  8;  1;  2;  5;  3;  6;  1;  3;  4;  7;
               2;  5;  7;  1;  3;  6;  3;  5;  7;  2;  6;  8];

% Factorization input argument initialization.
m      = nag_int(4);
method = 'CGS';
lfill  = nag_int(0);
dtol   = 0;
pstrat = 'C';
milu   = 'N';
tol    = 1e-12;
maxitn = nag_int(100);
ipivp  = zeros(8, 1, nag_int_name);
ipivq  = zeros(8, 1, nag_int_name);

% Calculate incomplete LU factorization
[a, irow, icol, ipivp, ipivq, istr, idiag, nnzc, npivm, ifail] = ...
  f11da( ...
         nz, a, irow, icol, lfill, dtol, milu, ipivp, ipivq);

% RHS b and initial guess x.
b = [6;  8; -9; 46; 17; 21; 22; 34];
x = zeros(8, 1);

% Solve Ax = b
[x, rnorm, itn, ifail] = f11dc( ...
                                method, nz, a, irow, icol, ipivp, ipivq, ...
                                istr, idiag, b, m, tol, maxitn, x);

fprintf('Converged in %4d iterations\n', itn);
if rnorm>=tol
  fprintf('Final residual norm = %15.2e\n\n', rnorm);
else
  fprintf('Final residual norm < tolerance (%10.3e)\n\n',tol);
end
disp('solution');
disp(x);

% diary off
