function f11dn_example

% diary f11dn_example.r
fprintf('f11dn example results\n\n');

nz = nag_int(11);
n  = nag_int(4);
a  = zeros(2*nz, 1);
irow = zeros(2*nz, 1, nag_int_name);
icol = zeros(2*nz, 1, nag_int_name);
a(1:nz) = [ 1 + 3i; 1 + 0i; -1 - 2i; 2 - 2i; 2 + 1i; 0 + 5i;
           -2 + 0i; 1 + 1i; -2 + 4i; 1 - 3i; 0 + 7i];
irow(1:nz) = nag_int([1; 1; 2; 2; 2; 3; 3; 4; 4; 4; 4]);
icol(1:nz) = nag_int([2; 3; 1; 3; 4; 1; 4; 1; 2; 3; 4]);

lfill = nag_int(0);
dtol  = 0;
milu  = 'N';
ipivp = nag_int([0;0;0;0]);
ipivq = nag_int([0;0;0;0]);
% Calculate incomplete LU factorization
[a, irow, icol, ipivp, ipivq, istr, idiag, nnzc, npivm, ifail] = ...
    f11dn(...
        nz, a, irow, icol, lfill, dtol, milu, ipivp, ipivq);

fprintf('\nOriginal Matrix\n');
fprintf(' n = %d\n nz = %d\n', n, nz);
A = sparse(double(irow(1:nz)),double(icol(1:nz)),a(1:nz));
disp(A);

fprintf('\nFactorization\n');
fprintf(' n = %d\n nz = %d\n nvipm = %d\n', n, nnzc, npivm);
ifac = nz+1:nz+nnzc;
A = sparse(double(irow(ifac)),double(icol(ifac)),a(ifac));
disp(A);

fprintf('\n         i       ipivp(i)  ipivq(i)\n');
for i=1:n
  fprintf('%10i%10i%10i\n', i, ipivp(i), ipivq(i));
end

% diary off
