function f11dp_example

% diary f11dp_example.r
fprintf('f11dp example results\n\n');

% Solve sparse system Ax = b using complete LU decomposition

% Define sparse matrix A and RHS B
n    = nag_int(4);
nz   = nag_int(11);
a    = zeros(3*nz, 1);
irow = zeros(3*nz, 1, nag_int_name);
icol = irow;
sparseA = [  1  2    1    2;
             1  3    1    3;
            -1 -3    2    1;
             2  0    2    3;
             0  4    2    4;
             3  4    3    1;
            -2  0    3    4;
             1 -1    4    1;
            -2 -1    4    2;
             1  0    4    3;
             1  3    4    4];
a(1:nz)    = sparseA(:,1) + i*sparseA(:,2);
irow(1:nz) = nag_int(sparseA(:,3));
icol(1:nz) = nag_int(sparseA(:,4));

b          = [ 5 + 14i;
              21 +  5i;
             -21 + 18i;
              14 +  4i];

% ILU preconditioner
%     Input parameters
lfill = nag_int(-1);
dtol  = 0;
milu  = 'No modification';
ipivp = zeros(n, 1, nag_int_name);
ipivq = zeros(n, 1, nag_int_name);
% Compute complete factorization
[a, irow, icol, ipivp, ipivq, istr, idiag, nnzc, npivm, ifail] = ...
    f11dn(...
          nz, a, irow, icol, lfill, dtol, milu, ipivp, ipivq);

% Check whether factorization is complete
if npivm>0
  error('Factorization is not complete');
end

% Solution Setup
%      Input parameters
[x, ifail] = f11dp( ...
                    'N', a, irow, icol, ipivp, ipivq, istr, idiag, 'C', b);

disp('Solution of linear system');
disp(x);

% diary off
