function f11js_example

% diary f11js_example.r
fprintf('f11js example results\n\n');

% Solve sparse Hermitian system Ax = b using CG method with
% SSOR preconditioning.

% Define A and b 
n  = nag_int(9);
nz = nag_int(23);
a  = [ 6 + 0.i; -1 + 1.i;  6 + 0.i;  0 + 1.i;
       5 + 0.i;  5 + 0.i;  2 - 2.i;  4 + 0.i;
       1 + 1.i;  2 + 0.i;  6 + 0.i; -4 + 3.i;
       0 + 1.i; -1 + 0.i;  6 + 0.i; -1 - 1.i;
       0 - 1.i;  9 + 0.i;  1 + 3.i;  1 + 2.i;
      -1 + 0.i;  1 + 4.i;  9 + 0.i];
b  = [ 8 + 54i;-10 - 92i; 25 + 27i; 26 - 28i;
      54 + 12i; 26 - 22i; 47 + 65i; 71 - 57i;
      60 + 70i];
irow = nag_int([1;2;2;3;3;4;5;5;6;6;6;7;7;7;7;8;8;8;9;9;9;9;9]);
icol = nag_int([1;1;2;2;3;4;1;5;3;4;6;2;5;6;7;4;6;8;1;5;6;8;9]);

% Solve
method = 'CG';
precon = 'S';
omega  = 1.1;
tol    = 1e-06;
maxitn = nag_int(100);
x      = complex(zeros(n,1));

[x, rnorm, itn, rdiag, ifail] = ...
f11js( ...
       method, precon, a, irow, icol, omega, b, tol, maxitn, x);

fprintf('Converged in %d iterations\n', itn);
fprintf('Final redidual norm = %16.3d\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
