function f11mh_example

% diary f11mh_example.r
fprintf('f11mh example results\n\n');

% Solve AX=B for sparse A

% A and B 
n      = nag_int(5);
nz     = nag_int(11);
icolzp = [nag_int(1); 3; 5;  7; 9; 12];
irowix = [nag_int(1); 3; 1;  5; 2;  3;  2; 4; 3; 4; 5];
a      = [        2;  4; 1; -2; 1;  1; -1; 1; 1; 2; 3];
b = [  1.56,  3.12;
      -0.25, -0.50;
       3.60,  7.20;
       1.33,  2.66;
       0.52,  1.04];

% Calculate COLAMD permutation
spec = 'M';
iprm = zeros(1, 7*n, nag_int_name);

[iprm, ifail] = f11md( ...
                       spec, n, icolzp, irowix, iprm);

% Factorise
thresh = 1;
nzlmx  = nag_int(8*nz);
nzlumx = nag_int(8*nz);
nzumx  = nag_int(8*nz);

[iprm, nzlumx, il, lval, iu, uval, nnzl, nnzu, flop, ifail] = ...
  f11me( ...
         n, irowix, a, iprm, thresh, nzlmx, nzlumx, nzumx);

% Compute solution in x
x     = b;
trans = 'N';

[x, ifail] = f11mf( ...
                    trans, iprm, il, lval, iu, uval, x);

% Improve solution, and compute backward errors and estimated
% bounds on the forward errors
[x, ferr, berr, ifail] = ...
  f11mh( ...
         trans, icolzp, irowix, a, iprm, il, lval, iu, uval, b, x);

fprintf('Solutions:\n');
disp(x);
fprintf('Estmated Forward Error:\n');
fprintf('%8.1e\n', ferr);
fprintf('\nEstmated Backward Error:\n');
fprintf('%8.1e\n', berr);

% diary off
