function f11mm_example

% diary f11mm_example.r
fprintf('f11mm example results\n\n');

% Calculate reciprocal pivot growth from factorization of sparse A 
n      = nag_int(5);
nz     = nag_int(11);
icolzp = [nag_int(1); 3; 5;  7; 9; 12];
irowix = [nag_int(1); 3; 1;  5; 2;  3;  2; 4; 3; 4; 5];
a      = [         2; 4; 1; -2; 1;  1; -1; 1; 1; 2; 3];

% Calculate COLAMD permutation
spec = 'M';
iprm = zeros(1, 7*n, nag_int_name);
[iprm, ifail] = f11md( ...
                       spec, n, icolzp, irowix, iprm);

% Factorise
thresh = 1;
nzlmx = nag_int(8*nz);
nzlumx = nag_int(8*nz);
nzumx = nag_int(8*nz);
[iprm, nzlumx, il, lval, iu, uval, nnzl, nnzu, flop, ifail] = ...
  f11me( ...
         n, irowix, a, iprm, thresh, nzlmx, nzlumx, nzumx);

% Calculate reciprocal pivot growth
[rpg, ifail] = f11mm( ...
                      n, icolzp, a, iprm, il, lval, iu, uval);

disp('Reciprocal pivot growth');
disp(rpg);

% diary off
