function g01af_example

% diary g01af_example.r
fprintf('g01af example results\n\n');

nr = 2;
nc = 3;
nobs = zeros(nr+1,nc+1,nag_int_name);
nobs(1:nr,1:nc) = [ 86,  51, 13;
		   130, 115, 41];

[nobs, num, pred, chis, p, npos, ndf, m1, n1, ifail] = ...
  g01af(nobs);

if (m1~=nr)
fprintf('Number of rows reduced from %2d to %2d\n', nr, m1);
end
if (n1~=nc)
  fprintf('Number of rows reduced from %2d to %2d\n', nc, n1);
end
fprintf('\nTable of observed frequencies\n\n');
fprintf('                            total\n');
for j = 1:m1
  fprintf('%8s',' ');
  fprintf('%5d',nobs(j,1:n1));
  fprintf('%8d\n',nobs(j,n1+1));
end
fprintf('\n%8s','total');
fprintf('%5d',nobs(m1+1,1:n1));
fprintf('%8d\n',nobs(m1+1,n1+1));

fprintf('\n\nTable of expected frequencies\n\n');
for j = 1:m1
  fprintf('%8s',' ');
  fprintf('%5d',nag_int(pred(j,1:n1)));
  fprintf('\n');
end

fprintf('\nChi-squared        = %7.3f\n', chis);
fprintf('Degrees of freedom = %4d\n', ndf);

% diary off

function g01af_table(m1,n1,obs)
  fprintf('                            total\n');
  for j = 1:m1
    fprintf('%8s',' ');
    fprintf('%5d',obs(j,1:n1));
    fprintf('%8d\n',obs(j,n1+1));
  end
  fprintf('\n%8s','total');
  fprintf('%5d',obs(m1+1,1:n1));
  fprintf('%8d\n',obs(m1+1,n1+1));
