function g01ap_example

% diary g01ap_example.r
fprintf('g01ap example results\n\n');

n   = 0;
tol = 0.2;
q   = [0.25 0.5 1.0];
nb  = 20;
% For this example we are using a string as the source of data.
datastream = ['34.01 57.95 44.88 22.04 28.84  4.43  0.32 20.82 ' ...
              '20.53 13.08  7.99 54.03 23.21 26.73 39.72  0.97 ' ...
              '39.05 38.78 19.38 51.34 24.08 12.41 58.11 35.90 ' ...
              '40.38 27.41 19.80  6.02 45.33 36.34 43.14 53.84 ' ...
	      '39.49  9.04 36.74 58.72 59.95 15.41 33.05 39.54 ' ...
              '33.24 58.67 54.12 39.48 43.73 24.15 55.72  8.87 ' ...
              '40.47 46.18 20.36  6.95 36.86 49.24 56.83 43.87 ' ...
              '29.86 22.49 25.29 33.17'];

rcomm = zeros(100, 1);
icomm = zeros(400, 1, nag_int_name);
ind   = nag_int(0);
repeat = true;
pos    = 0;

while (repeat)
  if (ind==0 || ind==1)
    [rv, new_pos] = textscan(datastream(pos+1:end), '%f', nb);
    pos = pos+new_pos;

    nd = numel(rv{1});
    if nd == 0
      break;
    elseif nd < nb
      nb = nd;
      repeat = false;
    elseif pos == numel(datastream)
      repeat = false;
    end
    n = n+nb;
  end

  [ind, np, qv, rcomm, icomm, ifail] = ...
    g01ap(ind, rv{1}, tol, q, rcomm, icomm);

  % If ind=2, the communication arrays are too small, so extend them
  % and call the routine again with the same rv
  if ind == 2
    if numel(rcomm) < icomm(1)
      rcomm(icomm(1)) = 0;
    end
    if numel(icomm) < icomm(2)
      icomm(icomm(2)) = 0;
    end
  end
end

% Call again to calculate quantiles q
ind = nag_int(3);
[ind, np, qv, rcomm, icomm, ifail] = ...
  g01ap(ind, 0, tol, q, rcomm, icomm);

% Display results
fprintf('\nInput Data:\n %d observations\n eps = %5.2f\n\n', n, tol);
fprintf('Quantile     Result\n');
fprintf('%7.2f     %7.2f\n', [q; qv']);

% diary off
