function g01dc_example

% diary g01dc_example.r
fprintf('g01dc example results\n\n');

n    = nag_int(6);
etol = 1e-4;

% Compute normal scores
[pp, errest, ifail] = g01da(n, etol);

sumssq = dot(pp,pp);
exp1   = pp(n);
exp2   = pp(n-1);

% Compute approximate variance-covariance matrix
[vec, ifail] = g01dc(n, exp1, exp2, sumssq);

fprintf('Sample size = %4d\n', n);
fprintf('Variance-covariance matrix\n');
k = 1;
for j = 1:n
  fprintf('%8.3f',vec(k:(k+j-1)));
  fprintf('\n');
  k = k + j;
end

% diary off
