function g01lb_example

% diary g01lb_example.r
fprintf('g01lb example results\n\n');

ilog = nag_int(0);
k    = nag_int(2);
iuld = nag_int(1);
xmu  = [0.1; 0.2; 0.3; 0.4];
sig  = [4.16,  0,     0,     0;
       -3.12,  5.03,  0,     0;
        0.56, -0.83,  0.76,  0;
       -0.10,  1.18,  0.34,  1.18];
x    = [1, 1;
        1, 2;
        1, 3;
        1, 4];

[pdf, rnk, ifail] = g01lb(ilog, x, xmu, iuld, sig);

fprintf('\nRank of the covariance matrix: %d\n', rnk);
if ilog == 1
  fprintf('     log(PDF)                  X\n');
else
  fprintf('       PDF                     X\n');
end
for i=1:k
  fprintf('%13.4e %8.4f %8.4f %8.4f %8.4f\n', pdf(i), x(:, i));
end

% diary off
