function g01na_example

% diary g01na_example.r
fprintf('g01na example results\n\n');

% Problem parameters
n    = 10;
l    = nag_int(4);
beta = 0.8;
con  = 1.0;

% Simple autoregression setup
a            = zeros(n,n);
a(2:n,1:n-1) = 0.5*eye(n-1);
emu = zeros(n,1);
for j=1:n
  emu(j) = con*beta^j;
end
sigma = zeros(n,n);
sigma(1,1) = 1;
for j = 2:n
  sigma(j,j) = sigma(j-1,j-1)*beta^2 + 1;
end
for i = 1:n
  s = sigma(i,i);
  for j = i+1:n
    sigma(j,i) = s*beta^(j-i);
  end
end

[rkum, rmom, ifail] = g01na( ...
                             a, sigma, l, 'emu', emu);

% Display results
fprintf(' n = %3d, beta = %6.3f, con = %6.3f\n\n', n, beta, con);
fprintf('    Cumulants       Moments\n\n');
ival = double([1:l]');
fprintf('%3d%12.4e    %12.4e\n',[ival rkum rmom]');

% diary off
