function g02an_example

% diary g02an_example.r
fprintf('g02an example results\n\n');

% Approximate correlation matrix
g = [1.0000 -0.0991  0.5665 -0.5653 -0.3441;
    -0.0991  1.0000 -0.4273  0.8474  0.4975;
     0.5665 -0.4273  1.0000 -0.1837 -0.0585;
    -0.5653  0.8474 -0.1837  1.0000 -0.2713;
    -0.3441  0.4975 -0.0585 -0.2713  1.0000];
% Preserve the leading 3-by-3 principal submatrix
k = nag_int(3);

% Calculate nearest correlation matrix
[g, x, alpha, iter, eigmin, norm_p, ifail] = ...
  g02an(g,k);

fprintf('\nSymmetrised input matrix \n');
disp(g);
fprintf('Nearest Perturbed Correlation Matrix\n');
disp(x);
fprintf('k:                              %d\n', k);
fprintf('Number of iterations taken:     %d\n', iter);
fprintf('alpha:                    %12.4f\n', alpha);
fprintf('Norm value:               %12.4f\n', norm_p);
fprintf('Smallest eigenvalue of A: %12.4f\n', eigmin);

% diary off
