function g02bm_example

% diary g02bm_example.r
fprintf('g02bm example results\n\n');

x = [ 3,  3,  1,  2;
      6,  4, -1,  4;
      9,  0,  5,  9;
     12,  2,  0,  0;
     -1,  5,  4, 12];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

miss  = [nag_int(1); 1; 0; 1];
xmiss = [       -1;  0; 0; 0];
kvar  = [nag_int(4); 1; 2];
nvar  = size(kvar,1);

[xbar, std, sspz, rz, ncases, count, ifail] = ...
  g02bm( ...
         x, miss, xmiss, kvar);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[double(kvar) xbar(1:nvar) std(1:nvar)]');
fprintf('\nSums of squares and cross-products about zero\n');
disp(sspz)
fprintf('Correlation-like coefficients\n');
disp(rz);
fprintf('Number of cases used for any pair of variables = %d\n\n', ncases);
fprintf('Numbers used for each pair are:\n   ');
fprintf('%10d',kvar);
for j=1:nvar
  fprintf('\n%3d:',kvar(j));
  fprintf('%10.1f',count(j,:));
end
fprintf('\n')

% diary off
