function g02cf_example

% diary g02cf_example.r
fprintf('g02cf example results\n\n');

% Data
xbar = [  5.4;     5.8;      2.8];
std  = [  4.98;    5.0695;   1.924 ];
ssp  = [ 99.2,   -57.6,      6.4;
        -57.6,   102.8,    -29.2;
          6.4,   -29.2,     14.8   ];
r    = [  1,     -0.5704,    0.167;
         -0.5704, 1,        -0.7486;
          0.167, -0.7486,    1     ];

% Reordering
korder = [nag_int(1); 3; 2];

% Display data
fprintf('Original vector xbar :   ');
fprintf(' %10.4f', xbar);
fprintf('\n\nOriginal vector std  :   ');
fprintf(' %10.4f', std);
fprintf('\n\n');
disp('Original matrix SSP  :');
disp(ssp);
disp('Original matrix R    :');
disp(r);

% Calculate new summaries
[xbar, std, ssp, r, ifail] = g02cf( ...
                                    korder, xbar, std, ssp, r);

% Display results
fprintf('New vector xbar :   ');
fprintf(' %10.4f', xbar);
fprintf('\n\nNew vector std  :   ');
fprintf(' %10.4f', std);
fprintf('\n\n');
disp('New matrix ssp  :');
disp(ssp);
disp('New matrix r    :');
disp(r);

% diary off
