function g02hk_example

% diary g02hk_example.r
fprintf('g02hk example results\n\n');

x = [3.4, 6.9, 12.2;
     6.4, 2.5, 15.1;
     4.9, 5.5, 14.2;
     7.3, 1.9, 18.2;
     8.8, 3.6, 11.7;
     8.4, 1.3, 17.9;
     5.3, 3.1, 15.0;
     2.7, 8.1,  7.7;
     6.1, 3.0, 21.9;
     5.3, 2.2, 13.9];
epsilon = 0.1;

% Compute robust estimate of variance / covariance matrix
[covar, theta, nit, ifail] = g02hk( ...
                                    x, epsilon);

fprintf(' iterations to convergence = %4d\n\n', nit);
mtitle = 'Covariance matrix';
n = nag_int(size(x,2));
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = x04cc( ...
                 uplo, diag, n, covar, mtitle);
fprintf('\n');
disp('Theta');
disp(theta);


% diary off
