function g02hm_example

% diary g02hm_example.r
fprintf('g02hm example results\n\n');

indm = nag_int(1);
x = [3.4, 6.9, 12.2;
     6.4, 2.5, 15.1;
     4.9, 5.5, 14.2;
     7.3, 1.9, 18.2;
     8.8, 3.6, 11.7;
     8.4, 1.3, 17.9;
     5.3, 3.1, 15.0;
     2.7, 8.1,  7.7;
     6.1, 3.0, 21.9;
     5.3, 2.2, 13.9];

[n,m] = size(x);
indm = nag_int(1);

% Initial values
a = [1;
     0;     1;
     0;     0;     1];
theta = zeros(m,1);

user = [4, 2];
[user, covar, a, wt, theta, nit, ifail] = ...
    g02hm( ...
           @ucv, indm, x, a, theta, 'user', user);

fprintf(' iterations to convergence = %4d\n\n', nit);
mtitle = 'Robust covariance matrix';
n = nag_int(size(x,2));
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = x04cc( ...
                 uplo, diag, n, covar, mtitle);
fprintf('\n');
disp('Robust estimates of theta');
disp(theta);

% diary off

function [userp, u, w] = ucv(t, userp)
  cu = userp(1);
  u = 1.0;
  if (t ~= 0)
    t2 = t*t;
    if (t2 > cu)
      u = cu/t2;
    end
  end
  % w function and derivative
  cw = userp(2);
  if (t > cw)
    w = cw/t;
  else
    w = 1.0;
  end
