function g03aa_example

% diary g03aa_example.r
fprintf('g03aa example results\n\n');

x    = [7, 4, 3;
	4, 1, 8;
	6, 3, 5;
	8, 6, 1;
	8, 5, 7;
	7, 2, 9;
	5, 3, 3;
	9, 5, 8;
	7, 4, 5;
	8, 2, 2];
n    = size(x,2);

matrix = 'V';
std  = 'E';
isx  = ones(n,1,nag_int_name);
s    = zeros(n,1);
nvar = nag_int(n);

[s, e, p, v, ifail] = g03aa( ...
			     matrix, std, x, isx, s, nvar);

fprintf('Eigenvalues  Percentage  Cumulative     Chisq      DF     Sig\n');
fprintf('              variation   variation\n\n');
fprintf('%11.4f%12.4f%12.4f%10.4f%8.1f%8.4f\n',e');
fprintf('\n');

mtitle = 'Principal component loadings';
matrix = 'General';
diag   = ' ';

[ifail] = x04ca( ...
                 matrix, diag, p, mtitle);

fprintf('\n');
mtitle = 'Principal component scores';
[ifail] = x04ca( ...
                 matrix, diag, v, mtitle);

fig1 = figure;
subplot(1,2,1);
xlabel('PC 1');
ylabel('PC 2');
title({'Observation numbers', 'for PC 1 and PC 2'});
axis([-5 5 -3 4]);
for j = 1:size(x,1)
  ch = sprintf('%d',j);
  text(v(j,1),v(j,2),ch);
end
subplot(1,2,2);
bar(e(:,2));
ax = gca;
ax.XTickLabel = {'PC 1','PC 2','PC 3'};
xlabel('PC 1');
ylabel('Percentage variation');
title('Scree plot');
% print(fig1,'-dpng','-r75','g03aa_fig1.png');
% print(fig1,'-deps','-r75','g03aa_fig1.eps');

% diary off
