function g03cc_example

% diary g03cc_example.r
fprintf('g03cc example results\n\n');

matrix = 'C';
n = nag_int(220);
x = [1.000 0.439 0.410 0.288 0.329 0.248;
     0.439 1.000 0.351 0.354 0.320 0.329;
     0.410 0.351 1.000 0.164 0.190 0.181;
     0.288 0.354 0.164 1.000 0.595 0.470;
     0.329 0.320 0.190 0.595 1.000 0.464;
     0.248 0.329 0.181 0.470 0.464 1.000];

nvar = nag_int(size(x,1));
isx  = ones(nvar,1,nag_int_name);
nfac = nag_int(2);
iop  = [nag_int(1); -1;  500;  3;  5];

% Fit factor analysis model
[e, stat, com, psi, res, fl, ifail] = ...
  g03ca( ...
	 matrix, n, x, nvar, isx, nfac, iop);

fprintf(' Loadings, Communalities and Psi\n\n');
for i = 1:nvar
  fprintf('%8.3f', fl(i,1:nfac), com(i), psi(i));
  fprintf('\n');
end

% Compute factor scores
method = 'R';
rotate = 'U';
r      = [0];
[fs, ifail] = g03cc( ...
		     method, rotate, fl, psi, e, r);

mtitle = 'Factor score coefficients';
matrix = 'General';
diag   = ' ';

fprintf('\n');
[ifail] = x04ca( ...
                 matrix, diag, fs, mtitle);

% diary off
