function g05pd_example

% diary g05pd_example.r
fprintf('g05pd example results\n\n');

% Initialize the generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid =  nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Input parameters
dist  = 'N';
num   = nag_int(10);
ip    = nag_int(0);
iq    = nag_int(3);
theta = [0.8; 0.6; 0.2; 0.1];
gamma = -0.4;
df    = nag_int(0);
fcall = true;
r     = zeros(2*(ip+iq+2),1);

% Generate the first realisation
[ht, et, r, state, ifail] = g05pd( ...
                                   dist, num, ip, iq, theta, ...
                                   gamma, df, fcall, r, state);
% Display the results
fprintf('\n Realisation Number 1\n');
fprintf('   i            ht(i)            et(i)\n');
fprintf('  --------------------------------------\n');
for i=1:num
  fprintf('  %2d  %16.4f %16.4f\n', i, ht(i), et(i));
end

% Generate a second realisation
fcall = false;
[ht, et, r, state, ifail] = g05pd( ...
                                   dist, num, ip, iq, theta, ...
                                   gamma, df, fcall, r, state);
% Display the results
fprintf('\n Realisation Number 2\n');
fprintf('   i            ht(i)            et(i)\n');
fprintf('  --------------------------------------\n');
for i=1:num
  fprintf('  %2d  %16.4f %16.4f\n', i, ht(i), et(i));
end

% diary off
