function g05td_example

% diary g05td_example.r
fprintf('g05td example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters (PDF) 
p = [0.01;     0.02;     0.04;    0.08;     0.2;     0.3;
     0.2;      0.08;     0.04;    0.02;     0.01];
ip1 = nag_int(-5);
itype = nag_int(1);

% Generate variates from PDF defined by p and ip1
mode = nag_int(2);
r = zeros(60, 1);
[r, state, x, ifail] = g05td( ...
                              mode, n, p, ip1, itype, r, state);

disp('Variates');
disp(double(x));

% diary off
