function g05yn_example

% diary g05yn_example.r
fprintf('g05yn example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);


% Initialize the quasi-random generator
stype = nag_int(1);
idim  = nag_int(8);
iskip = nag_int(1000);
nsdigi = nag_int(0);
[iref, state, ifail] = g05yn( ...
                              genid, stype, idim, iskip, nsdigi, state);

% Number of variates
n = nag_int(200);

% Generate quasi-random variates
[quas, iref, ifail] = g05ym( ...
                             n, iref);

% Evaluate the function, and sum
p(1:n) = prod(abs(4*quas(1:idim,:)-2));
fsum = sum(p);

% Convert sum to mean value
vsbl = fsum/double(n);
fprintf('Value of integral = %8.4f\n\n', vsbl);
fprintf('First 10 variates\n');
for i = 1:10
  fprintf(' %3d', i);
  fprintf(' %8.4f', quas(1:idim,i));
  fprintf('\n');
end

% diary off
