function g07ga_example

% diary g07ga_example.r
fprintf('g07ga example results\n\n');

y = [-0.30;  0.48;  0.63; -0.22; 0.18;
     -0.44; -0.24; -0.13; -0.05; 0.39;
      1.01;  0.06; -1.40;  0.20; 0.10];

p     = nag_int(2);
ldiff = nag_int(1);

% Get a list of potential outliers
[iout, niout, dif, llamb, ifail] = ...
  g07ga(p, y, ldiff);

% Display results
fprintf('Number of potential outliers: %2d\n',niout);
fprintf('  No.  Index    Value');
if ldiff > 0
  fprintf('       Diff    ln(lambda^2)');
end
fprintf('\n');

for i=1:niout
  fprintf(' %4d %4d %10.2f', i, iout(i), y(iout(i)));
  if i <= ldiff
    fprintf(' %10.2f %10.2f', dif(i), llamb(i));
  end
  fprintf('\n');
end

% diary off
