function g08aj_example

% diary g08aj_example.r
fprintf('g08aj example results\n\n');

x = [13.0  5.8 11.7  6.5 12.3  6.7  9.2  6.9 ...
     10.0  7.3 16.0  7.0 10.5  8.5  9.0  7.5];
y = [17.0  6.2 10.1  8.0 15.3  8.2 15.0  9.6 ...
     14.9 10.4 14.2  9.8 13.8 11.0 14.0 11.1 ...
     12.9 11.6 12.8 12.0 13.1 12.4 11.9];
n1 = nag_int(numel(x));
n2 = nag_int(numel(y));

fprintf('Mann-Whitney U test\n\n');
fprintf('Sample size of group 1 = %5d\n', n1);
fprintf('Sample size of group 2 = %5d\n\n', n2);
fprintf('Data values\n');
fprintf('\n     Group 1 ');
for j = 1:floor(n1/8)
  i1 = (j-1)*8 + 1;
  i2 = min(n1,i1+7);
  fprintf('%5.1f',x(i1:i2));
  fprintf('\n             ');
end
fprintf('\n     Group 2 ');
for j = 1:floor(n2/8)
  i1 = (j-1)*8 + 1;
  i2 = min(n2,i1+7);
  fprintf('%5.1f',y(i1:i2));
  fprintf('\n             ');
end

% Perform test
tail = 'Lower-tail';
[u, unor, p, ties, ranks, ifail] =  ...
  g08ah(x, y, tail);

% Calculate exact probabilities
if ties
  [pexact, ifail] = g08ak( ...
                      n1, n2, tail, ranks, u);
else
  [pexact, ifail] = g08aj( ...
                      n1, n2, tail, u);
end
   
fprintf('\nTest statistic            = %8.4f\n', u);
fprintf('Normalized test statistic = %8.4f\n', unor);
fprintf('Approx. tail probability  = %8.4f\n\n', p);
if ties
  fprintf('There are ties in the pooled sample\n\n');
else
  fprintf('There are no ties in the pooled sample\n\n');
end
fprintf('Exact tail probability    = %8.4f\n', pexact);

% diary off
