function g08ea_example

% diary g08ea_example.r
fprintf('g08ea example results\n\n');

% Initialize the base generator to a repeatable sequence
seed = [nag_int(324213)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

m      = nag_int(0);
nruns  = nag_int(0);
ncount = [nag_int(0);0;0;0;0;0];
n      = nag_int(100);
nsampl = 5;
cl     = 'F';

for i=1:nsampl
  % Generate a sample from U(0,1)
  [state, x, ifail] = g05sq( ...
                             n, 0, 1, state);
  % Process the sample
  [nruns, ncount, ex, covar, chi, df, prob, ifail] = ...
  g08ea( ...
         cl, x, m, nruns, ncount);
  % Adjust CL
  cl = 'I';
  if i==nsampl-1
     cl = 'L';
  end
end

fprintf('Total number of runs found = %d\n', nruns);
fprintf('\n%33s\n', 'Count');
head = '        1        2        3        4        5       >5';
fprintf('%s\n', head);
fprintf('%9d', ncount);

fprintf('\n\n%34s\n', 'Expect');
fprintf('%s\n', head);
fprintf('%9.1f', ex);
fprintf('\n\n');

[ifail] = x04ca( ...
                 'General', ' ', covar, 'Covariance matrix');

fprintf('\n\nChisq = %10.4f\n', chi);
fprintf('DF    = %7.1f\n', df);
fprintf('Prob  = %10.4f\n', prob);

% diary off
