function g10ca_example

% diary g10ca_example.r
fprintf('g10ca example results\n\n');

y = [569; 416; 422; 565; 484; 520; 573; 518; 501; 505;
     468; 382; 310; 334; 359; 372; 439; 446; 349; 395;
     461; 511; 583; 590; 620; 578; 534; 631; 600; 438;
     516; 534; 467; 457; 392; 467; 500; 493; 410; 412;
     416; 403; 422; 459; 467; 512; 534; 552; 545];

% Smooth sequence using 3RSSH,twice
itype = nag_int(1);
[smooth1, rough1, ifail] = g10ca( ...
                                  itype, y);

% Smooth sequence using 4253H,twice
itype = nag_int(0);
[smooth0, rough0, ifail] = g10ca( ...
                                  itype, y);

% Display results
fprintf('%39s%26s\n', 'Using 3RSSH,twice', 'Using 4253H,twice');
fprintf('%6s%9s%13s%13s%13s%13s\n', ' Index', '     Data', '      Smooth', ...
        '        Rough', '       Smooth', '       Rough');
ivar = [1:numel(y)]';
results = [ivar y smooth1 rough1 smooth0 rough0];
fprintf('%4d%11.1f%13.1f%13.1f%13.1f%13.1f\n', results');

fig1 = figure;
plot(ivar,y,'+',ivar,smooth1,ivar,smooth0);
legend('Observed data', 'Smoothed using 3RSSH', 'Smoothed using 4253H', ...
       'Location', 'SouthEast');
legend('boxoff');
xlabel('Observation Number');
ylabel('y');
title('Running median smoothers');

% print(fig1,'-dpng','-r75','g10ca_fig1.png');
% print(fig1,'-deps','-r75','g10ca_fig1.eps');

% diary off
