function g13ab_example

% diary g13ab_example.r
fprintf('g13ab example results\n\n');

x = [ 5;  11;  16;  23;  36;  58;  29;  20;  10;   8;
      3;   0;   0;   2;  11;  27;  47;  63;  60;  39;
     28;  26;  22;  11;  21;  40;  78; 122; 103;  73;
     47;  35;  11;   5;  16;  34;  70;  81; 111; 101;
     73;  40;  20;  16;   5;  11;  22;  40;  60;  80.9];

nk = nag_int(10);
% Compute autocorrelation
[xm, xv, r, stat, ifail] = g13ab( ...
                                  x, nk);

% Display results
fprintf('The first %4d coefficients are required\n',nk);
fprintf('The input array has sample mean     %12.4f\n', xm);
fprintf('The input array has sample variance %12.4f\n', xv);
fprintf('The sample autocorrelation coefficients are\n\n');
fprintf('   Lag    Coeff      Lag    Coeff\n');
ivar = double([1:nk]);
fprintf('%6d%10.4f%8d%10.4f\n',[ivar; r(1:nk)']);
fprintf('\nThe value of stat is %12.4f\n', stat);

% For plotting use all posible lags
nk = nag_int(numel(x)-1);
[xm, xv, r, stat, ifail] = g13ab( ...
                                  x, nk);

fig1 = figure;
refline = 1.96/sqrt(numel(x));
hold on
h = bar(r,0.1);
h.FaceColor = [1 0 0];
h.EdgeColor = [1 0 0];
h.ShowBaseLine = 'off';
plot([0 nk+1],[refline refline],'green');
plot([0 nk+1],[-refline -refline],'green');
axis([0 50 -0.6 1]);
ax = gca;
ax.YTick = [-0.6:0.2:1];
ax.XTick = [0:10:50];
xlabel('Lag');
ylabel('ACF');
title('Sample autocorrelation coefficients');
hold off
% print(fig1,'-dpng','-r75','g13ab_fig1.png');
% print(fig1,'-deps','-r75','g13ab_fig1.eps');

% diary off
