function g13af_example

% diary g13af_example.r
fprintf('g13af example results\n\n');

% Data
x = [-217; -177; -166; -136; -110;  -95;  -64;  -37;  -14;  -25;
      -51;  -62;  -73;  -88; -113; -120;  -83;  -33;  -19;   21;
       17;   44;   44;   78;   88;  122;  126;  114;   85;   64];

% orders
mr = [nag_int(1);1;2;0;0;0;0];

par = [0; 0; 0];
c = 0;

% Fit ARIMA model
[par, c, s, ndf, sd, cm, st, nst, itc, isf, res, nres, ifail] = ...
  g13af( ...
         mr, par, c, x);

%  Display results
fprintf('Convergence was achieved after %4d cycles\n\n', itc);
fprintf('Final values of par array and the constant c are as follows\n');
fprintf('%10.4f', [par; c]);
fprintf('\n\nResidual sum of squares is %10.3f with %4d %s\n\n', ...
        s, ndf, 'degrees of freedom');
fprintf('The corresponding SD array holds\n')
fprintf('%10.4f', sd);
fprintf('\n\n');

[ifail] = x04ca( ...
                 'General', ' ', cm, ...
                 'The correlation matrix is as follows');

fprintf('\nThe residuals consist of %4d values\n', nres);
for j = 1:5:nres
  fprintf('%11.4f', res(j:min(j+4,nres)));
  fprintf('\n');
end
fprintf('\nThe state set consists of %4d values\n', nst);
fprintf('%11.3f', st(1:nst));
fprintf('\n');

% diary off
