function g13aj_example

% diary g13aj_example.r
fprintf('g13aj example results\n\n');

% orders
mr  = [nag_int(1);  1;  2;  0;  0;  0;  0];
% Parameter estimates
par = [-0.0547;     -0.5568;     -0.6636];

% data
x = [-217; -177; -166; -136; -110;  -95;  -64;  -37;  -14;  -25;
      -51;  -62;  -73;  -88; -113; -120;  -83;  -33;  -19;   21;
       17;   44;   44;   78;   88;  122;  126;  114;   85;   64];

% From mr ...
ist = nag_int(4);

% Problem sizes
kfc = nag_int(1);
nfv = nag_int(5);
ifv = nag_int(nfv);
c   = 9.9807;

% Apply ARIMA model
[rms, st, nst, fva, fsd, isf, ifail] = ...
  g13aj( ...
         mr, par, c, kfc, x, ist, nfv, ifv);

%   Display results
fprintf('The residual mean square is %9.2f\n\n', rms);
fprintf('The state set consists of %4d values\n', nst);
for j = 1:6:nst
  fprintf('%11.4f', st(j:min(j+5,nst)));
  fprintf('\n');
end
fprintf('\nThe %4d forecast values and standard errors are -\n', nfv);
fprintf('%10.2f%10.2f\n', [fva fsd]');

% diary off
