function g13bc_example

% diary g13bc_example.r
fprintf('g13bc example results\n\n');

% Series
x = [0.02;  0.05;  0.08;  0.03; -0.05;  0.11; -0.01; -0.08; -0.08; -0.11;
    -0.18; -0.19; -0.09;  0.03;  0.10;  0.15; -0.14;  0.07;  0.09;  0.16];
y = [3.18;  3.21;  3.26;  3.25;  3.08;  3.01;  3.06;  3.17;  3.12;  3.04;
     3.26;  3.45;  3.33;  3.70;  3.31;  3.81;  3.33;  2.96;  3.28;  3.10];

% Number of lags
nl = nag_int(15);

% Cross correlations between x and y
[sxy, r0xy, rxy, statxy, ifail] = g13bc( ...
                                 x, y, nl);
% Cross correlations between y and x
[syx, r0yx, ryx, statyx, ifail] = g13bc( ...
                                 y, x, nl);

% Display results
fprintf('%34s%15s\n', 'Between', 'Between');
fprintf('%34s%15s\n', 'x and y', 'y and x');
fmt1 = '\n%24s%10.4f%15.4f\n';
fprintf(fmt1, 'Standard deviation ratio', sxy, syx);
fprintf('\nCross correlation at lag');
fprintf(fmt1, '0', r0xy, r0yx);
ivar = double([1:nl]');
fprintf('%24d%10.4f%15.4f\n', [ivar rxy ryx]')
fprintf(fmt1,'Test statistic          ', statxy, statyx);

% diary off
