function g13cg_example

% diary g13cg_example.r
fprintf('g13cg example results\n\n');

% Data
xg = [ 2.03490;     0.51554;     0.07640;
       0.01068;     0.00093;     0.00100;
       0.00076;     0.00037;     0.00021];
yg = [21.97712;     3.29761;     0.28782;
       0.02480;     0.00285;     0.00203;
       0.00125;     0.00107;     0.00191];
xyrg = ...
     [-6.54995;     0.34107;     0.12335;
      -0.00514;    -0.00033;    -0.00039;
      -0.00026;     0.00011;     0.00007];
xyig = ...
     [ 0.00000;    -1.19030;     0.04087;
       0.00842;     0.00032;    -0.00001;
       0.00018;    -0.00016;     0.00000];
ng = numel(xg);

% Statistics
stats = [30.00000;     0.63858;     1.78670;     0.33288];

l = nag_int(16);
n = nag_int(296);
[er, erlw, erup, rf, rfse, ifail] = ...
  g13cg( ...
	 xg, yg, xyrg, xyig, stats, l, n);

% Display results
fprintf('           Noise spectrum\n');
for j=1:ng
  fprintf('%5d%16.4f\n', j-1, er(j))
end

fprintf('\nNoise spectrum bounds multiplying factors\n');
fprintf('Lower = %10.4f     Upper = %10.4f\n\n', erlw, erup);
fprintf('Impulse response function\n\n');
for j=1:l
  fprintf('%5d%16.4f\n', j-1, rf(j))
end
fprintf('\nImpulse response function standard error = %10.4f\n', rfse);

% diary off
