function g13dn_example

% diary g13dn_example.r
fprintf('g13dn example results\n\n');

w = [-1.49, -1.62, 5.20, 6.23, 6.21, 5.86, 4.09, 3.18, 2.62, 1.49, 1.17, ...
      0.85, -0.35, 0.24, 2.44, 2.58, 2.04, 0.40, 2.26, 3.34, 5.09, 5.00, ...
      4.78,  4.11, 3.45, 1.65, 1.29, 4.09, 6.32, 7.50, 3.89, 1.58, 5.21, ...
      5.25,  4.93, 7.38, 5.87, 5.81, 9.68, 9.07, 7.29, 7.84, 7.55, 7.32, ...
      7.97,  7.76, 7.00, 8.35;
      7.34,  6.35, 6.96, 8.54, 6.62, 4.97, 4.55, 4.81, 4.75, 4.76,10.88, ...
     10.01, 11.62,10.36, 6.40, 6.24, 7.93, 4.04, 3.73, 5.60, 5.35, 6.81, ...
      8.27,  7.68, 6.65, 6.08,10.25, 9.14,17.75,13.30, 9.63, 6.80, 4.08, ...
      5.06,  4.94, 6.65, 7.94,10.76,11.89, 5.85, 9.01, 7.50,10.02,10.38, ...
      8.15, 8.37, 10.73, 12.14];
[k,n] = size(w);
k = nag_int(k);
n = nag_int(n);
m = nag_int(10);
matrix = 'R';

% Calculate cross correlations
[wmean, r0, r, ifail] = g13dm( ...
			       matrix, k, m, w);

% Calculate sample partial lag correlation matrices
[maxlag, parlag, x, pvalue, ifail] = ...
  g13dn( ...
	 n, m, r0, r);

disp('Partial Lag Correlation Matrices');
for l = 1:m
  fprintf('Lag = %d\n',l);
  disp(parlag(:,:,l));
end
sn1 = 1/sqrt(double(n));
fprintf('Standard error = 1/sqrt(n) = %7.4f\n\n',sn1);

disp('Tables Of Indicator Symbols');
fprintf('\nFor Lags 1 to %d\n',m);
lhs = {'              0.005  :'; '        +     0.01   :';
       '              0.05   :'; 
       '   Sig. Level        :- - - - - - - - - -  Lags';
       '              0.05   :';
       '        -     0.01   :'; '              0.005  :'};
c = sn1*[3.29, 2.58, 1.96, 0, -1.96, -2.58, -3.29];
for i = 1:k
  for j=1:k
    if i==j
      fprintf('\nAuto-correlation function for series %d\n', i);
    else
      fprintf('\nCross-correlation function for series %d and series %d\n', ...
	      i, j);
    end
    rhs = lhs;
    for t = 1:m
      for u = 1:3
	if parlag(i,j,t)>c(u)
	  rhs{u} = strcat(rhs{u},'*');
	end
      end
      for u = 5:7
	if parlag(i,j,t)<c(u)
	  rhs{u} = strcat(rhs{u},'*');
	end
      end
    end
    fprintf('\n');
    fprintf('%s\n',rhs{1:end});
  end
end  

fprintf('\n Lag     Chi-square statistic     P-value\n\n');
ilag = double([1:m]);
fprintf('%4d%18.3f%19.4f\n',[ilag; x'; pvalue']);

% diary off
