function h02bz_example

% diary h02bz_example.r
fprintf('h02bz example results\n\n');

% Find vector x of length n that Minimizes c.x subject to:
% bl(1:n) <= x <= bu(1:n) and m linear contraints
% bl(n+1:n+m) <= Ax <= bu(n+1:n_m)
n = nag_int(6);
m = nag_int(3);
a  = [110,  205,   160,   160,   420,   260;
        4,   32,    13,     8,     4,    14;
        2,   12,    54,   285,    22,    80];
bl = [  0;    0;     0;     0;     0;     0;   2000;     55;     800];
bu = [  4;    3;     2;     8;     2;     2;  1e+20;  1e+20;   1e+20];

% All of x is integer.
intvar = nag_int([1;  1;  1;  1;  1;  1]);
c      =         [3; 24; 13;  9; 20; 19];
% Initial guess
x      = zeros(6,1);

itmax  = nag_int(0);
msglvl = nag_int(0);
maxnod = nag_int(0);
intfst = nag_int(0);
toliv  = 0;
tolfes = 0;
bigbnd = 1e+20;
[itmax, toliv, tolfes, bigbnd, x, objmip, iwork, rwork, ifail] = ...
h02bb( ...
       itmax, msglvl, a, bl, bu, intvar, c, maxnod, ...
       intfst, toliv, tolfes, bigbnd, x);

% Extract further solution information and display
[bl, bu, clamda, istate, ifail] = ...
h02bz(n, m, iwork, rwork);

fprintf('Final IP objective value = %11.4f\n\n',objmip)

fprintf('%6s%8s%8s%16s%14s%13s\n','Varbl','State','Value',...
        'Lower Bound','Upper Bound','Lagr Mult');

chstate = ['VL';'VU';'FR';'LL';'UU';'EQ';'TF'];
vch = ['Oatmeal';'Chicken';'Eggs   ';'Milk   ';'Pie    ';'Bacon  '];
cch = ['Energy ';'Protein';'Calcium'];

for i=1:n
  ich = double(istate(i)) + 3;
  fprintf('%7s%6s%10.2f%14.2f%14.2f%13.2f\n',vch(i,:),...
          chstate(ich,:),x(i),bl(i),bu(i),clamda(i))
end

fprintf('\n%6s%8s%8s%16s%14s%13s\n','L Con','State','Value',...
        'Lower Bound','Upper Bound','Lagr Mult');
y = a*x;
for i=n+1:n+m
  ich = double(istate(i)) + 3;
  fprintf('%7s%6s%10.2f%14.2f%14.2e%13.2f\n',cch(i-n,:),...
          chstate(ich,:),y(i-n),bl(i),bu(i),clamda(i))
end

% diary off
