function nag_anova_confidence_example

% diary nag_anova_confidence_example.r
fprintf('nag_anova_confidence example results\n\n');

n1 = nag_int(1);
iblock = n1;
nt = 4*n1;
y  = [ 3  2  4  3  1  5  7  8  4 10 ...
       6  3  2  1  2  4  2  3  1 10 ...
      12  8  5 12 10  9];
it = [n1  1  1  1  1  1  2  2  2  2 ...
       2  3  3  3  3  3  3  3  3  4 ...
       4  4  4  4  4  4];


% Calculate ANOVA table
tol  = 0;
irdf = nag_int(0);
[gmean, bmean, tmean, table, c, irep, r, ef, ifail] = ...
  nag_anova_random( ...
         y, iblock, nt, it, tol, irdf);

% Display ANOVA results
fprintf('ANOVA table\n\n');
fprintf(' Source        df         SS          MS          F        Prob\n\n');
fmt5 = '%s%5.0f%12.1f%12.1f%12.3f%11.4f\n';
fmt3 = '%s%5.0f%12.1f%12.1f\n';
fmt2 = '%s%5.0f%12.1f\n';
if iblock > 1
  fprintf(fmt5, 'Blocks      ', table(1,1:5));
end
fprintf(fmt5, 'Treatments  ', table(2,1:5));
fprintf(fmt3, 'Residual    ', table(3,1:3));
fprintf(fmt2, 'Total       ', table(4,1:2));
fprintf('\nTreatment Means\n\n');
for j = 1:8:nt
  fprintf('%8.3f', tmean(j:min(j+7,nt)));
  fprintf('\n');
end
fprintf('\n');

% Extract the residual degrees of freedom
rdf = table(3,1);

% Calculate simultaneous CIs
typ = 'T';
clevel = 0.95;
[cil, ciu, isig, ifail] = nag_anova_confidence( ...
                                 typ, tmean, rdf, c, clevel);

% Display CI results
fprintf('\nSimultaneous Confidence Intervals\n\n');
star(2) = '*';
star(1) = ' ';
ij = 0;
for i = 1:nt
  for j = 1:i-1
    ij = ij + 1;
    fprintf(' %2d%2d%15.3f%15.3f%5s\n', i, j, cil(ij), ciu(ij), ...
            star(isig(ij)+1));
  end
end

% diary off
