function nag_anova_hier2_example

% diary nag_anova_hier2_example.r
fprintf('nag_anova_hier2 example results\n\n');

% Observations in two groups with 5 and 3 sub-groups respectively
y = [2.1     2.4     2       2       2   ...
     2.4     2.1     2.2     ...
     2.4     2.2     2.6     ...
     2.4     2.4     2.5     ...
     1.9     1.7     ...
     ...
     2.1     1.5     2       ...
     1.9     1.7     1.9     1.9     1.9  ...
     2       2.1     2.3];
k    = 2;
lsub = [nag_int(5);                 3];
nobs = [nag_int(5); 3; 3; 3; 2;     3;5;3];
n = sum(nobs);

fprintf('Data values\n\n Group  Subgroup  Observations\n');
nsub = 0;
nlo  = 1;
for i = 1:k
  for j = 1:lsub(i)
    nsub = nsub + 1;
    nhi = nlo + nobs(nsub) - 1;
    fprintf('%5d%9d   ', i, j);
    fprintf('%4.1f',y(nlo:nhi));
    fprintf('\n');
    nlo = nhi + 1;
  end
end

% Perform ANOVA
[ngp, gbar, sgbar, gm, ss, idf, f, fp, ifail] = ...
  nag_anova_hier2(y, lsub, nobs);

% Display results
fprintf('\nSubgroup means\n\n');
fprintf('   Group  Subgroup  Mean\n');
ii = 0;
for i = 1:k
  for j = 1:lsub(i)
    ii = ii + 1;
    fprintf('%6d%8d%10.2f\n', i, j, sgbar(ii));
  end
end
fprintf('\n');
fprintf('%s%5.2f%s%2d%s\n', '    Group 1 mean =', gbar(1), ...
	'   (', ngp(1), ' observations)');
fprintf('%s%5.2f%s%2d%s\n', '    Group 2 mean =', gbar(2), ...
	'   (', ngp(2), ' observations)');
fprintf('%s%5.2f%s%2d%s\n', '    Grand mean   =', gm, ...
	'   (', n, ' observations)');
fprintf('\nAnalysis of variance table\n\n');
fprintf('   Source                SS    DF  F ratio  Sig\n\n');
fprintf('%s%6.3f%5d%7.2f%8.3f\n', 'Between groups        ', ...
	ss(1), idf(1), f(1), fp(1));
fprintf('%s%6.3f%5d%7.2f%8.3f\n', 'Between subgroups     ', ...
	ss(2), idf(2), f(2), fp(2));
fprintf('%s%6.3f%5d\n', 'Residual              ', ss(3), idf(3));
fprintf('\n%s%6.3f%5d\n', 'Total                 ', ss(4), idf(4));

% diary off
