function nag_anova_random_example

% diary nag_anova_random_example.r
fprintf('nag_anova_random example results\n\n');

% Data
y = [1;  5;  4;  5; 10;  6;  2;  9;  3;  4;  8;
     6;  2;  4;  7;  6;  7;  5;  5;  7;  2;  7;
     2;  4;  8;  4;  2; 10;  8;  7];

iblock = nag_int(10);
% Plot information
nt = nag_int(6);
it = [nag_int(1);  2;  3;  1;  2;  4;  1;  3;  5;  1;
              4;   6;  1;  5;  6;  2;  3;  6;  2;  4;
              5;   2;  5;  6;  3;  4;  5;  3;  4;  6];

tol = 5e-06;
irdf = nag_int(0);

% Calculate ANOVA table
[gmean, bmean, tmean, table, c, irep, r, ef, ifail] = ...
  nag_anova_random( ...
         y, iblock, nt, it, tol, irdf);

% Display results
fprintf('ANOVA table\n\n');
fprintf(' Source        df         SS          MS          F        Prob\n\n');
fmt5 = '%s%5.0f%12.2f%12.2f%12.2f%11.4f\n';
fmt3 = '%s%5.0f%12.2f%12.2f\n';
fmt2 = '%s%5.0f%12.2f\n';
fprintf(fmt5, 'Blocks      ', table(1,1:5));
fprintf(fmt5, 'Treatments  ', table(2,1:5));
fprintf(fmt3, 'Residual    ', table(3,1:3));
fprintf(fmt2, 'Total       ', table(4,1:2));
fprintf('\nEfficiency Factors\n\n');
for j = 1:8:nt
  fprintf('%8.4f', ef(j:min(j+7,nt)));
  fprintf('\n');
end
fprintf('\n Grand Mean %10.2f\n\n', gmean);
fprintf('Treatment Means\n\n');
for j = 1:8:nt
  fprintf('%8.4f', tmean(j:min(j+7,nt)));
  fprintf('\n');
end
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen( ...
                 'Lower', 'B', c, ...
                 'Standard errors of differences between means');

% diary off
