function nag_contab_condl_logistic_example

% diary nag_contab_condl_logistic_example.r
fprintf('nag_contab_condl_logistic example results\n\n');

% Data
data = [1 0 0 1;
        1 0 1 2;
        1 1 0 1;
        1 1 1 3;
        2 0 0 1;
        2 1 1 0;
        2 1 0 2];
isi = nag_int(data(:,1));
ic  = nag_int(data(:,2));
z   = data(:,3:end);

m   = size(z,2);
ns  = nag_int(2);
isz = ones(m,1,nag_int_name);

% Parameters
tol = 1e-05;
maxit = nag_int(10);

% initial estimate
b   = zeros(m,1);

% Calculate parameter estimates
[dev, b, se, sc, covar, nca, nct, ifail] = ...
nag_contab_condl_logistic( ...
       ns, z, isz, ic, isi, b, tol, maxit);

% Display results
fprintf(' Deviance = %13.3e\n\n', dev);
fprintf(' Strata     No. Cases   No. Controls\n\n');
ivar = double([1:ns]');
fprintf('%5d%12d%12d\n', [ivar nca nct]');
fprintf('\n Parameter      Estimate       Standard Error\n\n');
ivar = double([1:m]');
fprintf('%6d%18.4f%18.4f\n', [ivar b se]');

% diary off
