function nag_correg_coeffs_pearson_subset_miss_pair_example

% diary nag_correg_coeffs_pearson_subset_miss_pair_example.r
fprintf('nag_correg_coeffs_pearson_subset_miss_pair example results\n\n');

x = [ 3,  3,  1,  2;
      6,  4, -1,  4;
      9,  0,  5,  9;
     12,  2,  0,  0;
     -1,  5,  4, 12];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

miss  = [nag_int(1); 1; 0; 1];
xmiss = [        -1; 0; 0; 0];
kvar  = [nag_int(4);1;2];
nvar   = size(kvar,1);

[xbar, std, ssp, r, ncases, count, ifail] = ...
  nag_correg_coeffs_pearson_subset_miss_pair( ...
         x, miss, xmiss, kvar);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[double(kvar) xbar(1:nvar) std(1:nvar)]');
fprintf('\nSums of squares and cross-products of deviations\n');
disp(ssp)
fprintf('Correlation coefficients\n');
disp(r);
fprintf('Number of cases used for any pair of variables = %d\n\n', ncases);
fprintf('Numbers used for each pair are:\n   ');
fprintf('%10d',kvar);
for j=1:nvar
  fprintf('\n%3d:',kvar(j));
  fprintf('%10.1f',count(j,:));
end
fprintf('\n')

% diary off
