function nag_correg_corrmat_partial_example

% diary nag_correg_corrmat_partial_example.r
fprintf('nag_correg_corrmat_partial example results\n\n');

x = [ 112 0.30 0.09;
      140 0.49 0.16;
      143 0.61 0.22;
      120 0.49 0.14;
      196 2.64 0.75;
      294 3.45 0.86;
      513 4.46 1.34;
      518 4.46 1.34;
      430 1.22 0.47;
      274 1.22 0.47;
      255 0.32 0.22;
      236 0.29 0.23;
      256 0.50 0.26;
      222 0.32 0.16;
      213 0.32 0.16];

% Calculate correlation matrix
[xbar, std, v, r, ifail] = nag_correg_corrmat(x);

% Calculate partial correlation matrix
nx = nag_int(1);
ny = nag_int(2);
isz = [nag_int(-1); -1; 1];

[p, ifail] = nag_correg_corrmat_partial(ny, nx, isz, r);

mtitle = 'Correlation matrix:';
matrix = 'Upper';
diag   = 'Non-unit';

[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, r, mtitle);

fprintf('\n');
mtitle = 'Partial Correlation matrix:';
diag   = 'Unit';

[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, p, mtitle);

% diary off
