function nag_correg_glm_constrain_example

% diary nag_correg_glm_constrain_example.r
fprintf('nag_correg_glm_constrain example results\n\n');

x = [
     1  0  0  1  0  0  0  0;
     1  0  0  0  1  0  0  0;
     1  0  0  0  0  1  0  0;
     1  0  0  0  0  0  1  0;
     1  0  0  0  0  0  0  1;
     0  1  0  1  0  0  0  0;
     0  1  0  0  1  0  0  0;
     0  1  0  0  0  1  0  0;
     0  1  0  0  0  0  1  0;
     0  1  0  0  0  0  0  1;
     0  0  1  1  0  0  0  0;
     0  0  1  0  1  0  0  0;
     0  0  1  0  0  1  0  0;
     0  0  1  0  0  0  1  0;
     0  0  1  0  0  0  0  1];

y = [141  67 114  79  39 131  66 143  72  35  36  14  38  28  16];

[n,m] = size(x);
isx = ones(m,1,nag_int_name);
ip = nag_int(m+1);

link   = 'L';
mean_p = 'M';
eps = 1e-6;
tol = 5e-5;

% Fit generalized linear model with Poisson errors
[dev, idf, b, irank, se, covar, v, ifail] = ...
nag_correg_glm_poisson( ...
       link, mean_p, x, isx, ip, y, 'eps', eps, 'tol', tol);

% Display initial results
fprintf('Deviance           = %12.4e\n', dev);
fprintf('Degrees of freedom = %2d\n', idf);

% Constraints
c = [0  0;
     1  0;
     1  0;
     1  0;
     0  1;
     0  1;
     0  1;
     0  1;
     0  1];

% Re-estimate the model given the constraints
s = 1;
[b, se, covar, ifail] = nag_correg_glm_constrain( ...
                               v, c, b, s, 'ip', ip);

% Display the constrained parameter estimates
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%16.4f%20.4f\n',[ivar b se]');


% diary off
