function nag_correg_linregm_estfunc_example

% diary nag_correg_linregm_estfunc_example.r
fprintf('nag_correg_linregm_estfunc example results\n\n');

x = [1, 0, 0, 0;
     0, 0, 0, 1;
     0, 1, 0, 0;
     0, 0, 1, 0;
     0, 0, 0, 1;
     0, 1, 0, 0;
     0, 0, 0, 1;
     1, 0, 0, 0;
     0, 0, 1, 0;
     1, 0, 0, 0;
     0, 0, 1, 0;
     0, 1, 0, 0];
y = [33.63;     39.62;     38.18;     41.46;     38.02;     35.83;
     35.99;     36.58;     42.92;     37.80;     40.43;     37.89];

[n,m]  = size(x);
isx    = ones(m,1,nag_int_name);
mean_p = 'M';
ip     = nag_int(m+1);

% Fit general linear regression model
[rss, idf, b, se, covar, res, h, q, svd, irank, p, wk, ifail] = ...
  nag_correg_linregm_fit(mean_p, x, isx, ip, y);

% Display initial results
fprintf('Estimates from nag_correg_linregm_fit\n\n');
fprintf('Residual sum of squares = %12.4e\n', rss);
fprintf('Degrees of freedom      = %4d\n', idf);
fprintf('\nVariable   Parameter estimate   Standard error\n\n');
ivar = double([1:ip]');
fprintf('%6d%20.4e%20.4e\n',[ivar b se]');

% Estimable functions
f = [1 1  0 0 0;
     0 1 -1 0 0;
     0 1  0 0 0];
nf = size(f,1);
tol = 1e-05;

% Loop over estimable functions
for j = 1:nf
  [est, stat, sestat, t, ifail] = ...
  nag_correg_linregm_estfunc(irank, b, covar, p, f(j,:), tol);

  % Display results
   fprintf('\nFunction %2d\n\n', j);
   fprintf('%8.2f', f(j,:));
   if est
     fprintf('\n\nstat = %10.4f, se = %10.4f, t = %10.4f\n', stat, sestat, t);
   else
     fprintf('\n\nFunction not estimable\n');
   end
end

% diary off
