function nag_correg_linregm_var_add_example

% diary nag_correg_linregm_var_add_example.r
fprintf('nag_correg_linregm_var_add example results\n\n');

x = [1.0  1.0  1.0  1.0  1.0  1.0  1.0  1.0  1.0  1.0  1.0  1.0;
     1.0  1.5  2.0  2.5  3.0  3.5  4.0  4.5  5.0  5.5  6.0  6.5;
     0.0  0.0  0.0  0.0  0.0  0.0  1.0  1.0  1.0  1.0  1.0  1.0;
     0.0  0.0  0.0  0.0  0.0  0.0  4.0  4.5  5.0  5.5  6.0  6.5;
     1.4  2.2  4.5  6.1  7.1  7.7  8.3  8.6  8.8  9.0  9.3  9.2];
[m,n] = size(x);
y = [4.32; 5.21; 6.49; 7.10; 7.94; 8.53;
     8.84; 9.02; 9.27; 9.43; 9.68; 9.83]; 

q = zeros(n,m+1);
q(:,1) = y;
p = zeros(m*(m+2),1);;
ip = nag_int(0);

% Add variables to model one at a time
for j = 1:m
  [q, p, rss, ifail] = nag_correg_linregm_var_add( ...
                              ip, q, p, x(j,1:n));
  ip = ip + 1;
  fprintf('\nVariable %4d added\n',ip);

  % Calculate parameter estimates
  rsst = 0;
  [rsst, idf, b, se, covar, svd, irank, p2, ifail] = ...
  nag_correg_linregm_update(nag_int(n), ip, q, rsst);

  if svd
    fprintf('Model not of full rank\n\n');
  end
  fprintf('Residual sum of squares = %12.4e\n', rsst);
  fprintf('Degrees of freedom      = %4d\n', idf);
  fprintf('\nVariable   Parameter estimate   Standard error\n\n');
  ivar = double([1:ip]');
  fprintf('%6d%20.4e%20.4e\n',[ivar b se]');
end

% diary off
