function nag_correg_robustm_example

% diary nag_correg_robustm_example.r
fprintf('nag_correg_robustm example results\n\n');

x = [1, -1, -1;
     1, -1,  1;
     1,  1, -1;
     1,  1,  1;
     1, -2,  0;
     1,  0, -2;
     1,  2,  0;
     1,  0,  2];
y = [2.1;  3.6;  4.5;  6.1;  1.3;  1.9;   6.7;  5.5];

[n,m] = size(x);

% Control parameters
indw   = nag_int(1);
ipsi   = nag_int(2);
isigma = nag_int(1);
indc   = nag_int(0);

% Weight function parameters
cpsi = 0;
h1   = 1.5;  h2 = 3;  h3 = 4.5;
cucv = 3;
dchi = 1.5;

% Initial values
sigma = 1;
theta = zeros(m,1);

% Perform M-estimate regression
[x, y, theta, sigma, c, rs, wgt, work, ifail] = ...
  nag_correg_robustm( ...
         indw, ipsi, isigma, indc, x, y, cpsi, h1, h2, h3, ...
         cucv, dchi, theta, sigma);

% Display results
fprintf('Sigma = %10.4f\n', sigma);
fprintf('\n       Theta      Standard\n');
fprintf('                   errors\n');
for j = 1:m
  fprintf('%12.4f%13.4f\n',theta(j),c(j,j));
end
fprintf('\n     Weights     Residuals\n');
fprintf('%12.4f%13.4f\n',[wgt rs]');

% diary off
