function nag_eigen_real_gen_qu_svd_example

% diary nag_eigen_real_gen_qu_svd_example.r
fprintf('nag_eigen_real_gen_qu_svd example results\n\n');

a = [ 22.25, 31.75,-38.25, 65.5;
      20.00, 26.75, 28.50,-26.5;
     -15.25, 24.25, 27.75, 18.5;
      27.25, 10.00,  3.00, 2.00;
     -17.25,-30.75, 11.25, 7.50;
      17.25, 30.75,-11.25,-7.50];

% Compute rank and SVD of A
wantb = false;
b     = zeros(6,1);
tol   = 0.0005;
svd   = true;
wantr = true;
wantpt = true;
lwork = nag_int(24);

[a, b, svd, irank, z, sv, r, pt, work, ifail] = ...
nag_eigen_real_gen_qu_svd( ...
       a, wantb, b, tol, svd, wantr, wantpt, lwork);

fprintf('Rank of A is %2d\n\n', irank);
disp('Details of QU factorization');
disp(a);

disp('Vector z');
disp(z');

disp('Matrix R');
disp(r);

disp('Singular values');
disp(sv');

disp('Matrix P');
disp(pt');

% diary off
