function nag_eigen_real_symm_sparse_eigsys_example

% diary nag_eigen_real_symm_sparse_eigsys_example.r
fprintf('nag_eigen_real_symm_sparse_eigsys example results\n\n');

n = 16;
m = nag_int(4);
noits = nag_int(1000);
tol = 0.0001;
novecs = nag_int(0);
x = zeros(n, m+2);

% a, b will be passed in user
a = diag(ones(n,1)) + diag(-0.25*ones(n-1,1),1) + ...
    diag(-0.25*ones(n-1,1),-1) + diag(-0.25*ones(n-4,1),4) + ...
    diag(-0.25*ones(n-4,1),-4);
b = diag(ones(n,1)) + diag(-0.5*ones(n-1,1),1) + diag(-0.5*ones(n-1,1),-1);

[m, noits, x, d, user, ifail] = ...
  nag_eigen_real_symm_sparse_eigsys(...
        m, noits, tol, @dot, @image, @monit, novecs, x, 'user', {a, b});

fprintf('\nFinal results\n\n');
disp('Eigenvalues');
disp(1./d(1:m)');
disp('Eigenvectors');
% Normalize eigenvectors before printing
disp(x(:,1:m)/diag(x(1,1:m)));

% diary off

function [result, iflag, user] = dot(iflag, n, z, w, user)
  b = user{2};
  result=transpose(w)*b*z;

function [iflag, w, user] = image(iflag, n, z, user)

  a=user{1};
  b=user{2};

  w=inv(a)*b*z;

function monit(istate, nextit, nevals, nevecs, k, f, d)

  if (istate ~= 0)
    fprintf('\n  istate = %d nextit = %d\n', istate, nextit);
    fprintf('  nevals = %d nevecs = %d\n', nevals, nevecs);
    fprintf('       f           d \n');
    for i=1:double(k)
      fprintf('%11.3f %11.3f\n',f(i), d(i));
    end
  end
