function nag_file_print_matrix_complex_packed_comp_example

% diary nag_file_print_matrix_complex_packed_comp_example.r
fprintf('nag_file_print_matrix_complex_packed_comp example results\n\n');

nmax = 4;
la = (nmax*(nmax+1))/2;
a = [1:la] - i*[1:la];

% First matrix : 4x4 non-unit lower triangular 
n = nag_int(nmax);
mtitle = 'Example 1:';
uplo   = 'Lower';
diag   = 'Non-unit';

% Bracketed representation of complex numbers and Default formatting
usefrm = 'Bracketed';
format = ' ';

% Integer labels
labrow = 'Integer';
labcol = labrow;
rlabs = {'       '};
clabs = {'       '};

% 80 colunms wide, no indent
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = nag_file_print_matrix_complex_packed_comp( ...
                 uplo, diag, n, a, usefrm, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

fprintf('\n');
% Second matrix : 4x4 Unit upper triangular 
mtitle = 'Example 2:';
n = nag_int(nmax);
uplo   = 'Upper';
diag   = 'Unit';

% Define formatting of complex numbers
usefrm = 'Direct';
format = 'SS,F7.1,SP,F6.1,''i''';

% Character labels
labrow = 'Character';
labcol = labrow;
rlabs  = {'Uno    '; 'Due    '; 'Tre    '; 'Quattro'};
clabs  = {'Un     '; 'Deux   '; 'Trois  '; 'Quatre '};

[ifail] = nag_file_print_matrix_complex_packed_comp( ...
                 uplo, diag, n, a, usefrm, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

fprintf('\n Example 3:\n');
% Third matrix: Upper triangular non-unit matrix 
mtitle = 'A';
diag   = 'Non-unit';
usefrm = ' ';
format = 'MATLABF8.2';
labrow = 'No labels';
labcol = labrow;

[ifail] = nag_file_print_matrix_complex_packed_comp( ...
                 uplo, diag, n, a, usefrm, format, mtitle, labrow, rlabs, ...
                 labcol, clabs, ncols, indent);

% diary off
