function nag_fit_1dcheb_arb_example

% diary nag_fit_1dcheb_arb_example.r
fprintf('nag_fit_1dcheb_arb example results\n\n');

kplus1 = nag_int(4);
x = [ 1.0  2.1   3.1   3.9   4.9   5.8   6.5   7.1   7.8   8.4   9.0];
y = [10.4  7.9   4.7   2.5   1.2   2.2   5.1   9.2  16.1  24.5  35.3];
w = [ 1.0  1.0   1.0   1.0   1.0   0.8   0.8   0.7   0.5   0.3   0.2];

[a, s, ifail] = nag_fit_1dcheb_arb(kplus1, x, y, w);

fprintf('Degree  residual   Cheyshev coefficients\n');
for degree=0:kplus1-1;
  i = degree + 1;
  fprintf('%4d%12.2e',degree,s(i));
  fprintf('%10.4f',a(i,1:i));
  fprintf('\n');
end

k = kplus1-1;
fprintf('\nPolynomial approximation and residuals for degree %d\n', k);
ak = a(kplus1,1:kplus1);

m = size(x,2);
xh(1:m-1) = (x(1:m-1)+x(2:m))/2;
z(1:2:2*m-1) = x;
z(2:2:2*m-2) = xh;
zcap = -1 + (z-x(1))*(2/(x(m)-x(1)));
fprintf('\n   x      w       y     p(x)     Residual\n')
for i = 1:m
  j = 2*i-1;
  [p, ifail] = nag_fit_1dcheb_eval(ak, zcap(j));
  fprintf('%7.4f %5.2f %7.2f %8.4f %10.2e\n',zcap(j),w(i),y(i),p,p-y(i));
  if (i<m);
    [p, ifail] = nag_fit_1dcheb_eval(ak, zcap(j+1));
    fprintf('%7.4f %22.4f\n',zcap(j+1),p);
  end
end

% diary off
