function nag_fit_1dcheb_eval2_example

% diary nag_fit_1dcheb_eval2_example.r
fprintf('nag_fit_1dcheb_eval2 example results\n\n');

xmin = -0.5; xmax = 2.5;
a = [2.53213  1.13032  0.2715  0.04434   0.00547   0.00054  4e-05];

n = nag_int(6);
ia1 = nag_int(1);

% Evaluate polynomial from coefficients a at x
m = 21;
dx =  (xmax-xmin)/(m-1);
x = [xmin:dx:xmax];

for i = 1:m
  [fit(i), ifail] = nag_fit_1dcheb_eval2( ...
                             n, xmin, xmax, a, ia1, x(i));
end

sol = [x; fit];
fprintf('     x           p(x)\n');
fprintf('%9.4f    %9.4f\n',sol(1:2,1:5:21));

fig1 = figure;
plot(x,fit);
title('Evaluation of Chebyshev Polynomial');
xlabel('x');
ylabel('p(x)');
legend('fit','exp(x)');

% print(fig1,'-dpng','-r75','nag_fit_1dcheb_eval2_fig1.png');
% print(fig1,'-deps','-r75','nag_fit_1dcheb_eval2_fig1.eps');

% diary off
