function nag_fit_1dspline_eval_example

% diary nag_fit_1dspline_eval_example.r
fprintf('nag_fit_1dspline_eval example results\n\n');

knots = [3 6 8];
ncap = size(knots,2) + 1;
ncap7 = ncap + 7;

lamda = zeros(ncap7,1);
lamda(1:4) = 1;
lamda(5:7) = knots;
lamda(8:ncap7) = 9;

% B-spline coefficients
c = zeros(ncap7,1);
c(1:ncap+3) = [1  2  4   7   6    4    3];

% Evaluate spline at values in lamda range
a = lamda(4);
b = lamda(ncap+4);
for x = 1:9;
  [s(x), ifail] = nag_fit_1dspline_eval( ...
                         lamda, c, x);
end
fprintf('    x      spline at x\n');
fprintf('%7.2f%14.4f\n',[ [1:9]; s]);

fig1 = figure;
hold on
plot([1:9],s,'*')
plot([1:9],s);
xlabel('x');
title('Evaluation of cubic spline representation');
legend('Evaluation points','cubic spline','Location','NorthWest');
hold off;
% print(fig1,'-dpng','-r75','nag_fit_1dspline_eval_fig1.png');
% print(fig1,'-deps','-r75','nag_fit_1dspline_eval_fig1.eps');

% diary off
