function nag_fit_pade_app_example

% diary nag_fit_pade_app_example.r
fprintf('nag_fit_pade_app example results\n\n');

ia = nag_int(5);
ib = nag_int(5);
ic = ia + ib - 1;
c  = ones(ic,1);
for j = 3:ic
  c(j) = c(j-1)/double(j-1);
end

[a, b, ifail] = nag_fit_pade_app(ia, ib, c);

fprintf('The given series coefficients are\n');
fmt = '%13.4e%13.4e%13.4e%13.4e%13.4e\n';
fprintf(fmt,c);
fprintf('\n\nNumerator coefficients\n');
fprintf(fmt,a);
fprintf('\nDenominator coefficients\n');
fprintf(fmt,b);

% Calculate zeros of the approximant using nag_zeros_poly_real.
dd(ia:-1:1) = a(1:ia);
[z, ifail] = nag_zeros_poly_real(dd,ia-1);

fprintf('\nZeros of approximant are at\n\n');
cz = z(1,:) + i*z(2,:);
disp(cz');

% Calculate poles of the approximant using nag_zeros_poly_real
dd(ib:-1:1) = b(1:ib);
[z, ifail] = nag_zeros_poly_real(dd,ib-1);

fprintf('\nPoles of approximant are at\n\n');
cz = z(1,:) + i*z(2,:);
disp(cz');

% diary off
