function nag_interp_1d_monotonic_deriv_example

% diary nag_interp_1d_monotonic_deriv_example.r
fprintf('nag_interp_1d_monotonic_deriv example results\n\n');

x = [7.99 8.09    8.19    8.7     9.2     10      12      15      20];
f = [0 2.7643e-05 0.04375 0.16918 0.46943 0.94374 0.99864 0.99992 0.99999];

% Theses are as returned by nag_interp_1d_monotonic(x,f)
d = [0;
     0.00055251;
     0.33587;
     0.34944;
     0.59696;
     0.060326;
     0.000898335;
     2.93954e-05;
     0];

m = 11;
dx = (x(end)-x(1))/(m-1);
px = [x(1):dx:x(end)];

[pf, pd, ifail] = nag_interp_1d_monotonic_deriv(x, f, d, px);

fprintf('\n                Interpolated   Interpolated\n');
fprintf('     Abscissa          Value     Derivative\n');
fprintf('%13.4f%15.4f%15.3e\n', [px' pf pd]');

% Recalculate on finer mesh for plotting
m = 61;
dx = (x(end)-x(1))/(m-1);
px = [x(1):dx:x(end)];

[pf, pd, ifail] = nag_interp_1d_monotonic_deriv(x, f, d, px);

fig1 = figure;
plot(px,pf,px,pd,x,f,'*');
legend('Function','Derivative','Data points','Location','East');
title('Monotonic Hermite interpolant');
xlabel('x');
axis([8 20 -0.1 1.2]);

% print(fig1,'-dpng','-r75','nag_interp_1d_monotonic_deriv_fig1.png');
% print(fig1,'-deps','-r75','nag_interp_1d_monotonic_deriv_fig1.eps');


% diary off
