function nag_interp_1d_spline_example

% diary nag_interp_1d_spline_example.r
fprintf('nag_interp_1d_spline example results\n\n');

x = [0     0.2     0.4     0.6     0.75     0.9     1];
y = exp(x);
[lamda, c, ifail] = nag_interp_1d_spline(x, y);

fprintf('\n   j    knot lamda(j+2)   b-spline coeff c(j)\n\n');
j = 1;
fprintf('%4d%35.4f\n', j, c(1));
m = size(x,2);
for j = 2:m - 1;
  fprintf('%4d%15.4f%20.4f\n', j, lamda(j+2), c(j));
end
fprintf('%4d%35.4f\n', m, c(m));
fprintf('\n   R        Abscissa            Ordinate             Spline\n\n');
for r = 1:m;
  [fit, ifail] = nag_fit_1dspline_eval( ...
                      lamda, c, x(r));

  fprintf('%4d%15.4f%20.4f%20.4f\n', r, x(r), y(r), fit);
  if r<m;
    xarg = (x(r)+x(r+1))/2;

    [fit, ifail] = nag_fit_1dspline_eval( ...
                          lamda, c, xarg);
    fprintf('%19.4f%40.4f\n', xarg, fit);
  end
end

% diary off
