function nag_interp_2d_scat_eval_example

% diary nag_interp_2d_scat_eval_example.r
fprintf('nag_interp_2d_scat_eval example results\n\n');

x = [11.16; 12.85; 19.85; 19.72; 15.91;  0.00; 20.87;  3.45; 14.26; ...
     17.43; 22.80;  7.58; 25.00;  0.00;  9.66;  5.22; 17.25; 25.00; ...
     12.13; 22.23; 11.52; 15.20;  7.54; 17.32;  2.14;  0.51; 22.69; ...
      5.47; 21.67;  3.31];
y = [ 1.24;  3.06; 10.72;  1.39;  7.74; 20.00; 20.00; 12.78; 17.87; ...
      3.46; 12.39;  1.98; 11.87;  0.00; 20.00; 14.66; 19.57;  3.87; ...
     10.79;  6.21;  8.53;  0.00; 10.69; 13.78; 15.03;  8.37; 19.63; ...
     17.13; 14.36; 0.33];
f = [22.15; 22.11;  7.97; 16.83; 15.30; 34.60;  5.74; 41.24; 10.74; ...
     18.60;  5.47; 29.87;  4.40; 58.20;  4.73; 40.36;  6.43;  8.74; ...
     13.71; 10.25; 15.74; 21.60; 19.31; 12.11; 53.10; 49.43;  3.25; ...
     28.63;  5.52; 44.08];

% Triangulate and obtain details of interpolant
[triang,grads,ifail] = nag_interp_2d_scat( ...
                              x,y,f);

px = [3:3:21];
py = [2:3:17];
% Evaluate interpolant at on regular mesh (px,py)
for i = 1:6
  for j = 1:7
    [pf(i,j), ifail] = nag_interp_2d_scat_eval( ...
                              x, y, f, triang, grads, px(j), py(i));
  end
end

% Display interpolated values
matrix = 'General';
diag = 'Non-unit';
format = 'F7.2';
title  = 'Spline evaluated on a regular mesh (x across, y down):';
chlab  = 'Character';
rlabs  = cellstr(num2str(py'));
clabs  = cellstr(num2str(px'));
ncols  = nag_int(80);
indent = nag_int(0);
[ifail] =  nag_file_print_matrix_real_gen_comp( ...
                  matrix, diag, pf, format, title, chlab, ...
                  rlabs, chlab, clabs, ncols, indent);


% diary off
