function nag_lapack_dgbsvx_example

% diary nag_lapack_dgbsvx_example.r
fprintf('nag_lapack_dgbsvx example results\n\n');

kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,      0,    -3.66, -2.13;
       0,      2.54, -2.73,  4.07;
      -0.23,   2.46,  2.46, -3.82;
      -6.98,   2.56, -4.78,  0];
b  = [ 4.42, -36.01;
      27.13, -31.67;
      -6.14,  -1.16;
      10.50, -25.82];
[n,nrhs] = size(b);

% Input parameter initialization
afb   = zeros(2*kl+ku+1, n);
ipiv  = zeros(n,1,nag_int_name);
r     = zeros(n, 1);
c     = zeros(n, 1);
fact  = 'Equilibration';
trans = 'No transpose';
equed = 'No';

% Solve
[ab, afb, ipiv, equed, r, c, b, x, rcond, ferr, berr, work, info] = ...
  nag_lapack_dgbsvx( ...
         fact, trans, kl, ku, ab, afb, ipiv, equed, r, c, b);

fprintf('Solution is x:\n');
disp(x);
fprintf('\nApproximate condition number = %9.3f\n',1/rcond);
fprintf('Approximate forward  errors  :\n');
fprintf('                               %11.1e\n',ferr);
fprintf('Approximate backward errors  :\n')
fprintf('                               %11.1e\n',berr);

% diary off
