function nag_lapack_dgerfs_example

% diary nag_lapack_dgerfs_example.r
fprintf('nag_lapack_dgerfs example results\n\n');

a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];
b = [ 9.52, 18.47;
     24.35,  2.25;
      0.77,-13.28;
     -6.22, -6.21];

% Factorize a
[af, ipiv, info] = nag_lapack_dgetrf(a);

% Compute solution x
trans = 'N';
[x, ferr, berr, info] = nag_lapack_dgerfs( ...
                               trans, a, af, ipiv, b, b);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
