function nag_lapack_dggsvp_example

% diary nag_lapack_dggsvp_example.r
fprintf('nag_lapack_dggsvp example results\n\n');

% Generalized singular values of (A,B) where:
m = 4;
n = 3;
a = [ 1  2  3;
      3  2  1;
      4  5  6;
      7  8  8]; 
p = 2;
b = [-2 -3  3;
      4  6  5]; 

% Reduce A and B to upper triangular form S = U^T A Q, T = V^T B Q
tola = max(m,n)*norm(a,1)*nag_machine_precision;
tolb = max(p,n)*norm(a,1)*nag_machine_precision;
[S, T, k, l, U, V, Q, info] = ...
  nag_lapack_dggsvp( ...
	 'U', 'V', 'Q', a, b, tola, tolb);

% Compute singular values
[S, T, alpha, beta, U, V, Q, ncycle, info] = ...
  nag_lapack_dtgsja( ...
	 'U', 'V', 'Q', k, l, S, T, tola, tolb, U, V, Q);

fprintf('Number of infinite generalized singular values = %3d\n',k);
fprintf('Number of   finite generalized singular values = %3d\n',l);
fprintf('Effective rank of the matrix pair  (A^T B^T)^T = %3d\n',k+l);
fprintf('Number of cycles of the Kogbetliantz method    = %3d\n\n',ncycle);
disp('Finite generalized singular values');
disp(alpha(k+1:k+l)./beta(k+1:k+l));

% diary off
