function nag_lapack_dgtcon_example

% diary nag_lapack_dgtcon_example.r
fprintf('nag_lapack_dgtcon example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];
n  = numel(d);

% Factorize A.
[dlf, df, duf, du2f, ipiv, info] = ...
  nag_lapack_dgttrf(dl, d, du);

% 1-norm of A (construct column preserving matrix)
a = [0 du; d; dl 0];
anorm = norm(a,1);

norm_p = '1-norm';
[rcond, info] = nag_lapack_dgtcon( ...
                       norm_p, dlf, df, duf, du2f, ipiv, anorm);

fprintf('Estimate of condition number = %10.2e\n', 1/rcond);

% diary off
