function nag_lapack_dorgtr_example

% diary nag_lapack_dorgtr_example.r
fprintf('nag_lapack_dorgtr example results\n\n');

uplo = 'L';
a = [ 2.07,  0,    0,     0;
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Reduce to tridiagonal form
[t, d, e, tau, info] = nag_lapack_dsytrd( ...
			      uplo, a);

% Form Q
[q, info] = nag_lapack_dorgtr( ...
		   uplo, t, tau);

% Compute eigenvalues and eigenvectors
[w, e, z, info] = nag_lapack_dsteqr( ...
			 'V', d, e, 'z', q);

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(z);

% diary off
