function nag_lapack_dormhr_example

% diary nag_lapack_dormhr_example.r
fprintf('nag_lapack_dormhr example results\n\n');

n   = nag_int(4);
ilo = nag_int(1);
ihi = n;
a = [ 0.35,  0.45, -0.14, -0.17;
      0.09,  0.07, -0.54,  0.35;
     -0.44, -0.33, -0.03,  0.17;
      0.25, -0.32, -0.13,  0.11];

% Reduce A to upper Hessenberg Form A = QHQ^T
[H, tau, info] = nag_lapack_dgehrd( ...
                        ilo, ihi, a);

% Form Q
[Q, info] = nag_lapack_dorghr( ...
                   ilo, ihi, H, tau);

% Schur factorize H = Y*T*Y^T
job   = 'Schur form';
compz = 'No Vectors';
[~, wr, wi, ~, info] = nag_lapack_dhseqr( ...
                              job, compz, ilo, ihi, H, Q);

w = wr + i*wi;
disp('Eigenvalues of A');
disp(w);

% Calculate eigenvetors of H corresponding to negative real part eigenvalues
select = (wr < 0);

job = 'Right';
eigsrc = 'QR';
initv = 'No initial vectors';
vl = [];
vr = zeros(n,n);
[~, ~, ~, VR, m, ifaill, ifailr, info] = ...
nag_lapack_dhsein( ...
       job, eigsrc, initv, select, H, wr, wi, vl, vr, n);

% Eigenvectors of A = Q*VR
side = 'Left';
trans = 'No transpose';
[V, info] = nag_lapack_dormhr( ...
                   side, trans, ilo, ihi, H, tau, VR);

% Combine columns of V into complex eigenvectors Z
j = 0;
for k = 1:n
  if select(k)
    j = j+1;
    if (wi(k)==0)
      % Normalize eigenvector: largest element positive
      [~,l] = max(abs(V(:,j)));
      if V(l,j) < 0;
        V(:,j) = -V(:,j);
      end                      
      Z(:,j) = complex(V(:,j));
    else
      Z(:,j)   = V(:,j) + i*V(:,j+1);
      Z(:,j+1) = V(:,j) - i*V(:,j+1);
      % Normalize: largest element is real
      [~,l] = max(abs(real(Z(:,j)))+abs(imag(Z(:,j))));
      Z(:,j) = Z(:,j)*conj(Z(l,j))/abs(Z(l,j));
      Z(:,j+1) = Z(:,j+1)*conj(Z(l,j+1))/abs(Z(l,j+1));
      j = j+1;
      select(k+1) = false;
    end
  end
end
disp('Eigenvectors corresponding to eigenvalues with negative real part');
disp(Z);

% diary off
