function nag_lapack_dormrz_example

% diary nag_lapack_dormrz_example.r
fprintf('nag_lapack_dormrz example results\n\n');

% Upper trapezoidal matrix A
m = nag_int(4);
n = nag_int(5);
a = [-0.09,  0.14, -0.46,  0.68,  1.29;
      0.00,  0.2,   0.29,  1.09,  0.51;
      0.00   0.00,  0.89, -0.71, -0.96;
      0.00   0.00,  0.00,  2.11, -1.27];

% Compute the RZ factorization of A
[rz, tau, info] = nag_lapack_dtzrzf(a);

% Form Z^T*C
side = 'Left';
trans = 'Transpose';
c = [-0.6, -3.6;
     -3.6, -0.5;
     -3.1, -2.3;
     -1.6, -2.4;
      0.0,  0.0];
[ztc, info] = nag_lapack_dormrz( ...
		     side, trans, n-m, rz, tau, c);

disp('   Z^T * C:');
disp(ztc);

% diary off
