function nag_lapack_dpbcon_example

% diary nag_lapack_dpbcon_example.r
fprintf('nag_lapack_dpbcon example results\n\n');

% Symmetric banded matrix A in ab.
uplo = 'L';
kd  = nag_int(1);
ab  = [5.49,  5.63,  2.60, 5.17;
       2.68, -2.39, -2.22, 0.00];

% To calculate 1-norm here, need to add superdiagonal
abn = [0.00,  2.68, -2.39, -2.22;
       ab];
% 1-norm of A = 1-norm of abn
anorm = norm(abn,1);

% Factorize A
[abf, info] = nag_lapack_dpbtrf( ...
                     uplo, kd, ab);

% Get reciprocal condition number
[rcond, info] = nag_lapack_dpbcon( ...
                       uplo, kd, abf, anorm);

fprintf('Condition number of A = %7.1f\n',1/rcond);

% diary off
