function nag_lapack_dpftrs_example

% diary nag_lapack_dpftrs_example.r
fprintf('nag_lapack_dpftrs example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 0.76   0.34; 
       4.16   1.18;
      -3.12   5.03;
       0.56  -0.83;
      -0.10   1.18];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% RHS
b = [  8.70,  8.30;
     -13.35,  2.13;
       1.89,  1.61;
      -4.14,  5.00];

% Factorize a
[ar, info] = nag_lapack_dpftrf(transr, uplo, n, ar);

if info == 0
  % Compute solution
  [b, info] = nag_lapack_dpftrs(transr, uplo, ar, b);
  fprintf('\n');
  [ifail] = nag_file_print_matrix_real_gen('g', ' ', b, 'Solutions');
else
  fprintf('\na is not positive definite.\n');
end

% diary off
