function nag_lapack_dporfs_example

% diary nag_lapack_dporfs_example.r
fprintf('nag_lapack_dporfs example results\n\n');

% Lower triangular part of symmetric matrix A
uplo = 'Lower';
a = [ 4.16,  0,    0,    0;
     -3.12,  5.03, 0,    0;
      0.56, -0.83, 0.76, 0;
     -0.10,  1.18, 0.34, 1.18];

[L, info] = nag_lapack_dpotrf( ...
                   uplo, a);

% Rhs
b = [  8.70, 8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

% Solve
[x, info]  = nag_lapack_dpotrs( ...
                    uplo, L, b);

% Refine
[x, ferr, berr, info] = nag_lapack_dporfs( ...
                               uplo, a, L, b, x);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', 'N', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
