function nag_lapack_dppcon_example

% diary nag_lapack_dppcon_example.r
fprintf('nag_lapack_dppcon example results\n\n');

% Symmetric matrix A, lower triangular part packed in ap
uplo = 'L';
n = nag_int(4);
ap = [4.16 -3.12  0.56 -0.10 ...
            5.03 -0.83  1.18 ...
                  0.76  0.34 ...
                        1.18];

% Factorize
[L, info] = nag_lapack_dpptrf( ...
                   uplo, n, ap);

% 1-norm given by second row/column
anorm = 10.16;

% Condition number estimator
[rcond, info] = nag_lapack_dppcon( ...
                       uplo, n, ap, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
