function nag_lapack_dppequ_example

% diary nag_lapack_dppequ_example.r
fprintf('nag_lapack_dppequ example results\n\n');

% Symmetric matrix A, upper triangular part packed in ap
uplo = 'U';
n  = nag_int(4);
ap = [4.16    ...
     -3.12e5  5.03e10  ...
      0.56   -0.83e4   0.76  ...
     -0.10    1.18e5   0.34  1.18];

% Scale
[s, scond, amax, info] = nag_lapack_dppequ( ...
                                uplo, n, ap);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Apply scalings
k = 0;
for i = 1:n
  for j = 1:i
    k = k + 1;
    asp(k) = s(i)*ap(k)*s(j);
  end
end

[ifail] = nag_file_print_matrix_real_packed( ...
                 'Upper', 'Non-unit', n, asp, 'Scaled matrix');

% diary off
