function nag_lapack_dpprfs_example

% diary nag_lapack_dpprfs_example.r
fprintf('nag_lapack_dpprfs example results\n\n');

% Symmetric matrix A, lower triangular part packed in ap
uplo = 'L';
n = nag_int(4);
ap = [4.16 -3.12  0.56 -0.10 ...
            5.03 -0.83  1.18 ...
                  0.76  0.34 ...
                        1.18];

[L, info] = nag_lapack_dpptrf( ...
                   uplo, n, ap);

% Rhs
b = [  8.70, 8.30;
     -13.35, 2.13;
       1.89, 1.61;
      -4.14, 5.00];

% Solve
[x, info] = nag_lapack_dpptrs( ...
                   uplo, L, b);

% Refine
[x, ferr, berr, info] = nag_lapack_dpprfs( ...
                               uplo, ap, L, b, x);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', 'N', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
