function nag_lapack_dpteqr_example

% diary nag_lapack_dpteqr_example.r
fprintf('nag_lapack_dpteqr example results\n\n');

% Symmetric tridiagonal A stored as diagonal and off-diagonal
n = 4;
d = [4.16;     5.25;     1.09;     0.62];
e = [3.17;    -0.97;     0.55];

% All eigenvalues and eigenvectors of A
compz = 'I';
z = zeros(4, 4);
[w, ~, z, info] = nag_lapack_dpteqr( ...
                         compz, d, e, z);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(z);

% diary off
