function nag_lapack_dsbevx_example

% diary nag_lapack_dsbevx_example.r
fprintf('nag_lapack_dsbevx example results\n\n');

% Symmetric band matrix A, stored on symmetric banded format
uplo = 'U';
kd = nag_int(2);
ab = [0, 0, 3, 4, 5;
      0, 2, 3, 4, 5;
      1, 2, 3, 4, 5];

% Eigenvalues in range [-3,3] and corresponding eigenvectors
jobz  = 'Vectors';
range = 'Values in range';
vl = -3;
vu = 3;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[abf, q, m, w, z, jfail, info] = ...
nag_lapack_dsbevx( ...
       jobz, range, uplo, kd, ab, vl, vu, il, iu, abstol);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

fprintf('Number of eigenvalues in [-3,3] is %2d\n',m);
fprintf('\n Eigenvalues are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = nag_file_print_matrix_real_gen( ...
		 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
