function nag_lapack_dsbgvx_example

% diary nag_lapack_dsbgvx_example.r
fprintf('nag_lapack_dsbgvx example results\n\n');

% Symmetric banded matrices A and B stored in symmetric banded format
uplo = 'U';
ka = nag_int(2);
ab = [0,     0,     0.42,  0.63;
      0,     0.39,  0.79,  0.48;
      0.24, -0.11, -0.25, -0.03];
kb = nag_int(1);
bb = [0,     0.95, -0.29, -0.33;
      2.07,  1.69,  0.65,  1.17];

% Eigenvalues in range [0,1] and corresponding eigenvectors of Ax = lambda Bx
jobz  = 'Vectors';
range = 'Values in range';
vl = 0;          vu = 1;
il = nag_int(0); iu = il;
abstol = 0;
[~, ~, ~, m, w, z, jfail, info] = ...
  nag_lapack_dsbgvx( ...
	 jobz, range, uplo, ka, kb, ab, bb, vl, vu, il, iu, abstol);

fprintf('Number of eigenvalues found = %4d\n\n',m);
disp('Selected eigenvalues');
disp(w(1:m)');

% Normalize eigenvectors (wrt B): largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Corresponding eigenvectors');
disp(z(:,1:m));

% diary off
