function nag_lapack_dspev_example

% diary nag_lapack_dspev_example.r
fprintf('nag_lapack_dspev example results\n\n');

% A is symmetric matrix stored in symmetric (Upper) packed format
uplo = 'U';
n = nag_int(4);
ap = [1;
      2;   2;
      3;   3;   3;
      4;   4;   4;   4];

% Eigenvalues of A only
jobz = 'No vectors';
[apf, w, ~, info] = nag_lapack_dspev( ...
                           jobz, uplo, n, ap);

disp('Eigenvalues');
disp(w');

% Eigenvalue error bound
errbnd = nag_machine_precision*max(abs(w(1)),abs(w(end)));
disp('Error estimate for the eigenvalues');
fprintf('%11.1e\n',errbnd);

% diary off
