function nag_lapack_dspevx_example

% diary nag_lapack_dspevx_example.r
fprintf('nag_lapack_dspevx example results\n\n');

% Eigenvalues in range [-1,1] of symmetric A stored in packed format.
n  = nag_int(4);
ap = [1;
      2;     2;
      3;     3;     3;
      4;     4;     4;     4];

jobz  = 'Vectors';
range = 'Values in range';
uplo  = 'U';
vl = -1;
vu =  1;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, m, w, z, jfail, info] = ...
nag_lapack_dspevx( ...
       jobz, range, uplo, n, ap, vl, vu, il, iu, abstol);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp(' Eigenvalues of A in range:');
disp(w(1:m));
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
