function nag_lapack_dspgst_example

% diary nag_lapack_dspgst_example.r
fprintf('nag_lapack_dspgst example results\n\n');

% Symmetric matrices A and B stored in packed (Lower) format
n = nag_int(4);
uplo = 'L';
ap = [0.24;  0.39;  0.42; -0.16;
            -0.11;  0.79;  0.63;
                   -0.25;  0.48;
                          -0.03];
bp = [4.16; -3.12;  0.56; -0.10;
             5.03; -0.83;  1.09;
                    0.76;  0.34;
                           1.18];

% Cholesky factorize B = LL^T
[lp, info] = nag_lapack_dpptrf( ...
                   uplo, n, bp);

% Reduce Generalized eigenproblem Az = lambda Bz to Cy = lambda y
% where C = L^-1 A L^-T and y = L^T z
itype = nag_int(1);
[cp, info] = nag_lapack_dspgst( ...
                    itype, uplo, n, ap, lp);

% Reduce C to tridiagonal form T = Q'CQ
[cpf, d, e, tau, info] = nag_lapack_dsptrd( ...
                                uplo, n, cp);

% Calculate the eigenvalues of T (same as C)
[w, ~, info] = nag_lapack_dsterf( ...
                      d, e);

disp('Eigenvalues');
disp(w');

% diary off
