function nag_lapack_dspsvx_example

% diary nag_lapack_dspsvx_example.r
fprintf('nag_lapack_dspsvx example results\n\n');

% Symmetric matrix, upper triangle stored in packed format
uplo = 'U';
ap = [-1.81;    
       2.06;    1.15;
       0.63;    1.87;   -0.21;
      -1.15;    4.2;     3.87;    2.07];
% RHS
b = [0.96,  3.93;
     6.07, 19.25;
     8.38,  9.90;
     9.50, 27.85];

% Factorize and solve
fact = 'Not Factorized';
ipiv = zeros(4,1,nag_int_name);
afp  = ap;

[afp, ipiv, x, rcond, ferr, berr, info] = ...
  nag_lapack_dspsvx(...
        fact, uplo, ap, afp, ipiv, b);

disp('Solution');
disp(x);
fprintf('Condition number      = %7.3f\n',1/rcond);
fprintf('Forward  error bounds = %10.3e  %10.3e\n',ferr); 
fprintf('Backward error bounds = %10.3e  %10.3e\n',berr); 

% diary off
