function nag_lapack_dstein_example

% diary nag_lapack_dstein_example.r
fprintf('nag_lapack_dstein example results\n\n');

% Find eigenvalues 1:2 of symmetric A (Lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0;
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Reduce to tridiagonal form
[apt, d, e, tau, info] = nag_lapack_dsytrd( ...
                                uplo, a);

% Get eigenvalues 1:2 of T (= eigenvalues of A)
vl = 0;
vu = 0;
il = nag_int(1);
iu = nag_int(2);
abstol = 0;
[m, ~, w, iblock, isplit, info] = ...
nag_lapack_dstebz( ...
       'I', 'B', vl, vu, il, iu, abstol, d, e);

% Get corresponding eigenvectors of T
[v, ifailv, info] = nag_lapack_dstein( ...
                           d, e, m, w, iblock, isplit);

% Transform Q*V to get eigenvectors of A 
side = 'Left';
trans = 'No transpose';
[z, info] = nag_lapack_dormtr( ...
                   side, uplo, trans, apt, tau, v);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

fprintf(' Eigenvalues numbered 1 to 2 are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
