function nag_lapack_dstevd_example

% diary nag_lapack_dstevd_example.r
fprintf('nag_lapack_dstevd example results\n\n');

% Symmetric tridiagonal A stored as diagonal and off-diagonal
n = 4;
d = [1;     4;     9;     16];
e = [1;     2;     3;     0];

% All eigenvalues and eigenvectors of A
job = 'Vectors';
[w, ~, z, info] = nag_lapack_dstevd( ...
                         job, d, e);

% Normalize eigenvectors: largest element positive
for j = 1:n
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp(' Eigenvalues:');
disp(w');
disp(' Eigenvectors:');
disp(z);

% diary off
