function nag_lapack_dsycon_example

% diary nag_lapack_dsycon_example.r
fprintf('nag_lapack_dsycon example results\n\n');

% Symmetric indefinite matrix A, lower triangle stored.
uplo = 'L';
a    = [ 2.07   0      0      0;
         3.87  -0.21   0      0;
         4.20   1.87   1.15   0;
        -1.15   0.63   2.06  -1.81];

% Get 1-norm of A
afull = a  + a' - diag(diag(a));
anorm = norm(afull,1);

% Factorize A
[L, ipiv, info] = nag_lapack_dsytrf( ...
                         uplo, a);

% Get estimate of repciprocal of condition number
[rcond, info] = nag_lapack_dsycon( ...
                       uplo, L, ipiv, anorm);

fprintf('Estimate of condition number = %8.2e\n',1/rcond);

% diary off
