function nag_lapack_dsyevx_example

% diary nag_lapack_dsyevx_example.r
fprintf('nag_lapack_dsyevx example results\n\n');

% Eigenvalues between -1 and 1 of A, and corresponding eigenvectors. 
a = [1, 2, 3, 4;
     0, 2, 3, 4;
     0, 0, 3, 4;
     0, 0, 0, 4];

jobz  = 'Vectors';
range = 'Values in range';
uplo  = 'Upper';
vl = -1;
vu =  1;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, m, w, z, jfail, info] = ...
  nag_lapack_dsyevx(...
        jobz, range, uplo, a, vl, vu, il, iu, abstol);

fprintf('Number of eigenvalues in [-1,1] is %2d\n',m);
fprintf(' Eigenvalues are:\n   ');
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = nag_file_print_matrix_real_gen( ...
		 'General', ' ', z, 'Corresponding eigenvectors of A');

% diary off
