function nag_lapack_dsygvd_example

% diary nag_lapack_dsygvd_example.r
fprintf('nag_lapack_dsygvd example results\n\n');

% Upper triangular parts of symmetric matrix A and symmetric definite matrix B
uplo = 'Upper';
n = 4;
a = [0.24,  0.39,  0.42, -0.16;
     0,    -0.11,  0.79,  0.63;
     0,     0,    -0.25,  0.48;
     0,     0,     0,    -0.03];
b = [4.16, -3.12,  0.56, -0.10;
     0,     5.03, -0.83,  1.09;
     0,     0,     0.76,  0.34;
     0,     0,     0,     1.18];

% Generalized eigenvalues and eigenvectors for problem ABz = lambda z
itype = nag_int(2);
jobz = 'Vectors';
[Z, U, w, info] = nag_lapack_dsygvd( ...
			 itype, jobz, uplo, a, b);

% Normalize eigenvectors: largest element positive (with z'Bz = I)
for j = 1:n
  [~,k] = max(abs(Z(:,j)));
  if Z(k,j) < 0
    Z(:,j) = -Z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(Z);

% diary off
