function nag_lapack_dsyrfs_example

% diary nag_lapack_dsyrfs_example.r
fprintf('nag_lapack_dsyrfs example results\n\n');

% Indefinite matrix A (lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0; 
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% RHS
b = [-9.50, 27.85;
     -8.38,  9.90;
     -6.07, 19.25;
     -0.96,  3.93];

% Factorize
[af, ipiv, info] = nag_lapack_dsytrf( ...
                          uplo, a);

% Solve
[x, info] = nag_lapack_dsytrs( ...
                   uplo, af, ipiv, b);

% Refine
[x, ferr, berr, info] = nag_lapack_dsyrfs( ...
                               uplo, a, af, ipiv, b, x);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', 'N', x, 'Solution(s)');

fprintf('\nBackward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
