function nag_lapack_dtftri_example

% diary nag_lapack_dtftri_example.r
fprintf('nag_lapack_dtftri example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
diag   = 'n';
ar = [-8.02  -5.95;
       4.30   0.12;
      -3.96  -4.87;
       0.40   0.31;
      -0.27   0.07];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Compute inverse of a
[ar, info] = nag_lapack_dtftri( ...
                    transr, uplo, diag, n, ar);

if info == 0
  % Convert inverse to full array form, and print it
  [a, info] = nag_matop_dtfttr(transr, uplo, n, ar);
  fprintf('\n');
  [ifail] = nag_file_print_matrix_real_gen(uplo, 'n', a, 'Inverse');
else
  fprintf('\na is singular.\n');
end

% diary off
