function nag_lapack_dtgsna_example

% diary nag_lapack_dtgsna_example.r
fprintf('nag_lapack_dtgsna example results\n\n');

% Generalized Schur form pair (S,T)
  n = nag_int(4);
S = [4, 1,  1, 2;
     0, 3, -1, 1;
     0, 1,  3, 1;
     0, 0,  0, 6];
T = [2, 1,  1, 3;
     0, 1,  0, 1;
     0, 0,  1, 1;
     0, 0,  0, 2];

% Obtain scaled eigenvectors from Schur form
job = 'Both';
howmny = 'All';
select = [false];
Q = eye(n);
Z = Q;
[VL, VR, m, info] = nag_lapack_dtgevc( ...
                           job, howmny, select, S, T, Q, Z, n);

% Estimate condition numbers for eigenvalues and right eigenvectors
[rconde, rcondv, m, info] = ...
  nag_lapack_dtgsna ( ...
          job, howmny, select, S, T, VL, VR, n);

disp('Reciprocal condition numbers for eigenvalues of (S,T)');
fprintf('%11.1e',rconde);
fprintf('\n\n');
disp('Reciprocal condition numbers for right eigenvectors of (S,T)');
fprintf('%11.1e',rcondv);
fprintf('\n\n');

% Calculate approximate error estimates
        
snorm = norm(S,1);
tnorm = norm(T,1);
stnorm = sqrt(snorm^2 + tnorm^2);

disp('Approximate error estimates for eigenvalues of (S,T)')
erre = nag_machine_precision*stnorm./rconde;
fprintf('%11.1e',erre);
fprintf('\n\n');
disp('Approximate error estimates for right eigenvectors of (S,T)')
errv = nag_machine_precision*stnorm./rcondv;
fprintf('%11.1e',errv);
fprintf('\n');

% diary off
