function nag_lapack_dtrsen_example

% diary nag_lapack_dtrsen_example.r
fprintf('nag_lapack_dtrsen example results\n\n');

% Matrices Q and T from reduction of a matrix A to Schur form
t = [0.7995, -0.1144,  0.0060,  0.0336;
     0,      -0.0994,  0.2478,  0.3474;
     0,      -0.6483, -0.0994,  0.2026;
     0,       0,       0,      -0.1007];
q = [0.6551,  0.1037,  0.3450,  0.6641;
     0.5236, -0.5807, -0.6141, -0.1068;
    -0.5362, -0.3073, -0.2935,  0.7293;
     0.0956,  0.7467, -0.6463,  0.1249];

% Recombine to form A
a = q*t*transpose(q);
disp('Original matrix A from Schur factors')
disp(a);

% First and last eigenvalues and correponding invariant subspace
job    = 'Both';
compq  = 'Vectors';
select = [true;     false;     false;     true];
[t, q, wr, wi, m, s, sep, info] = nag_lapack_dtrsen( ...
					 job, compq, select, t, q);

fprintf('%s = %10.2e\n\n', ... 
	'Condition number estimate of the selected eigenvalues', 1/s);
fprintf('%s = %10.2e\n', ...
        'Condition number estimate of the invariant subspace  ', 1/sep);

% diary off
