function nag_lapack_dtrsna_example

% diary nag_lapack_dtrsna_example.r
fprintf('nag_lapack_dtrsna example results\n\n');

% Schur form matrix T
n = nag_int(4);
t = [0.7995, -0.1144,  0.0060,  0.0336;
     0,      -0.0994,  0.2478,  0.3474;
     0,      -0.6483, -0.0994,  0.2026;
     0,       0,       0,      -0.1007];

% Calculate left and right eigenvectors of T
job = 'Both';
howmny = 'All';
select = [false];
[select, vl, vr, m, info] = ...
nag_lapack_dtrevc( ...
       job, howmny, select, t, zeros(n,n), zeros(n,n), n);

% Estimate condition numbers of eigenvalues and right eigenvectors
[s, sep, m, info] = nag_lapack_dtrsna( ...
			   job, howmny, select, t, vl, vr, m);

disp('s');
disp(s');
disp('sep');
disp(sep');
tnorm = norm(t,1);
disp('Approximate error estimates for eigenvalues of T (machine-dependent)');
fprintf('%11.1e',nag_machine_precision*tnorm./s);
fprintf('\n\n%s %s\n', 'Approximate error estimates for right', ...
        'eigenvectors (machine-dependent)');
fprintf('%11.1e',nag_machine_precision*tnorm./sep);
fprintf('\n');

% diary off
