function nag_lapack_zgebal_example

% diary nag_lapack_zgebal_example.r
fprintf('nag_lapack_zgebal example results\n\n');

n = nag_int(4);
a = [  1.50 - 2.75i,  0.00 + 0.00i,  0.00 + 0.00i,  0.00 + 0.00i;
      -8.06 - 1.24i, -2.50 - 0.50i,  0.00 + 0.00i, -0.75 + 0.50i;
      -2.09 + 7.56i,  1.39 + 3.97i, -1.25 + 0.75i, -4.82 - 5.67i;
       6.18 + 9.79i, -0.92 - 0.62i,  0.00 + 0.00i, -2.50 - 0.50i];

% Balance A
job = 'Both';
[a, ilo, ihi, scale, info] = nag_lapack_zgebal(job, a);

% Reduce a to upper Hessenberg form
[H, tau, info] = nag_lapack_zgehrd(ilo, ihi, a);

% Form Q
[Q, info] = nag_lapack_zunghr(ilo, ihi, H, tau);

% Calculate the eigenvalues and Schur factorisation of A
[H, w, Z, info] = nag_lapack_zhseqr( ...
                         'Schur Form', 'Vectors', ilo, ihi, H, Q);

disp('Eigenvalues:');
disp(w);

% Calculate the eigenvectors of A
[select, ~, VR, m, info] = ...
nag_lapack_ztrevc( ...
       'Right', 'Backtransform', false, H, complex(zeros(1)), Z, n);
% Rescale
[VR, info] = nag_lapack_zgebak( ...
                    'Both', 'Right', ilo, ihi, scale, VR);

% Normalize: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(VR(:,i)))+abs(imag(VR(:,i))));
  VR(:,i) = VR(:,i)*conj(VR(k,i))/abs(VR(k,i))/norm(VR(:,i));
end

disp('Eigenvectors:');
disp(VR);

% diary off
