function nag_lapack_zgeesx_example

% diary nag_lapack_zgeesx_example.r
fprintf('nag_lapack_zgeesx example results\n\n');

% Complex matrix A
a = [ -3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
       0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
       3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
      -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Schur vectors of A, selecting eigenvalues with positive real parts
jobvs = 'Vectors (Schur)';
sortp = 'Sort';
select = @(w) (real(w) > 0 );
sense = 'Both reciprocal condition numbers';
[~, sdim, w, V, rconde, rcondv, info] = ...
nag_lapack_zgeesx( ...
       jobvs, sortp, select, sense, a);

fprintf('Number of selected eigenvalues = %2d\n',sdim);

disp('Selected eigenvalues:');
disp(w(1:sdim));
disp('Corresponding eigenvectors:');
% Normalize eigenvectors before printing
disp(V(:,1:sdim)/diag(V(1,1:sdim)));

fprintf('Projection norm  for the selected eigenvalues = %7.4f\n',1/rconde);
fprintf('Condition number for the selected eigenvalues = %7.4f\n\n',1/rcondv);

anorm = norm(a);
erbde = nag_machine_precision*anorm/rconde;
erbdv = nag_machine_precision*anorm/rcondv;
fprintf('%-61s = %9.1e\n', ...
        'Approximate asymptotic error bound for selected eigenvalues', erbde);
fprintf('%-61s = %9.1e\n', ...
        'Approximate asymptotic error bound for the invariant subspace', ...
        erbdv);

% diary off
