function nag_lapack_zgeev_example

% diary nag_lapack_zgeev_example.r
fprintf('nag_lapack_zgeev example results\n\n');

% Complex matrix A
n = 4;
a = [-3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
      0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
      3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
     -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Eigenvalues and right eigenvectors of A
jobvl = 'No left vectors';
jobvr = 'Vectors (right)';
[~, w, ~, z, info] = nag_lapack_zgeev( ...
                             jobvl, jobvr, a);

% Normalize eigenvectors: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Eigenvalues');
disp(w);
disp('Eigenvectors');
disp(z);

% diary off
