function nag_lapack_zgeevx_example

% diary nag_lapack_zgeevx_example.r
fprintf('nag_lapack_zgeevx example results\n\n');

% Complex matrix A
n = 4;
a = [-3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
      0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
      3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
     -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Eigenvalues and left and right eigenvectors of A after matrix balancing
balanc = 'Balance';
jobvl = 'Vectors (left)';
jobvr = 'Vectors (right)';
sense = 'Both reciprocal condition numbers';
[a, w, vl, vr, ilo, ihi, scale, abnrm, rconde, rcondv, info] = ...
nag_lapack_zgeevx( ...
       balanc, jobvl, jobvr, sense, a);

% Normalize eigenvectors: largest elements are real
for i = 1:n
  [~,k] = max(abs(real(vr(:,i)))+abs(imag(vr(:,i))));
  vr(:,i) = vr(:,i)*conj(vr(k,i))/abs(vr(k,i));
end

disp('Eigenvalues');
fprintf('\n        Eigenvalue                  rcond\n\n');
for j=1:n
  fprintf('%3d',j);
  if imag(w(j))<0
    fprintf('%15.4e - %10.4ei%10.4f\n',real(w(j)),abs(imag(w(j))),rconde(j));
  else
    fprintf('%15.4e + %10.4ei%10.4f\n',real(w(j)),imag(w(j)),rconde(j));
  end
end

fprintf('\nRight Eigenvectors\n\n');
fprintf('        Eigenvector                 rcond\n');
for j = 1:n
  fprintf('\n%3d',j);
  for l = 1:n
    if (l>1)
      fprintf('%3s', ' ');
    end
    if imag(vr(l,k))>0
      fprintf('%15.4e + %10.4ei', real(vr(l,k)), imag(vr(l,k)));
    else
      fprintf('%15.4e - %10.4ei', real(vr(l,k)), abs(imag(vr(l,k))));
    end
    if l==1
      fprintf('%10.4f', rcondv(j));
    end
    fprintf('\n');
  end
end

% diary off
