function nag_lapack_zgeqpf_example

% diary nag_lapack_zgeqpf_example.r
fprintf('nag_lapack_zgeqpf example results\n\n');

a = [ 0.47 - 0.34i, -0.40 + 0.54i,  0.60 + 0.01i,  0.80 - 1.02i;
     -0.32 - 0.23i, -0.05 + 0.20i, -0.26 - 0.44i, -0.43 + 0.17i;
      0.35 - 0.60i, -0.52 - 0.34i,  0.87 - 0.11i, -0.34 - 0.09i;
      0.89 + 0.71i, -0.45 - 0.45i, -0.02 - 0.57i,  1.14 - 0.78i;
     -0.19 + 0.06i,  0.11 - 0.85i,  1.44 + 0.80i,  0.07 + 1.14i];
b = [-0.85 - 1.63i,  2.49 + 4.01i;
     -2.16 + 3.52i, -0.14 + 7.98i;
      4.57 - 5.71i,  8.36 - 0.28i;
      6.38 - 7.40i, -3.55 + 1.29i;
      8.41 + 9.39i, -6.72 + 5.03i];
[m,n] = size(a);
jpvt = zeros(n,1,nag_int_name);

% Compute the QR factorization of a
[a, jpvt, tau, info] = nag_lapack_zgeqpf( ...
			      a, jpvt);

% Choose tol to reflect the relative accuracy of the input data
tol = 0.01;

% Determine which columns of R to use
k = find(abs(diag(a)) <= tol*abs(a(1,1)));
if numel(k) == 0
  k = numel(diag(a));
else
  k = k(1)-1;
end

% Compute c = (q^H)*b,
[c, info] = nag_lapack_zunmqr( ...
		   'Left', 'Conjugate Transpose', a, tau, b);

% Compute least-squares solution by backsubstitution in r*b = c
c(1:k, :) = inv(triu(a(1:k,1:k)))*c(1:k,:);
c(k+1:4, :) = 0;

% Unscramble the least-squares solution stored in c
x = zeros(4, 2);
for i=1:4
  x(jpvt(i), :) = c(i, :);
end

fprintf('\nLeast-squares solution\n');
disp(x);

% diary off
