function nag_lapack_zgeqrf_example

% diary nag_lapack_zgeqrf_example.r
fprintf('nag_lapack_zgeqrf example results\n\n');

a = [ 0.96 - 0.81i, -0.03 + 0.96i, -0.91 + 2.06i, -0.05 + 0.41i;
     -0.98 + 1.98i, -1.20 + 0.19i, -0.66 + 0.42i, -0.81 + 0.56i;
      0.62 - 0.46i,  1.01 + 0.02i,  0.63 - 0.17i, -1.11 + 0.60i;
     -0.37 + 0.38i,  0.19 - 0.54i, -0.98 - 0.36i,  0.22 - 0.20i;
      0.83 + 0.51i,  0.20 + 0.01i, -0.17 - 0.46i,  1.47 + 1.59i;
      1.08 - 0.28i,  0.20 - 0.12i, -0.07 + 1.23i,  0.26 + 0.26i];
b = [-2.09 + 1.93i,  3.26 - 2.70i;
      3.34 - 3.53i, -6.22 + 1.16i;
     -4.94 - 2.04i,  7.94 - 3.13i;
      0.17 + 4.23i,  1.04 - 4.26i;
     -5.19 + 3.63i, -2.31 - 2.12i;
      0.98 + 2.53i, -1.39 - 4.05i];
% Compute the QR factorization of A
[qr, tau, info] = nag_lapack_zgeqrf(a);

% Compute C = [c1;C2] = (Q^H)*B
[c, info] = nag_lapack_zunmqr(...
                  'Left', 'Conjugate transpose', qr, tau, b);

% Compute least-squares solutions by backsubstitution in R*x = C1
[x, info] = nag_lapack_ztrtrs(...
                  'Upper', 'No transpose', 'Non-Unit', qr(1:4,:), c(1:4,:));

fprintf('Least-squares solution(s)\n');
disp(x);

fprintf('Square root(s) of the residual sum(s) of squares\n');
for i=1:2
  fprintf('%8.3f ',norm(c(5:6,i)));
end
fprintf('\n');

% diary off
