function nag_lapack_zgerqf_example

% diary nag_lapack_zgerqf_example.r
fprintf('nag_lapack_zgerqf example results\n\n');

% Minimum norm solution of AX = B, m<n
m = 3;
n = 4;
a = [ 0.28 - 0.36i,  0.50 - 0.86i, -0.77 - 0.48i,  1.58 + 0.66i;
     -0.50 - 1.10i, -1.21 + 0.76i, -0.32 - 0.24i, -0.27 - 1.15i;
      0.36 - 0.51i, -0.07 + 1.33i, -0.75 + 0.47i, -0.08 + 1.01i];
b = [ -1.35 + 0.19i; 
       9.41 - 3.56i;
      -7.57 + 6.93i];

% Compute the RQ factorization of A
[rq, tau, info] = nag_lapack_zgerqf(a);

% RQX = B ==> C = QX = R^-1 B
c = zeros(n, 1);
il = n - m + 1;
[c(il:n,:), info] = nag_lapack_ztrtrs( ...
			   'Upper', 'No transpose','Non-Unit', rq(:,il:n), b);

% QX = C ==> X = Q^H C
[rq, x, info] = nag_lapack_zunmrq( ...
		       'Left', 'Conjugate Transpose', rq, tau, c);

fprintf('Minimum-norm solution\n');
disp(x);

% diary off
