function nag_lapack_zgesdd_example

% diary nag_lapack_zgesdd_example.r
fprintf('nag_lapack_zgesdd example results\n\n');

% SVD of complex matrix A
a = [ 0.96 + 0.81i, -0.98 - 1.98i,  0.62 + 0.46i, ...
                    -0.37 - 0.38i,  0.83 - 0.51i,  1.08 + 0.28i;
     -0.03 - 0.96i, -1.20 - 0.19i,  1.01 - 0.02i, ...
                     0.19 + 0.54i,  0.20 - 0.01i,  0.20 + 0.12i;
     -0.91 - 2.06i, -0.66 - 0.42i,  0.63 + 0.17i, ...
                    -0.98 + 0.36i, -0.17 + 0.46i, -0.07 - 1.23i;
     -0.05 - 0.41i, -0.81 - 0.56i, -1.11 - 0.60i, ...
                     0.22 + 0.20i,  1.47 - 1.59i,  0.26 - 0.26i];
m = nag_int(size(a,1));
n = nag_int(size(a,2));
b = complex(ones(m,1));


jobz = 'Singular vector parts of U and VT';
[~, s, u, vt, info] = nag_lapack_zgesdd( ...
                             jobz, a);


disp('Singular values of A');
disp(s');

% Use SVD to compute minimum-norm solution: VS^(-1)U'b
y = u'*b;
y = y./s;
x = vt'*y;

disp('Minimum-norm solution:');
disp(x);
disp('Norm of Solution:');
disp(norm(x));
disp('Norm of Residual:');
fprintf('%11.1e\n',norm(b - a*x));

% diary off
