function nag_lapack_zgtrfs_example

% diary nag_lapack_zgtrfs_example.r
fprintf('nag_lapack_zgtrfs example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];

% Factorize
[dlf, df, duf, du2, ipiv, info] = ...
  nag_lapack_zgttrf(dl, d, du);

% RHS
b  = [ 2.4 -  5i,    2.7 +  6.9i;
       3.4 + 18.2i, -6.9 -  5.3i;
     -14.7 +  9.7i, -6   -  0.6i;
      31.9 -  7.7i, -3.9 +  9.3i;
      -1   +  1.6i, -3   + 12.2i];

% Solve for x
trans = 'No transpose';
[x, info] = nag_lapack_zgttrs( ...
                   trans, dlf, df, duf, du2, ipiv, b);

% Refine solution
[x, ferr, berr, info] = ...
  nag_lapack_zgtrfs( ...
         trans, dl, d, du, dlf, df, duf, du2, ipiv, b, x);

disp('Solution:');
disp(x);

fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
