function nag_lapack_zhbevd_example

% diary nag_lapack_zhbevd_example.r
fprintf('nag_lapack_zhbevd example results\n\n');

% Hermitian band matrix A, stored on symmetric banded format
uplo = 'L';
kd = nag_int(2);
ab = [1 + 0i,  2 + 0i,  3 + 0i,  4 + 0i,  5 + 0i;
      2 + 1i,  3 + 2i,  4 + 3i,  5 + 4i,  0 + 0i;
      3 + 1i,  4 + 2i,  5 + 3i,  0 + 0i,  0 + 0i];

% All eigenvalues and eigenvectors of A
job = 'V';
[abf, w, z, info] = nag_lapack_zhbevd( ...
                           job, uplo, kd, ab);

% Normalize: largest elements are real
for i = 1:5
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp('Eigenvalues');
disp(w');
[ifail] = nag_file_print_matrix_complex_gen( ...
                 'General', ' ', z, 'Eigenvectors');

% diary off
