function nag_lapack_zhecon_example

% diary nag_lapack_zhecon_example.r
fprintf('nag_lapack_zhecon example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored)
uplo = 'L';
a = [-1.36 + 0i,     0    + 0i,     0    + 0i,      0    + 0i;
      1.58 - 0.90i, -8.87 + 0i,     0    + 0i,      0    + 0i;
      2.21 + 0.21i, -1.84 + 0.03i, -4.63 + 0i,      0    + 0i;
      3.91 - 1.50i, -1.78 - 1.18i,  0.11 - 0.11i,  -1.84 + 0i];

% Factorize
[af, ipiv, info] = nag_lapack_zhetrf( ...
                          uplo, a);

% Norm of A
an = a + a' - diag(diag(a));
anorm = norm(an,1);

% Condition number estimator
[rcond, info] = nag_lapack_zhecon( ...
                       uplo, af, ipiv, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
