function nag_lapack_zheevr_example

% diary nag_lapack_zheevr_example.r
fprintf('nag_lapack_zheevr example results\n\n');

% Upper triangular part of Hermitian matrix A
uplo  = 'Upper';
n = 4;
a = [ 1 + 0i,  2 - 1i,  3 - 1i,  4 - 1i;
      0 + 0i,  2 + 0i,  3 - 2i,  4 - 2i;
      0 + 0i,  0 + 0i,  3 + 0i,  4 - 3i;
      0 + 0i,  0 + 0i,  0 + 0i,  4 + 0i];

% Compute 2nd and 3rd eigenvalues and coresponding vectors
jobz  = 'Vectors';
range = 'I';
vl = 0;
vu = 0;
il = nag_int(2);
iu = nag_int(3);
abstol = 0;
[~, m, w, z, ~, info] = ...
  nag_lapack_zheevr( ...
         jobz, range, uplo, a, vl, vu, il, iu, abstol);

% Normalize vectors, largest element is real and positive.
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

% Display
fprintf(' Eigenvalues numbered 2 to 3 are:\n');
disp(w(1:m));

ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'General', ' ', z, 'Bracketed', 'F7.4', ...
                 'Corresponding eigenvectors', 'Integer', 'Integer', ...
                 ncols, indent);

% diary off
