function nag_lapack_zheevx_example

% diary nag_lapack_zheevx_example.r
fprintf('nag_lapack_zheevx example results\n\n');

% Eigenvalues between -2 and 2 of A, and corresponding eigenvectors. 
a = [ 1 + 0i,  2 - 1i,  3 - 1i,  4 - 1i;
      0 + 0i,  2 + 0i,  3 - 2i,  4 - 2i;
      0 + 0i,  0 + 0i,  3 + 0i,  4 - 3i;
      0 + 0i,  0 + 0i,  0 + 0i,  4 + 0i];

jobz  = 'Vectors';
range = 'Values in range';
uplo  = 'Upper';
vl = -2;
vu =  2;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, m, w, z, jfail, info] = ...
  nag_lapack_zheevx(...
        jobz, range, uplo, a, vl, vu, il, iu, abstol);

% Normalize
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

fprintf('Number of eigenvalues in [-2,2] is %2d\n',m);
fprintf('\n Eigenvalues are:\n');
disp(w(1:m));

ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
                 'General', ' ', z, 'Bracketed', 'F7.4', ...
                 'Corresponding eigenvectors', 'Integer', 'Integer', ...
                 ncols, indent);

% diary off
