function nag_lapack_zhpcon_example

% diary nag_lapack_zhpcon_example.r
fprintf('nag_lapack_zhpcon example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored in packed form)

% A in full format first to get 1-norm of A
n = nag_int(4);
a = [ -1.36 + 0.00i,   1.58 + 0.90i,   2.21 - 0.21i,  3.91 - 1.50i
       1.58 - 0.90i,  -8.87 + 0.00i,  -1.84 - 0.03i, -1.78 + 1.18i;
       2.21 + 0.21i,  -1.84 + 0.03i,  -4.63 + 0.00i,  0.11 + 0.11i;
       3.91 - 1.50i,  -1.78 - 1.18i,   0.11 - 0.11i, -1.84 + 0.00i];
anorm = norm(a,1);

% pack A in array ap
uplo = 'L';
ap = [];
for j = 1:n
  ap = [ap; a(j:n,j)];
end

% Factorize packed form
[apf, ipiv, info] = nag_lapack_zhptrf( ...
                           uplo, n, ap);

% Condition number estimator
[rcond, info] = nag_lapack_zhpcon( ...
                       uplo, apf, ipiv, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
