function nag_lapack_zhprfs_example

% diary nag_lapack_zhprfs_example.r
fprintf('nag_lapack_zhprfs example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored in packed form)
uplo = 'L';
n = nag_int(4);
ap = [-1.36 + 0i;  1.58 - 0.9i;   2.21 + 0.21i;  3.91 - 1.5i;
                  -8.87 + 0i;    -1.84 + 0.03i; -1.78 - 1.18i;
                                 -4.63 + 0i;     0.11 - 0.11i;
                                                -1.84 + 0i];

% Factorize
[apf, ipiv, info] = nag_lapack_zhptrf( ...
                           uplo, n, ap);

% RHS
b = [ 7.79 +  5.48i, -35.39 + 18.01i;
     -0.77 - 16.05i,   4.23 - 70.02i;
     -9.58 +  3.88i, -24.79 -  8.40i;
      2.98 - 10.18i,  28.68 - 39.89i];

% Solve
[x, info] = nag_lapack_zhptrs( ...
                   uplo, apf, ipiv, b);

% Refine
[x, ferr, berr, info] = nag_lapack_zhprfs( ...
                               uplo, ap, apf, ipiv, b, x);

disp('Solution(s)');
disp(x);
fprintf('Backward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
