function nag_lapack_zhpsv_example

% diary nag_lapack_zhpsv_example.r
fprintf('nag_lapack_zhpsv example results\n\n');

% Hermitian indefinite matrix A (Upper triangular part stored in packed format)
uplo = 'Upper';
n  = nag_int(4);
ap = [-1.84;
       0.11 - 0.11i;  -4.63 + 0i;
      -1.78 - 1.18i;  -1.84 + 0.03i;  -8.87 + 0i;
       3.91 - 1.50i;   2.21 + 0.21i;   1.58 - 0.90i;  -1.36 + 0i];

% RHS
b = [ 2.98 - 10.18i;
     -9.58 +  3.88i;
     -0.77 - 16.05i;
      7.79 +  5.48i];

% Solve
[apf, ipiv, x, info] = nag_lapack_zhpsv( ...
                              uplo, ap, b);

disp('Solution');
disp(x);

[ifail] = nag_file_print_matrix_complex_packed( ...
                 uplo, 'Non-unit', n, apf, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
