function nag_lapack_zpbcon_example

% diary nag_lapack_zpbcon_example.r
fprintf('nag_lapack_zpbcon example results\n\n');

uplo = 'L';
kd = nag_int(1);
n  = nag_int(4);
ab = [ 9.39 + 0i,     1.69 + 0i,      2.65 + 0i,      2.17 + 0i;
       1.08 - 1.73i, -0.04 + 0.29i,  -0.33 + 2.24i    0    + 0i];

% Factorize
[abf, info] = nag_lapack_zpbtrf( ...
                     uplo, kd, ab);

% To calculate 1-norm here, need to add superdiagonal
abn = [0 + 0i,  ab(2,1:n-1);
       ab];
% 1-norm of A = 1-norm of abn
  anorm = norm(abn,1);

% Get reciprocal condition number
[rcond, info] = nag_lapack_zpbcon( ...
                       uplo, kd, abf, anorm);

fprintf('Estimate of Condition number = %7.2e\n',1/rcond);

% diary off
