function nag_lapack_zpbrfs_example

% diary nag_lapack_zpbrfs_example.r
fprintf('nag_lapack_zpbrfs example results\n\n');

% A in Hermitian banded format
uplo = 'L';
kd = nag_int(1);
n  = nag_int(4);
ab = [ 9.39 + 0i,     1.69 + 0i,      2.65 + 0i,      2.17 + 0i;
       1.08 + 1.73i, -0.04 - 0.29i,  -0.33 - 2.24i    0    + 0i];

% RHS
b = [-12.42 + 68.42i,  54.30 - 56.56i;
      -9.93 +  0.88i,  18.32 +  4.76i;
     -27.30 -  0.01i,  -4.40 +  9.97i;
       5.31 + 23.63i,   9.43 +  1.41i];

% Factorize
[abf, info] = nag_lapack_zpbtrf( ...
                     uplo, kd, ab);

% Solve
[x, info] = nag_lapack_zpbtrs( ...
                   uplo, kd, abf, b);

% Iterative refinement
[x, ferr, berr, info] = nag_lapack_zpbrfs( ...
                               uplo, kd, ab, abf, b, x);
disp('Solution(s)');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
