function nag_lapack_zpftri_example

% diary nag_lapack_zpftri_example.r
fprintf('nag_lapack_zpftri example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 4.09 + 0.00i  2.33 - 0.14i;
       3.23 + 0.00i  4.29 + 0.00i;
       1.51 + 1.92i  3.58 + 0.00i;
       1.90 - 0.84i -0.23 - 1.11i;
       0.42 - 2.50i -1.18 - 1.37i];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Factorize a
[ar, info] = nag_lapack_zpftrf(transr, uplo, n, ar);

if info == 0
  % Compute inverse of a
  [ar, info] = nag_lapack_zpftri( ...
                      transr, uplo, n, ar);
  % Convert inverse to full array form for display
  [a, info] = nag_matop_ztfttr( ...
                     transr, uplo, n, ar);
  fprintf('\n');
  ncols  = nag_int(80);
  indent = nag_int(0);
  form   = 'f7.4';
  title  = 'Inverse, lower triangle:';
  diag   = 'n';
  [ifail] = nag_file_print_matrix_complex_gen_comp( ...
                   uplo, diag, a, 'brackets', form, title, ...
                   'int', 'int', ncols, indent);
else
  fprintf('\na is not positive definite.\n');
end

% diary off
