function nag_lapack_zppequ_example

% diary nag_lapack_zppequ_example.r
fprintf('nag_lapack_zppequ example results\n\n');

% Upper triangular part of Hermitian matrix A
uplo = 'Upper';
n = nag_int(4);
ap = [ 3.23   + 0i,       ...
       1.51   - 1.92i,    3.58   + 0i,      ...
       1.90e5 + 0.84e5i, -0.23e5 + 1.11e5i, 4.09e10 + 0i,       ...
       0.42   + 2.50i,   -1.18   + 1.37i,   2.33e5  - 0.14e5i,  4.29 + 0i];

% Scale A
[s, scond, amax, info] = nag_lapack_zppequ( ...
                                uplo, n, ap);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Apply scalings
k = 0;
for i = 1:n
  for j = 1:i
    k = k + 1;
    asp(k) = s(i)*ap(k)*s(j);
  end
end

[ifail] = nag_file_print_matrix_complex_packed( ...
                 'Upper', 'Non-unit', n, asp, 'Scaled matrix');

% diary off
