function nag_lapack_zptcon_example

% diary nag_lapack_zptcon_example.r
fprintf('nag_lapack_zptcon example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

% Factorize
[df, ef, info] = nag_lapack_zpttrf( ...
                        d, e);

% Construct matrix an with same 1-norm
an = [0 e; d; e 0];
anorm = norm(an,1);

% Get reciprocal condition number
[rcond, info] = nag_lapack_zptcon( ...
                       df, ef, anorm);

fprintf('Condition number of A = %7.2e\n',1/rcond);

% diary off
