function nag_lapack_zptrfs_example

% diary nag_lapack_zptrfs_example.r
fprintf('nag_lapack_zptrfs example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

% Factorize
[df, ef, info] = nag_lapack_zpttrf( ...
                        d, e);

% RHS
b = [ 64 + 16i,  -16 - 32i;
      93 + 62i,   61 - 66i;
      78 - 80i,   71 - 74i;
      14 - 27i,   35 + 15i];

% Solve
uplo = 'L';
[x, info] = nag_lapack_zpttrs( ...
                   uplo, df, ef, b);


% Refine
[x, ferr, berr, info] = nag_lapack_zptrfs( ...
                               uplo, d, e, df, ef, b, x);

disp('Solution(s)');
disp(x);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
