function nag_lapack_zspsv_example

% diary nag_lapack_zspsv_example.r
fprintf('nag_lapack_zspsv example results\n\n');

% Complex Symmetric Indefinite matrix stored in Upper-packed form
uplo = 'U';
n    = nag_int(4);
ap = [-0.56 + 0.12i;
      -1.54 - 2.86i; -2.83 - 0.03i;
       5.32 - 1.59i; -3.52 + 0.58i;  8.86 + 1.81i;
       3.80 + 0.92i; -7.86 - 2.96i;  5.14 - 0.64i; -0.39 - 0.71i];

% RHS
b = [ -6.43 + 19.24i;
      -0.49 -  1.47i;
     -48.18 + 66.00i;
     -55.64 + 41.22i];

% Solve
[apf, ipiv, x, info] = nag_lapack_zspsv( ...
                              uplo, ap, b);

disp('Solution');
disp(x);

[ifail] = nag_file_print_matrix_complex_packed( ...
                 uplo, 'Non-unit', n, apf, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
