function nag_lapack_zspsvx_example

% diary nag_lapack_zspsvx_example.r
fprintf('nag_lapack_zspsvx example results\n\n');

% complex symmetric matrix, upper triangle stored in packed format
uplo = 'U';
n    = nag_int(4);
ap = [-0.56 + 0.12i;
      -1.54 - 2.86i; -2.83 - 0.03i;
       5.32 - 1.59i; -3.52 + 0.58i;  8.86 + 1.81i;
       3.80 + 0.92i; -7.86 - 2.96i;  5.14 - 0.64i; -0.39 - 0.71i];
% RHS
b = [  -6.43 + 19.24i,  -4.59 - 35.53i;
       -0.49 -  1.47i,   6.95 + 20.49i;
      -48.18 + 66.00i, -12.08 - 27.02i;
      -55.64 + 41.22i, -19.09 - 35.97i];

% Factorize and solve
fact = 'Not factored';
afp  = ap;
ipiv = zeros(n,1,nag_int_name);

[afp, ipiv, x, rcond, ferr, berr, info] = ...
  nag_lapack_zspsvx(...
        fact, uplo, ap, afp, ipiv, b);

disp('Solution');
disp(x);
fprintf('Condition number      = %9.2e\n',1/rcond);
fprintf('Forward  error bounds = %10.1e  %10.1e\n',ferr); 
fprintf('Backward error bounds = %10.1e  %10.1e\n',berr); 

% diary off
