function nag_lapack_zsptri_example

% diary nag_lapack_zsptri_example.r
fprintf('nag_lapack_zsptri example results\n\n');

% Get Inverse of A, where A is complex symmetric matrix such that the
% lower triangular part is stored in packed format
uplo = 'L';
n = nag_int(4);
ap = [ -0.39 -  0.71i,   5.14 -  0.64i,  -7.86 - 2.96i,   3.80 + 0.92i, ...
        8.86 +  1.81i,  -3.52 +  0.58i,   5.32 - 1.59i,   ...
       -2.83 -  0.03i,  -1.54 -  2.86i,  ...
       -0.56 + 0.12i];

% Factorize
[apf, ipiv, info] = nag_lapack_zsptrf( ...
                           uplo, n, ap);

% Invert
[ainv, info] = nag_lapack_zsptri(uplo, apf, ipiv);

% Display packed inverse: Integer labels, 80 colunms wide, no indent
rlabs = {'       '};
clabs = {'       '};
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = nag_file_print_matrix_complex_packed_comp( ...
                 uplo, 'N', n, ainv, 'Brac', ' ', 'Inverse', 'Int', rlabs, ...
                 'Int', clabs, ncols, indent);

% diary off
