function nag_lapack_zstegr_example

% diary nag_lapack_zstegr_example.r
fprintf('nag_lapack_zstegr example results\n\n');

% Hermitian tridiagonal matrix A, stored as diagonal and of-diagonal
d = [1; 4; 9; 16];
e = [1; 2; 3; 0];

% Calculate all eigenvalues and eigenvectors
jobz = 'V';
range = 'A';
vl = 0;
vu = 0;
il = nag_int(0);
iu = nag_int(0);
abstol = 0;
[~, ~, m, w, z, ~, info] = nag_lapack_zstegr( ...
                                  jobz, range, d, e, vl, vu, il, iu);

% Normalize: largest elements are real
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Eigenvalues of A:');
disp(w');
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
