function nag_lapack_zstein_example

% diary nag_lapack_zstein_example.r
fprintf('nag_lapack_zstein example results\n\n');

% Lower triangular part of Hermitian matrix A
uplo = 'L';
a = [-2.28 + 0.00i,  0.00 + 0i,     0    + 0i,     0    + 0i;
      1.78 + 2.03i, -1.12 + 0i,     0    + 0i,     0    + 0i;
      2.26 - 0.10i,  0.01 - 0.43i, -0.37 + 0i,     0    + 0i;
     -0.12 - 2.53i, -1.07 - 0.86i,  2.31 + 0.92i, -0.73 + 0i];

% Reduce A to tridiagonal form
[aq, d, e, tau, info] = nag_lapack_zhetrd( ...
                              uplo, a);

% Calculate two smallest eigenvalues
range = 'Indices';
order = 'Block';
vl = 0;
vu = 0;
il = nag_int(1);
iu = nag_int(2);
abstol = 0;
[m, nsplit, w, iblock, isplit, info] = ...
  nag_lapack_dstebz( ...
         range, order, vl, vu, il, iu, abstol, d, e);

% Corresponding eigenvectors of T
[tz, ifailv, info] = nag_lapack_zstein( ...
                            d, e, m, w, iblock, isplit);

% TRansform to eigenvalues of A (by premultiplying by Q)
trans = 'No transpose';
side = 'Left';
[z, info] = nag_lapack_zunmtr( ...
                   side, uplo, trans, aq, tau, tz);

% Normalize vectors, largest element is real and positive.
for i = 1:m
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Selected eigenvalues of A:');
disp(w(1:m));
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
