function nag_lapack_ztbcon_example

% diary nag_lapack_ztbcon_example.r
fprintf('nag_lapack_ztbcon example results\n\n');

% Condition number of A, where A is complex lower triangular banded
% and stored in triangular/symmetric banded format 
kd = nag_int(2);
ab = [-1.94 + 4.43i,   4.12 - 4.27i,  0.43 - 2.66i,  0.44 + 0.10i;
      -3.39 + 3.44i,  -1.84 + 5.53i,  1.74 - 0.04i,  0    + 0i;
       1.62 + 3.68i,  -2.77 - 1.93i,  0    + 0i,     0    + 0i];
b = [ -8.86 -  3.88i, -24.09 -  5.27i;
     -15.57 - 23.41i, -57.97 +  8.14i;
      -7.63 + 22.78i,  19.09 - 29.51i;
     -14.74 -  2.40i,  19.17 + 21.33i];

% Reciprocal condition number
norm_p = '1';
uplo = 'L';
diag = 'N';
[rcond, info] = nag_lapack_ztbcon( ...
                       norm_p, uplo, diag, kd, ab);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
