function nag_lapack_ztbrfs_example

% diary nag_lapack_ztbrfs_example.r
fprintf('nag_lapack_ztbrfs example results\n\n');

% Solve AX=B and get error bounds, where A is complex lower triangular banded
% and stored in triangular/symmetric banded format 
kd = nag_int(2);
ab = [-1.94 + 4.43i,   4.12 - 4.27i,  0.43 - 2.66i,  0.44 + 0.10i;
      -3.39 + 3.44i,  -1.84 + 5.53i,  1.74 - 0.04i,  0    + 0i;
       1.62 + 3.68i,  -2.77 - 1.93i,  0    + 0i,     0    + 0i];
b = [ -8.86 -  3.88i, -24.09 -  5.27i;
     -15.57 - 23.41i, -57.97 +  8.14i;
      -7.63 + 22.78i,  19.09 - 29.51i;
     -14.74 -  2.40i,  19.17 + 21.33i];

% Solve
uplo  = 'L';
trans = 'N';
diag  = 'N';
[x, info] = nag_lapack_ztbtrs( ...
                   uplo, trans, diag, kd, ab, b);

% Get error bounds
[ferr, berr, info] = nag_lapack_ztbrfs( ...
                            uplo, trans, diag, kd, ab, b, x);

disp('Solution(s)');
disp(x);

fprintf('Backward errors (machine-dependent)\n   ')
fprintf('%11.1e', berr);
fprintf('\nEstimated forward error bounds (machine-dependent)\n   ')
fprintf('%11.1e', ferr);
fprintf('\n');

% diary off
