function nag_lapack_ztrevc_example

% diary nag_lapack_ztrevc_example.r
fprintf('nag_lapack_ztrevc example results\n\n');

n = nag_int(4);
a = [ 1.50 - 2.75i,  0    + 0i,     0    + 0i,     0    + 0i;
     -8.06 - 1.24i, -2.50 - 0.50i,  0    + 0i,    -0.75 + 0.50i;
     -2.09 + 7.56i,  1.39 + 3.97i, -1.25 + 0.75i, -4.82 - 5.67i;
      6.18 + 9.79i, -0.92 - 0.62i,  0    + 0i,    -2.50 - 0.50i];

% Balance a
[a, ilo, ihi, scale, info] = nag_lapack_zgebal( ...
				    'Both', a);

% Reduce a to upper Hessenberg form
[H, tau, info] = nag_lapack_zgehrd( ...
			ilo, ihi, a);

% Form Q explicitly, storing result in vr
[Q, info] = nag_lapack_zunghr( ...
		   ilo, ihi, H, tau);

% Calculate the eigenvalues and Schur factorisation of A
[S, w, VR, info] = nag_lapack_zhseqr( ...
			  'Schur Form', 'Vectors', ilo, ihi, H, Q);

disp('Eigenvalues of A:');
disp(w);

% Calculate the eigenvectors of A
select = [false];
vl = [complex(0)];

[T, ~, Z, m, info] = ...
  nag_lapack_ztrevc( ...
	 'Right', 'Backtransform', select, H, vl, VR, n);

% Scale
[V, info] = nag_lapack_zgebak( ...
		   'Both', 'Right', ilo, ihi, scale, Z);

% Normalize eigenvectors: largest element is real
for i = 1:m
  [~,k] = max(abs(real(V(:,i)))+abs(imag(V(:,i))));
  V(:,i) = V(:,i)*conj(V(k,i))/abs(V(k,i));
end

disp('Right eigenvectors of A:');
disp(V);

% diary off
