function nag_lapack_ztrsna_example

% diary nag_lapack_ztrsna_example.r
fprintf('nag_lapack_ztrsna example results\n\n');

% Matrix in complex Schur form
n = nag_int(4);
T = [-6.0004 - 6.9999i, 0.3637 - 0.3656i, -0.1880 + 0.4787i, 0.8785 - 0.2539i;
      0      + 0i,     -5.0000 + 2.0060i, -0.0307 - 0.7217i,-0.2290 + 0.1313i;
      0      + 0i,      0      + 0i,       7.9982 - 0.9964i, 0.9357 + 0.5359i;
      0      + 0i,      0      + 0i,       0      + 0i,      3.0023 - 3.9998i];

% Calculate the eigenvectors of T
select = [false];
vl = complex(zeros(n,n));
vr = complex(zeros(n,n));
job = 'Both';
howmny = 'All';

[T, vl, vr, m, info] = ...
nag_lapack_ztrevc( ...
       job, howmny, select, T, vl, vr, n);

[s, sep, m, info] = ...
nag_lapack_ztrsna( ...
       job, howmny, select, T, vl, vr, n);
disp('s:');
disp(s');
disp('sep:');
disp(sep');
tnorm = norm(T,1);
disp('Approximate error estimates for eigenvalues of T (machine-dependent)');
fprintf('%11.1e',nag_machine_precision*tnorm./s);
fprintf('\n\n%s %s\n', 'Approximate error estimates for right', ...
        'eigenvectors (machine-dependent)');
fprintf('%11.1e',nag_machine_precision*tnorm./sep);
fprintf('\n');

% diary off
