function nag_lapack_ztrsyl_example

% diary nag_lapack_ztrsyl_example.r
fprintf('nag_lapack_ztrsyl example results\n\n');

% Quasi-triangular (Schur form) matrices A and B, and general matrix C 
a = [-6    - 7i,     0.36 - 0.36i, -0.19 + 0.48i,  0.88 - 0.25i;
      0    + 0i,    -5    + 2i,    -0.03 - 0.72i, -0.23 + 0.13i;
      0    + 0i,     0    + 0i,     8    - 1i,     0.94 + 0.53i;
      0    + 0i,     0    + 0i,     0    + 0i,     3    - 4i];
b = [ 0.5  - 0.2i,  -0.29 - 0.16i, -0.37 + 0.84i, -0.55 + 0.73i;
      0    + 0i,    -0.4  + 0.9i,   0.06 + 0.22i, -0.43 + 0.17i;
      0    + 0i,     0    + 0i,    -0.90 - 0.10i, -0.89 - 0.42i;
      0    + 0i,     0    + 0i,     0    + 0i,     0.30 - 0.7i];
c = [ 0.63 + 0.35i,  0.45 - 0.56i,  0.08 - 0.14i, -0.17 - 0.23i;
     -0.17 + 0.09i, -0.07 - 0.31i,  0.27 - 0.54i,  0.35 + 1.21i;
     -0.93 - 0.44i, -0.33 - 0.35i,  0.41 - 0.03i,  0.57 + 0.84i;
      0.54 + 0.25i, -0.62 - 0.05i, -0.52 - 0.13i,  0.11 - 0.08i];

% Solve Sylvester equation AX + XB = C for X
trana = 'No transpose';
tranb = 'No transpose';
isgn = nag_int(1);
[X, scal, info] = nag_lapack_ztrsyl( ...
			 trana, tranb, isgn, a, b, c);

disp('Solution matrix');
disp(X);

% diary off
