function nag_lapack_zungrq_example

% diary nag_lapack_zungrq_example.r
fprintf('nag_lapack_zungrq example results\n\n');

% Form Q from RQ factorization of A
a = [ 0.96 - 0.81i, -0.03 + 0.96i,  -0.91 + 2.06i, -0.05 + 0.41i;
     -0.98 + 1.98i, -1.20 + 0.19i,  -0.66 + 0.42i, -0.81 + 0.56i;
      0.62 - 0.46i,  1.01 + 0.02i,   0.63 - 0.17i, -1.11 + 0.60i;
     -0.37 + 0.38i,  0.19 - 0.54i,  -0.98 - 0.36i,  0.22 - 0.20i;
      0.83 + 0.51i,  0.20 + 0.01i,  -0.17 - 0.46i,  1.47 + 1.59i;
      1.08 - 0.28i,  0.20 - 0.12i,  -0.07 + 1.23i,  0.26 + 0.26i];
a = transpose(a);
[m,n] = size(a);

% Compute the RQ factorization of A
[rq, tau, info] = nag_lapack_zgerqf(a);

% Form Q
[Q, info] = nag_lapack_zungrq(rq, tau);

%Print Q
ncols  = nag_int(80);
indent = nag_int(0);
[ifail] = nag_file_print_matrix_complex_gen_comp( ...
		 'General', ' ', Q, 'Bracketed', 'F7.4', ...
		 'Unitary Q from RQ of A', 'Integer', 'Integer', ...
		 ncols, indent);

% diary off
