function nag_lapack_zupgtr_example

% diary nag_lapack_zupgtr_example.r
fprintf('nag_lapack_zupgtr example results\n\n');

% Hermitian matrix A stored in symmetric packed format (Lower)
uplo = 'L';
n = nag_int(4);
ap = [-2.28 + 0i;   1.78 + 2.03i;   2.26 - 0.10i;  -0.12 - 2.53i;
                   -1.12 + 0i;      0.01 - 0.43i;  -1.07 - 0.86i;
                                   -0.37 + 0i;      2.31 + 0.92i;
                                                   -0.73 + 0i];

% Reduce to tridiagonal form
[apf, d, e, tau, info] = nag_lapack_zhptrd( ...
                                uplo, n, ap);

% Form Q
[Q, info] = nag_lapack_zupgtr( ...
                   uplo, n, apf, tau);

% Calculate eigenvalues/vectors of A from Q, d and e.
compz = 'V';
[w, ~, z, info] = nag_lapack_zsteqr( ...
                         compz, d, e, Q);

% Normalize vectors, largest element is real and positive.
for i = 1:n
  [~,k] = max(abs(real(z(:,i)))+abs(imag(z(:,i))));
  z(:,i) = z(:,i)*conj(z(k,i))/abs(z(k,i));
end

disp(' Eigenvalues of A:');
disp(w);
disp(' Corresponding eigenvectors:');
disp(z);

% diary off
