function nag_linsys_complex_gen_norm_rcomm_example

% diary nag_linsys_complex_gen_norm_rcomm_example.r
fprintf('nag_linsys_complex_gen_norm_rcomm example results\n\n');

a = [0.7+0.1i, -0.2+0.0i,  1.0+0.0i, 0.0+0.0i, 0.0+0.0i, 0.1+0.0i;
     0.3+0.0i,  0.7+0.0i,  0.0+0.0i, 1.0+0.2i, 0.9+0.0i, 0.2+0.0i;
     0.0+5.9i,  0.0+0.0i,  0.2+0.0i, 0.7+0.0i, 0.4+6.1i, 1.1+0.4i;
     0.0+0.1i,  0.0+0.1i, -0.7+0.0i, 0.2+0.0i, 0.1+0.0i, 0.1+0.0i;
     0.0+0.0i,  4.0+0.0i,  0.0+0.0i, 1.0+0.0i, 9.0+0.0i, 0.0+0.1i;
     4.5+6.7i,  0.1+0.4i,  0.0+3.2i, 1.2+0.0i, 0.0+0.0i, 7.8+0.2i];

t = nag_int(2);
m = 6;
n = 6;
x = complex(zeros(n, t));
y = complex(zeros(m, t));
estnrm = 0;
seed = nag_int(652);
work  = complex(zeros(m*t, 1));
rwork = zeros(2*n, 1);
iwork = zeros(2*n+5*t+20, 1, nag_int_name);

nrma =  norm(a, 1);

% Estimate the norm of a^(-1) without explicitly forming a^(-1)

% Perform an LU factorization so that A=LU where L and U are lower and upper
% triangular.
[a, ipiv, info] = nag_lapack_zgetrf(a);

done = false;
irevcm = nag_int(0);

while ~done

  [irevcm, x, y, estnrm, work, rwork, iwork, ifail] = ...
  nag_linsys_complex_gen_norm_rcomm( ...
         irevcm, x, y, estnrm, seed, work, rwork, iwork);

  switch irevcm
    case 0
      done = true;
    case 1
      % Compute y = inv(a)*x
      [y, info] = nag_lapack_zgetrs('n', a, ipiv, x);
    case 2
      % Compute x = transpose(inv(a))*y
      [x, info] = nag_lapack_zgetrs('t', a, ipiv, y);
    otherwise
  end
end

fprintf('The norm of a                    = %6.2f\n', nrma);
fprintf('The estimated norm of inverse(a) = %6.2f\n', estnrm);
fprintf('Estimated condition number of a  = %6.2f\n', estnrm*nrma);

% diary off
