function nag_linsys_complex_square_solve_example

% diary nag_linsys_complex_square_solve_example.r
fprintf('nag_linsys_complex_square_solve example results\n\n');

% Solve complex Ax = b for general A with error bound and condition number
a = [ -1.34 +  2.55i,   0.28 +  3.17i,  -6.39 - 2.20i,  0.72 - 0.92i;
      -0.17 -  1.41i,   3.31 -  0.15i,  -0.15 + 1.34i,  1.29 + 1.38i;
      -3.29 -  2.39i,  -1.91 +  4.42i,  -0.14 - 1.35i,  1.72 + 1.35i;
       2.41 +  0.39i,  -0.56 +  1.47i,  -0.83 - 0.69i, -1.96 + 0.67i];
b = [ 26.26 + 51.78i,  31.32 -  6.70i;
       6.43 -  8.68i,  15.86 -  1.42i;
      -5.75 + 25.31i,  -2.15 + 30.19i;
       1.16 +  2.57i,  -2.56 +  7.55i];

[a, ipiv, x, rcond, errbnd, ifail] = nag_linsys_complex_square_solve(a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
