function nag_linsys_complex_symm_solve_example

% diary nag_linsys_complex_symm_solve_example.r
fprintf('nag_linsys_complex_symm_solve example results\n\n');

% Solve complex Ax = b for symetric A with error bound and condition number
cz = complex(0);
uplo = 'Upper';
a = [ -0.56 + 0.12i, -1.54 - 2.86i,  5.32 - 1.59i,  3.80 + 0.92i;
                 cz, -2.83 - 0.03i, -3.52 + 0.58i, -7.86 - 2.96i;
                 cz,            cz,  8.86 + 1.81i,  5.14 - 0.64i;
                 cz,            cz,            cz, -0.39 - 0.71i];
b = [ -6.43 + 19.24i,  -4.59 - 35.53i;
      -0.49 -  1.47i,   6.95 + 20.49i;
     -48.18 + 66.00i, -12.08 - 27.02i;
     -55.64 + 41.22i, -19.09 - 35.97i];

[a, ipiv, x, rcond, errbnd, ifail] = ...
  nag_linsys_complex_symm_solve(uplo, a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
