function nag_linsys_real_gen_lsq_covmat_example

% diary nag_linsys_real_gen_lsq_covmat_example.r
fprintf('nag_linsys_real_gen_lsq_covmat example results\n\n');

% Solve linear least squares problem Ax = b for general A
a = [ 0.6  1.2  3.9;
      5.0  4.0  2.5;
      1.0 -4.0 -5.5;
     -1.0 -2.0 -6.5;
     -4.2 -8.4 -4.8];
b = [3;    4;    -1;    -5;    -1];
[n,p] = size(a);
tol = 0.0005;
lwork = nag_int(32);
[a, x, svd, sigma, irank, work, ifail] = ...
  nag_linsys_real_gen_solve(a, b, tol, lwork);

fprintf('Standard error = %6.3f, rank = %2d\n\n', sigma, irank);
if svd==1
  fprintf('Solution obtained from SVD of A\n');
else
  fprintf('Solution obtained from QU factorization of A\n');
end
disp(x(1:p)');

job = nag_int(0);
[a, cj, ifail] = nag_linsys_real_gen_lsq_covmat( ...
                        job, sigma, a, svd, irank, work(1:p));
disp('Estimated variances of regression coefficients');
disp(cj');

% diary off
