function nag_linsys_real_gen_solve_example

% diary nag_linsys_real_gen_solve_example.r
fprintf('nag_linsys_real_gen_solve example results\n\n');

% Solve linear least squares problem Ax = b for general A
a = [0.05, 0.05, 0.25, -0.25;
     0.25, 0.25, 0.05, -0.05;
     0.35, 0.35, 1.75, -1.75;
     1.75, 1.75, 0.35, -0.35;
     0.3, -0.3,  0.3,   0.3;
     0.4, -0.4,  0.4,   0.4];
b = [1;    2;     3;     4;     5;     6];

tol = 0.0005;
lwork = nag_int(32);
[a, x, svd, sigma, irank, work, ifail] = ...
  nag_linsys_real_gen_solve(a, b, tol, lwork);

disp('Solution');
disp(x(1:4)');
fprintf('Standard error = %6.3f, rank = %2d\n\n', sigma, irank);
if svd==1
  fprintf('solution obtained from SVD of A\n');
else
  fprintf('solution obtained from QU factorization of A\n');
end

% diary off
