function nag_linsys_real_sparse_fac_solve_example

% diary nag_linsys_real_sparse_fac_solve_example.r
fprintf('nag_linsys_real_sparse_fac_solve example results\n\n');

% Solve sparse system Ax = b
n  = nag_int(6);
nz = nag_int(15);
a  = zeros(150,1);
a(1:15) = [ 5; 
                2; -1; 2; 
                    3;
           -2;         1; 1;
           -1;        -1; 2; -3;
           -1; -1;            6];

irn = zeros(75,1,nag_int_name);
icn = zeros(150,1,nag_int_name);
irn(1:15) = [nag_int(1);
                2; 2; 2;
                   3;
             4;       4; 4;
             5;       5; 5; 5;
             6; 6;          6];
icn(1:15) = [nag_int(1);
                2; 3; 4;
                   3;
             1;       4; 5;
             1;       4; 5; 6;
             1; 2;          6];

b   = [15;
       12;
       18;
        3;
       -6;
        0];

% Factorize A
abort = [true;     true;     false;     true];
[a, irn, icn, ikeep, w, idisp, ifail] = ...
nag_matop_real_gen_sparse_lu( ...
       n, nz, a, irn, icn, abort);

% Solve Ax = b
mtype = nag_int(1);
[x, resid] = nag_linsys_real_sparse_fac_solve( ...
                    a, icn, ikeep, b, mtype, idisp);

disp('Solution');
disp(x);

% diary off
