function nag_linsys_real_symm_solve_example

% diary nag_linsys_real_symm_solve_example.r
fprintf('nag_linsys_real_symm_solve example results\n\n');

% Solve Ax = b for symmetric A with error bound and condition number
uplo = 'Upper';
a = [-1.81,  2.06,  0.63, -1.15;
      0,     1.15,  1.87,  4.20;
      0,     0,    -0.21,  3.87;
      0,     0,     0,     2.07];
b = [ 0.96,  3.93;
      6.07, 19.25;
      8.38,  9.90;
      9.50, 27.85];

[a, ipiv, x, rcond, errbnd, ifail] = ...
  nag_linsys_real_symm_solve(uplo, a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
