function nag_machine_precision_example

% diary nag_machine_precision_example.r
fprintf('nag_machine_precision example results\n\n');

fprintf('(results are machine-dependent)\n');

fprintf('\nThe basic parameters of the model\n\n');
fprintf('the model parameter B    (nag_machine_model_base) = %8d\n', ...
        nag_machine_model_base);
fprintf('the model parameter P    (nag_machine_model_digits) = %8d\n', ...
        nag_machine_model_digits);
fprintf('the model parameter Emin (nag_machine_model_minexp) = %8d\n', ...
        nag_machine_model_minexp);
fprintf('the model parameter Emax (nag_machine_model_maxexp) = %8d\n', ...
        nag_machine_model_maxexp);

fprintf('\nDerived parameters of floating-point arithmetic\n\n')
fprintf('the machine precision               (nag_machine_precision) = %21.15e\n', ...
        nag_machine_precision);
fprintf('the smallest positive model number  (nag_machine_real_smallest) = %22.15e\n', ...
        nag_machine_real_smallest);
fprintf('the largest positive model number   (nag_machine_real_largest) = %22.15e\n', ...
        nag_machine_real_largest);
fprintf('the real safe range parameter       (nag_machine_real_safe) = %22.15e\n', ...
        nag_machine_real_safe);
fprintf('the complex safe range parameter    (nag_machine_complex_safe) = %22.15e\n', ...
        nag_machine_complex_safe);

fprintf('\nParameters of other aspects of the computing environment\n\n');
fprintf('largest argument of sin and cos (nag_machine_sinarg_max) = %20.8e\n', ...
        nag_machine_sinarg_max);
fprintf('the largest positive integer    (nag_machine_integer_max) = %20d\n', ...
        nag_machine_integer_max);
fprintf('precision in decimal digits     (nag_machine_decimal_digits) = %20d\n', ...
        nag_machine_decimal_digits);

% diary off
