function nag_matop_complex_addsub_example

% diary nag_matop_complex_addsub_example.r
fprintf('nag_matop_complex_addsub example results\n\n');

% Example 1: C = A + B
a = [ 1.0 + 2.0i   2.5 - 1.5i   2.5 - 1.0i;
     -2.0 - 2.0i   2.0 - 1.0i  -1.5 - 1.0i;
      3.5 - 1.5i   2.0 + 1.5i   2.0 + 3.0i;
     -2.5 + 0.0i  -3.0 + 2.5i  -2.0 + 2.0i];
b = [ 2.0 + 1.0i  -2.5 + 3.0i  -0.5 + 0.0i;
      1.0 + 0.0i   1.0 - 1.5i   1.5 - 1.5i;
     -1.5 - 0.5i   2.5 - 2.0i  -0.5 + 1.0i;
      2.5 - 1.5i  -1.0 + 1.5i   2.0 + 3.0i];

[m,n] = size(a);
m = nag_int(m);
n = nag_int(n);

transa = 'N';
transb = 'N';
alpha  = complex(1);
beta   = complex(1);
[c1, ifail] = nag_matop_complex_addsub( ...
                     transa, transb, m, n, alpha, a, beta, b);

disp('Example 1: C = A + B');
disp(c1);

% Example 2: C = A - B^T
a = [ 1.0 + 1.0i   2.5 - 1.5i   3.0 + 1.5i;
     -2.0 - 0.5i   2.0 + 1.5i  -1.5 - 2.5i];
b = [ 2.0 + 1.0i  -2.5 + 2.0i;
      1.0 + 0.0i   1.0 + 1.5i;
     -1.5 - 0.5i   2.5 - 1.0i]; 
[m,n] = size(a);
m = nag_int(m);
n = nag_int(n);

transa = 'N';
transb = 'T';
alpha  = complex(1);
beta   = complex(-1);
[c2, ifail] = nag_matop_complex_addsub( ...
                     transa, transb, m, n, alpha, a, beta, b);

disp('Example 2: C = A - B^T');
disp(c2);

% diary off
