function nag_matop_real_gen_matrix_actexp_rcomm_example

% diary nag_matop_real_gen_matrix_actexp_rcomm_example.r
fprintf('nag_matop_real_gen_matrix_actexp_rcomm example results\n\n');

% A and B
a = [0.4,  -0.2,   1.3,   0.6;
     0.3,   0.8,   1.0,   1.0;
     3.0,   4.8,   0.2,   0.7;
     0.5,   0.0,  -5.0,   0.7];
b = [0.1,  1.1;
     1.7, -0.2;
     0.5,  1.0;
     0.4, -0.2];
n = 4;
m = 2;

% Initial input parameters
t = -0.2;
b2 = b;  x = b;   y = b;
p = zeros(n, 1);  r = p;  z = p;
comm =  zeros(n*m+3*n+12, 1);
icomm = zeros(2*n+40, 1, nag_int_name);
tr = trace(a);

% Compute exp(ta)b by reverse communication
irevcm = nag_int(0);
done = false;

while ~done
  [irevcm, b, b2, x, y, p, r, z, comm, icomm, ifail] = ...
  nag_matop_real_gen_matrix_actexp_rcomm( ...
         irevcm, b, t, b2, x, y, p, r, z, comm, icomm, 'tr', tr);

  switch irevcm
    case {0}
      done = true;
    case {1}
      % Compute ab and store in b2
      b2 = a*b;
    case {2}
      % Compute ax and store in y
      y = a*x;
    case {3}
      % Compute a'y and store in x
      x = a'*y;
    case {4}
      % compute az and store in p
      p = a*z;
    otherwise
      % compute a'z and store in r
      r = a'*z;
  end
end

fprintf('exp(tA)B\n');
disp(b);

% diary off
