function nag_matop_real_gen_matrix_cond_num_example

% diary nag_matop_real_gen_matrix_cond_num_example.r
fprintf('nag_matop_real_gen_matrix_cond_num example results\n\n');

a = [-1,  -1,  -2,   1;
      0,   1,  -1,   0;
     -1,  -2,   1,  -1;
      0,  -1,   0,  -1];

% Find absolute condition number estimate
[a, user, iflag, conda, norma, normfa, ifail] = ...
nag_matop_real_gen_matrix_cond_num(a, @fcos2);

fprintf('\nf(a) = cos(2A)\n');
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = nag_machine_precision;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off

function [iflag, fz, user] = fcos2(iflag, nz, z, user)
  fz = cos(2*z);
