function nag_matop_real_gen_matrix_cond_usd_example

% diary nag_matop_real_gen_matrix_cond_usd_example.r
fprintf('nag_matop_real_gen_matrix_cond_usd example results\n\n');

a = [ 0,  -1,  -1,   1;
     -2,   0,   1,  -1;
      2,  -1,   2,  -2;
     -1,  -2,   0,  -1];

% Find absolute condition number estimate
[a, user, iflag, conda, norma, normfa, ifail] = ...
nag_matop_real_gen_matrix_cond_usd(a, @fexp2);

fprintf('\nf(A) = exp(2A)\n');
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = nag_machine_precision;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off

function [iflag, fz, user] = fexp2(m, iflag, nz, z, user)
  fz = 2^double(m)*exp(2*z);
