function nag_mip_iqp_dense_optstr_example

% diary nag_mip_iqp_dense_optstr_example.r
fprintf('nag_mip_iqp_dense_optstr example results\n\n');

big = 1e25;
a    = [ 1,     1,      1,      1,      1,      1,       1;
         0.15,  0.04,   0.02,   0.04,   0.02,   0.01,    0.03;
         0.03,  0.05,   0.08,   0.02,   0.06,   0.01,    0.00;
         0.02,  0.04,   0.01,   0.02,   0.02,   0.00,    0.00;
         0.02,  0.03,   0.00,   0.00,   0.01,   0.00,    0.00;
         0.70,  0.75,   0.80,   0.75,   0.80,   0.97,    0.00;
         0.02,  0.06,   0.08,   0.12,   0.02,   0.01,    0.97];
cvec = [-0.02, -0.20,  -0.20,  -0.20,  -0.20,   0.04,    0.04];
bl   = [-0.01, -0.10,  -0.01,  -0.04,  -0.10,  -0.01,   -0.01, ...
        -0.13, -big,   -big,   -big,   -big,   -0.0992, -0.003];
bu   = [ 0.01,  0.15,   0.03,   0.02,   0.05,   big,     big,  ...
        -0.13, -0.0049,-0.0064,-0.0037,-0.0012, big,     0.002];
h    = [ 2,     0,      0,      0,      0,      0,       0;
         0,     2,      0,      0,      0,      0,       0;
         0,     0,      2,      2,      0,      0,       0;
         0,     0,      2,      2,      0,      0,       0;
         0,     0,      0,      0,      2,      0,       0;
         0,     0,      0,      0,      0,     -2,      -2;
         0,     0,      0,      0,      0,     -2,      -2];
xs   = [-0.01,  0.03,   0,     -0.01,  -0.1,    0.02,    0.01];
intvar = [nag_int(4)];
istate = zeros(14, 1, nag_int_name);
strtgy = nag_int(2);

nag_mip_iqp_dense_optstr('Nolist');
nag_mip_iqp_dense_optstr('Print Level = 0');

[istate, xs, obj, ax, clamda, ifail] = ...
nag_mip_iqp_dense( ...
       a, bl, bu, cvec, h, @qphess, intvar, istate, xs, strtgy, @monit);

fprintf('Optimal Integer Value is = %20.8e\n',obj);
disp('Components are:');
for j=1:7
  fprintf('x(%2d) = %12.8f\n',j,xs(j));
end

% diary off

function [hx] = qphess(n, jthcol, h, ldh, x)
  hx = h*x;

function [bstval, halt, count] = monit(intfnd, nodes, depth, obj, x, ...
                                       bstval, bstsol, bl, bu, n, halt, count)
