function nag_mv_canon_var_example

% diary nag_mv_canon_var_example.r
fprintf('nag_mv_canon_var example results\n\n');

x = [13.3, 10.6, 21.2;
     13.6, 10.2, 21.0;
     14.2, 10.7, 21.1;
     13.4,  9.4, 21.0;
     13.2,  9.6, 20.1;
     13.9, 10.4, 19.8;
     12.9, 10.0, 20.5;
     12.2,  9.9, 20.7;
     13.9, 11.0, 19.1];
n = size(x,2);
weight = 'U';
isx = ones(n,1,nag_int_name);
nx  = nag_int(n);
ing = [nag_int(1);2;3; 1;2;3; 1;2;3];
ng  = nag_int(n);
wt  = [];
tol = 1e-06;

[nig, cvm, e, ncv, cvx, irankx, ifail] = ...
  nag_mv_canon_var( ...
	 weight, x, isx, nx, ing, ng, wt, tol);

fprintf('Rank of x = %d\n\n', irankx);
fprintf('Canonical    Eigenvalues Percentage     Chisq      DF     Sig\n');
fprintf('correlations              variation\n');
fprintf('%11.4f%12.4f%12.4f%10.4f%8.1f%8.4f\n',e');
fprintf('\n');

mtitle = 'Canonical Coefficients for x';
matrix = 'General';
diag   = ' ';

[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, cvx, mtitle);

fprintf('\n');
mtitle = 'Canonical variate means';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, cvm(:,1:ncv), mtitle);

% diary off
