function nag_mv_cluster_kmeans_example

% diary nag_mv_cluster_kmeans_example.r
fprintf('nag_mv_cluster_kmeans example results\n\n');

x = [77.3, 13.0,  9.7, 1.5, 6.4;
     82.5, 10.0,  7.5, 1.5, 6.5;
     66.9, 20.6, 12.5, 2.3, 7.0;
     47.2, 33.8, 19.0, 2.8, 5.8;
     65.3, 20.5, 14.2, 1.9, 6.9;
     83.3, 10.0,  6.7, 2.2, 7.0;
     81.6, 12.7,  5.7, 2.9, 6.7;
     47.8, 36.5, 15.7, 2.3, 7.2;
     48.6, 37.1, 14.3, 2.1, 7.2;
     61.6, 25.5, 12.9, 1.9, 7.3;
     58.6, 26.5, 14.9, 2.4, 6.7;
     69.3, 22.3,  8.4, 4.0, 7.0;
     61.8, 30.8,  7.4, 2.7, 6.4;
     67.7, 25.3,  7.0, 4.8, 7.3;
     57.2, 31.2, 11.6, 2.4, 6.5;
     67.2, 22.7, 10.1, 3.3, 6.2;
     59.2, 31.2,  9.6, 2.4, 6.0;
     80.2, 13.2,  6.6, 2.0, 5.8;
     82.2, 11.1,  6.7, 2.2, 7.2;
     69.7, 20.7,  9.6, 3.1, 5.9];
[m,n] = size(x);
isx   = ones(n,1,nag_int_name);

% Cluster centres
cmeans = [82.5, 10.0,  7.5, 1.5, 6.5;
          47.8, 36.5, 15.7, 2.3, 7.2;
	  67.2, 22.7, 10.1, 3.3, 6.2];

% perform k means clustering
[cmeans, inc, nic, css, csw, ifail] = ...
  nag_mv_cluster_kmeans(x, isx, cmeans);

disp(' The cluster each point belongs to');
fprintf('%6d%6d%6d%6d%6d%6d%6d%6d%6d%6d\n',inc);
disp(' The number of points in each cluster');
disp(nic');
disp(' The within-cluster sum of weights of each cluster');
disp(csw');
disp(' The within-cluster sum of squares of each cluster');
disp(css')
mtitle = 'The final cluster centres';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, cmeans, mtitle);

% diary off
