function nag_nonpar_randtest_gaps_example

% diary nag_nonpar_randtest_gaps_example.r
fprintf('nag_nonpar_randtest_gaps example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(324213)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

m      = nag_int(0);
rlo    = 0.4;
rup    = 0.6;
totlen = 1;
ncount = zeros(10, 1, nag_int_name);
ngaps  = nag_int(0);
nsampl = 5;
n      = nag_int(100);
cl    = 'F';

for i=1:nsampl
  % Generate a sample from U(0,1)
  [state, x, ifail] = nag_rand_dist_uniform( ...
                             n, 0, 1, state);
  % Process the sample
  [ngaps, ncount, ex, chi, df, prob, ifail] = ...
  nag_nonpar_randtest_gaps( ...
         cl, x, m, rlo, rup, totlen, ngaps, ncount);
  % Adjust CL
  cl = 'I';
  if i==nsampl-1
     cl = 'L';
  end
end

fprintf('Total number of gaps found = %d\n', ngaps);
fprintf('\n%33s\n', 'Count');
head = sprintf('%7d', [0:8]);
head = sprintf('%s     >8', head);
fprintf('%s\n', head);
fprintf('%7d', ncount);

fprintf('\n\n%34s\n', 'Expect');
fprintf('%s\n', head);
fprintf('%7.1f', ex);
fprintf('\n\n');

fprintf('Chisq = %10.4f\n', chi);
fprintf('DF    = %7.1f\n', df);
fprintf('Prob  = %10.4f\n', prob);

% diary off
