function nag_nonpar_randtest_pairs_example

% diary nag_nonpar_randtest_pairs_example.r
fprintf('nag_nonpar_randtest_pairs example results\n\n');

% Initialize the base generator to a repeatable sequence
seed = [nag_int(324213)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

lag = nag_int(1);
wrk = zeros(2*lag, 1);
m   = 5;
ncount = zeros(m, m, nag_int_name);
n      = nag_int(100);
nsampl = 5;
cl     = 'F';

for i=1:nsampl
  % Generate a sample from U(0,1)
  [state, x, ifail] = nag_rand_dist_uniform( ...
                             n, 0, 1, state);
  % Process the sample
  [ncount, ex, chi, df, prob, wrk, ifail] = ...
  nag_nonpar_randtest_pairs( ...
         cl, x, lag, ncount, wrk);

  % Adjust CL
  cl = 'I';
  if i==nsampl-1
     cl = 'L';
  end
end

[ifail] = nag_file_print_matrix_integer( ...
                 'General', ' ', ncount, 'Count matrix');
fprintf('\nExpected value = %8.2f\n', ex);
fprintf('Chisq          = %10.4f\n', chi);
fprintf('DF             = %7.1f\n', df);
fprintf('Probability    = %10.4f\n', prob);

% diary off
