function nag_nonpar_test_chisq_example

% diary nag_nonpar_test_chisq_example.r
fprintf('nag_nonpar_test_chisq example results\n\n');

x = [ 0.59 0.23 0.76 0.96 0.20 0.91 0.29 0.22 0.36 0.81 ...
      0.91 0.80 0.17 0.82 0.07 0.74 0.15 0.91 0.26 0.98 ...
      0.59 0.34 0.28 0.95 0.33 0.42 0.72 0.35 0.86 0.22 ...
      0.15 0.39 0.32 0.82 0.13 0.48 0.46 0.74 0.99 0.26 ...
      0.04 0.21 0.04 0.24 0.56 0.36 0.48 0.53 1.00 0.58 ...
      0.50 0.41 0.03 0.38 0.89 0.40 0.66 0.79 0.34 0.94 ...
      0.49 0.12 0.24 0.05 1.00 0.29 0.67 0.29 0.75 0.81 ...
      0.45 0.21 0.51 0.68 0.78 0.20 0.23 0.57 0.25 0.48 ...
      0.96 0.33 0.48 0.55 0.04 0.48 0.42 0.11 0.38 0.73 ...
      0.91 0.45 0.59 0.97 0.27 0.27 0.25 0.99 0.99 0.80];

cb     = [0.2;     0.4;     0.6;     0.8;    1.0 ];
nclass = nag_int(5);

% Produce frequency table
[~, ifreq, ~, ~, ifail] = ...
  nag_stat_frequency_table( ...
         nclass, x, 'cb', cb);

% Test parameters
dist   = 'Uniform';
npest  = nag_int(0);
par    = [0;  1];
prob   = zeros(nclass,1);

% Perform Chi^2 test
[chisq, p, ndf, eval, chisqi, ifail] = ...
  nag_nonpar_test_chisq( ...
         ifreq, cb, dist, par, npest, prob, 'nclass', nclass);

fprintf('Chi-squared test statistic   = %10.4f\n', chisq);
fprintf('Degrees of freedom.          = %5d\n', ndf);
fprintf('Significance level           = %10.4f\n\n', p);
fprintf('The contributions to the test statistic are :-\n');
disp(chisqi');

% diary off
