function nag_ode_bvp_ps_lin_quad_weights_example

% diary nag_ode_bvp_ps_lin_quad_weights_example.r
fprintf('nag_ode_bvp_ps_lin_quad_weights example results\n\n');

n = nag_int(64);
a = -1;
b =  3;

% Set up solution grid
[x, ifail] = nag_ode_bvp_ps_lin_cgl_grid(n, a, b);

% Get integrand values on grid
f = 3*x.^2;
scale = 0.5*(b-a);

% Get quadrature weights
[w, ifail] = nag_ode_bvp_ps_lin_quad_weights(n);

% Evaluate apprimation to definite integral
integ = dot(w, f)*scale;

% Print solution
fprintf('Integral of f(x) from %4.1f to %4.1f = %7.4f\n', a, b, integ);
fprintf('\nError in approximation = %12.2e\n', integ-28);

% diary off
