function nag_ode_ivp_rk_setup_example

% diary nag_ode_ivp_rk_setup_example.r
fprintf('nag_ode_ivp_rk_setup example results\n\n');

t      = 0;
y      = [0; 1];
tend   = 2*pi;
tol    = 0.001;
thres  = [1e-08; 1e-08];
method = nag_int(1);
task   = 'Usual Task';
errass = false;
neq    = nag_int(2);
lenwrk = nag_int(32*neq);
[work, ifail] = nag_ode_ivp_rk_setup(t, y, tend, tol, thres, method, task, errass, lenwrk);
twant  = pi/4;
ymax   = y;
[t, y, yp, ymax, work, ifail] = nag_ode_ivp_rk_range(@f, neq, twant, y, ymax, work);

fprintf('Solution y and derivative y'' at t = %7.4f is:\n',t);
fprintf('\n %10s %10s\n','y','y''');
for i=1:neq
  fprintf(' %10.4f %10.4f\n',y(i),yp(i));
end

% diary off

function [yp] = f(t, y)
% Evaluate derivative vector.
yp = zeros(2, 1);
yp(1) =  y(2);
yp(2) = -y(1);
