function nag_opt_bounds_mod_deriv_easy_example

% diary nag_opt_bounds_mod_deriv_easy_example.r
fprintf('nag_opt_bounds_mod_deriv_easy example results\n\n');

ibound = nag_int(0);
bl = [ 1; -2; -1000000; 1];
bu = [ 3;  0;  1000000; 3];
x  = [ 3; -1;        0; 1];

% Catch warnings and assume ifail=3,5 gives a good estimate
wstat = warning();
warning('OFF');
[bl, bu, x, f, g, user, ifail] = nag_opt_bounds_mod_deriv_easy(ibound, @funct2, bl, bu, x);
if (ifail == 0 || ifail == 5 | ifail == 3)
  fprintf('\nMinimum found at x: ');
  fprintf(' %9.4f',x);
  fprintf('\nGradients at x,  g: ');
  fprintf(' %9.4f',g);
  fprintf('\nMinimum value     :  %9.4f\n\n',f);
else   
  fprintf('\n Error: nag_opt_bounds_mod_deriv_easy returns ifail = %d\n',ifail);
end
warning(wstat);

% diary off

function [fc, gc, user] = funct2(n, xc, user)
  gc = zeros(n, 1);
  fc = 0;
  x1 = xc(1) + 10*xc(2);
  x2 = xc(3) -    xc(4);
  x3 = xc(2) -  2*xc(3);
  x4 = xc(1) -    xc(4);
  fc = x1^2 + 5*x2^2 + x3^4 + 10*x4^4;
  gc(1) =   2*x1 + 40*x4^3;
  gc(2) =  20*x1 +  4*x3^3;
  gc(3) =  10*x2 -  8*x3^3;
  gc(4) = -10*x2 - 40*x4^3;
