function nag_opt_bounds_quasi_deriv_easy_example

% diary nag_opt_bounds_quasi_deriv_easy_example.r
fprintf('nag_opt_bounds_quasi_deriv_easy example results\n\n');

ibound = nag_int(0);
bl = [1;  -2;  -1000000;    1];
bu = [3;   0;   1000000;    3];
x  = [3;  -1;         0;    1];
[bl, bu, x, f, g, iw, w, user, ifail] = ...
  nag_opt_bounds_quasi_deriv_easy(ibound, @funct2, bl, bu, x);
fprintf('Minimum point,    x = %7.3f %7.3f %7.3f %7.3f\n',x);
fprintf('At found minimum, f = %7.3f\n',f);
fprintf('                  g = %7.3f %7.3f %7.3f %7.3f\n',g);

% diary off

function [fc, gc, user] = funct2(n, xc, user)
  gc = zeros(n, 1);

  a = xc(1) + 10*xc(2);
  b = xc(3) -    xc(4);
  c = xc(2) -  2*xc(3);
  d = xc(1) -    xc(4);
  fc = a^2 + 5*b^2 + c^4 + 10*d^4;
  gc(1) =   2*a + 40*d^3;
  gc(2) =  20*a +  4*c^3;
  gc(3) =  10*b -  8*c^3;
  gc(4) = -10*b - 40*d^3;
