function nag_opt_estimate_deriv_example

% diary nag_opt_estimate_deriv_example.r
fprintf('nag_opt_estimate_deriv example results\n\n');

msglvl = nag_int(0);
epsrf = -1;
x     = [3; -1; 0; 1];
mode  = nag_int(0);
hforw = [-1; -1; -1; -1];
[mode, hforw, objf, objgrd, hcntrl, h, iwarn, user, info, ifail] = ...
    nag_opt_estimate_deriv(...
          msglvl, epsrf, x, mode, @objfun, hforw);
fprintf('At x = ');
fprintf('  %7.2f',x);
fprintf('\nGradient vector is:\n');
fprintf('  %7.2f',objgrd);
fprintf('\nEstimated Hessian matrix diagonal is:\n');
fprintf('  %7.2f',h);
fprintf('\n');

% diary off

function [mode, objf, objgrd, user] = objfun(mode, n, x, nstate, user)
  objgrd = zeros(n, 1);

  a = x(1) + 10*x(2);
  b = x(3) - x(4);
  c = x(2) - 2*x(3);
  d = x(1) - x(4);
  objf = a^2 + 5*b^2 + c^4 + 10*d^4;
  if (mode == 1)
    objgrd(1) =  2*a + 40*d^3;
    objgrd(2) = 20*a +  4*c^3;
    objgrd(3) = 10*b -  8*c^3;
    objgrd(4) =-10*b - 40*d^3;
  end
