function nag_opt_lsq_uncon_mod_func_comp_example

% diary nag_opt_lsq_uncon_mod_func_comp_example.r
fprintf('nag_opt_lsq_uncon_mod_func_comp example results\n\n');

global y t;

m  = nag_int(15);

% Function parameters (data for fitting model)
y=[0.14,0.18,0.22,0.25,0.29,...
   0.32,0.35,0.39,0.37,0.58,...
   0.73,0.96,1.34,2.10,4.39];
t = zeros(m,3);
t = [ 1.0  15.0 1.0; 
      2.0  14.0 2.0; 
      3.0  13.0 3.0;
      4.0  12.0 4.0;
      5.0  11.0 5.0;
      6.0  10.0 6.0;
      7.0   9.0 7.0;
      8.0   8.0 8.0;
      9.0   7.0 7.0;
     10.0   6.0 6.0;
     11.0   5.0 5.0;
     12.0   4.0 4.0;
     13.0   3.0 3.0;
     14.0   2.0 2.0;
     15.0   1.0 1.0];

n  = 3;
% Initial guess
x  = [0.5; 1; 1.5];

[x, fsumsq, fvec, fjac, s, v, niter, nf, user, ifail] = ...
    nag_opt_lsq_uncon_mod_func_comp(m, @lsqfun, @lsqmon, x);

fprintf('\nBest fit model parameters are:\n');
for i = 1:n
  fprintf('        x_%d = %10.3f\n',i,x(i));
end
fprintf('\nResiduals for observed data:\n');
fprintf('  %8.4f  %8.4f  %8.4f  %8.4f  %8.4f\n',fvec);
fprintf('\nSum of squares of residuals:\n');
disp(fsumsq);


% diary off

function [iflag,fvecc, user] = lsqfun(iflag, m, n, xc, user)

  global y t;

  fvecc = zeros(m,1);
  for i=1:double(m)
    fvecc(i) = xc(1) + t(i,1)/(xc(2)*t(i,2)+xc(3)*t(i,3)) - y(i);
  end


function [user] = lsqmon(m, n, xc, fvecc, fjacc, ljc, ...
                         s, igrade, niter, nf, user)
  if (niter == 0)
    fprintf('   Itn         F evals        SUMSQ  \n');
  end;

  fsumsq=dot(fvecc,fvecc);
  fprintf('  %3d          %3d        %10.6f\n', niter, nf, fsumsq);
