function nag_opt_qp_dense_option_string_example

% diary nag_opt_qp_dense_option_string_example.r
fprintf('nag_opt_qp_dense_option_string example results\n\n');

% Problem specification
n     = 7;
m     = 7;
nclin = 7;
a     = [ 1,     1,       1,       1,       1,      1,       1;
          0.15,  0.04,    0.02,    0.04,    0.02,   0.01,    0.03;
          0.03,  0.05,    0.08,    0.02,    0.06,   0.01,    0;
          0.02,  0.04,    0.01,    0.02,    0.02,   0.00,    0;
          0.02,  0.03,    0.00,    0.00,    0.01,   0.00,    0;
          0.70,  0.75,    0.80,    0.75,    0.80,   0.97,    0;
          0.02,  0.06,    0.08,    0.12,    0.02,   0.01,    0.97];
bl    = [-0.01; -0.10;   -0.01;   -0.04;   -0.10;  -0.01;   -0.01;...
         -0.13; -1e25;   -1e25;   -1e25;   -1e25;  -0.0992; -0.003];
bu    = [ 0.01;  0.15;    0.03;    0.02;    0.05;   1e25;    1e25;...
         -0.13; -0.0049; -0.0064; -0.0037; -0.0012; 1e25;    0.002];
cvec  = [-0.02; -0.2;    -0.2;    -0.2;    -0.2;    0.04;    0.04];
x     = [-0.01; -0.03;    0;      -0.01;   -0.1;    0.02;    0.01];

h     = zeros(m,n);
h(1,  1)   = 2;
h(2,  2)   = 2;
h(3:4,3:4) = 2;
h(5,  5)   = 2;
h(6:7,6:7) = -2;

% Initialize and set options
istate     = zeros(14, 1, nag_int_name);
[cwsav,lwsav,iwsav,rwsav,ifail] = nag_opt_init('nag_opt_qp_dense_solve');
[lwsav, iwsav, rwsav, inform] = nag_opt_qp_dense_option_string(...
                                      'NoList', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = nag_opt_qp_dense_option_string(...
                                      'Print Level = 0', lwsav, iwsav, rwsav);
[lwsav, iwsav, rwsav, inform] = nag_opt_qp_dense_option_string(...
                                 'Check Frequency = 10', lwsav, iwsav, rwsav);

% Solve
[istate, x, iter, obj, ax, clamda, user, lwsav, iwsav, rwsav, ifail] = ...
    nag_opt_qp_dense_solve(...
          a, bl, bu, cvec, h, @qphess, istate, x, lwsav, iwsav, rwsav);
fprintf('Minimum value     :  %9.4f\n\n',obj);
fprintf('Found after %3d iterations at x:\n   ',iter);
fprintf(' %9.4f',x);
fprintf('\nLinear contrained values Ax:\n   ');
fprintf(' %9.4f',ax);
fprintf('\n');

% diary off

function [hx, user, iwsav] = qphess(n, jthcol, h, ldh, x, user, iwsav)

  if (iwsav(365) == 3 || iwsav(365) == 4)
    % Problem type QP1 and QP2
    hx = h*x;
  elseif(iwsav(365) == 5 || iwsav(365) == 6)
    hx = transpose(h)*h*x;
  else
    hx = zeros(n,1);
  end
