function nag_quad_2d_fin_example

% diary nag_quad_2d_fin_example.r
fprintf('nag_quad_2d_fin example results\n\n');

ya = 0;
yb = 1;
absacc = 1e-06;
[ans1, npts1, ifail] = nag_quad_2d_fin(ya, yb, @phi1, @phi2a, @fa, absacc);
[ans2, npts2, ifail] = nag_quad_2d_fin(ya, yb, @phi1, @phi2b, @fb, absacc);

fprintf('First formulation:\n');
fprintf('Integral                       = %9.4f\n', ans1);
fprintf('Number of function evaluations = %5d\n\n', npts1);
fprintf('Second formulation:\n');
fprintf('Integral                       = %9.4f\n', ans2);
fprintf('Number of function evaluations = %5d\n', npts2);

% diary off

function result = phi1(y)
  result=0;

function result = phi2a(y)
  result = sqrt(1-y^2);

function result = fa(x,y)
  result=x+y;

function result = phi2b(y)
  result = pi/2;

function result = fb(x,y)
  result=(y^2)*(cos(x)+sin(x));
