function nag_rand_copula_clayton_bivar_example

% diary nag_rand_copula_clayton_bivar_example.r
fprintf('nag_rand_copula_clayton_bivar example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Sample size and order
n      = nag_int(13);
sorder = nag_int(1);

% Parameter
theta = -0.8;

% Generate variates
[state, x, ifail] = nag_rand_copula_clayton_bivar( ...
                           n, theta, sorder, state);

disp('Variates from bivariate Clayton/Cook–Johnson copula');
disp(x);

% diary off
