function nag_rand_copula_normal_example

% diary nag_rand_copula_normal_example.r
fprintf('nag_rand_copula_normal example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Sample size
n  = nag_int(10);

% Upper triangular part of covariance matrix
c = [ 1.69,  0.39, -1.86,  0.07;
      0,    98.01, -7.07, -0.71;
      0,     0,    11.56,  0.03;
      0,     0,     0,     0.01];
m = size(c,1);

% Setup and generate in one go
mode = nag_int(2);

% Generate variates from Gaussian copula
lr = m*(m+1) + 2;
r = zeros(lr, 1);
[r, state, x, ifail] = nag_rand_copula_normal( ...
                              mode, n, c, r, state);

disp('Variates');
disp(x);

% diary off
