function nag_rand_dist_cauchy_example

% diary nag_rand_dist_cauchy_example.r
fprintf('nag_rand_dist_cauchy example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmed = 1;
semiqr = 2;

% Generate variates from Cauchy distribution
[state, x, ifail] = nag_rand_dist_cauchy( ...
                           n, xmed, semiqr, state);

disp('Variates');
disp(x);

% diary off
