function nag_rand_int_negbin_example

% diary nag_rand_int_negbin_example.r
fprintf('nag_rand_int_negbin example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
m = nag_int(60);
p = 0.999;

% Generate variates from a negative binomial distribution 
% without reference vector
mode = nag_int(3);
r    = [0];
[r, state, x, ifail] = nag_rand_int_negbin( ...
                              mode, n, m, p, r, state);

disp('Variates');
disp(double(x));

% diary off
