function nag_rand_int_poisson_example

% diary nag_rand_int_poisson_example.r
fprintf('nag_rand_int_poisson example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(10);

% Parameters
lambda = 20;

% Generate variates from a Poisson distribution
mode = nag_int(2);
r = zeros(120, 1);
[r, state, x, ifail] = nag_rand_int_poisson( ...
                              mode, n, lambda, r, state);

disp('Variates');
disp(double(x));

% diary off
