function nag_rand_quasi_uniform_example

% diary nag_rand_quasi_uniform_example.r
fprintf('nag_rand_quasi_uniform example results\n\n');

% Initialize the Sobol generator, skipping some variates
iskip = nag_int(1000);
idim  = nag_int(8);
genid = nag_int(1);
% Initialize the Sobol generator
[iref, ifail] = nag_rand_quasi_init( ...
                       genid,idim,iskip);

% Number of variates
n = nag_int(200);

% Generate N quasi-random variates
[quas, iref, ifail] = nag_rand_quasi_uniform( ...
                             n, iref);

% Evaluate the function, and sum
p(1:n) = prod(abs(4*quas(1:idim,:)-2));
fsum = sum(p);

% Convert sum to mean value
vsbl = fsum/double(n);
fprintf('Value of integral = %8.4f\n\n', vsbl);
fprintf('First 10 variates\n');
for i = 1:10
  fprintf(' %3d', i);
  fprintf(' %7.4f', quas(1:idim,i));
  fprintf('\n');
end

% diary off
