function nag_rand_sample_example

% diary nag_rand_sample_example.r
fprintf('nag_rand_sample example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];
% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

in     = nag_int(8);
ipop   = nag_int([1:in]);
isampl = zeros(in, in, nag_int_name);

fprintf('\n Samples from the first 8 integers\n\n');
fprintf(' Sample size     Values\n');
for m=1:in
  [isampl(m, 1:m), state, ifail] = ...
     nag_rand_sample( ...
            ipop, m, state);

  fprintf('     %d           ', m);
  fprintf('%d ', isampl(m, 1:m));
  fprintf('\n');
end

% diary off
