function nag_rand_times_mv_varma_example

% diary nag_rand_times_mv_varma_example.r
fprintf('nag_rand_times_mv_varma example results\n\n');

% Initialize the generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

n     = nag_int(48);
xmean = [5; 9];
ip    = nag_int(1);
iq    = nag_int(0);
phi   = [0.8; 0; 0.07; 0.58];
theta = [];
var   = [2.97, 0; 0.64, 5.38];
r     = zeros(600, 1);

% Generate the first realisation
% Use mode = 2 to set up R and generate values
mode = nag_int(2);
[r, state, x, ifail] = nag_rand_times_mv_varma( ...
                              mode, n, xmean, ip, phi, iq, ...
                              theta, var, r, state);
% Display the results
fprintf(' Realisation Number 1\n\n');
for i=1:2
  fprintf(' Series number %d\n', i);
  fprintf(' ---------------\n');
  for j=1:6
    fprintf(' %8.3f', x(i, (j-1)*8+1:j*8));
    fprintf('\n');
  end
  fprintf('\n');
end
fprintf('\n');

% Generate a second realisation
% Use mode = 3 to reset the series and generate values
mode = nag_int(3);
[r, state, x, ifail] = nag_rand_times_mv_varma( ...
                              mode, n, xmean, ip, phi, iq, ...
                              theta, var, r, state);
% Display the results
fprintf(' Realisation Number 2\n\n');
for i=1:2
  fprintf(' Series number %d\n', i);
  fprintf(' ---------------\n');
  for j=1:6
    fprintf(' %8.3f', x(i, (j-1)*8+1:j*8));
    fprintf('\n');
  end
  fprintf('\n');
end
fprintf('\n');

% diary off
