function nag_roots_sys_deriv_check_example

% diary nag_roots_sys_deriv_check_example.r
fprintf('nag_roots_sys_deriv_check example results\n\n');

% Point at which to check gradients:
x = [0.92, 0.13, 0.54];

fvec  = zeros(15, 1);
fjac  = zeros(15, 3);
fvecp = zeros(15, 1);

y = 0.01*[14, 18, 22, 25, 29, 32, 35, 39, 47, 58, 73, 96, 134, 210, 439];

[xp, err, ifail] = nag_roots_sys_deriv_check(nag_int(1), x, fvec, fjac, fvecp);

for i=1:15
  u = i;
  v = 16 - i;
  w = min(u, v);
  fvec(i)  = y(i) - (x(1)+u/(v*x(2)+w*x(3)));
  fvecp(i) = y(i) - (xp(1)+u/(v*xp(2)+w*xp(3)));
  denom = (v*x(2)+w*x(3))^(-2);
  fjac(i,:) = [-1, u*v*denom, u*w*denom];
end

[xp, err, ifail] = nag_roots_sys_deriv_check(nag_int(2), x, fvec, fjac, fvecp);

fprintf('\nAt point %12.4f %12.4f %12.4f\n', x);
if any(err <= 0.5)
  for i=1:15
    if err(i) <= 0.5
      fprintf('Suspicious gradient number %d with error measure %12.4f\n', ...
              i, err(i));
    end
  end
else
  fprintf('Gradients appear correct\n');
end

% diary off
