function nag_sort_permute_decompose_example

% diary nag_sort_permute_decompose_example.r
fprintf('nag_sort_permute_decompose example results\n\n');

rm = [5, 4, 3, 2, 2, 1, 9, 4, 4, 2, 2, 1;
      3, 8, 2, 5, 5, 6, 9, 8, 9, 5, 4, 1;
      9, 1, 6, 1, 2, 4, 8, 1, 2, 2, 6, 2];

m1 = nag_int(1);
n1 = nag_int(1);
 l = nag_int(3);
order = 'Ascending';

% Rank by (l-th) third row
[irank, ifail] = nag_sort_realmat_rank_columns( ...
                        rm, l, n1, order, 'm2', l);

[irank, icycl, ifail] = nag_sort_permute_decompose(irank, m1);

[rm] = nag_sort_permute_decompose_reorder(rm,icycl);

fprintf('Matrix sorted on row %d\n',l);
for i = 1:size(rm,1)
  fprintf('%5.1f',rm(i,:));
  fprintf('\n');
end

% diary off

function [rm] = nag_sort_permute_decompose_reorder(rm,icycl)

  for k = 1:size(rm,2)
    i = icycl(k);
    if i<0
      j = -i;
    else
      % Swap columns i and j
      t = rm(:,j);
      rm(:,j) = rm(:,i);
      rm(:,i) = t;
    end
  end
