function nag_sparse_complex_gen_solve_ilu_example

% diary nag_sparse_complex_gen_solve_ilu_example.r
fprintf('nag_sparse_complex_gen_solve_ilu example results\n\n');

% Define sparse matrix A and RHS B
nz   = nag_int(24);
n    = nag_int(8);
a    = complex(zeros(3*nz,1));
irow = zeros(3*nz,1,nag_int_name);
icol = zeros(3*nz,1,nag_int_name);
a(1:nz) = [ 2 + 1i, -1 + 1i,  1 - 3i,  4 + 7i, -3 + 0i,  2 + 4i, ...
           -7 - 5i,  2 + 1i,  3 + 2i, -4 + 2i,  0 + 1i,  5 - 3i, ...
           -1 + 2i,  8 + 6i, -3 - 4i, -6 - 2i,  5 - 2i,  2 + 0i, ...
            0 - 5i, -1 + 5i,  6 + 2i, -1 + 4i,  2 + 0i,  3 + 3i];
b       = [ 7 + 11i;
            1 + 24i;
          -13 - 18i;
          -10 +  3i;
           23 + 14i;
           17 -  7i;
           15 -  3i;
           -3 + 20i];
irow(1:nz) = nag_int(...
             [1; 1; 1; 2; 2; 2; 3; 3; 4; 4; 4; 4;
              5; 5; 5; 6; 6; 6; 7; 7; 7; 8; 8; 8]);
icol(1:nz) = nag_int(...
             [1; 4; 8; 1; 2; 5; 3; 6; 1; 3; 4; 7;
              2; 5; 7; 1; 3; 6; 3; 5; 7; 2; 6; 8]);

% ILU preconditioner
%     Input parameters
lfill = nag_int(0);
dtol  = 0;
milu  = 'No modification';
ipivp = zeros(n, 1, nag_int_name);
ipivq = zeros(n, 1, nag_int_name);
% Compute preconditioner
[a, irow, icol, ipivp, ipivq, istr, idiag, nnzc, npivm, ifail] = ...
    nag_sparse_complex_gen_precon_ilu(...
          nz, a, irow, icol, lfill, dtol, milu, ipivp, ipivq);

% Iterative Solution Setup
%      Input parameters
method = 'CGS';
m      = nag_int(0);
tol    = 1e-10;
maxitn = nag_int(100);
x      = complex(zeros(n,1));

% Solve Ax = b
[x, rnorm, itn, ifail] = ...
  nag_sparse_complex_gen_solve_ilu( ...
         method, nz, a, irow, icol, ipivp, ipivq, ...
         istr, idiag, b, m, tol, maxitn, x);

fprintf('Converged in %d iterations\n', itn);
fprintf('Final residual norm = %16.3e\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
