function nag_sparse_direct_real_gen_lu_example

% diary nag_sparse_direct_real_gen_lu_example.r
fprintf('nag_sparse_direct_real_gen_lu example results\n\n');

% LU factorize sparse A and solve Ax = b
n  = nag_int(5);
nz = nag_int(11);
icolzp = nag_int([1; 3; 5; 7; 9; 12]);
irowix = nag_int([1; 3;
                  1; 5;
                  2; 3;
                  2; 4;
                  3; 4; 5]);
a = [ 2;  4;
      1; -2;
      1;  1;
     -1;  1;
      1;  2; 3];

% Permute matrix
iprm   = zeros(1, 7*n, nag_int_name);
spec   = 'M';
% Calculate COLAMD permutation
[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);

% Factorize
thresh = 1;
nzlmx  = nag_int(8*nz);
nzlumx = nzlmx;
nzumx  = nzlmx;
[iprm, nzlumx, il, lval, iu, uval, nnzl, nnzu, flop, ifail] = ...
    nag_sparse_direct_real_gen_lu(...
          n, irowix, a, iprm, thresh, nzlmx, nzlumx, nzumx);

fprintf('\nNumber of nonzeros in factors (excluding unit diagonal)');
fprintf('%8d\n',nnzl + nnzu - n);

disp('Factor elements in lval');
fprintf('%7.2f%7.2f%7.2f%7.2f%7.2f\n',lval(1:10)');
disp('Factor elements in uval');
fprintf('%7.2f%7.2f%7.2f%7.2f\n',uval(1:4)');

% diary off
