function nag_sparse_direct_real_gen_matmul_example

% diary nag_sparse_direct_real_gen_matmul_example.r
fprintf('nag_sparse_direct_real_gen_matmul example results\n\n');

% Form C = AB and C = A^TB, for sparse A.

icolzp = [nag_int(1); 3; 5;  7; 9; 12];
irowix = [nag_int(1); 3; 1;  5; 2;  3;  2; 4; 3; 4; 5];
a      = [        2;  4; 1; -2; 1;  1; -1; 1; 1; 2; 3];
b = [0.70, 1.40;
     0.16, 0.32;
     0.52, 1.04;
     0.77, 1.54;
     0.28, 0.56];
c = [0, 0;
     0, 0;
     0, 0;
     0, 0;
     0, 0];

alpha = 1;
beta  = 0;

% Calculate matrix-matrix product
trans = 'N';
[c, ifail] = nag_sparse_direct_real_gen_matmul( ...
                    trans, alpha, icolzp, irowix, a, b, beta, c);
fprintf('Matrix-matrix product:\n');
disp(c);

% Calculate transposed matrix-matrix product
trans = 'T';
[c, ifail] = nag_sparse_direct_real_gen_matmul( ...
                    trans, alpha, icolzp, irowix, a, b, beta, c);
fprintf('\nTransposed matrix-matrix product:\n');
disp(c);

% diary off
