function nag_sparse_direct_real_gen_setup_example

% diary nag_sparse_direct_real_gen_setup_example.r
fprintf('nag_sparse_direct_real_gen_setup example results\n\n');

n = nag_int(5);
icolzp = [nag_int(1); 3; 5; 7; 9; 12];
irowix = [nag_int(1); 3; 1; 5; 2; 3; 2; 4; 3; 4; 5];
iprm = zeros(1, 7*n, nag_int_name);

% Calculate COLAMD permutation
spec = 'M';
[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);
fprintf('\nCOLAMD Permutation\n');
disp(int2str(iprm(1:n)));

% Calculate user permutation
spec = 'U';
iprm(1:n)= [4, 3, 2, 1, 0];
[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);
fprintf('\nUser Permutation\n');
disp(int2str(iprm(1:n)));

% Calculate natural permutation
spec = 'N';
[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);
fprintf('\nNatural Permutation\n');
disp(int2str(iprm(1:n)));

% diary off
