function nag_sparse_direct_real_gen_solve_example

% diary nag_sparse_direct_real_gen_solve_example.r
fprintf('nag_sparse_direct_real_gen_solve example results\n\n');

% A and b
n = nag_int(5);
nz = nag_int(11);
icolzp = [nag_int(1); 3; 5; 7; 9; 12];
irowix = [nag_int(1); 3; 1; 5; 2; 3; 2; 4; 3; 4; 5];
a = [2; 4; 1; -2; 1; 1; -1; 1; 1; 2; 3];
b = [  1.56,  3.12;
      -0.25, -0.50;
       3.60,  7.20;
       1.33,  2.66;
       0.52,  1.04];


% Calculate COLAMD permutation
spec = 'M';
iprm = zeros(1, 7*n, nag_int_name);

[iprm, ifail] = nag_sparse_direct_real_gen_setup( ...
                       spec, n, icolzp, irowix, iprm);

% Factorise
thresh = 1;
nzlmx = nag_int(8*nz);
nzlumx = nag_int(8*nz);
nzumx = nag_int(8*nz);

[iprm, nzlumx, il, lval, iu, uval, nnzl, nnzu, flop, ifail] = ...
  nag_sparse_direct_real_gen_lu( ...
         n, irowix, a, iprm, thresh, nzlmx, nzlumx, nzumx);

% Solve
trans = 'N';
[x, ifail] = nag_sparse_direct_real_gen_solve( ...
                    trans, iprm, il, lval, iu, uval, b);
disp('Solutions');
disp(x);

% diary off
