function nag_sparse_real_gen_solve_jacssor_example

% diary nag_sparse_real_gen_solve_jacssor_example.r
fprintf('nag_sparse_real_gen_solve_jacssor example results\n\n');

% Sparse matrix A
a    = [        2;  1;-1;-3;-2; 1; 1; 5; 3; 1;-2;-3;-1; 4;-2;-6];
irow = [nag_int(1); 1; 1; 2; 2; 2; 3; 3; 3; 3; 4; 4; 4; 5; 5; 5];
icol = [nag_int(1); 2; 4; 2; 3; 5; 1; 3; 4; 5; 1; 4; 5; 2; 3; 5];

% RHS b and initial guess x
b = [0; -7; 33; -19; -28];
x = zeros(5, 1);

% Use RGMRES with SSOR preconditioning
method = 'RGMRES';
precon = 'S';

% Input argument initializations
m      = nag_int(1);
omega  = 1.05;
tol    = 1e-10;
maxitn = nag_int(1000);

% Solve Ax = b
[x, rnorm, itn, ifail] = ...
nag_sparse_real_gen_solve_jacssor( ...
       method, precon, a, irow, icol, omega, b, m, tol, maxitn, x);

fprintf('Converged in %d iterations\n', itn);
fprintf('Final residual norm = %16.1e\n\n', rnorm);
disp('Solution');
disp(x);

% diary off
