function nag_sparse_real_symm_precon_ichol_example

% diary nag_sparse_real_symm_precon_ichol_example.r
fprintf('nag_sparse_real_symm_precon_ichol example results\n\n');

% Sparse matrix A
n    = nag_int(7);
nz   = nag_int(16);
a    = zeros(1000,1);
irow = zeros(1000,1,nag_int_name);
icol = irow;

a(1:16)    = [4  1  5  2  2  3 -1  1  4  1 -2  3  2 -1 -2  5];
irow(1:16) = [1  2  2  3  4  4  5  5  5  6  6  6  7  7  7  7];  
icol(1:16) = [1  1  2  3  2  4  1  4  5  2  5  6  1  2  3  7];


% Incomplete Cholesky factorization, zero fill
lfill  = nag_int(0);
dtol   = 0;
mic    = 'N';
dscale = 0;
ipiv   = zeros(n, 1, nag_int_name);

[a, irow, icol, ipiv, istr, nnzc, npivm, ifail] = ...
nag_sparse_real_symm_precon_ichol( ...
       nz, a, irow, icol, lfill, dtol, mic, dscale, ipiv);

% Display details
fprintf(' Original Matrix\n');
inda = 1:nz;
amat = [inda' a(inda) irow(inda) icol(inda)];
fprintf('n     = %4d\n', n);
fprintf('nz    = %4d\n', nz);
fprintf('\n            a        irow    icol\n');
fprintf('%4d %11.4f%8d%8d\n',amat');

fprintf('\n Factorization\n');
inda = nz+1:nz+nnzc;
amat = [inda' a(inda) irow(inda) icol(inda)];
fprintf('n     = %4d\n', n);
fprintf('nz    = %4d\n', nnzc);
fprintf('npivm = %4d\n', npivm);
fprintf('\n            a        irow    icol\n');
fprintf('%4d %11.4f%8d%8d\n',amat');
fprintf('\n   i      ipiv(i)\n');
fprintf('%4d %8d\n',[[1:n]'; ipiv]);

% diary off
