function nag_specfun_airy_ai_deriv_example

% diary nag_specfun_airy_ai_deriv_example.r
fprintf('nag_specfun_airy_ai_deriv example results\n\n');

x = [-10    -1    0    1    5    10   20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_airy_ai_deriv(x(j));
end

disp('      x         Ai''(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_airy_ai_deriv_plot;

% diary off

function nag_specfun_airy_ai_deriv_plot
  x = [-15:0.1:5];
  for j = 1:numel(x)
    [Aid(j), ifail] = nag_specfun_airy_ai_deriv(x(j));
  end

  fig1 = figure;
  plot(x,Aid,'-r');
  xlabel('x');
  ylabel('Ai''(x)');
  title('Derivative of Airy Function Ai(x)');
  axis([-15 5 -1.5 1.5]);

  % print(fig1,'-dpng','-r75','nag_specfun_airy_ai_deriv_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_airy_ai_deriv_fig1.eps');
