function nag_specfun_ellipint_legendre_2_example

% diary nag_specfun_ellipint_legendre_2_example.r
fprintf('nag_specfun_ellipint_legendre_2 example results\n\n');

phi = [pi/6  pi/3   pi/2];
dm  = [1/4   1/2    3/4];
result = phi;

for j = 1:numel(phi)
  [result(j), ifail] = nag_specfun_ellipint_legendre_2(phi(j), dm(j));
end

fprintf('    phi      m        E(phi|m)\n');
fprintf(' %7.2f %7.2f %12.4f\n', [phi; dm; result]);

nag_specfun_ellipint_legendre_2_plot;

% diary off

function nag_specfun_ellipint_legendre_2_plot
  phi = [1:0.02:1.56];
  m = [0.5:0.02:0.98,0.982:0.002:1];
  F = zeros(numel(phi),numel(m));
  for i = 1:numel(phi)
    for j = 1:numel(m)
      [F(i,j), ifail] = nag_specfun_ellipint_legendre_2(phi(i), m(j));
    end
  end

  fig1 = figure;
  [Y,X] = meshgrid(m,phi);
  surf(X,Y,F);
  xlabel('\Phi');
  ylabel('m');
  zlabel('F(\Phi,n)');
  title({'Incomplete Elliptic Integral of the second kind', ...
         'Classical (Legendre) form'});

  % print(fig1,'-dpng','-r75','nag_specfun_ellipint_legendre_2_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_ellipint_legendre_2_fig1.eps');
