function nag_specfun_fresnel_c_example

% diary nag_specfun_fresnel_c_example.r
fprintf('nag_specfun_fresnel_c example results\n\n');

x = [0   0.5   1   2   4   5   6   8   10   -1   1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_fresnel_c(x(j));
end

disp('      x          C(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_fresnel_c_plot;

% diary off

function nag_specfun_fresnel_c_plot
  x = [-10:0.02:10];
  for j = 1:numel(x)
    [C(j), ifail] = nag_specfun_fresnel_c(x(j));
  end

  fig1 = figure;
  plot(x,C,'-r');
  xlabel('x');
  ylabel('C(x)');
  title('Fresnel Integral C(x)');

  % print(fig1,'-dpng','-r75','nag_specfun_fresnel_c_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_fresnel_c_fig1.eps');
