function nag_specfun_fresnel_s_example

% diary nag_specfun_fresnel_s_example.r
fprintf('nag_specfun_fresnel_s example results\n\n');

x = [0   0.5   1   2   4   5   6   8   10   -1   1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_fresnel_s(x(j));
end

disp('      x          S(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_fresnel_s_plot;

% diary off

function nag_specfun_fresnel_s_plot
  x = [-10:0.02:10];
  for j = 1:numel(x)
    [S(j), ifail] = nag_specfun_fresnel_s(x(j));
  end

  fig1 = figure;
  plot(x,S,'-r');
  xlabel('x');
  ylabel('S(x)');
  title('Fresnel Integral S(x)');

  % print(fig1,'-dpng','-r75','nag_specfun_fresnel_s_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_fresnel_s_fig1.eps');
