function nag_specfun_gamma_log_real_example

% diary nag_specfun_gamma_log_real_example.r
fprintf('nag_specfun_gamma_log_real example results\n\n');

x = [ 1   1.25    1.5    1.75    2     5    10    20   1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_gamma_log_real(x(j));
end

disp('      x       log_gamma(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_gamma_log_real_plot;

% diary off

function nag_specfun_gamma_log_real_plot
  x = [0.1:0.2:8];

  for j=1:numel(x)
    [lg(j), ifail] = nag_specfun_gamma_log_real(x(j));
  end

  fig1 = figure;
  plot(x,lg,'-r');
  xlabel('x');
  ylabel('ln \Gamma(x)');
  title('Logarithm of Gamma Function ln \Gamma(x)');
  axis([0 8 -1 9]);

  % print(fig1,'-dpng','-r75','nag_specfun_gamma_log_real_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_gamma_log_real_fig1.eps');
