function nag_specfun_integral_cos_example

% diary nag_specfun_integral_cos_example.r
fprintf('nag_specfun_integral_cos example results\n\n');

x = [0.2:0.2:1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_integral_cos(x(j));
end

disp('      x          Ci(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

nag_specfun_integral_cos_plot;

% diary off

function nag_specfun_integral_cos_plot
  x = [0.1:0.1:2.9,3:0.5:26];
  for j=1:numel(x)
    [ci(j), ifail] = nag_specfun_integral_cos(x(j));
  end

  fig1 = figure;
  plot(x,ci);
  xlabel('x');
  ylabel('Ci(x)');
  title('Cosine Integral Ci(x)');
  axis([0 26 -1.5 1]);
  % print(fig1,'-dpng','-r75','nag_specfun_integral_cos_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_integral_cos_fig1.eps');
