function nag_specfun_opt_bsm_greeks_example

% diary nag_specfun_opt_bsm_greeks_example.r
fprintf('nag_specfun_opt_bsm_greeks example results\n\n');

put   = 'p';
s     = 55;
sigma = 0.3;
r     = 0.1;
q     = 0;
x     = [60];
t     = [0.7];

[p, delta, gamma, vega, theta, rho, crho, vanna, charm, speed, colour, ...
  zomma, vomma, ifail] = nag_specfun_opt_bsm_greeks( ...
                                put, x, s, t, sigma, r, q);


fprintf('\nBlack-Scholes-Merton formula\n European Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf(' Time to Expiry : %8.4f\n', t(1));
fprintf('%8s%9s%9s%9s%9s%9s%9s%9s\n','Strike','Price','Delta','Gamma',...
        'Vega','Theta','Rho','CRho');
fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', x(1), p(1,1), ...
        delta(1,1), gamma(1,1), vega(1,1), theta(1,1), rho(1,1), crho(1,1));

fprintf('%26s%9s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
fprintf('%17s%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', ' ', vanna(1,1), ...
        charm(1,1), speed(1,1), colour(1,1), zomma(1,1), vomma(1,1));

% diary off
