function nag_specfun_opt_heston_greeks_example

% diary nag_specfun_opt_heston_greeks_example.r
fprintf('nag_specfun_opt_heston_greeks example results\n\n');

calput = 'C';
s      = 100.0;
r      = 0.025;
q      = 0.0;
kappa  = 1.5768;
eta    = 0.0398;
var0   = 0.0175;
sigmav = 0.5751;
corr   = -0.5711;
grisk  = 1;
x      = [100.0];
t      = [1];


[p, delta, gamma, vega,  theta, rho, ...
    vanna, charm, speed, zomma, vomma, ifail] = ...
    nag_specfun_opt_heston_greeks(...
          calput, x, s, t, sigmav, kappa, corr, var0, eta, grisk, r, q);

fprintf('\nHeston''s Stochastic Volatility Model\n');
if calput == 'C' || calput == 'c'
  fprintf('European Call :\n');
else
  fprintf('European Put :\n');
end
fprintf(' Spot                   =  %9.4f\n', s);
fprintf(' Volatility of vol      =  %9.4f\n', sigmav);
fprintf(' Mean reversion         =  %9.4f\n', kappa);
fprintf(' Correlation            =  %9.4f\n', corr);
fprintf(' Variance               =  %9.4f\n', var0);
fprintf(' Mean of variance       =  %9.4f\n', eta);
fprintf(' Risk aversion          =  %9.4f\n', grisk);
fprintf(' Rate                   =  %9.4f\n', r);
fprintf(' Dividend               =  %9.4f\n\n', q);

for j=1:1
  fprintf('%8s%9s%9s%9s%9s%9s%9s\n','Strike','Price','Delta','Gamma',...
          'Vega','Theta','Rho');
  for i=1:1
    fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.2f\n', x(i), p(i,j), ...
          delta(i,j), gamma(i,j), vega(i,j), theta(i,j), rho(i,j));
  end
  fprintf('\n%26s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Zomma','Vomma');
  for i=1:1
    fprintf('%17s%9.4f%9.4f%9.4f%9.4f%9.2f\n', ' ', vanna(i,j), ...
            charm(i,j), speed(i,j), zomma(i,j), vomma(i,j));
  end
end

% diary off
