function nag_specfun_opt_heston_price_example

% diary nag_specfun_opt_heston_price_example.r
fprintf('nag_specfun_opt_heston_price example results\n\n');

put = 'C';
s = 100.0;
r = 0.05;
q = 0.0;
gamma=1.0;
kappa = 2.0;
eta = 0.01;
var0 = 0.01;
sigmav = 0.225;
corr = 0.0;
x = [100.0];
t = [0.5];


[p, ifail] = nag_specfun_opt_heston_price( ...
                    put, x, s, t, sigmav, kappa, corr, var0, eta, gamma, r, q);


fprintf('\nHeston''s Stochastic Volatility Model\n European Call :\n');
fprintf(' Spot                   =  %9.4f\n', s);
fprintf(' Volatility of vol      =  %9.4f\n', sigmav);
fprintf(' Mean reversion         =  %9.4f\n', kappa);
fprintf(' Correlation            =  %9.4f\n', corr);
fprintf(' Variance               =  %9.4f\n', eta);
fprintf(' Mean of variance       =  %9.4f\n', var0);
fprintf(' Risk aversion          =  %9.4f\n', gamma);
fprintf(' Rate                   =  %9.4f\n', r);
fprintf(' Dividend               =  %9.4f\n\n', 1);

fprintf('   Strike    Expiry   Option Price\n');
for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
