function nag_specfun_opt_lookback_fls_greeks_example

% diary nag_specfun_opt_lookback_fls_greeks_example.r
fprintf('nag_specfun_opt_lookback_fls_greeks example results\n\n');

put = 'p';
s = 87;
sigma = 0.3;
r = 0.06;
q = 0.04;
sm = [100.0];
t = [0.5];


[p, delta, gamma, vega, theta, rho, crho, vanna, charm, speed, colour, ...
 zomma, vomma, ifail] = nag_specfun_opt_lookback_fls_greeks( ...
                               put, sm , s, t, sigma, r, q);


fprintf('\nFloating-Strike Lookback\n European Put :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf(' Time to Expiry : %8.4f\n', t(1));
fprintf('%9s%9s%9s%9s%9s%9s%9s%9s\n','S-Max/Min','Price','Delta','Gamma',...
        'Vega','Theta','Rho','CRho');
fprintf('%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', sm(1), p(1,1), ...
        delta(1,1), gamma(1,1), vega(1,1), theta(1,1), rho(1,1), crho(1,1));

fprintf('%27s%9s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
fprintf('%18s%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', ' ', vanna(1,1), ...
        charm(1,1), speed(1,1), colour(1,1), zomma(1,1), vomma(1,1));

% diary off
