function nag_specfun_opt_lookback_fls_price_example

% diary nag_specfun_opt_lookback_fls_price_example.r
fprintf('nag_specfun_opt_lookback_fls_price example results\n\n');

put = 'c';
s = 120;
sigma = 0.3;
r = 0.1;
q = 0.06;
sm = [100.0];
t = [0.5];

[p, ifail] = nag_specfun_opt_lookback_fls_price( ...
                    put, sm , s, t, sigma, r, q);

fprintf('\nFloating-strike Lookback\n European Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf('   Strike    Expiry   Option Price\n');
for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', sm(i), t(j), p(i,j));
  end
end

% diary off
