function nag_specfun_polygamma_example

% diary nag_specfun_polygamma_example.r
fprintf('nag_specfun_polygamma example results\n\n');

x = [0.1  0.5  3.6  8];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = nag_specfun_polygamma(x(j));
end

disp('        x      Psi(x)-ln(x)');
fprintf('%12.4f%12.4f\n',[x; result]);

nag_specfun_polygamma_plot;

% diary off

function nag_specfun_polygamma_plot
  x = [0.1:0.1:8];

  for j=1:numel(x)
    [pml(j), ifail] = nag_specfun_polygamma(x(j));
  end

  fig1 = figure;
  plot(x,pml,'-r');
  xlabel('x');
  ylabel('\Psi(x) - ln(x)');
  title('\Psi(x) - ln(x)');
  axis([0 8 -7 0]);

  % print(fig1,'-dpng','-r75','nag_specfun_polygamma_fig1.png');
  % print(fig1,'-deps','-r75','nag_specfun_polygamma_fig1.eps');
