function nag_stat_test_shapiro_wilk_example

% diary nag_stat_test_shapiro_wilk_example.r
fprintf('nag_stat_test_shapiro_wilk example results\n\n');

x(:,1) = [0.11;  0.21;  0.42;  0.46;  0.47;  0.71;  0.93;  1.52;  3.14;  3.24;
          4.43;  4.55;  4.61;  4.75;  4.97;  6.66;  7.87;  7.95;  9.53; 10.14];
x(:,2) = [1.36;  1.14;  2.92;  2.55;  1.46;  1.06;  5.27; -1.11;  3.48;  1.10;
          0.88; -0.51;  1.46;  0.52;  6.20;  1.69;  0.08;  3.67;  2.81;  3.49];

calwts = true;
n1 = nag_int(1);
% Loop over data sets
for j=1:size(x,2)

  % sort the data
  [x, ifail] = nag_sort_realvec_sort( ...
                      x, n1, 'Ascending');
  % Calculate test statistic (using weights 'a' in subsequent calls)
  if j==1
    [w, pw, ifail, a] = nag_stat_test_shapiro_wilk( ...
                               x(:,j));
  else
    [w, pw, ifail, a] = nag_stat_test_shapiro_wilk( ...
                               x(:,j), 'a', a);
  end

  % Display results
  fprintf('For sample number %d value of W statistic = %8.4f\n', j, w);
  fprintf('                      Significance level : %8.4f\n\n', pw);

end

% diary off
