function nag_sum_fft_complex_multid_1d_example

% diary nag_sum_fft_complex_multid_1d_example.r
fprintf('nag_sum_fft_complex_multid_1d example results\n\n');

% 2D Sequence
nd = [nag_int(3) 5];
x = [1.000+0.000i  0.999-0.040i  0.987-0.159i  0.936-0.352i  0.802-0.597i; 
     0.994-0.111i  0.989-0.151i  0.963-0.268i  0.891-0.454i  0.731-0.682i; 
     0.903-0.430i  0.885-0.466i  0.823-0.568i  0.694-0.720i  0.467-0.884i];

% Transform along second dimension
direct = 'F';
l = nag_int(2);
[xt, ifail] = nag_sum_fft_complex_multid_1d(direct, l, nd, x);

% Restore x by inverse transform
direct = 'B';
[xr, ifail] = nag_sum_fft_complex_multid_1d(direct, l, nd, xt);

disp('Original data:');
disp(x);
disp('Discrete Fourier Transform along second dimension:');
disp(reshape(xt,nd));
fprintf('Original sequence as restored by inverse transform:\n');
disp(reshape(xr,nd));

% diary off
