function nag_sum_fft_hermitian_1d_nowork_example

% diary nag_sum_fft_hermitian_1d_nowork_example.r
fprintf('nag_sum_fft_hermitian_1d_nowork example results\n\n');

% Hernitian data in compact form
n = 7;
x = [0.34907  0.54890  0.74776  0.94459  1.13850  1.32850  1.51370];

% convert to full complex.
z = nag_herm2complex(x);
disp('Original sequence in full complex form:');
disp(transpose(z));

% transform back to real data
[xt, ifail] = nag_sum_fft_hermitian_1d_nowork(x);

disp('Discrete Fourier Transform of x:');
disp(transpose(xt));

% restore by backtransforming to Hermitian data and conjugating
[xr, ifail] = nag_sum_fft_real_1d_nowork(xt);
xr(floor(n/2)+2:n) = -xr(floor(n/2)+2:n);
fprintf('Original sequence as restored by inverse transform\n\n');
fprintf('       Original   Restored\n');
for j = 1:n
  fprintf('%3d   %7.4f    %7.4f\n',j, x(j),xr(j));
end

% diary off

function [z] = nag_herm2complex(x);
  n = size(x,2);
  z(1) = complex(x(1));
  for j = 2:floor((n-1)/2) + 1
    z(j) = x(j) + i*x(n-j+2);
    z(n-j+2) = x(j) - i*x(n-j+2);
  end
  if (mod(n,2)==0)
    z(n/2+1) = complex(x(n/2+1));
  end
