function nag_sum_fft_real_sine_example

% diary nag_sum_fft_real_sine_example.r
fprintf('nag_sum_fft_real_sine example results\n\n');

% 3 sequences of real data
m = nag_int(3);
n = nag_int(6);
x = [ 0.6772  0.1138  0.6751  0.6362  0.1424  0;
      0.2983  0.1181  0.7255  0.8638  0.8723  0;
      0.0644  0.6037  0.6430  0.0428  0.4815  0];

disp('Original data values:');
disp(x(:,1:n-1));

% Discrete Fourier Sine transform
init = 'Initial';
trig = zeros(2*n,1);
[xt, trig, ifail] = nag_sum_fft_real_sine(m, n, x, init, trig);

disp('Discrete Fourier sine transforms:');
disp(xt(:,1:n-1));

% Restore data by another Sine transform
init = 'Subsequent';
[xr, trig, ifail] = nag_sum_fft_real_sine(m, n, xt, init, trig);

disp('Original data as restored by inverse transform:');
disp(xr(:,1:n-1));

% diary off
