function nag_surviv_coxmodel_example

% diary nag_surviv_coxmodel_example.r
fprintf('nag_surviv_coxmodel example results\n\n');

% Data
n = 42;
m = 1;
z          = zeros(n,m);
ic         = zeros(n,1,nag_int_name);
ic(31:end) = 1;
z(22:end)  = 1;
isz        = [nag_int(1)];

t = [ 1;      1;      2;      2;      3;      4;      4;
      5;      5;      8;      8;      8;      8;     11;
     11;     12;     12;     15;     17;     22;     23;
      6;      6;      6;      7;     10;     13;     16;
     22;     23;      6;      9;     10;     11;     17;
     19;     20;     25;     32;     32;     34;     35];

% Parameters for Cox proportional hazards model
offset = 'No-offset';
ns     = nag_int(0);
omega  = [0];
isi    = [nag_int(0)];
b(1)   = [0];
ndmax  = nag_int(n);
tol    = 5e-05;
maxit  = nag_int(20);
iprint = nag_int(0);

% Fit Cox proportional hazards model
[dev, b, se, sc, covar, res, nd, tp, sur, ifail] = ...
  nag_surviv_coxmodel( ...
         offset, ns, z, isz, t, ic, omega, isi, b, ndmax, tol, maxit, iprint);

% Display results
ns = max(ns,1);
fprintf(' Parameter      Estimate       Standard Error\n\n');
ivar = [1:m]';
fprintf('%6d%18.4f%18.4f\n',[ivar b se]');
fprintf('\n Deviance = %13.3e\n\n', dev);
fprintf('    Time     Survivor Function\n\n');
results = [tp(1:nd) sur(1:nd,1:ns)]; 
fprintf('%7.0f%16.4f\n', results');

% diary off
