function nag_tsa_multi_inputmod_estim_example

% diary nag_tsa_multi_inputmod_estim_example.r
fprintf('nag_tsa_multi_inputmod_estim example results\n\n');

% orders
mr = [nag_int(1); 0; 0; 0; 0; 1; 4];
% transfer function
mt = zeros(4, 2, nag_int_name);
mt(1:4,1) = [1;      0;       1;       3];

% Parameters
para = [0;     0;     2;     0.5;     0];

% series data
xxy = [8.075, 105;    7.819, 119;     7.366, 119;     8.113, 109;
       7.380, 117;    7.134, 135;     7.222, 126;     7.768, 112;
       7.386, 116;    6.965, 122;     6.478, 115;     8.105, 115;
       8.060, 122;    7.684, 138;     7.580, 135;     7.093, 125;
       6.129, 115;    6.026, 108;     6.679, 100;     7.414,  96;
       7.112, 107;    7.762, 115;     7.645, 123;     8.639, 122;
       7.667, 128;    8.080, 136;     6.678, 140;     6.739, 122;
       5.569, 102;    5.049, 103;     5.642,  89;     6.808,  77;
       6.636,  89;    8.241,  94;     7.968, 104;     8.044, 108;
       7.791, 119;    7.024, 126;     6.102, 119;     6.053, 103];
nxxy = size(xxy,1);

% Marginnal likelihood
kef = nag_int(3);

% Fit model
[para, xxy, zsp, itc, sd, cm, s, d, ndf, res, sttf, nsttf, ifail] = ...
  nag_tsa_multi_inputmod_estim( ...
         mr, mt, para, xxy, 'kef', kef);

%  Display results
fprintf('The number of iterations carried out is %4d\n\n', itc);
fprintf('Final values of the parameters and their standard deviations\n\n');
fprintf('   i          parameter                sd\n\n');
ivar = [1:numel(para)]';
fprintf('%4d%20.6f%20.6f\n', [ivar para sd]');
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', cm, 'The correlation matrix is');

fprintf('\nThe residuals and the z and n values are\n\n');
fprintf('   i          res             z             n\n\n');
ndv = nxxy - mr(2) - mr(5)*mr(7);
ival = double([1:ndv]');
fprintf('%4d%15.3f%15.3f%15.3f\n', [ival res xxy(1:ndv,:)]');
ival = double([ndv+1:nxxy]');
fprintf('%4d%30.3f%15.3f\n', [ival xxy(ndv+1:nxxy,:)]');
fprintf('\nThe state set consists of %4d values\n\n', nsttf);
disp(sttf');
fprintf('\nThe number of degrees of freedom is %4d\n', ndf);

% diary off
