function nag_tsa_multi_kalman_sqrt_var_example

% diary nag_tsa_multi_kalman_sqrt_var_example.r
fprintf('nag_tsa_multi_kalman_sqrt_var example results\n\n');

% Constant matrices
s = [ 8.2068  2.0599  1.4807  0.3627;
      2.0599  7.9645  0.9703  0.2136;
      1.4807  0.9703  0.9253  0.2236;
      0.3627  0.2136  0.2236  0.0542]; 
a = [ 0.607, -0.033,  1,      0;
      0,      0.543,  0,      1;
      0,      0,      0,      0;
      0,      0,      0,      0];
b = [ 1,      0;
      0,      1;
      0.543,  0.125;
      0.134,  0.026];
stq = false;
q = [ 2.598,  0.56;
      0.560,  5.33];
c = [ 1,      0,      0,      0;
      0,      1,      0,      0];
r = [ 0,      0;
      0,      0];
% Need to factorize S and Q
s = chol(s,'lower');
q = chol(q,'lower');

n = size(s,1);
m = 2;

% Data
x = zeros(n,1);
ym = [-1.49  7.34; -1.62  6.35;  5.20  6.96;  6.23  8.54;  6.21  6.62;
       5.86  4.97;  4.09  4.55;  3.18  4.81;  2.62  4.75;  1.49  4.76;
       1.17 10.88;  0.85 10.01; -0.35 11.62;  0.24 10.36;  2.44  6.40;
       2.58  6.24;  2.04  7.93;  0.40  4.04;  2.26  3.73;  3.34  5.60;
       5.09  5.35;  5.00  6.81;  4.78  8.27;  4.11  7.68;  3.45  6.65;
       1.65  6.08;  1.29 10.25;  4.09  9.14;  6.32 17.75;  7.50 13.30;
       3.89  9.63;  1.58  6.80;  5.21  4.08;  5.25  5.06;  4.93  4.94;
       7.38  6.65;  5.87  7.94;  5.81 10.76;  9.68 11.89;  9.07  5.85;
       7.29  9.01;  7.84  7.50;  7.55 10.02;  7.32 10.38;  7.97  8.15;
       7.76  8.37;  7.00 10.73;  8.35 12.14];
ymean = [4.404; 7.991];
ny = size(ym,1);

% Loop over data
fprintf('      Residuals\n\n');
dev = 0;
for j = 1:ny
  y = ym(j,:)';
  [s, K, H, ifail] = nag_tsa_multi_kalman_sqrt_var( ...
                            a, b, stq, q, c, r, s);

  % subtract the mean
  y = y - ymean;
  % Time and measurement update
  y = y-c*x;
  x = a*x + K*y;
  
  fprintf('%10.4f%10.4f\n',y);

  % Update Loglikelihood
  y = H\y;
  dev = dev + dot(y,y);
  for i = 1:m
    dev = dev + 2*log(H(i,i));
  end
  
end

% P from S
p = s*s';

% Final results

fprintf('\nFinal x\n\n')
disp (x');

[ifail] = nag_file_print_matrix_real_gen(...
                'Lower','N', p, 'Final Value of P');

fprintf('\nDeviance = %13.4e\n', dev);

% diary off
