function nag_tsa_uni_arima_forecast_state_example

% diary nag_tsa_uni_arima_forecast_state_example.r
fprintf('nag_tsa_uni_arima_forecast_state example results\n\n');

% state set from nag_tsa_uni_arima_estim, nag_tsa_uni_arima_estim_easy or nag_tsa_uni_arima_update
st = [0.0660;    -0.0513;     0.1715;    -0.0249;     0.0588;
      0.1167;     0.1493;     0.0199;    -0.1884;    -0.1289;
     -0.1172;     0.1122;     6.0039;     0.0443;    -0.0070;
      0.0252;     0.0020;     0.0353;    -0.0460;     0.0374;
      0.0151;    -0.0237;     0.0031;     0.0188;     0.0066;
      0.0125];

% Orders
mr = [nag_int(0);1;1;0;1;1;12];

% Parameter estimates
par = [0.327; 0.6262];

% residual variance
rms = 0.0014;

c = 0;
nfv = nag_int(12);

% Produce forecasts
[fva, fsd, ifail] = nag_tsa_uni_arima_forecast_state( ...
                           st, mr, par, c, rms, nfv);

fprintf('The required %4d forecast values are as follows\n', nfv);
for j = 1:8:nfv
  fprintf('%8.4f', fva(j:min(j+7,nfv)));
  fprintf('\n');
end
fprintf('\nThe standard deviations corresponding to the forecasts are\n');
for j = 1:8:nfv
  fprintf('%8.4f', fsd(j:min(j+7,nfv)));
  fprintf('\n');
end

% diary off
