function nag_tsa_uni_dickey_fuller_unit_example

% diary nag_tsa_uni_dickey_fuller_unit_example.r
fprintf('nag_tsa_uni_dickey_fuller_unit example results\n\n');

% Test type
type = nag_int(1);

% Order of the AR process
p = nag_int(1);

% Time series
y = [ -217; -177; -166; -136; -110;  -95;  -64;  -37;  -14;  -25;
       -51;  -62;  -73;  -88; -113; -120;  -83;  -33;  -19;   21;
        17;   44;   44;   78;   88;  122;  126;  114;   85;   64];

% Calculate the Dickey-Fuller test statistic
[ts,ifail] = nag_tsa_uni_dickey_fuller_unit(type,p,y);

% The p-value routine can issue a warning, but still return
% sensible results, so save current warning state and turn warnings on
warn_state = nag_issue_warnings();
nag_issue_warnings(true);

% Get the associated p-value
n = nag_int(size(y,1));
[pvalue,~,ifail] = nag_stat_prob_dickey_fuller_unit(type,n,ts);

% Reset the warning state to its initial value
nag_issue_warnings(warn_state);

% Print the results
fprintf('Dickey-Fuller test statistic     = %6.3f\n', ts);
fprintf('associated p-value               = %6.3f\n', pvalue);

% diary off
