function nag_tsa_uni_diff_example

% diary nag_tsa_uni_diff_example.r
fprintf('nag_tsa_uni_diff example results\n\n');

x = [120;     108;      98;     118;     135;
     131;     118;     125;     121;     100;
      82;      82;      89;      88;      86;
      96;     108;     110;      99;     105];
nd  = nag_int(2);
nds = nag_int(1);
ns  = nag_int(4);

[xd, nxd, ifail] = nag_tsa_uni_diff( ...
                          x, nd, nds, ns);

% Display results
nx = numel(xd);
fprintf(' Non-seasonal differencing of order %4d\n', nd);
fprintf(' and seasonal differencing of order %4d\n', nds);
fprintf('       are applied with seasonality %4d\n\n',ns);
fprintf('The output array holds %4d values,\n',nx); 
fprintf('    of which the first %4d are differenced values\n\n',nxd);
for j = 1:7:nxd
  fprintf('%7.0f',xd(j:min(j+6,nxd)));
  fprintf('\n');
end
fprintf('\n');
for j = nxd+1:7:nx
  fprintf('%7.0f',xd(j:min(j+6,nx)));
  fprintf('\n');
end

% diary off
