function nag_univar_estim_genpareto_example

% diary nag_univar_estim_genpareto_example.r
fprintf('nag_univar_estim_genpareto example results\n\n');

optopt = nag_int(2);

% Catch warnings for ifail=6,7,8
warn_state = nag_issue_warnings();
nag_issue_warnings(true);
wstat = warning();
warning('OFF');

y = [1.5800;  0.1390; 2.3624; 2.9435; 0.1363; 0.9688; 0.6585; 2.8011; ...
     0.9880;  1.7887; 0.0630; 0.3862; 1.5130; 0.0669; 1.3659; 0.4256; ...
     0.3485; 27.8760; 5.2503; 1.1028; 0.5273; 1.3189; 0.6490];

% Calculate the GPD parameter estimates
[xi, beta, asvc, obsvc, ll, ifail] = ...
  nag_univar_estim_genpareto(y, optopt);

if ifail == 0 || (ifail > 5 && ifail < 9)
  % Display parameter estimates
  fprintf('xi             %14.6f\n', xi);
  fprintf('beta           %14.6f\n\n', beta);

  % Display Parameter Distributions
  if optopt > 0
    if (ifail == 7 || ifail == 8)
      fprintf('Invalid observed distribution\n');
    else
      fprintf('Observed distribution\n');
      fprintf('Var(xi)               %14.6f\n', obsvc(1));
      fprintf('Var(beta)             %14.6f\n', obsvc(4));
      fprintf('Covar(xi,beta)        %14.6f\n', obsvc(2));
      fprintf('Final log-likelihood: %14.6f\n\n', ll);
    end
  else
    if (ifail == 6 || ifail == 7)
      fprintf('Invalid asymptotic distribution\n');
    else
      fprintf('Asymptotic distribution\n');
      fprintf('Var(xi)        %14.6f\n', asvc(1));
      fprintf('Var(beta)      %14.6f\n', asvc(4));
      fprintf('Covar(xi,beta) %14.6f\n', asvc(2));
    end
  end
end

warning(wstat);

nag_issue_warnings(warn_state);

% diary off
