function nag_univar_estim_normal_example

% diary nag_univar_estim_normal_example.r
fprintf('nag_univar_estim_normal example results\n\n');

% Data
x = [4.5;     5.4;    3.9;     5.1;     4.6;     4.8;
     2.9;     6.3;    5.5;     4.6;     4.1;     5.2;
     3.2;     4;      3.1;     5.1;     3.8;     2.2];

n  = numel(x);
xc = zeros(n,1);
ic = zeros(n,1,nag_int_name);
xc(n,1) = 2.5;
ic(n-5:n,1) = [1; 1; 1; 2; 2; 3];

% Parameters
method = 'N';
xmu  = 4;
xsig = 1;
tol  = 5e-05;
maxit = nag_int(50);

% Calculate estimates
[xmu, xsig, sexmu, sexsig, corr, dev, nobs, nit, ifail] = ...
nag_univar_estim_normal( ...
       method, x, xc, ic, xmu, xsig, tol, maxit);

% Display results
fprintf(' Mean                                     = %8.4f\n', xmu);
fprintf(' Standard deviation                       = %8.4f\n', xsig);
fprintf(' Standard error of mean                   = %8.4f\n', sexmu);
fprintf(' Standard error of sigma                  = %8.4f\n', sexsig);
fprintf(' Correlation coefficient                  = %8.4f\n', corr);
fprintf(' Number of right censored observations    = %3d\n', nobs(1));
fprintf(' Number of left censored observations     = %3d\n', nobs(2));
fprintf(' Number of interval censored observations = %3d\n', nobs(3));
fprintf(' Number of exactly specified observations = %3d\n', nobs(4));
fprintf(' Number of iterations                     = %3d\n', nit);
fprintf(' Log-likelihood                           = %8.4f\n', dev);

% diary off
