function nag_univar_robust_1var_mestim_wgt_example

% diary nag_univar_robust_1var_mestim_wgt_example.r
fprintf('nag_univar_robust_1var_mestim_wgt example results\n\n');

global dchi h1 h2 h3;

dchi = 1.5;
h1   = 1.5;
h2   = 3.0;
h3   = 4.5;

x = [13; 11; 16;  5;  3; 18;  9;  8;  6; 27;  7];

% Controll parameter
beta = 0.3892326;
tol  = 0.0001;

% Loop over combinations of isigma sigma and theta
isigma = nag_int([ 1  1  0  0]);
sigma  =         [-1  7 -1  7];
theta  =         [ 0  2  0  2];

fprintf('           Input parameters     Output parameters\n');
fprintf(' isigma   sigma   theta   tol    sigma  theta\n');

for j = 1:numel(theta)

  fprintf('%3d   %8.4f%8.4f%8.4f', isigma(j), sigma(j), theta(j), tol);

  [thetaOut, sigmaOut, rs, nit, wrk, ifail] = ...
  nag_univar_robust_1var_mestim_wgt( ...
         @chi, @psi, isigma(j), x, beta, theta(j), sigma(j), tol);

  fprintf(' %8.4f%8.4f\n', sigmaOut, thetaOut);

end

% diary off

function [result] = chi(t)
  % Hubers Chi function
  global dchi;

  ps = min(dchi, abs(t));
  result = ps*ps/2;

function [result] = psi(t)
  % Hampels piecewise linear function
  global h1 h2 h3;

  if abs(t) < h3
    if abs(t) < h2
      result=min(h1, abs(t));
    else
      result=h1*(h3-abs(t))/(h3-h2);
    end
    if t < 0
      result = -result;
    end
  else
    result=0;
  end
