function nag_univar_ttest_2normal_example

% diary nag_univar_ttest_2normal_example.r
fprintf('nag_univar_ttest_2normal example results\n\n');

nx = nag_int(4);
ny = nag_int(8);
xmean  = 25;
ymean  = 21;
xstd   = 0.8185;
ystd   = 4.2083;

% Display data
fprintf('Sample X\n');
fprintf('  Sample size        = %5d\n', nx);
fprintf('  Mean               = %10.4e\n', xmean);
fprintf('  Standard deviation = %10.4e\n\n', xstd);
fprintf('Sample Y\n');
fprintf('  Sample size        = %5d\n', ny);
fprintf('  Mean               = %10.4e\n', ymean);
fprintf('  Standard deviation = %10.4e\n', ystd);

% Loop over different assumptions and requests
clevel = [0.95,    0.95];
tail   = {'Two';   'Two'};
equal  = {'Equal'; 'Unequal'};

for j = 1:numel(clevel)
  % Calculate statistic
  [t, df, prob, dl, du, ifail] = ...
  nag_univar_ttest_2normal( ...
         tail{j}, equal{j}, nx, ny, xmean, ymean, xstd, ystd, clevel(j));

  if equal{1}=='Equal'
    fprintf('\nAssuming population variances are equal.\n\n');
  else
    fprintf('\nNo assumptions about population variances.\n\n');
  end
  fprintf('t test statistic         = %11.4f\n', t);
  fprintf('Degrees of freedom       = %8.1f\n', df);
  fprintf('Significance level       = %11.4f\n\n', prob);
  fprintf('Difference in means\n');
  fprintf('  Value                  = %10.4f\n', xmean - ymean);
  fprintf('  Lower confidence limit = %10.4f\n', dl);
  fprintf('  Upper confidence limit = %10.4f\n', du);
  fprintf('  Confidence level       = %10.4f\n', clevel(j));
end

% diary off
