function nag_wav_3d_sngl_fwd_example

% diary nag_wav_3d_sngl_fwd_example.r
fprintf('nag_wav_3d_sngl_fwd example results\n\n');

% Data
m  = nag_int(5);
n  = nag_int(4);
fr = nag_int(3);
a = zeros(m, n, fr);
a(:, :, 1) = [3, 2, 2, 2;
              2, 9, 1, 2;
              2, 5, 1, 2;
              1, 6, 2, 2;
              5, 3, 2, 2];
a(:, :, 2) = [2, 1, 5, 1;
              2, 9, 5, 2;
              2, 3, 2, 7;
              2, 1, 1, 2;
              2, 1, 2, 8];
a(:, :, 3) = [3, 1, 4, 1;
              1, 1, 2, 1;
              4, 1, 7, 2;
              3, 2, 1, 5;
              1, 1, 2, 2];


% Query wavelet filter dimensions
wavnam = 'Haar';
mode   = 'half';
wtrans = 'Single Level';
[lmax, nf, nwct, nwcn, nwcfr, icomm, ifail] = ...
  nag_wav_3d_init(...
         wavnam, wtrans, mode, m, n, fr);

% 3D DWT decomposition
[c, icomm, ifail] = nag_wav_3d_sngl_fwd(...
                           n, fr, a, nwct, icomm);

cpass = char('LLH','LHL','LHH','HLL','HLH','HHL','HHH');

% Loop over Low/High passes
want_level = nag_int(0);
matrix = 'General'; diag   = 'Non-unit'; fmt = 'F9.4';
labrow = 'Integer'; labcol = labrow;
rlabs  = {' '};     clabs  = rlabs;
ncols  = nag_int(80); indent = nag_int(0);

for cindex = nag_int(1:7)

  if cindex==0
    fprintf('Approximation coefficients (LLL)\n');
  else
    fprintf('Detail coefficients (%s)\n',cpass(cindex,:));
  end

  % Extract coeficients
  [d, icomm, ifail] = nag_wav_3d_coeff_ext(...
                             want_level, cindex, c, icomm);
  for k = 1:nwcfr
    title = sprintf('Frame: %3d',k);
    [ifail] =  nag_file_print_matrix_real_gen_comp(...
                   matrix, diag, d(:,:,k), fmt, title, labrow, ...
                   rlabs, labcol, clabs, ncols, indent);
  end
  fprintf('\n');
end

% 3D DWT reconstruction
[b, ifail] = nag_wav_3d_sngl_inv(m, n, fr, c, icomm);

fprintf('\nReconstructed Data          b : \n');
% More compact output for expected values
fmt = 'F6.1';
for k=1:fr
  fprintf('\n');
  title = sprintf('Frame: %3d',k);
  [ifail] =  nag_file_print_matrix_real_gen_comp(...
                   matrix, diag, b(:,:,k), fmt, title, labrow, ...
                   rlabs, labcol, clabs, ncols, indent);
end

% diary off
