function s13aa_example

% diary s13aa_example.r
fprintf('s13aa example results\n\n');

x = [2  -1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s13aa(x(j));
end

disp('      x          E_1(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s13aa_plot;

% diary off

function s13aa_plot
  x = [-5:0.1:-0.2, -0.1:0.01:-0.01, -1e-3, -1e-4, -1e-5...
       1e-5, 1e-4, 1e-3, 0.01:0.01:0.1, 0.2:0.1:4.8];
  for j=1:numel(x)
    [e1(j), ifail] = s13aa(x(j));
  end

  fig1 = figure;
  plot(x,e1);
  xlabel('x');
  ylabel('E_1(x)');
  title('Exponential Integral E_1(x)');
  % print(fig1,'-dpng','-r75','s13aa_fig1.png');
  % print(fig1,'-deps','-r75','s13aa_fig1.eps');
