function s13ac_example

% diary s13ac_example.r
fprintf('s13ac example results\n\n');

x = [0.2:0.2:1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s13ac(x(j));
end

disp('      x          Ci(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s13ac_plot;

% diary off

function s13ac_plot
  x = [0.1:0.1:2.9,3:0.5:26];
  for j=1:numel(x)
    [ci(j), ifail] = s13ac(x(j));
  end

  fig1 = figure;
  plot(x,ci);
  xlabel('x');
  ylabel('Ci(x)');
  title('Cosine Integral Ci(x)');
  axis([0 26 -1.5 1]);
  % print(fig1,'-dpng','-r75','s13ac_fig1.png');
  % print(fig1,'-deps','-r75','s13ac_fig1.eps');
