function s14ac_example

% diary s14ac_example.r
fprintf('s14ac example results\n\n');

x = [0.1  0.5  3.6  8];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s14ac(x(j));
end

disp('        x      Psi(x)-ln(x)');
fprintf('%12.4f%12.4f\n',[x; result]);

s14ac_plot;

% diary off

function s14ac_plot
  x = [0.1:0.1:8];

  for j=1:numel(x)
    [pml(j), ifail] = s14ac(x(j));
  end

  fig1 = figure;
  plot(x,pml,'-r');
  xlabel('x');
  ylabel('\Psi(x) - ln(x)');
  title('\Psi(x) - ln(x)');
  axis([0 8 -7 0]);

  % print(fig1,'-dpng','-r75','s14ac_fig1.png');
  % print(fig1,'-deps','-r75','s14ac_fig1.eps');
