function s14ba_example

% diary s14ba_example.r
fprintf('s14ba example results\n\n');

a = [ 2  7   0.5  20  21];
x = [ 3  1  99.0  21  20];
n = size(x,2);
p = x;
q = x;
tol = x02aj;

for j=1:n
  [p(j), q(j), ifail] = s14ba(a(j), x(j), tol);
end

disp('     a      x     P(a,x)    Q(a,x)');
fprintf('%7.1f%7.1f%10.4f%10.4f\n',[a; x; p; q]);

s14ba_plot;

% diary off

function s14ba_plot
  x = [0:0.5:20];
  a = [0.1:0.1:0.4,0.5:0.5:20];
  p = zeros(numel(a),numel(x));
  q = p;

  tol = x02aj;
  for i=1:numel(a)
    for j=1:numel(x)
      [p(i,j), q(i,j), ifail] = s14ba(a(i), x(j), tol);
    end
  end

  fig1 = figure;
  hold on
  mesh(x, a, p, 'FaceColor','r');
  mesh(x, a, q, 'FaceColor','g');
  xlabel('x');
  ylabel('a');
  title('Incomplete Gamma Functions');
  legend('P(a,x)','Q(a,x)');
  view(-35, 46);
  hold off;

  % print(fig1,'-dpng','-r75','s14ba_fig1.png');
  % print(fig1,'-deps','-r75','s14ba_fig1.eps');
