function s17ae_example

% diary s17ae_example.r
fprintf('s17ae example results\n\n');

x = [0    0.5     1    3    6   8    10   -1    1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17ae(x(j));
end

disp('      x         J_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17ae_plot;

% diary off

function s17ae_plot
x = [-30:0.25:30];
  for j = 1:numel(x)
    [J0(j), ifail] = s17ae(x(j));
  end

  fig1 = figure;
  plot(x,J0,'-r');
  xlabel('x');
  ylabel('J_0(x)');
  title('Bessel Function J_0(x)');
  axis([-30 30 -0.5 1.1]);

  % print(fig1,'-dpng','-r75','s17ae_fig1.png');
  % print(fig1,'-deps','-r75','s17ae_fig1.eps');
