function s17ag_example

% diary s17ag_example.r
fprintf('s17ag example results\n\n');

x = [-10   -1    0    1    5   10   20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17ag(x(j));
end

disp('      x         Ai_0(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17ag_plot;

% diary off

function s17ag_plot
  x = [-25:0.25:10];
  for j = 1:numel(x)
    [Ai(j), ifail] = s17ag(x(j));
  end

  fig1 = figure;
  plot(x,Ai,'-r');
  xlabel('x');
  ylabel('Ai(x)');
  title('Airy Function Ai(x)');
  axis([-25 10 -0.5 0.6]);

  % print(fig1,'-dpng','-r75','s17ag_fig1.png');
  % print(fig1,'-deps','-r75','s17ag_fig1.eps');
