function s17ah_example

% diary s17ah_example.r
fprintf('s17ah example results\n\n');

x = [-10   -1     0     1     5     10    20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17ah(x(j));
end

disp('      x          Bi(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17ah_plot;

% diary off

function s17ah_plot
  x = [-10:0.25:3.25];
  for j = 1:numel(x)
    [Bi(j), ifail] = s17ah(x(j));
  end

  fig1 = figure;
  plot(x,Bi,'-r');
  xlabel('x');
  ylabel('Bi(x)');
  title('Airy Function Bi(x)');
  axis([-10 5 -2 17.5]);

  % print(fig1,'-dpng','-r75','s17ah_fig1.png');
  % print(fig1,'-deps','-r75','s17ah_fig1.eps');
