function s17aj_example

% diary s17aj_example.r
fprintf('s17aj example results\n\n');

x = [-10    -1    0    1    5    10   20];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17aj(x(j));
end

disp('      x         Ai''(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17aj_plot;

% diary off

function s17aj_plot
  x = [-15:0.1:5];
  for j = 1:numel(x)
    [Aid(j), ifail] = s17aj(x(j));
  end

  fig1 = figure;
  plot(x,Aid,'-r');
  xlabel('x');
  ylabel('Ai''(x)');
  title('Derivative of Airy Function Ai(x)');
  axis([-15 5 -1.5 1.5]);

  % print(fig1,'-dpng','-r75','s17aj_fig1.png');
  % print(fig1,'-deps','-r75','s17aj_fig1.eps');
