function s17dl_example

% diary s17dl_example.r
fprintf('s17dl example results\n\n');

n  = nag_int(2);
m  = nag_int([1     1         1         2             2]);
nu = [0             2.3       2.12      6             6];
z  = [0.3 + 0.4i;   2 + 0i;  -1 + 0i;   3.1 - 1.6i;   3.1 - 1.6i];
scal = {'U';        'U';      'U';      'U';          'S'};

fprintf(' m    nu           z         scaled?');
fprintf('     H_{nu+%d}(z) ',[0:n-1]);
fprintf('  nz\n');
for i=1:numel(nu)

  [cy, nz, ifail] = s17dl(m(i), nu(i), complex(z(i)), n, scal{i});

  fprintf('%2d %7.3f  %7.3f%+7.3fi', m(i), nu(i), real(z(i)), imag(z(i)));
  if scal{i} == 'U'
     fprintf('  unscaled');
  else
     fprintf('    scaled');
  end
  for j = 1:n
    fprintf(' %7.3f%+8.3fi', real(cy(j)), imag(cy(j)));
  end
  fprintf('%3d\n',nz);
end

% diary off
