function s18ad_example

% diary s18ad_example.r
fprintf('s18ad example results\n\n');

x = [0.4   0.6   1.4   1.6    2.5    3.5    6    8    10   1000];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s18ad(x(j));
end

disp('      x         K_1(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s18ad_plot;

% diary off

function s18ad_plot
  x = [0.2:0.05:1,1.2:0.2:4];
  for j = 1:numel(x)
    [K(j), ifail] = s18ad(x(j));
  end

  fig1 = figure;
  plot(x,K,'-r');
  xlabel('x');
  ylabel('K_1(x)');
  title('Bessel Function K_1(x)');
  axis([0 4 -0.1 4]);

  % print(fig1,'-dpng','-r75','s18ad_fig1.png');
  % print(fig1,'-deps','-r75','s18ad_fig1.eps');
