function s18af_example

% diary s18af_example.r
fprintf('s18af example results\n\n');

x = [0    0.5    1    3    6    8    10    15    20   -1];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s18af(x(j));
end

disp('      x          I_1(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s18af_plot;

% diary off

function s18af_plot
  x = [0:0.2:4];
  for j = 1:numel(x)
    [I1(j), ifail] = s18af(x(j));
  end

  fig1 = figure;
  plot(x,I1,'-r');
  xlabel('x');
  ylabel('I_1(x)');
  title('Bessel Function I_1(x)');
  axis([0 4 0 10]);

  % print(fig1,'-dpng','-r75','s18af_fig1.png');
  % print(fig1,'-deps','-r75','s18af_fig1.eps');
