function s18de_example

% diary s18de_example.r
fprintf('s18de example results\n\n');

n  = nag_int(2);
nu = [0             2.3       2.12      5.5          5.5];
z  = [0.3 - 0.4i;   2 + 0i;  -1 + 0i;  -6.1 + 9.8i; -6.1 + 9.8i];
scal = {'U';        'U';      'U';      'U';         'S'};

fprintf('   nu           z         scaled?');
fprintf('     I_{nu+%d}(z) ',[1:n]);
fprintf('   nz\n');
for i=1:numel(nu)

  [cy, nz, ifail] = s18de(nu(i), complex(z(i)), n, scal{i});

  fprintf('%7.3f  %7.3f%+7.3fi', nu(i), real(z(i)), imag(z(i)));
  if scal{i} == 'U'
     fprintf('  unscaled');
  else
     fprintf('    scaled');
  end
  for j = 1:n
    fprintf(' %7.3f%+8.3fi', real(cy(j)), imag(cy(j)));
  end
  fprintf('%3d\n',nz);
end

% diary off
