function s22bf_example

% diary s22bf_example.r
fprintf('s22bf example results\n\n');

% Evaluate 2F1(a,b;c;x) at two points a small delta either
% side of (a,b,c) = (-10,2,-5).

delta = 10^-4;
ani = -10;  adr =  delta;
bni =   2;  bdr = -delta;
cni =  -5;  cdr =  delta;

x = 0.45;

fprintf('%10s%10s%10s%10s%14s%7s%14s\n',...
        'a','b','c','x','frf','scf','2F1(a,b;c;x)');

for j = 1:2
  [frf(j), scf(j), ifail] = s22bf( ...
                               ani,  adr, bni,  bdr, cni,  cdr, x);
  scale = frf(j)*2^double(scf(j));
  fprintf('%10.4f%10.4f%10.4f%10.4f%14.5e%7d%14.5e\n',...
          ani+adr, bni+bdr, cni+cdr, x, frf(j), scf(j), scale);
  adr = -adr;
  bdr = -bdr;
  cdr = -cdr;
end

% Product of solutions
frfp = prod(frf);
scfp = sum(scf);
scale = frfp*2^double(scfp);
fprintf('\n%-40s%14.5e%7d%14.5e\n','Solution Product', frfp, scfp, scale);

% Ratio of solutions
frfr = frf(1)/frf(2);
scfr = scf(1) - scf(2);
scale = frfr*(2^double(scfr));
fprintf('%-40s%14.5e%7d%14.5e\n','Solution Ratio', frfr, scfr, scale);

% diary off
