function s30cb_example

% diary s30cb_example.r
fprintf('s30cb example results\n\n');

put = 'C';
s = 110.0;
k = 5.0;
sigma = 0.35;
r = 0.05;
q = 0.04;
x = [87.0];
t = [0.75];

[p, delta, gamma,  vega, theta,    rho,  crho, ...
    vanna, charm, speed, colour, zomma, vomma, ifail] = ...
    s30cb(...
          put, x, s, k, t, sigma, r, q);

fprintf('\nBinary (Digital): Cash-or-Nothing\n European Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Payout     =   %9.4f\n', k);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf(' Time to Expiry : %8.4f\n', t(1));
fprintf('%8s%9s%9s%9s%9s%9s%9s%9s\n','Strike','Price','Delta','Gamma',...
        'Vega','Theta','Rho','CRho');
fprintf('%8.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', x(1), p(1,1), ...
        delta(1,1), gamma(1,1), vega(1,1), theta(1,1), rho(1,1), crho(1,1));

fprintf('%26s%9s%9s%9s%9s%9s\n','Vanna','Charm','Speed','Colour',...
        'Zomma','Vomma');
fprintf('%17s%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n\n', ' ', vanna(1,1), ...
        charm(1,1), speed(1,1), colour(1,1), zomma(1,1), vomma(1,1));

% diary off
