function varargout = axesConfiguration(varargin)

    gui_Singleton = 1;
    gui_State = struct('gui_Name',       mfilename, ...
                       'gui_Singleton',  gui_Singleton, ...
                       'gui_OpeningFcn', @axesConfiguration_OpeningFcn, ...
                       'gui_OutputFcn',  @axesConfiguration_OutputFcn, ...
                       'gui_LayoutFcn',  [] , ...
                       'gui_Callback',   []);
    if nargin && ischar(varargin{1})
        gui_State.gui_Callback = str2func(varargin{1});
    end

    if nargout
        [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
    else
        gui_mainfcn(gui_State, varargin{:});
    end
end



function axesConfiguration_OpeningFcn(hObject, eventdata, handles, varargin)

    handles.output = 0;
    guidata(hObject,handles);
    
    if length(varargin) ~= 1 || length(varargin{1}) ~= 4

        return;
    end
    
    
    handles.axes = varargin{1};
    handles.old_axes = handles.axes;
    handles.output = handles.axes;


    set(handles.text_X_Min,'String', num2str(handles.axes(1)));
    set(handles.text_X_Max,'String', num2str(handles.axes(2)));
  
    set(handles.text_Y_Min,'String', num2str(handles.axes(3)));
    set(handles.text_Y_Max,'String', num2str(handles.axes(4)));  
    
    set(handles.axesConfiguration,'CloseRequestFcn',{@closeGUI,handles});
    
    guidata(hObject, handles);

    % UIWAIT makes axesConfiguration wait for user response (see UIRESUME)
    uiwait(handles.axesConfiguration);
end


function closeGUI(src,evt,handles)
    uiresume(handles.axesConfiguration);
end



function varargout = axesConfiguration_OutputFcn(hObject, eventdata, handles) 
    varargout{1} = handles.output;
    delete(handles.axesConfiguration);
end


function button_ok_Callback(hObject, eventdata, handles)
    handles.output = handles.axes;
    guidata(hObject, handles );
    closeGUI(hObject, [], handles );
end

function button_cancel_Callback(hObject, eventdata, handles)
    handles.output = handles.old_axes;
    guidata(hObject, handles );
    closeGUI(hObject, [], handles );
end

function text_Y_Min_Callback(hObject, eventdata, handles)
    t = str2double(get(hObject,'String'));
    if t < handles.axes(4)
        handles.axes(3) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.axes(3)));
    end
    
    

end

function text_Y_Min_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end
end


function text_Y_Max_Callback(hObject, eventdata, handles)
    t = str2double(get(hObject,'String'));
    if t > handles.axes(3)
        handles.axes(4) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.axes(4)));
    end
end

function text_Y_Max_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end

end

function text_X_Min_Callback(hObject, eventdata, handles)
    t = str2double(get(hObject,'String'));
    if t < handles.axes(2)
        handles.axes(1) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.axes(1)));
    end
end


function text_X_Min_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end
end


function text_X_Max_Callback(hObject, eventdata, handles)
    t = str2double(get(hObject,'String'));
    if t > handles.axes(1)
        handles.axes(2) = t;
        guidata(hObject, handles );
    else
        set(hObject, 'String', num2str(handles.axes(2)));
    end
end


function text_X_Max_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end

end
