function displayConstraintLabels( edges, coor,col, showLabels, constraintHandle )   
    X = ones(2,size(edges,2));
    Y = X;
    Z = X(1,:);
    
    hold on;
    
    for i=1:size(edges,2)
        X(:,i) = [coor(1,edges(1,i)),coor(1,edges(2,i))];
        Y(:,i) = [coor(2,edges(1,i)),coor(2,edges(2,i))];
        C(:,i) = [mean(X(:,i)), mean(Y(:,i))];
    % place constraint tags a small distance above the mesh
        Z(i) = 0.01;
    end    
    plot( X,Y,col );
    

    
    % convert constraint tags into constraint strings
    k = size(constraintHandle,2);
    s = size(edges,2);
    curconstraint = cell(k+1,2);
    constraint = cell(s,1);
    for i=1:k
        curconstraint(i+1,:) = {i,constraintHandle(i).name};
    end
    curconstraint(1,:) = {0, ''};
    % for each edge of the boundary
    for i=1:s
        % attach the condition name appropriate to that edge's constraint
        for j = 1:k+1
            if edges(3,i) == curconstraint{j,1}
                constraint{i,1} = curconstraint{j,2};
            end
        end
    end
    
    if showLabels
        text( C(1,:), C(2,:),Z, constraint, 'BackgroundColor',[1,1,.6], 'HorizontalAlignment', 'center' );
    end
end

