function varargout = editConditions(varargin)
    gui_Singleton = 1;
    gui_State = struct('gui_Name',       mfilename, ...
                       'gui_Singleton',  gui_Singleton, ...
                       'gui_OpeningFcn', @editConditions_OpeningFcn, ...
                       'gui_OutputFcn',  @editConditions_OutputFcn, ...
                       'gui_LayoutFcn',  [] , ...
                       'gui_Callback',   []);
    if nargin && ischar(varargin{1})
        gui_State.gui_Callback = str2func(varargin{1});
    end

    if nargout
        [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
    else
        gui_mainfcn(gui_State, varargin{:});
    end

end

function editConditions_OpeningFcn(hObject, eventdata, handles, varargin)
    
    if size(varargin,2) ~= 0 && isstruct(varargin{1})
         handles.old_conditions = varargin{1};
    else
         handles.old_conditions = struct( 'name', {}, 'expression', {}, 'type', {}, 'tag', {} );
         handles.tagID = 0;
    end
    
    handles.output = handles.old_conditions;
    handles.conditions = handles.old_conditions;
    
    handles.selected = varargin{2};
    id = handles.selected;
    
    handles.tagID = varargin{3};
    
    if id == 0
        set(handles.text_condition_name,'String','');
        set(handles.text_condition_expression,'String','');
        set(handles.radio_condition_dirichlet,'Value',1.0);
    else
        name = handles.conditions(id).name;
        expression = handles.conditions(id).expression;
        type = handles.conditions(id).type;
        
        set(handles.text_condition_name,'String',name);
        set(handles.text_condition_expression,'String',expression);
        set(handles.radio_condition_dirichlet,'Value',2-type);
        set(handles.radio_condition_neumann,'Value',type-1);
    end
    
    set(handles.figure1,'CloseRequestFcn',{@closeGUI,handles});

    % Update handles structure
    guidata(hObject, handles);
%     update(handles);
    % UIWAIT makes editConditions wait for user response (see UIRESUME)
%     uiwait(handles.figure1);
end

function closeGUI(src, evt, handles)
        uiresume(handles.figure1);
end

function varargout = editConditions_OutputFcn(hObject, eventdata, handles) 
    % varargout  cell array for returning output args (see VARARGOUT);
    % hObject    handle to figure
    % eventdata  reserved - to be defined in a future version of MATLAB
    % handles    structure with handles and user data (see GUIDATA)

    % Get default command line output from handles structure
      
    uiwait(handles.figure1);
    handles = guidata(handles.figure1);
    varargout{1} = handles.output;  
   
    delete(handles.figure1);

end

function button_condition_cancel_Callback(hObject, eventdata, handles)
    handles.output = handles.old_conditions;
    guidata(hObject, handles);
    closeGUI( handles.figure1, [], handles );
end

function button_condition_ok_Callback(hObject, eventdata, handles)

    name = get(handles.text_condition_name,'String');
    expression = get(handles.text_condition_expression,'String');
    % if we are creating new condition then increment tagID by one so that
    % condition tag remains unique
    
    if isempty(name) || isempty(expression)
        errordlg('You must in fill all the fields','Error' );
        return
    end

    if handles.selected == 0
        handles.tagID = handles.tagID + 1;
    end
    
    type = 2-get(handles.radio_condition_dirichlet,'Value');
    
    if handles.selected == 0
        id = size(handles.conditions,2)+1;
    else
        id = handles.selected;
    end
    
    handles.conditions(id).name = name;
    handles.conditions(id).expression = expression;
    handles.conditions(id).type = type;
    handles.conditions(id).tag = id;
    
    handles.conditions(id);
   
    handles.selected = id;

    handles.output = handles.conditions;
    guidata(hObject, handles);
    closeGUI( handles.figure1, [], handles );
end

function text_condition_name_Callback(hObject, eventdata, handles)
 
end

function text_condition_name_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end

end

function text_condition_expression_Callback(hObject, eventdata, handles)

end

function text_condition_expression_CreateFcn(hObject, eventdata, handles)

    if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
        set(hObject,'BackgroundColor','white');
    end
end
