 function [coor, edge, grad, reverse, problem] = inputPolygon(handles, enable, gridX, gridY,minX,maxX,minY,maxY)

    hold on;

    btn = 1;
    problem = 0;
    tol = 1e-10;
  
    i = 1;
    while btn == 1
        [x,y,btn] = myginput(1);
        problem = 0;

        if enable
            [x,y] = clamp(x,y,gridX,gridY,minX,minY);
        end
        
        % a rough fix for clicking outside the drawing area bug.  If the
        % user has moved the view of the axes, this fix would be annoying!
        % NF
        if x < minX || x > maxX || y < minY || y > maxY
            button = questdlg('You cannot click outside the drawing area while creating a boundary.  Do you wish to continue creating this boundary?', ...
                         'Drawing Error', ...
                         'Yes', 'No', 'Yes');
            problem = 1;
            if strcmp(button,'No') || isempty(button)
                btn = 2;
            end
        end
        
        % Creating a check to see if the new point is on top of one of the
        % previous points. NF
        
        if i > 1 && problem == 0
            
            % if there was a problem doesn't update
            if problem == 0
                % Creates an array storing the gradients of each edge as long
                % as they aren't infinite
                if abs(x - coor(1,i-1)) < tol
                    grad(i-1) = 1/tol;
                else
                    grad(i-1) = (y - coor(2,i-1))/(x - coor(1,i-1));
                end
            end
           problem = 0; 
            for j = 1:i-1
                
                diff = norm([x;y]- coor(:,j));
                
                if diff < tol
                    h = errordlg('You cannot click on the same vertex twice','Polygon Error','modal');
                    
                    uiwait;         % tells the program to wait until the error box has gone.
                    
                    % a "gone-wrong" flag that undoes the erroneous point
                    problem = 1;
                end
                
            end
        end
        
        % Creating a check to see if the new polygon edge crosses a
        % previous edge. NF
        
        if i > 3 && problem == 0
            
            %length of new edge
            distAB = norm([x;y] - coor(:,i-1));
            
            for j = 1:i-3
                
                % find point at which vector given by the new polygon edge
                % crosses a vector given by a previous side
                [xx,yy] = simeqn(coor, grad, i, j, x, y);
                
                % the next bit of code is to determine whether the two
                % lines of the polygon in question are actually crossing
                % each other.
                
                ab = norm(coor(:,j) - [xx;yy]) + norm(coor(:,j+1) - [xx;yy]);
                distab = norm(coor(:,j) - coor(:,j+1));
                AB = norm([x;y] - [xx;yy]) + norm(coor(:,i-1) - [xx;yy]);
                
                if ab < distab + 1e-10 && AB < distAB + 1e-10
                    h = errordlg('Lines of the polygon cannot cross','Polygon Error','modal');
                    uiwait
                    problem = 1;
                end
                if problem == 1; break; end
            end
            
        end
        
        % i = 2 is when we have our first line joining the first two
        % vertices
        if i > 1  && (handles.state.activeDomain ~= 0 && ~isempty(handles.domains.boundaries)) && problem == 0
            
            % only need to calculate distAB until it is calculated above
            if i < 4
                %length of new edge
                distAB = norm([x;y] - coor(:,i-1));
            end
            
            activeDomain = handles.state.activeDomain;

            boundaries = max(size(handles.domains(activeDomain).boundaries));
            
            for k = 1:boundaries
                boundary = max(max(handles.domains(activeDomain).boundaries(k).edge));
                % coordinates of the boundary so far
                curcoor = handles.domains(activeDomain).boundaries(k).coor;
                curgrad = handles.domains(activeDomain).boundaries(k).grad;
                curgrad = [curgrad,grad(i-1)];
            
                for j = 1:boundary
                    % find point at which vector given by the new polygon edge
                    % crosses a vector of an existing edge of the boundary
                    [xx,yy] = simeqn(curcoor, curgrad, boundary+2, j, x, y);
                
                    % the next bit of code is to determine whether the two
                    % lines of the polygon in question are actually crossing
                    % each other.
                
                

                    if j < boundary
                        distab = norm(curcoor(:,j) - curcoor(:,j+1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,j+1) - [xx;yy]);
                    else
                        distab = norm(curcoor(:,j) - curcoor(:,1));
                        ab = norm(curcoor(:,j) - [xx;yy]) + norm(curcoor(:,1) - [xx;yy]);
                    end
                    AB = norm([x;y] - [xx;yy]) + norm(coor(:,i-1) - [xx;yy]);
                
                    if ab < distab + 1e-10 && AB < distAB + 1e-10
                        h = errordlg('Boundaries cannot cross','Boundary Error','modal');
                        uiwait
                        problem = 1;
                    end
                    if problem == 1; break; end
                end
                if problem == 1; break; end
            end
        end
        
        % if there was a problem, doesn't update
        if problem == 0
        coor(:,i) = [x;y];
        if i > 1
            edge(:,i-1) = [i-1;i;0];
            plot( [coor(1,i-1), coor(1,i)], [coor(2,i-1), coor(2,i)],'k');

        end;
        
        
        
        i = i+1;
        end
    end;
    
    % if there was a problem, doesn't update
    if problem == 0
    
        if i > 1
            edge(:,i-1) = [i-1;1;0];
                if abs(x - coor(1,1)) < tol
                    grad(i-1) = 1/tol;
                else
                    grad(i-1) = (y - coor(2,1))/(x - coor(1,1));                    
                end
        end
    else
            edge = [];
            coor = [];
            grad = [];
    end
        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

        reverse = 0;
        
        % this next bit of code blows the program at the moment, so
        % commenting it out. NF
        
%         if btn == 2
%             coor = coor(:,end:-1:1);
%             reverse = 1;
% 
%         end

%     % save the handles structure
%     guidata(hObject, handles)

 end