function save_config( configArray, filename )

    docNode = com.mathworks.xml.XMLUtils.createDocument('Config');
    docRootNode = docNode.getDocumentElement;
    
    axes = docNode.createElement('Axes');
    axes.setAttribute('Xmin', num2str(configArray.axes(1)) );
    axes.setAttribute('Xmax', num2str(configArray.axes(2)) );
    axes.setAttribute('Ymin', num2str(configArray.axes(3)) );
    axes.setAttribute('Ymax', num2str(configArray.axes(4)) );
    docRootNode.appendChild(axes);

    grid = docNode.createElement('Grid');
    grid.setAttribute('enabled', num2str(configArray.grid(1)) );
    grid.setAttribute('X', num2str(configArray.grid(2)) );
    grid.setAttribute('Y', num2str(configArray.grid(3)) );
    docRootNode.appendChild(grid);    
    
    solution = docNode.createElement('SolutionDisplay');
    solution.setAttribute('showMeshes', num2str(configArray.solution(1)));
    solution.setAttribute('showGrid', num2str(configArray.solution(2)));
%     solution.setAttribute('smooth', num2str(configArray.solution(3)));
    docRootNode.appendChild(solution);
    
    
    
    algos = docNode.createElement('Algorithms');
    algos.setAttribute('default', num2str(configArray.algorithms.default));
    
    
    incremental = docNode.createElement('Incremental');
    incremental.setAttribute('bspace', configArray.algorithms.incremental.bspace );
    incremental.setAttribute('smooth', num2str(configArray.algorithms.incremental.smooth) );
    incremental.setAttribute('coeff', num2str(configArray.algorithms.incremental.coeff) );
    incremental.setAttribute('power', num2str(configArray.algorithms.incremental.power) );
    incremental.setAttribute('boundary', num2str(configArray.algorithms.incremental.boundary) ); % NF 08/10/08
    algos.appendChild(incremental);
    
    delaunay = docNode.createElement('Delaunay');
    delaunay.setAttribute('weight', configArray.algorithms.delaunay.weight );
    delaunay.setAttribute('npropa', num2str(configArray.algorithms.delaunay.npropa) );
    delaunay.setAttribute('boundary', num2str(configArray.algorithms.delaunay.boundary) ); % NF 08/10/08
    
    algos.appendChild(delaunay);    
    
    front = docNode.createElement('Front');
    front.setAttribute('weight', configArray.algorithms.front.weight );
    front.setAttribute('boundary', num2str(configArray.algorithms.front.boundary) ); % NF 08/10/08
    algos.appendChild(front);        
    docRootNode.appendChild(algos);
    
    xmlwrite(filename,docNode);

end
