function nag_blast_zgb_norm_example

% diary nag_blast_zgb_norm_example.r
fprintf('nag_blast_zgb_norm example results\n\n');

kl = nag_int(2);
ku = nag_int(1);
m  = nag_int(6);
a = [ 1+i, 1+2i, 0,    0;
      2+i, 2+2i, 2+3i, 0;
      3+i, 3+2i, 3+3i, 3+4i;
      0,   4+2i, 4+3i, 4+4i;
      0,   0,    5+3i, 5+4i;
      0,   0,    0,    6+4i];
ab = complex(zeros(4, 6));
% Convert a to packed storage
[a, ab, ifail] = nag_matop_complex_band_pack( ...
			'p', kl, ku, a, ab);

fprintf('\nNorms of banded matrix ab:\n\n');

r_one = nag_blast_zgb_norm('o', m, kl, ku, ab);
fprintf('One norm           = %9.4f\n', r_one);

r_inf = nag_blast_zgb_norm('i', m, kl, ku, ab);
fprintf('Infinity norm      = %9.4f\n', r_inf);

r_fro = nag_blast_zgb_norm('f', m, kl, ku, ab);
fprintf('Frobenious norm    = %9.4f\n', r_fro);

r_max = nag_blast_zgb_norm('m', m, kl, ku, ab);
fprintf('Maximum norm       = %9.4f\n', r_max);

% diary off
